<?php

namespace App\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class CallStatusExport implements FromView
{
    protected $coid;
    protected $livecalls;
    protected $columns;
    protected $customer_status_texts;
    protected $calltypes_names;
    protected $callcenter_dnc_array;
    protected $dealer_dnc_list;
    protected $dealer_dne_list;

    public function __construct($coid, $livecalls, $columns, $customer_status_texts, $calltypes_names, $callcenter_dnc_array, $dealer_dnc_list, $dealer_dne_list)
    {
        $this->coid = $coid;
        $this->livecalls = $livecalls;
        $this->columns = $columns;
        $this->customer_status_texts = $customer_status_texts;
        $this->calltypes_names = $calltypes_names;
        $this->callcenter_dnc_array = $callcenter_dnc_array;
        $this->dealer_dnc_list = $dealer_dnc_list;
        $this->dealer_dne_list = $dealer_dne_list;
    }

    public function view(): View
    {
        return view('exports.call_status', [
            'coid'                  => $this->coid,
            'livecalls'             => $this->livecalls,
            'columns'               => $this->columns,
            'customer_status_texts' => $this->customer_status_texts,
            'calltypes_names'       => $this->calltypes_names,
            'callcenter_dnc_array'  => $this->callcenter_dnc_array,
            'dealer_dnc_list'       => $this->dealer_dnc_list,
            'dealer_dne_list'       => $this->dealer_dne_list,
        ]);
    }
}
