<?php

namespace App\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class SurverReportExport implements FromView
{
    protected $coid;
    protected $livecalls;
    protected $questions;
    protected $question_texts;
    protected $answers;
    protected $question_count;
    protected $grand_total_yes;
    protected $grand_total_yes_percent;
    protected $grand_total_no;
    protected $grand_total_no_percent;
    protected $grand_total_na;
    protected $grand_total_na_percent;

    public function __construct($coid, $livecalls, $questions, $question_texts, $answers, $question_count, $grand_total_yes, $grand_total_yes_percent, $grand_total_no, $grand_total_no_percent, $grand_total_na, $grand_total_na_percent)
    {
        $this->coid = $coid;
        $this->livecalls = $livecalls;
        $this->questions = $questions;
        $this->question_texts = $question_texts;
        $this->answers = $answers;
        $this->question_count = $question_count;
        $this->grand_total_yes = $grand_total_yes;
        $this->grand_total_yes_percent = $grand_total_yes_percent;
        $this->grand_total_no = $grand_total_no;
        $this->grand_total_no_percent = $grand_total_no_percent;
        $this->grand_total_na = $grand_total_na;
        $this->grand_total_na_percent = $grand_total_na_percent;
    }

    public function view(): View
    {
        return view('reports.survey_report', [
            'coid'                    => $this->coid,
            'livecalls'               => $this->livecalls,
            'questions'               => $this->questions,
            'question_texts'          => $this->question_texts,
            'answers'                 => $this->answers,
            'question_count'          => $this->question_count,
            'grand_total_yes'         => $this->grand_total_yes,
            'grand_total_yes_percent' => $this->grand_total_yes_percent,
            'grand_total_no'          => $this->grand_total_no,
            'grand_total_no_percent'  => $this->grand_total_no_percent,
            'grand_total_na'          => $this->grand_total_na,
            'grand_total_na_percent'  => $this->grand_total_na_percent,
            'export_type'             => 'excel',
        ]);
    }
}
