<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CallerCalendarController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('pages.caller_schedule', ['has_calendar' => 1]);
    }

    public function events(Request $request)

    {

    	$start_date_iso = new DateTime($request->start);
		$start_date = $start_date_iso->format('Y-m-d H:i:s'); 
		$end_date_iso = new DateTime($request->end);
		$end_date = $end_date_iso->format('Y-m-d H:i:s'); 
        if(Auth::user()->user_type->name == 'Admin') 
        {
            $scheduled_services = ScheduledService::where('status_id', 1)
            										->whereRaw("service_date BETWEEN '".$start_date."' AND '".$end_date."' ")
            										->orderBy('service_date')->get();
        } elseif(Auth::user()->user_type->name == 'Company Admin') {
            /*$user_station_array = array();
            foreach(Auth::user()->stations as $station)
            {
              $user_station_array[] = $station->id;
            }*/

            $user_companies_array = array();
            foreach(Auth::user()->companies as $company)
            {
              $user_companies_array[] = $company->id;
            }

            $scheduled_services = ScheduledService::whereRaw("FIND_IN_SET(company_id, '".implode(',', $user_companies_array)."')")
                                                    ->where('status_id', 1)
                                                    ->whereRaw("service_date BETWEEN '".$start_date."' AND '".$end_date."' ")
                                                    ->orderBy('service_date')->get();
        } else {
            $scheduled_services = ScheduledService::where('status_id', 1)
        											->where('user_id', Auth::id())
        											->whereRaw("service_date BETWEEN '".$start_date."' AND '".$end_date."' ")
        											->orderBy('service_date')->get();
        }
        $half_hour_seconds = 1800;
        $event_array = array();
        foreach ($scheduled_services as $key => $service) {
        	
        	$start = strtotime($service->service_date);
        	$end = $start + $half_hour_seconds;

        	$new_start_date = new DateTime($service->service_date);
			$start_date_iso = $new_start_date->format(DateTime::ATOM);

			$new_end_date = new DateTime(date('Y-m-d H:i:s', $end));
			$end_date_iso = $new_end_date->format(DateTime::ATOM);


     
        	$services_array = array();
    		foreach($service->services as $key => $value)
    		{
    			$services_array[] = $value->name;
    		}
    		$service_list = implode(',', $services_array);
        	$title = $service->station->name.' - '.$service->first_name.' '.$service->last_name;
    		$description = 	'<strong>Station:</strong> '.$service->station->name.
    						'<br><strong>Customer:</strong> '.$service->first_name.' '.$service->last_name.
    						'<br><strong>Services:</strong> '.$service_list.
    						'<br><strong>Vehicle:</strong> '.$service->vehicle_year.' '.$service->vehicle_make.' '.$service->vehicle_model.
    						'<br><strong>VIN:</strong> '.$service->vin.
    						'<br><strong>Address:</strong> '. $service->address .', '. $service->city .' '. $service->state .' '. $service->zip.
    						'<br><strong>Phone:</strong> '.$service->phone.
    						'<br><strong>Cell phone:</strong> '.$service->cell_phone;
        	$event_array[] = '{
							      "title": "'.$title.'",
							      "start": "'.$start_date_iso.'",
							      "end": "'.$end_date_iso.'",
							      "description": "'.$description.'",
							      "service_id": "'.$service->id.'"
							    }';
        }

        $events = '[
				    '.implode(',', $event_array).'
				  ]';
		return $events;
    }
}
