<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class EmailTemplateController extends Controller
{
    public function editEmailTemplate(Request $request) 
    {
        $db_table       = $request->db_table;
        $coid_column    = $request->coid_column;
        $cid_column     = $request->cid_column;
        $coid           = $request->coid;
        $cid            = $request->cid;
        $subject_column = $request->subject_column;
        $content_column = $request->content_column;
        $dialog_title   = $request->dialog_title;

        $call_type = DB::connection('mysql2')->table('callcenter_calltypes')
            ->select('*')
            ->where('cid', $cid)
            ->first();

        $dialog_title = $dialog_title . ' ' . $call_type->calltype_text;

        $email_template = DB::connection('mysql2')
            ->table( $db_table )
            ->where($coid_column, $coid)
            ->where($cid_column, $cid)
            ->first();
        
        if( ! $email_template ) {
            $email_template = DB::connection('mysql2')
            ->table( $db_table )
            ->where(function($query) use($request){
                $query->where($request->coid_column, '=', '')
                ->orWhere($request->coid_column, '=', 0);
            })
            ->where($cid_column, $cid)
            ->first();
        }

        $subject = ! empty( $email_template->{$subject_column} ) ? $email_template->{$subject_column} : '';
        $subject  = utf8_encode( $subject );
        $content = ! empty( $email_template->{$content_column} ) ? $email_template->{$content_column} : '';
        $content  = utf8_encode( $content );

        return view('partials.email_templates', [
            'db_table'       => $db_table,
            'coid_column'    => $coid_column,
            'cid_column'     => $cid_column,
            'coid'           => $coid,
            'cid'            => $cid,
            'subject_column' => $subject_column,
            'content_column' => $content_column,
            'subject'        => $subject,
            'content'        => $content,
            'email_template' => $email_template,
            'dialog_title'   => $dialog_title,
        ]);
    }

    public function updateEmailTemplate(Request $request) {
        $db_table       = $request->db_table;
        $coid_column    = $request->coid_column;
        $cid_column     = $request->cid_column;
        $coid           = $request->coid;
        $cid            = $request->cid;
        $subject_column = $request->subject_column;
        $content_column = $request->content_column;
        $subject        = urldecode( $request->subject );
        $content        = urldecode( $request->content );;

        $email_template = DB::connection('mysql2')
            ->table( $db_table )
            ->where($coid_column, $coid)
            ->where($cid_column, $cid)
            ->first();
        
        if( ! $email_template ) {
            DB::connection('mysql2')
            ->table( $db_table )
            ->where( $coid_column, $coid )
            ->where( $cid_column, $cid )
            ->insert([
                $coid_column => $coid,
                $cid_column  => $cid,
                $subject_column  => $subject,
                $content_column  => $content
            ]);
        } else {
            DB::connection('mysql2')
            ->table( $db_table )
            ->where( $coid_column, $coid )
            ->where( $cid_column, $cid )
            ->update([
                $subject_column  => $subject,
                $content_column  => $content
            ]);
        }

        return response()->json([
            'message' => 'Template updated!'
        ]);
    }
}
