<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class FutureCallController extends Controller
{
    public function getFutureCallsPanel(Request $request) 
    {
        $phonelist = $request->phone_list_string;
        $coid = $request->coid;
        $commonFunctions = new CommonFunctionsController();

        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();

        $co_short = $company->co_short;
        $dbtable = "livecall_".$co_short;
        
        $today = date('Y-m-d');
        //$future_finddays = ($data["find_future_days"] != "")? $data["find_future_days"] * 1 : 15;
        $future_finddays = 15;
        $forty_five_days_ago = date('Y-m-d', strtotime('-45 days', strtotime($today)));
        $nextdays = date('Y-m-d', strtotime('+'.$future_finddays.' days', strtotime($today)));
        

        $future_calls_scheduled = DB::connection('mysql2')
                                ->table($dbtable)
                                ->select('*')
                                ->where('remind', '>=', $forty_five_days_ago)
                                ->where('remind', '<=', $nextdays)
                                ->whereRaw('livecall_count < livecall_times')
                                ->where('livecall_showtocall', 1)
                                ->whereRaw("FIND_IN_SET(phone, '$phonelist')")
                                ->get();

        $dalerts = DB::connection('mysql2')
                                ->table('callcenter_dealertalerts')
                                ->select('*')
                                ->get();
        
        $dalertnames = array();
        $dalertcontent = array();
        $send_alert_hiddeninputs = '';
        foreach($dalerts as $dalert) 
        {
            $did = $dalert->id;
            $dtype = $dalert->type;
            $dcontent = $dalert->content;
            $dalertnames[$did] = $dtype;
            $dalertcontent[$did] = $dcontent;
            $send_alert_hiddeninputs.= ($dalert->send_alert == "1")? '<input type="hidden" id="cstatushidden_'.$did.'" name="cstatushidden_'.$did.'" value="">' : '';
        }
        
        $calltypesInfo = $commonFunctions->getCalltypesInfo();
        
        $dalertselect_global = '<select name="customer_status_main" id = "customer_status_main" class="forminput150" onchange="checkIfHasToCheckAlertFutureCallsAll()">
                                <option value="">Select...</option> ';

        foreach($dalerts as $alert) 
        {
            $did = $alert->id;
            $type = $alert->type;
            $dalertselect_global.='<option value="'.$did.'">'.$type.'</option>';
        }
        $dalertselect_global.='</select>';
        
        $next_call_type_select = '<select id="fc_next_call_type_main" name="fc_next_call_type_main" class="forminput100" onchange="setAllNextCalltypeFutureCalls()">
                                        <option value="">Select...</option>';
        foreach($calltypesInfo as $ctype_id => $ctypeinfo) 
        {
            $next_call_type_select.= '<option value="'.$ctype_id.'">'.$ctypeinfo['calltype_text'].'</option>';
        }
        $next_call_type_select.='</select>';
        
        $calltypes_options_array = array();
        $calltypes_options = '<select id="future_call_types_options" name="future_call_types_options">
                                <option value="all">All</option>';

        foreach($future_calls_scheduled as $call) {
            $calltype = $call->livecall_next_calltype;
            if(!in_array($calltype, $calltypes_options_array))
            {
                $calltypes_options_array[] = $calltype;
                $calltypes_options.= '<option value="'.$calltype.'">'.$calltypesInfo[$calltype]["calltype_text"].'</option>';
            }
        }
        $calltypes_options.= '</select>';

        return view('dialogs.future_calls', [
                                                'coid' => $coid,
                                                'calltypesInfo' => $calltypesInfo,
                                                'dalertselect_global' => $dalertselect_global,
                                                'dalerts' => $dalerts,
                                                'next_call_type_select' => $next_call_type_select,
                                                'calltypes_options' => $calltypes_options,
                                                'commonFunctions' => $commonFunctions,
                                                'future_calls_scheduled' => $future_calls_scheduled,
                                                'send_alert_hiddeninputs' => $send_alert_hiddeninputs,
                                        ]);

    }
}
