<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class GhostedVinController extends Controller
{
    public function getGhostedVinHistoryDialog(Request $request)
    {
        $vin = $request->vin;
        $coid = $request->coid;
        $commonFunctions = new CommonFunctionsController();
        $customer_status_texts = $commonFunctions->getCostumerStatusTexts();

        $ghosted_vin = DB::connection('mysql2')->table('global_removed_vins')
                                ->where('vin', $vin)
                                ->where('coid', $coid)
                                ->first();
        if($ghosted_vin)
        {
            $customer_name = $ghosted_vin->fname.' '.$ghosted_vin->lname;
            $customer_status = $customer_status_texts[$ghosted_vin->customer_status];
            $created_at = date('m/d/Y', strtotime($ghosted_vin->created_at));
            $comments = $ghosted_vin->comments;
            $trade_date = ($ghosted_vin->trade_date != '' && $ghosted_vin->trade_date != null && $ghosted_vin->trade_date != '0000-00-00')? date('m/d/Y', strtotime($ghosted_vin->trade_date)) : '';
        } else {
            $customer_name = "No data";
            $customer_status = "No data";
            $created_at = "No data";
            $comments = "No data";
            $trade_date = "No data";
        }
        
        return view('partials.ghosted_vin_history', [
                                                        'customer_name' => $customer_name,
                                                        'customer_status' => $customer_status,
                                                        'comments' => $comments,
                                                        'created_at' => $created_at,
                                                        'trade_date' => $trade_date
                                                    ]
                    );
    }

    public function removeGhostedVinSingle(Request $request)
    {
        $coid = $request->coid;
        $vin = $request->vin; 
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_short')
                                ->where('coid', $request->coid)
                                ->first();

        DB::connection('mysql2')->table('global_removed_vins')
                                ->where('vin', $vin)
                                ->where('coid', $coid)
                                ->delete();

        $dealer_removed_table = 'removed_vins_'.$company->co_short;
        DB::connection('mysql2')->table($dealer_removed_table)
                                ->where('vin', $request->vin)
                                ->delete();

        return response()->json([
            'removed_vin' => $vin,
        ]);
    }
}
