<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ImportEmailTemplateController extends Controller
{
    public function getImportEmailTemplateDialog(Request $request)
    {
        $import_email_template = DB::connection('mysql2')
                                    ->table('callcenter_import_email_templates')
                                    ->where('coid', $request->coid)
                                    ->where('cid', $request->call_type)
                                    ->first();
        if(!$import_email_template)
        {
            $import_email_template = DB::connection('mysql2')
                            ->table('callcenter_import_email_templates')
                            ->where('coid', 0)
                            ->where('cid', $request->call_type)
                            ->first();
        }

        if($import_email_template)
        {
            $import_email_subject = $import_email_template->subject;
            $import_email_from = $import_email_template->from_label;
            $import_email_content = $import_email_template->content;
        } else {
            $import_email_subject = '';
            $import_email_from = '';
            $import_email_content = '';
        }

        return view('dialogs.import_email_template', 
                                    [
                                        'subject' => $import_email_subject,
                                        'from' => $import_email_from,
                                        'content' => $import_email_content,
                                        'coid' => $request->coid,
                                        'is_personalized' => $request->is_personalized ? true : false,
                                        'row_id' => $request->row_id ? $request->row_id : 0,
                                        'current_content' => $request->current_content ? $request->current_content : '',
                                    ]);
    }

    public function getImportEmailTemplateContent(Request $request)
    {

        switch ($request->template_type) {
            case 'stc':
                $import_email_table = 'callcenter_import_email_templates';
                break;
            case 'nstc':
                $import_email_table = 'callcenter_import_email_templates_nstc';
                break;
            case 'dnc':
                $import_email_table = 'callcenter_import_email_templates_dnc';
                break;
            default:
                $import_email_table = 'callcenter_import_email_templates';
                break;
        }

        $import_email_template = DB::connection('mysql2')
                                    ->table($import_email_table)
                                    ->where('coid', $request->coid)
                                    ->where('cid', $request->call_type)
                                    ->first();
        if(!$import_email_template)
        {
            $import_email_template = DB::connection('mysql2')
                            ->table($import_email_table)
                            ->where('coid', 0)
                            ->where('cid', $request->call_type)
                            ->first();
        }

        if($import_email_template)
        {
            $import_email_subject = $import_email_template->subject;
            $import_email_from = $import_email_template->from_label;
            $import_email_content = $import_email_template->content;
        } else {
            $import_email_subject = '';
            $import_email_from = '';
            $import_email_content = '';
        }

        return response()->json([
                                    'subject' => $import_email_subject,
                                    'from' => $import_email_from,
                                    'content' => $import_email_content,
                                    'coid' => $request->coid,
                                ]);
    }

    public function update(Request $request)
    {

        switch ($request->template_type) {
            case 'stc':
                $import_email_table = 'callcenter_import_email_templates';
                break;
            case 'nstc':
                $import_email_table = 'callcenter_import_email_templates_nstc';
                break;
            case 'dnc':
                $import_email_table = 'callcenter_import_email_templates_dnc';
                break;
            default:
                $import_email_table = 'callcenter_import_email_templates';
                break;
        }

        $import_email_template = DB::connection('mysql2')
                                    ->table($import_email_table)
                                    ->where('coid', $request->coid)
                                    ->where('cid', $request->call_type)
                                    ->first();
        if(!$import_email_template)
        {
            DB::connection('mysql2')
                ->table($import_email_table)
                ->insert([
                    'coid' => $request->coid, 
                    'cid' => $request->call_type, 
                    'from_label' => '',
                    'subject' => $request->template_subject,
                    'content' => $request->template_content,
                ]);
        } else {
            DB::connection('mysql2')
                ->table($import_email_table)
                ->where('coid', $request->coid)
                ->where('cid', $request->call_type)
                ->update([
                            'subject' => $request->template_subject,
                            'content' => $request->template_content,
                        ]);
        }

        return response()->json([
                                    'message' => 'Template saved!',
                                ]);
    }
}
