<?php

namespace App\Http\Controllers;

//use Webklex\IMAP\Facades\Client;
use Webklex\IMAP\Client;
use Illuminate\Http\Request;
use App\Events\GeneralAlertEvent;
use App\Mail\GeneralEmailAlert;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;

class InboundEmailController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //$oClient = Client::account('default');
		//$oClient->connect();
        //$mbox = imap_open('{s192-169-156-40.secureserver.net:993/imap/ssl/novalidate-cert}INBOX', 'serviceconnect@fullbdcvintracker.com', 'sRvcnX0612!@#');
        $rows_inserted = 0;
        $co_short_array = array();
        $oClient = new Client([
            'host'          => 'mail.fullbdcvintracker.com',
            'port'          => 993,
            'encryption'    => 'ssl',
            'validate_cert' => false,
            'username'      => 'serviceconnect@fullbdcvintracker.com',
            'password'      => 'UQXreLvxe5NE',
            'protocol'      => 'imap'
        ]);

        $oClient->connect();
        $oFolder = $oClient->getFolder('INBOX');
        $aMessage = $oFolder->query()->unseen()->get();
        //dd($aMessage);

        $alert_content = '<table>
                            <tr>
                                <td>
                                    Type
                                </td>
                                <td>
                                    Vehicle
                                </td>
                                <td>
                                    Status
                                </td>
                            </tr>';

        foreach ($aMessage as $key => $value) {
            if($value->hasTextBody())
            {
                $email_content = $value->getTextBody();
            } else {
                $email_content = $value->getHTMLBody();
            }

            $email_content = strip_tags($email_content);
            $email_content = str_replace("\r\n", " ", $email_content);

            if(strpos($email_content, 'VIN:') !== false)
            {
                $email_parts = explode(' ', $email_content);
                $assigned_to_end_key_array = array_keys($email_parts, 'Assigned');
                $assigned_to_end_key = $assigned_to_end_key_array[2];

                $assigned_time_start_key_array = array_keys($email_parts, 'Time:');
                $assigned_time_start_key = $assigned_time_start_key_array[1];

                $vin = $this->getEmailElement(array_search('VIN:', $email_parts)+1, array_search('Model:', $email_parts), $email_parts);
                $model = $this->getEmailElement(array_search('Model:', $email_parts)+1, array_search('Year:', $email_parts), $email_parts); 
                $year = $this->getEmailElement(array_search('Year:', $email_parts)+1, array_search('Type:', $email_parts)-1, $email_parts);   
                $alert_type = $this->getEmailElement(array_search('Type:', $email_parts)+1, array_search('Time:', $email_parts)-1, $email_parts);
                $alert_time = $this->getEmailElement(array_search('Time:', $email_parts)+1, array_search('Mileage:', $email_parts), $email_parts); 
                $mileage = $this->getEmailElement(array_search('Mileage:', $email_parts)+1, array_search('Onboard', $email_parts), $email_parts);   
                $onboard_warnings = $this->getEmailElement(array_search('Warnings:', $email_parts)+1, array_search('Assigned', $email_parts), $email_parts);
                $assigned_by = $this->getEmailElement(array_search('By:', $email_parts)+1, array_search('To:', $email_parts)-1, $email_parts);
                $assigned_to = $this->getEmailElement(array_search('To:', $email_parts)+1, $assigned_to_end_key, $email_parts);
                $assigned_time = $this->getEmailElement($assigned_time_start_key+1, array_search('Status:', $email_parts), $email_parts);
                $status = $this->getEmailElement(array_search('Status:', $email_parts)+1, array_search('Regards', $email_parts), $email_parts);
                $status = substr($status, 0, 50);
                $co_short = 'ccjosephtoylc';
                $co_short_array[] = $co_short;
                $db_table = 'service_connect_'.$co_short;

                DB::connection('mysql')
                ->table($db_table)
                ->insert([
                    [
                        'vin' => $vin, 
                        'model' => $model,
                        'year' => $year,
                        'alert_type' => $alert_type,
                        'alert_time' => date('Y-m-d H:i:s', strtotime($alert_time)),
                        'miles' => $mileage,
                        'onboard_warnings' => $onboard_warnings,
                        'assigned_by' => $assigned_by,
                        'assigned_to' => $assigned_to,
                        'assigned_time' => date('Y-m-d H:i:s', strtotime($assigned_time)),
                        'status' => $status,
                        'created_at' => date('Y-m-d H:i:s'),
                        'updated_at' => date('Y-m-d H:i:s')
                    ]
                ]);
                $rows_inserted++;


                $alert_content.= '  <tr>
                                        <td>
                                            '.$alert_type.'
                                        </td>
                                        <td>
                                            '.$year.' '.$model.'
                                        </td>
                                        <td>
                                            '.$status.'
                                        </td>
                                    </tr>';


            }
            
        }

        $alert_content.= '</table>';

        if($rows_inserted > 0)
        {
            $alert_data = new \stdClass();
            $alert_data->rows_inserted = $rows_inserted;
            $alert_data->type = 'incoming_service_connect_alert';
            $alert_data->co_short = implode(',', array_unique($co_short_array));
            broadcast(new GeneralAlertEvent($alert_data));

            $mail_data = new \stdClass();
            $mail_data->subject = 'New service connect alerts';
            $mail_data->view = 'general_email';
            $mail_data->email_css = '.label_td {
                                          font-weight: bold;
                                        }

                                        .value_td {
                                          
                                        }

                                        .footer_notes {
                                          font-size: 10px;
                                        }

                                        .align_top {
                                            vertical-align: baseline;
                                        }';
            $mail_data->email_content = '<p>
                                            Hello! a total of '.$rows_inserted.' service connect alerts where added for you!
                                        </p>
                                        <p>
                                            '.$alert_content.'
                                        </p>
                                        <p>
                                            Log in to <a href="http://fullbdcvintracker.com/">fullbdcvintracker.com</a> to check them!
                                        </p>';
            $send_to = [];
            $send_to[] = 'jfigue86@hotmail.com';
            $send_to[] = 'sell1@iglou.com';

            Mail::to($send_to)->send(new GeneralEmailAlert($mail_data));
        }
        print('Total rows inserted: '.$rows_inserted);
    }

    public function getEmailElement($start_key, $end_key, $email_parts)
    {
        $element = '';
        for($i = $start_key; $i < $end_key; $i++)
        {
            $element.=' '.$email_parts[$i];
        }

        return trim($element);
    }

    
}
