<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class InboundReportController extends Controller
{
    public function saleAmountReport(Request $request)
    {

    	$company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $outbound_table = 'livecall_'.$company->co_short;
        $inbound_table = 'inboundcall_'.$company->co_short;

        $inbound_calls = DB::connection('mysql3')->table($inbound_table)
        						->select('vin', 'phone', 'cellphone', 'lastupdate')
                                ->where('lastupdate', '>=', date('Y-01-01 00:00:00'))
                                ->where(function($query) {
                                    $query->where('resolution', 1)
                                        ->orWhere('resolution', 4)
                                        ->orWhere('resolution', 7)
                                        ->orWhere('resolution', 11);
                                })
                                ->orderBy('lastupdate', 'asc')
                                ->get();
        $found_vins = array();
        $found_phones = array();
        $found_vins_dates = array();
        $found_phones_dates = array();
        foreach ($inbound_calls as $call) {
            if($call->vin != '')
            {
                if(!isset($found_vins[$call->vin]))
                {
                    $found_vins[$call->vin] = $call->vin;
                    $found_vins_dates[$call->vin] = $call->lastupdate;
                } 
            } else {
                $phone_to_search = ($call->phone != '')? $call->phone : $call->cellphone;
                if(!isset($found_phones[$phone_to_search]) && $phone_to_search != '')
                {
                    $found_phones[$phone_to_search] = $phone_to_search;
                    $found_phones_dates[$phone_to_search] = $call->lastupdate;
                }
            }
        }
        $used_vin = array();
        $used_phone = array();
        $search_vins = array_chunk($found_vins, 20, true);
        $search_phones = array_chunk($found_phones, 20, true);
        $total_sale_amount = 0;
        $total_sale_amount_30 = 0;
        $total_sale_amount_90 = 0;
        $total_sale_amount_120 = 0;

        $days_ago_30 = strtotime(date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')));   
    	$days_ago_90 = strtotime(date('Y-m-d', strtotime(date('Y-m-d'). '-90 days')));
    	$days_ago_120 = strtotime(date('Y-m-d', strtotime(date('Y-m-d'). '-120 days'))); 

        foreach ($search_vins as $vin_list) {
        	$outbound_calls = DB::connection('mysql2')->table($outbound_table)
                                ->select('vin', 'dateadded', 'sale_amount')
                                ->where('dateadded', '>=', date('Y-01-01 00:00:00'))
                                ->where(function($query) {
                                    $query->where('livecall_prev_calltype', 2)
                                        ->orWhere('livecall_next_calltype', 2);
                                })
                                ->whereRaw('FIND_IN_SET(vin, \''.implode(',', $vin_list).'\')')
                                ->orderBy('dateadded', 'asc')
                                ->get();
            foreach ($outbound_calls as $livecall) {
            	if(isset($found_vins_dates[$livecall->vin]))
            	{
            		$call_date = strtotime($livecall->dateadded);
            		if(strtotime($found_vins_dates[$livecall->vin]) < $call_date)
	            	{	
	            		if(!isset($used_vin[$livecall->vin]))
	            		{
	            			if(is_numeric($livecall->sale_amount))
		            		{
	            				$used_vin[$livecall->vin] = true;
		            			$total_sale_amount+= $livecall->sale_amount * 1;
		            			if($call_date >= $days_ago_30)
		            			{
		            				$total_sale_amount_30+= $livecall->sale_amount * 1;
		            			} else if($call_date >= $days_ago_90)
		            			{
		            				$total_sale_amount_90+= $livecall->sale_amount * 1;
		            			} else if($call_date >= $days_ago_120)
		            			{
		            				$total_sale_amount_120+= $livecall->sale_amount * 1;
		            			}
		            		}
	            		}
	            	}
            	}
            }
        }


        foreach ($search_phones as $vin_list) {
            $outbound_calls = DB::connection('mysql2')->table($outbound_table)
                                ->select('phone', 'cellphone', 'dateadded', 'sale_amount')
                                ->where('dateadded', '>=', date('Y-01-01 00:00:00'))
                                ->where(function($query) {
                                    $query->where('livecall_prev_calltype', 2)
                                        ->orWhere('livecall_next_calltype', 2);
                                })
                                ->where(function($query) use($vin_list) {
                                    $query->whereRaw('FIND_IN_SET(phone, \''.implode(',', $vin_list).'\')')
                                        ->orWhereRaw('FIND_IN_SET(cellphone, \''.implode(',', $vin_list).'\')');
                                })
                                ->orderBy('dateadded', 'asc')
                                ->get();
            foreach ($outbound_calls as $livecall) {
                if(isset($found_phones_dates[$livecall->phone]) || isset($found_phones_dates[$livecall->cellphone]))
                {
                    $date_to_test =  (isset($found_phones_dates[$livecall->phone]))? $found_phones_dates[$livecall->phone] :
                                                                                     $found_phones_dates[$livecall->cellphone];
                    $phone_to_test = (isset($found_phones_dates[$livecall->phone]))? $livecall->phone : $livecall->cellphone;
                    $call_date = strtotime($livecall->dateadded);
                    if(strtotime($date_to_test) < $call_date)
                    {   
                        if(!isset($used_phone[$phone_to_test]))
                        {
                            if(is_numeric($livecall->sale_amount))
                            {
                                $used_phone[$phone_to_test] = true;
                                $total_sale_amount+= $livecall->sale_amount * 1;
                                if($call_date >= $days_ago_30)
                                {
                                    $total_sale_amount_30+= $livecall->sale_amount * 1;
                                } else if($call_date >= $days_ago_90)
                                {
                                    $total_sale_amount_90+= $livecall->sale_amount * 1;
                                } else if($call_date >= $days_ago_120)
                                {
                                    $total_sale_amount_120+= $livecall->sale_amount * 1;
                                }
                            }
                        }
                    }
                }
            }
        }

    	$content = '<ul>
                        <li>
                            Year to date: $'.number_format($total_sale_amount, 2).'
                        </li>
                        <li>
                            Last 120 days: $'.number_format($total_sale_amount_120+$total_sale_amount_90+$total_sale_amount_30, 2).'
                        </li>
                        <li>
                            Last 90 days: $'.number_format($total_sale_amount_90+$total_sale_amount_30, 2).'
                        </li>
                        <li>
                            Last 30 days: $'.number_format($total_sale_amount_30, 2).'
                        </li>
                    </ul>';                        

    	return response()->json([
            'content' => $content,
        ]);
    }
}
