<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\UserGroupDealer;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class MasterVinController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        if(Auth::user()->user_type->name == 'Admin') 
        {
            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();
        } else if(Auth::user()->user_type->name == 'Dealer') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Full BDC Caller') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Inbound Caller') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Inbound Manager') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Dealer Caller') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        }

        if( Auth::user()->user_type->name != 'Admin' ) {
            $user_groups_ids = [];
            foreach (Auth::user()->user_groups as $user_group) {
                $user_groups_ids[] = $user_group->id;
            }
            $dealers_ids = UserGroupDealer::whereRaw("FIND_IN_SET(user_group_id, '".implode(',', $user_groups_ids)."')")->get();
            $dealers_ids_array = [];
            foreach ( $dealers_ids as $dealer_id ) {
                $dealers_ids_array[] = $dealer_id->dealer_id;
            }

            $user_groups_dealers_ids = array_unique( array_merge($user_companies_array, $dealers_ids_array) );

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_groups_dealers_ids)."')")
                                ->get();
                
        }

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($dealers,'co_name', 'coid');
        $dealers_options = $commonFunctions->select_options;

        return view('pages.reports', ['dealers' => $dealers_options]);
    }

    public function getReport(Request $request)
    {

    	$company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();

        $is_toyota_dealer = (strpos(strtolower($company->co_name), 'toyota') !== false) ? true : false;

        $masked_coid = rand(1, 100).'_'.$request->coid.'_'.time();
        $base64_coid = base64_encode($masked_coid);                    
        $recent_call_link = 'https://login.fullbdc.com/ccdata24.php?c=gilcp&pageonly=1&masked_coid='.$base64_coid;

        if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
        {
            $db_table = $company->co_short.'_master_vins';

            if (DB::connection('mysql')->getSchemaBuilder()->hasTable($db_table))
    		{
    		    $table_exists = true;
    		} else {
    			$table_exists = false;
    		}

    		if($table_exists == false)
    		{
    			$output = array(
             		'error' => 'Master VIN table for this dealer does not exist.',
    	        );

    	        return response()->json($output);
    		}

    		$master_vin = DB::connection('mysql2')->table('global_removed_vins')
                                    ->select('*')
                                    ->get();
            $master_vin_array = array();
            $master_vin_customer_status_array = array();
            foreach($master_vin as $master)
            {
            	$master_vin_array[] = trim($master->vin);
            	if($master->customer_status == null || $master->customer_status == '')
            	{
            		$customer_status = 0;
            		
            	} else {
            		$customer_status = $master->customer_status;
            	}
            	$master_vin_customer_status_array[trim($master->vin)] = $customer_status;
            }


            $dealer_master_vin = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', '!=', 'Customer Type')
                                    ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                    ->get();


            $total = $dealer_master_vin->count();
            $leo_master_total = $dealer_master_vin->count();

            if($is_toyota_dealer == false || $total <= 0)
            {
                $dealer_master_vin = DB::connection('mysql2')->table('livecall_'.$company->co_short)
                                    ->selectRaw('id, vin, customer_status')
                                    ->where('vin', '!=', '')
                                    ->whereRaw('vin IS NOT NULL')
                                    ->groupBy('vin')
                                    ->get();

                $total = $dealer_master_vin->count();                  
            } 

            /*$total_active = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Active')
                                    ->orWhere('updated_customer_type', 'Active')
                                    ->count();*/

            $total_active_records = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Active')
                                    ->orWhere('updated_customer_type', 'Active')
                                    ->get();

            $total_active = $total_active_records->count();
            $total_active_records_array = array();
            foreach ($total_active_records as $key => $value) {
                $total_active_records_array[] = $value->vin;
            }

            $original_total_active = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Active')
                                    ->count();

            /*$total_inactive = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Inactive')
                                    ->where(function($query) {
                                        $query->where('updated_customer_type', '!=', 'Active')
                                            ->orWhereRaw('updated_customer_type IS NULL');
                                    })
                                    ->count();*/

            $total_inactive_records = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Inactive')
                                    ->where(function($query) {
                                        $query->where('updated_customer_type', '!=', 'Active')
                                            ->orWhereRaw('updated_customer_type IS NULL');
                                    })
                                    ->get();

            $total_inactive = $total_inactive_records->count();
            $total_inactive_records_array = array();
            foreach ($total_inactive_records as $key => $value) {
                $total_inactive_records_array[] = $value->vin;
            }

            $original_total_inactive = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Inactive')
                                    ->count();

            /*$total_not_enganged = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Not Engaged')
                                    ->where(function($query) {
                                        $query->where('updated_customer_type', '!=', 'Active')
                                            ->orWhereRaw('updated_customer_type IS NULL');
                                    })
                                    ->count();*/

            $total_not_enganged_records = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Not Engaged')
                                    ->where(function($query) {
                                        $query->where('updated_customer_type', '!=', 'Active')
                                            ->orWhereRaw('updated_customer_type IS NULL');
                                    })
                                    ->get();

            $total_not_enganged = $total_not_enganged_records->count();
            $total_not_enganged_records_array = array();
            foreach ($total_not_enganged_records as $key => $value) {
                $total_not_enganged_records_array[] = $value->vin;
            }

            $original_total_not_enganged = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Not Engaged')
                                    ->count();

            $dealer_master_vin_array = array();

            $dealer_master_vin_customer_status_array = array();
            $dealer_master_vin_customer_status_array['Active'][44] = 0;
            $dealer_master_vin_customer_status_array['Active'][36] = 0;
            $dealer_master_vin_customer_status_array['Active'][20] = 0;
            $dealer_master_vin_customer_status_array['Active'][35] = 0;
            $dealer_master_vin_customer_status_array['Active'][33] = 0;
            $dealer_master_vin_customer_status_array['Active'][0] = 0;
            

            $dealer_master_vin_customer_status_array['Inactive'][44] = 0;
            $dealer_master_vin_customer_status_array['Inactive'][36] = 0;
            $dealer_master_vin_customer_status_array['Inactive'][20] = 0;
            $dealer_master_vin_customer_status_array['Inactive'][35] = 0;
            $dealer_master_vin_customer_status_array['Inactive'][33] = 0;
            $dealer_master_vin_customer_status_array['Inactive'][0] = 0;

            $dealer_master_vin_customer_status_array['Not Engaged'][44] = 0;
            $dealer_master_vin_customer_status_array['Not Engaged'][36] = 0;
            $dealer_master_vin_customer_status_array['Not Engaged'][20] = 0;
            $dealer_master_vin_customer_status_array['Not Engaged'][35] = 0;
            $dealer_master_vin_customer_status_array['Not Engaged'][33] = 0;
            $dealer_master_vin_customer_status_array['Not Engaged'][0] = 0;

            $dealer_master_vin_customer_status_array['Cross Active (Pump-Ins)'][44] = 0;
            $dealer_master_vin_customer_status_array['Cross Active (Pump-Ins)'][36] = 0;
            $dealer_master_vin_customer_status_array['Cross Active (Pump-Ins)'][20] = 0;
            $dealer_master_vin_customer_status_array['Cross Active (Pump-Ins)'][35] = 0;
            $dealer_master_vin_customer_status_array['Cross Active (Pump-Ins)'][33] = 0;
            $dealer_master_vin_customer_status_array['Cross Active (Pump-Ins)'][0] = 0;


            $dealer_master_vin__array = array();
            $dealer_master_vin__array['Active'][44] = array();
            $dealer_master_vin__array['Active'][36] = array();
            $dealer_master_vin__array['Active'][20] = array();
            $dealer_master_vin__array['Active'][35] = array();
            $dealer_master_vin__array['Active'][33] = array();
            $dealer_master_vin__array['Active'][0] = array();

            $dealer_master_vin__array['Inactive'][44] = array();
            $dealer_master_vin__array['Inactive'][36] = array();
            $dealer_master_vin__array['Inactive'][20] = array();
            $dealer_master_vin__array['Inactive'][35] = array();
            $dealer_master_vin__array['Inactive'][33] = array();
            $dealer_master_vin__array['Inactive'][0] = array();

            $dealer_master_vin__array['Not Engaged'][44] = array();
            $dealer_master_vin__array['Not Engaged'][36] = array();
            $dealer_master_vin__array['Not Engaged'][20] = array();
            $dealer_master_vin__array['Not Engaged'][35] = array();
            $dealer_master_vin__array['Not Engaged'][33] = array();
            $dealer_master_vin__array['Not Engaged'][0] = array();

            $dealer_master_vin__array['Cross Active (Pump-Ins)'][44] = array();
            $dealer_master_vin__array['Cross Active (Pump-Ins)'][36] = array();
            $dealer_master_vin__array['Cross Active (Pump-Ins)'][20] = array();
            $dealer_master_vin__array['Cross Active (Pump-Ins)'][35] = array();
            $dealer_master_vin__array['Cross Active (Pump-Ins)'][33] = array();
            $dealer_master_vin__array['Cross Active (Pump-Ins)'][0] = array();


            $master_phone_numbers = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', '!=', 'Customer Type')
                                    ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                    ->where('phone', '!=', '')
                                    ->whereRaw('phone IS NOT NULL')
                                    ->get();

            $master_emails = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('customer_type', '!=', 'Customer Type')
                                    ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                    ->where('email', '!=', '')
                                    ->whereRaw('email IS NOT NULL')
                                    ->get();


            $global_dnc = DB::connection('mysql2')->table('callcenter_dnc')
                                    ->select('*')
                                    ->get();
            
            $dealer_dnc_table = 'dnc_'.$company->co_short;
            $dealer_dnc = DB::connection('mysql2')->table($dealer_dnc_table)
                                    ->select('*')
                                    ->get();

            $dnc_phones = array();
            foreach($global_dnc as $dnc)
            {
                $dnc_phones[$dnc->phone] =  true;
            }
            foreach($dealer_dnc as $dnc)
            {
                $dnc_phones[$dnc->phone] =  true;
            }
            $total_dnc = 0;
            foreach ($master_phone_numbers as $key => $value) {
                if(isset($dnc_phones[$value->phone])) $total_dnc++;
            }


            $dealer_dne_table = 'dne_'.$company->co_short;
            $dealer_dne = DB::connection('mysql2')->table($dealer_dne_table)
                                    ->select('*')
                                    ->get();
            $dne_emails = array();
            foreach($dealer_dne as $dne)
            {
                $dne_emails[$dne->email] =  true;
            }
            $total_dne = 0;
            foreach ($master_emails as $key => $value) {
                if(isset($dne_emails[$value->email])) $total_dne++;
            }

            $ghostvin_total = 0;
            $ghostvin_customer_status_total = array();
            $ghostvin_customer_status_total[44] = array();
            $ghostvin_customer_status_total[36] = array();
            $ghostvin_customer_status_total[20] = array();
            $ghostvin_customer_status_total[35] = array();
            $ghostvin_customer_status_total[33] = array();
            $ghostvin_customer_status_total[0] = array();

            $toyota_care_ghostvin = array();
            $toyota_care_ghostvin[44] = 0;
            $toyota_care_ghostvin[36] = 0;
            $toyota_care_ghostvin[20] = 0;
            $toyota_care_ghostvin[35] = 0;
            $toyota_care_ghostvin[33] = 0;
            $toyota_care_ghostvin[0] = 0;

            $total_toyota_care_eligible = 0;
            $total_toyota_care_ghostvin_total = 0;

            $toyota_care_categories = array();

            if($is_toyota_dealer && $leo_master_total > 0)
            {
                foreach($dealer_master_vin as $dealer_master)
                {
                    if(in_array(trim($dealer_master->vin), $master_vin_array))
                    {
                        if (empty( $dealer_master_vin_customer_status_array[$dealer_master->customer_type][$master_vin_customer_status_array[trim($dealer_master->vin)]] ) ) {
                            $dealer_master_vin_customer_status_array[$dealer_master->customer_type][$master_vin_customer_status_array[trim($dealer_master->vin)]] = 0;
                        }
                        $dealer_master_vin_customer_status_array[$dealer_master->customer_type][$master_vin_customer_status_array[trim($dealer_master->vin)]] += 1;

                        $dealer_master_vin__array[$dealer_master->customer_type][$master_vin_customer_status_array[trim($dealer_master->vin)]][] = $dealer_master->id;
                        $ghostvin_total++;
                        $ghostvin_customer_status_total[$master_vin_customer_status_array[trim($dealer_master->vin)]][] = $dealer_master->id;
                    }

                    if($dealer_master->toyota_care == 'Y')
                    {
                        if(in_array(trim($dealer_master->vin), $master_vin_array))
                        {
                            $toyota_care_ghostvin[$master_vin_customer_status_array[trim($dealer_master->vin)]] += 1;
                            $total_toyota_care_ghostvin_total += 1;
                        }
                        $total_toyota_care_eligible++;
                        if(!isset($toyota_care_categories[$dealer_master->customer_type]))
                            $toyota_care_categories[$dealer_master->customer_type] = 0;
                        $toyota_care_categories[$dealer_master->customer_type]+= 1;
                    }
                }
                ksort($toyota_care_categories);
            } else {
                foreach($dealer_master_vin as $dealer_master)
                {
                    if(in_array(trim($dealer_master->vin), $master_vin_array))
                    {
                        $ghostvin_total++;
                        $ghostvin_customer_status_total[$master_vin_customer_status_array[trim($dealer_master->vin)]][] = $dealer_master->id;
                    }
                }
            }

            

            $active_vin_44 = implode(",", $dealer_master_vin__array['Active'][44]);
            $active_vin_36 = implode(",", $dealer_master_vin__array['Active'][36]);
            $active_vin_20 = implode(",", $dealer_master_vin__array['Active'][20]);
            $active_vin_35 = implode(",", $dealer_master_vin__array['Active'][35]);
            $active_vin_33 = implode(",", $dealer_master_vin__array['Active'][33]);
            $active_vin_0 = implode(",", $dealer_master_vin__array['Active'][0]);
            
            $inactive_vin_44 = implode(",", $dealer_master_vin__array['Inactive'][44]);
            $inactive_vin_36 = implode(",", $dealer_master_vin__array['Inactive'][36]);
            $inactive_vin_20 = implode(",", $dealer_master_vin__array['Inactive'][20]);
            $inactive_vin_35 = implode(",", $dealer_master_vin__array['Inactive'][35]);
            $inactive_vin_33 = implode(",", $dealer_master_vin__array['Inactive'][33]);
            $inactive_vin_0 = implode(",", $dealer_master_vin__array['Inactive'][0]);

            $not_enganged_vin_44 = implode(",", $dealer_master_vin__array['Not Engaged'][44]);
            $not_enganged_vin_36 = implode(",", $dealer_master_vin__array['Not Engaged'][36]);
            $not_enganged_vin_20 = implode(",", $dealer_master_vin__array['Not Engaged'][20]);
            $not_enganged_vin_35 = implode(",", $dealer_master_vin__array['Not Engaged'][35]);
            $not_enganged_vin_33 = implode(",", $dealer_master_vin__array['Not Engaged'][33]);
            $not_enganged_vin_0 = implode(",", $dealer_master_vin__array['Not Engaged'][0]);

            $all_vin_44 = implode(",", $ghostvin_customer_status_total[44]);
            $all_vin_36 = implode(",", $ghostvin_customer_status_total[36]);
            $all_vin_20 = implode(",", $ghostvin_customer_status_total[20]);
            $all_vin_35 = implode(",", $ghostvin_customer_status_total[35]);
            $all_vin_33 = implode(",", $ghostvin_customer_status_total[33]);
            $all_vin_0 = implode(",", $ghostvin_customer_status_total[0]);


            $dealer_livecall_table = 'livecall_'.$company->co_short;
            $livecalls = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id) as total_calls, livecall_next_calltype')
                                    ->where('remind', '>=', date('Y-m-d', strtotime('-7 days')))
                                    ->where('remind', '<=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 50 days')))
                                    ->whereRaw('livecall_count < livecall_times')
                                    ->where('livecall_showtocall', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->groupBy('livecall_next_calltype')
                                    ->get();

            
            $call_queue = array();
            foreach ($livecalls as $key => $value) {
                $call_queue[$value->livecall_next_calltype] = $value->total_calls;
            }

            $livecalls_today = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id) as total_calls, livecall_next_calltype')
                                    ->where('remind', '>=', date('Y-m-d', strtotime('-7 days')))
                                    ->where('remind', '<=', date('Y-m-d'))
                                    ->whereRaw('livecall_count < livecall_times')
                                    ->where('livecall_showtocall', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->groupBy('livecall_next_calltype')
                                    ->get();

            $call_queue_today = array();
            foreach ($livecalls_today as $key => $value) {
                $call_queue_today[$value->livecall_next_calltype] = $value->total_calls;
            }

            $total_toyota_care_scheduled = 0;
            $toyota_care_calltypes_ids = array('6','','7','8','9','10','24','48','49','50','54','55','79');
            foreach ($call_queue as $key => $value) {
                if(in_array($key, $toyota_care_calltypes_ids))
                {
                    $total_toyota_care_scheduled+= $value;
                }
            }


            $sfu_livecalls_happy = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id)')
                                    ->where('livecall_prev_calltype', 2)
                                    ->where('customer_status', 7)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-12 months')))
                                    ->count();

            $sfu_livecalls_not_happy = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id)')
                                    ->where('livecall_prev_calltype', 2)
                                    ->where('customer_status', 8)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-12 months')))
                                    ->count();

            $salesfu_livecalls_happy = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id)')
                                    ->where('livecall_prev_calltype', 4)
                                    ->where('customer_status', 7)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-12 months')))
                                    ->count();

            $salesfu_livecalls_not_happy = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id)')
                                    ->where('livecall_prev_calltype', 4)
                                    ->where('customer_status', 8)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-12 months')))
                                    ->count();

            $calltypes = DB::connection('mysql2')->table('callcenter_calltypes')
                                    ->orderBy('calltype_text')
                                    ->get();

            $calltypes_array = array();
            foreach ($calltypes as $key => $value) {
                $calltypes_array[$value->cid] = $value->calltype_text;
            }


            $livecalls_all_vin = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(DISTINCT(vin)) as total_count')
                                    ->first();
            $livecalls_all_vin_count = $livecalls_all_vin->total_count;

            $livecalls_toyota = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(DISTINCT(vin)) as total_count')
                                    ->where('vehicle_make', 'toyota')
                                    ->first();
            $livecalls_toyota_count = $livecalls_toyota->total_count;

            $livecalls_toyota_active = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(vin) as total_count')
                                    ->where('vehicle_make', 'toyota')
                                    ->where(function($query) {
                                        $query->where('livecall_prev_calltype', 2)
                                            ->orWhere('livecall_next_calltype', 2);
                                    })
                                    ->where(function($query) {
                                        $query->where('lastupdate', '>=', date('Y-m-d 00:00:00', strtotime(date('Y-m-d'). '-12 months')))
                                            ->orWhere('dateadded', '>=', date('Y-m-d 00:00:00', strtotime(date('Y-m-d'). '-12 months')));
                                    })
                                    ->first();
            $livecalls_toyota_active_count = $livecalls_toyota_active->total_count;

            $livecalls_other_make = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(DISTINCT(vin)) as total_count')
                                    ->where('vehicle_make', '!=', 'toyota')
                                    ->where('vehicle_make', '!=', '')
                                    ->whereRaw('vehicle_make IS NOT NULL')
                                    ->first();
            $livecalls_other_make_count = $livecalls_other_make->total_count;

            $livecalls_other_make_active = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(vin) as total_count')
                                    ->where('vehicle_make', '!=', 'toyota')
                                    ->where('vehicle_make', '!=', '')
                                    ->whereRaw('vehicle_make IS NOT NULL')
                                    ->where(function($query) {
                                        $query->where('livecall_prev_calltype', 2)
                                            ->orWhere('livecall_next_calltype', 2);
                                    })
                                    ->where(function($query) {
                                        $query->where('lastupdate', '>=', date('Y-m-d 00:00:00', strtotime(date('Y-m-d'). '-12 months')))
                                            ->orWhere('dateadded', '>=', date('Y-m-d 00:00:00', strtotime(date('Y-m-d'). '-12 months')));
                                    })
                                    ->first();
            $livecalls_other_make_active_count = $livecalls_other_make_active->total_count;



            $updated_inactive_vins_count = DB::connection('mysql')->table($db_table)
                                    ->select('vin')
                                    ->where('customer_type', '=', 'Inactive')
                                    ->whereRaw('updated_customer_type IS NOT NULL')
                                    ->count();

            if($company->co_short == 'ccjosephtoylc')
            {
                $db_table = 'service_connect_'.$company->co_short;
                $service_connect = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('alert_type', 'Maintenance')
                                    ->orWhere('alert_type', 'Warning')
                                    ->orderBy('alert_time', 'desc')
                                    ->paginate(10);
            } else {
                $service_connect = false;
            }


            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");
            $five_months_ago_modify = $new_date->modify("-5 months");
            $five_months_ago = $new_date->format("Y-m-d");

            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");
            $seven_months_ago_modify = $new_date->modify("-7 months");
            $seven_months_ago = $new_date->format("Y-m-d");

            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");

            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");
            $five_months_ago_modify = $new_date->modify("-5 months");
            $five_months_ago_modify_one = $new_date->modify("+1 day");
            $five_months_ago_plus_one_day = $new_date->format("Y-m-d");


            //$dealer_livecall_table = 'livecall_'.$company->co_short;
            /*$mc_five_to_seven_months = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->select('id')
                                    ->where('remind', '>=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 5 months')))
                                    ->where('remind', '<=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 7 months')))
                                    ->where('livecall_showtocall', 1)
                                    ->where('mc_scheduled', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->count();*/

            $mc_five_to_seven_months_query = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(DISTINCT(vin)) as total_five_to_seven')
                                    ->whereRaw("STR_TO_DATE(service_date, '%m/%d/%Y') NOT BETWEEN CAST('".$five_months_ago_plus_one_day."' AS DATE)  AND CAST('".$today."' AS DATE)")
                                    ->whereRaw("STR_TO_DATE(service_date, '%m/%d/%Y') BETWEEN CAST('".$seven_months_ago."' AS DATE) AND CAST('".$five_months_ago."' AS DATE)")
                                    ->first();
            $mc_five_to_seven_months = $mc_five_to_seven_months_query->total_five_to_seven;

            //SELECT COUNT(DISTINCT(vin)) as total FROM `livecall_ccjosephtoylc` WHERE (STR_TO_DATE(service_date, '%m/%d/%Y') NOT BETWEEN CAST('2020-08-04' AS DATE)  AND CAST('2020-03-02' AS DATE)) AND (STR_TO_DATE(service_date, '%m/%d/%Y') BETWEEN CAST('2020-01-01' AS DATE) AND CAST('2020-03-01' AS DATE))


            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");
            $eight_months_ago_modify = $new_date->modify("-8 months");
            $eight_months_ago = $new_date->format("Y-m-d");

            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");
            $eleven_months_ago_modify = $new_date->modify("-11 months");
            $eleven_months_ago = $new_date->format("Y-m-d");

            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");

            $new_date = new \DateTime();
            $today = $new_date->format("Y-m-d");
            $eight_months_ago_modify = $new_date->modify("-8 months");
            $eight_months_ago_modify_one = $new_date->modify("+1 day");
            $eight_months_ago_plus_one_day = $new_date->format("Y-m-d");

            /*$mc_eight_to_eleven_months = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->select('id')
                                    ->where('remind', '>=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 8 months')))
                                    ->where('remind', '<=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 11 months')))
                                    ->where('livecall_showtocall', 1)
                                    ->where('mc_scheduled', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->count();*/

            $mc_eight_to_eleven_months_query = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(DISTINCT(vin)) as total_eight_to_eleven')
                                    ->whereRaw("STR_TO_DATE(service_date, '%m/%d/%Y') NOT BETWEEN CAST('".$eight_months_ago_plus_one_day."' AS DATE)  AND CAST('".$today."' AS DATE)")
                                    ->whereRaw("STR_TO_DATE(service_date, '%m/%d/%Y') BETWEEN CAST('".$eleven_months_ago."' AS DATE) AND CAST('".$eight_months_ago."' AS DATE)")
                                    ->first();
            $mc_eight_to_eleven_months = $mc_eight_to_eleven_months_query->total_eight_to_eleven;


            $mc_today_calls_count = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->select('id')
                                    ->where('remind', '=', date('Y-m-d'))
                                    ->where('livecall_showtocall', 1)
                                    ->where('mc_scheduled', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->count();

            $mc_today_emails_count = DB::connection('mysql2')->table('callcenter_scheduled_reminder_emails')
                                    ->select('id')
                                    ->where('reminder_date', '=', date('Y-m-d'))
                                    ->where('coid', $request->coid)
                                    ->count();
            
            $recalls_in_pma = DB::connection('mysql')->table('recall_records')
                                    ->select('*')
                                    ->where('coid', $request->coid)
                                    ->where('pma', 'IN')
                                    ->get();

            $recalls_in_pma_categories = array();
            $recalls_in_pma_categories['Active'] = 0;
            $recalls_in_pma_categories['Inactive'] = 0;
            $recalls_in_pma_categories['Not Engaged'] = 0;

            foreach ($recalls_in_pma as $key => $value) {
                if(in_array($value->vin, $total_active_records_array))
                {
                    $recalls_in_pma_categories['Active']+= 1;
                } elseif(in_array($value->vin, $total_inactive_records_array)) {
                    $recalls_in_pma_categories['Inactive']+= 1;
                } elseif(in_array($value->vin, $total_not_enganged_records_array)) {
                    $recalls_in_pma_categories['Not Engaged']+= 1;
                }
            }

            $recalls_out_pma = DB::connection('mysql')->table('recall_records')
                                    ->select('*')
                                    ->where('coid', $request->coid)
                                    ->where('pma', 'OUT')
                                    ->get();

            $recalls_out_pma_categories = array();
            $recalls_out_pma_categories['Active'] = 0;
            $recalls_out_pma_categories['Inactive'] = 0;
            $recalls_out_pma_categories['Not Engaged'] = 0;

            foreach ($recalls_out_pma as $key => $value) {
                if(in_array($value->vin, $total_active_records_array))
                {
                    $recalls_out_pma_categories['Active']+= 1;
                } elseif(in_array($value->vin, $total_inactive_records_array)) {
                    $recalls_out_pma_categories['Inactive']+= 1;
                } elseif(in_array($value->vin, $total_not_enganged_records_array)) {
                    $recalls_out_pma_categories['Not Engaged']+= 1;
                }
            }

            $recalls_in_pma_count = $recalls_in_pma->count();
            $recalls_out_pma_count = $recalls_out_pma->count();

            $recalls_in_pma_status = array();
            $recalls_in_pma_status[44] = 0;
            $recalls_in_pma_status[36] = 0;
            $recalls_in_pma_status[20] = 0;
            $recalls_in_pma_status[35] = 0;
            $recalls_in_pma_status[33] = 0;
            $recalls_in_pma_status[0] = 0;

            $recalls_out_pma_status = array();
            $recalls_out_pma_status[44] = 0;
            $recalls_out_pma_status[36] = 0;
            $recalls_out_pma_status[20] = 0;
            $recalls_out_pma_status[35] = 0;
            $recalls_out_pma_status[33] = 0;
            $recalls_out_pma_status[0] = 0;

            foreach($recalls_in_pma as $recall)
            {
                if(in_array(trim($recall->vin), $master_vin_array))
                {
                    $recalls_in_pma_status[$master_vin_customer_status_array[trim($recall->vin)]] += 1;
                }
            }

            foreach($recalls_out_pma as $recall)
            {
                if(in_array(trim($recall->vin), $master_vin_array))
                {
                    $recalls_out_pma_status[$master_vin_customer_status_array[trim($recall->vin)]] += 1;
                }
            }



        } else if(Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller')
        {
            $dealer_livecall_table = 'livecall_'.$company->co_short;
            $livecalls = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id) as total_calls, livecall_next_calltype')
                                    ->where('remind', '>=', date('Y-m-d', strtotime('-7 days')))
                                    ->where('remind', '<=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 50 days')))
                                    ->whereRaw('livecall_count < livecall_times')
                                    ->where('livecall_showtocall', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->groupBy('livecall_next_calltype')
                                    ->get();

            
            $call_queue = array();
            foreach ($livecalls as $key => $value) {
                $call_queue[$value->livecall_next_calltype] = $value->total_calls;
            }

            $livecalls_today = DB::connection('mysql2')->table($dealer_livecall_table)
                                    ->selectRaw('COUNT(id) as total_calls, livecall_next_calltype')
                                    ->where('remind', '>=', date('Y-m-d', strtotime('-7 days')))
                                    ->where('remind', '<=', date('Y-m-d'))
                                    ->whereRaw('livecall_count < livecall_times')
                                    ->where('livecall_showtocall', 1)
                                    ->where('livecall_next_calltype', '!=', 0)
                                    ->whereRaw('livecall_next_calltype IS NOT NULL')
                                    ->groupBy('livecall_next_calltype')
                                    ->get();

            $call_queue_today = array();
            foreach ($livecalls_today as $key => $value) {
                $call_queue_today[$value->livecall_next_calltype] = $value->total_calls;
            }

            $calltypes = DB::connection('mysql2')->table('callcenter_calltypes')
                                    ->orderBy('calltype_text')
                                    ->get();

            $calltypes_array = array();
            foreach ($calltypes as $key => $value) {
                $calltypes_array[$value->cid] = $value->calltype_text;
            }

            if($company->co_short == 'ccjosephtoylc')
            {
                $db_table = 'service_connect_'.$company->co_short;
                $service_connect = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('alert_type', 'Maintenance')
                                    ->orWhere('alert_type', 'Warning')
                                    ->orderBy('alert_time', 'desc')
                                    ->paginate(10);
            } else {
                $service_connect = false;
            }

        }        

        if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Inbound Caller' || Auth::user()->user_type->name == 'Dealer Caller')
        {
            $dealer_inbound_table = 'inboundcall_'.$company->co_short;
            $inbound_calls_30_days = DB::connection('mysql3')->table($dealer_inbound_table)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                    ->count();

            $inbound_calls = DB::connection('mysql3')->table($dealer_inbound_table)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                    ->orderBy('lastupdate', 'desc')
                                    ->get();

            $inbound_calls_ids_array = array();
            foreach ($inbound_calls as $key => $value) {
                $inbound_calls_ids[] = $value->uid;
            }
            $inbound_calls_ids = implode(',', $inbound_calls_ids_array);


            $inbound_calls_service_apt = DB::connection('mysql3')->table($dealer_inbound_table)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                    ->where('resolution', 1)
                                    ->count();

            $inbound_calls_service_apt_reschedule = DB::connection('mysql3')->table($dealer_inbound_table)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                    ->where('resolution', 7)
                                    ->count();

            $inbound_calls_took_message = DB::connection('mysql3')->table($dealer_inbound_table)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                    ->where('resolution', 4)
                                    ->count();

            $inbound_calls_provided_info = DB::connection('mysql3')->table($dealer_inbound_table)
                                    ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                    ->where('resolution', 5)
                                    ->count();

            $callcenter_inbound_resolution = DB::connection('mysql2')->table('callcenter_inbound_resolution')
                                    ->get();

            $inbound_resolution_array =  array();
            $inbound_resolution_array[0] = '';
            foreach ($callcenter_inbound_resolution as $key => $value) {
                $inbound_resolution_array[$value->id] = $value->resolution_text;
            }
        }
        
        if(Auth::user()->user_type->name == 'Inbound Caller')
        {

            return view('partials.report', [
                                            'company' => $company,
                                            'is_toyota_dealer' => $is_toyota_dealer,
                                            'company_name' => $company->co_name,
                                            'co_short' => $company->co_short,
                                            'coid' => $request->coid,
                                            'inbound_calls' => $inbound_calls,
                                            'inbound_calls_ids' => $inbound_calls_ids,
                                            'inbound_resolution_array' => $inbound_resolution_array,
                                            'inbound_calls_30_days' => $inbound_calls_30_days,
                                            'inbound_calls_service_apt' => $inbound_calls_service_apt,
                                            'inbound_calls_service_apt_reschedule' => $inbound_calls_service_apt_reschedule,
                                            'inbound_calls_took_message' => $inbound_calls_took_message,
                                            'inbound_calls_provided_info' => $inbound_calls_provided_info,
                                            'recent_call_link' => $recent_call_link,
                                            'db_table' => $company->co_short.'_master_vins',
                                        ]);
        } else if(Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller') {

            return view('partials.report', [
                                            'company' => $company,
                                            'is_toyota_dealer' => $is_toyota_dealer,
                                            'company_name' => $company->co_name,
                                            'co_short' => $company->co_short,
                                            'coid' => $request->coid,
                                            'inbound_calls' => $inbound_calls,
                                            'inbound_calls_ids' => $inbound_calls_ids,
                                            'inbound_resolution_array' => $inbound_resolution_array,
                                            'inbound_calls_30_days' => $inbound_calls_30_days,
                                            'inbound_calls_service_apt' => $inbound_calls_service_apt,
                                            'inbound_calls_service_apt_reschedule' => $inbound_calls_service_apt_reschedule,
                                            'inbound_calls_took_message' => $inbound_calls_took_message,
                                            'inbound_calls_provided_info' => $inbound_calls_provided_info,
                                            'recent_call_link' => $recent_call_link,
                                            'db_table' => $company->co_short.'_master_vins',
                                            
                                            'call_queue' => $call_queue,
                                            'call_queue_today' => $call_queue_today,
                                            'calltypes_array' => $calltypes_array,
                                            'service_connect' => $service_connect,
                                        ]);

        } else {
            return view('partials.report', [
                                            'company' => $company,
                                            'is_toyota_dealer' => $is_toyota_dealer,
                                            'company_name' => $company->co_name,
                                            'total' => $total,
                                            'total_active' => $total_active,
                                            'original_total_active' => $original_total_active,
                                            'total_inactive' => $total_inactive,
                                            'original_total_inactive' => $original_total_inactive,
                                            'total_not_enganged' => $total_not_enganged,
                                            'original_total_not_enganged' => $original_total_not_enganged,
                                            'total_customer_status' => $dealer_master_vin_customer_status_array,
                                            'ghostvin_total' => $ghostvin_total,
                                            'active_vin_44' => $active_vin_44,
                                            'active_vin_36' => $active_vin_36,
                                            'active_vin_20' => $active_vin_20,
                                            'active_vin_35' => $active_vin_35,
                                            'active_vin_33' => $active_vin_33,
                                            'active_vin_0' => $active_vin_0,
                                            'inactive_vin_44' => $inactive_vin_44,
                                            'inactive_vin_36' => $inactive_vin_36,
                                            'inactive_vin_20' => $inactive_vin_20,
                                            'inactive_vin_35' => $inactive_vin_35,
                                            'inactive_vin_33' => $inactive_vin_33,
                                            'inactive_vin_0' => $inactive_vin_0,
                                            'not_enganged_vin_44' => $not_enganged_vin_44,
                                            'not_enganged_vin_36' => $not_enganged_vin_36,
                                            'not_enganged_vin_20' => $not_enganged_vin_20,
                                            'not_enganged_vin_35' => $not_enganged_vin_35,
                                            'not_enganged_vin_33' => $not_enganged_vin_33,
                                            'not_enganged_vin_0' => $not_enganged_vin_0,
                                            'db_table' => $company->co_short.'_master_vins',
                                            'co_short' => $company->co_short,
                                            'coid' => $request->coid,
                                            'total_phone_numbers' => $master_phone_numbers->count(),
                                            'total_emails' => $master_emails->count(),
                                            'total_dnc' => $total_dnc,
                                            'total_dne' => $total_dne,
                                            'customer_status_total' => $ghostvin_customer_status_total,
                                            'calltypes_array' => $calltypes_array,
                                            'call_queue' => $call_queue,
                                            'call_queue_today' => $call_queue_today,
                                            'sfu_livecalls_happy' => $sfu_livecalls_happy,
                                            'sfu_livecalls_not_happy' => $sfu_livecalls_not_happy,
                                            'salesfu_livecalls_happy' => $salesfu_livecalls_happy,
                                            'salesfu_livecalls_not_happy' => $salesfu_livecalls_not_happy,
                                            'total_toyota_care_eligible' => $total_toyota_care_eligible,
                                            'total_toyota_care_scheduled' => $total_toyota_care_scheduled,
                                            'all_vin_44' => $all_vin_44,
                                            'all_vin_36' => $all_vin_36,
                                            'all_vin_20' => $all_vin_20,
                                            'all_vin_35' => $all_vin_35,
                                            'all_vin_33' => $all_vin_33,
                                            'all_vin_0' => $all_vin_0,
                                            'livecalls_all_vin_count' => $livecalls_all_vin_count,
                                            'livecalls_toyota_count' => $livecalls_toyota_count,
                                            'livecalls_other_make_count' => $livecalls_other_make_count,
                                            'livecalls_toyota_active_count' => $livecalls_toyota_active_count,
                                            'livecalls_other_make_active_count' => $livecalls_other_make_active_count,
                                            'inbound_calls' => $inbound_calls,
                                            'inbound_calls_ids' => $inbound_calls_ids,
                                            'inbound_resolution_array' => $inbound_resolution_array,
                                            'inbound_calls_30_days' => $inbound_calls_30_days,
                                            'inbound_calls_service_apt' => $inbound_calls_service_apt,
                                            'inbound_calls_service_apt_reschedule' => $inbound_calls_service_apt_reschedule,
                                            'inbound_calls_took_message' => $inbound_calls_took_message,
                                            'inbound_calls_provided_info' => $inbound_calls_provided_info,
                                            'updated_inactive_vins_count' => $updated_inactive_vins_count,
                                            'recent_call_link' => $recent_call_link,
                                            'service_connect' => $service_connect,
                                            'mc_five_to_seven_months' => $mc_five_to_seven_months,
                                            'mc_eight_to_eleven_months' => $mc_eight_to_eleven_months,
                                            'mc_today_calls_count' => $mc_today_calls_count,
                                            'mc_today_emails_count' => $mc_today_emails_count,
                                            'recalls_in_pma_count' => $recalls_in_pma_count,
                                            'recalls_out_pma_count' => $recalls_out_pma_count,
                                            'toyota_care_ghostvin' => $toyota_care_ghostvin,
                                            'total_toyota_care_ghostvin_total' => $total_toyota_care_ghostvin_total,
                                            'recalls_in_pma_status' => $recalls_in_pma_status,
                                            'recalls_out_pma_status' => $recalls_out_pma_status,
                                            'toyota_care_categories' => $toyota_care_categories,
                                            'recalls_in_pma_categories' => $recalls_in_pma_categories,
                                            'recalls_out_pma_categories' => $recalls_out_pma_categories,
                                        ]);
        }
    }


    public function getReportSecond(Request $request)
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();

        /*$livecall_table = 'livecall_'.$company->co_short;                        
        $global_removed_vins_table = 'global_removed_vins';


        $dealer_master_vin_destroyed = DB::connection('mysql2')->table($global_removed_vins_table)
                                    ->selectRAW('COUNT(DISTINCT(global_removed_vins.vin)) as total_destroyed')
                                    ->join($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                    ->where('global_removed_vins.customer_status', '=', '36')
                                    ->first();*/
        $is_toyota_dealer = (strpos(strtolower($company->co_name), 'toyota') !== false) ? true : false;

        if($is_toyota_dealer) {
            $livecall_table = $company->co_short.'_master_vins';
            $global_removed_vins_table = 'global_removed_vins';
            $mysql_connection = 'mysql';
        } else {
            $livecall_table = 'livecall_'.$company->co_short;                        
            $global_removed_vins_table = 'global_removed_vins';
            $mysql_connection = 'mysql2';
        }
        

        $dealer_master_vin_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                    ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                    ->join($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                    ->where('global_removed_vins.customer_status', '=', '36')
                                    ->where('global_removed_vins.vin', '!=', '')
                                    ->whereRaw('global_removed_vins.vin IS NOT NULL')
                                    ->get();

        if($is_toyota_dealer) {
            $dealer_master_vin_active_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                        ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                        ->join($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                        ->where('global_removed_vins.customer_status', '=', '36')
                                        ->where($livecall_table.'.customer_type', '=', 'Active')
                                        ->get();

            $dealer_master_vin_inactive_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                        ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                        ->join($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                        ->where('global_removed_vins.customer_status', '=', '36')
                                        ->where($livecall_table.'.customer_type', '=', 'Inactive')
                                        ->get();

            $dealer_master_vin_not_engaged_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                        ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                        ->join($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                        ->where('global_removed_vins.customer_status', '=', '36')
                                        ->where($livecall_table.'.customer_type', '=', 'Not Engaged')
                                        ->get();

            $dealer_master_vin_not_tc_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                        ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                        ->join($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                        ->where('global_removed_vins.customer_status', '=', '36')
                                        ->where($livecall_table.'.toyota_care', '=', 'Y')
                                        ->get();

            $dealer_master_vin_in_pma_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                        ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                        ->join('recall_records', 'global_removed_vins.vin', '=', 'recall_records.vin')
                                        ->where('global_removed_vins.customer_status', '=', '36')
                                        ->where('recall_records.coid', $request->coid)
                                        ->where('recall_records.pma', '=', 'IN')
                                        ->get();

            $dealer_master_vin_out_pma_destroyed = DB::connection($mysql_connection)->table($global_removed_vins_table)
                                        ->selectRAW('DISTINCT(global_removed_vins.vin) as found_vin')
                                        ->join('recall_records', 'global_removed_vins.vin', '=', 'recall_records.vin')
                                        ->where('global_removed_vins.customer_status', '=', '36')
                                        ->where('recall_records.coid', $request->coid)
                                        ->where('recall_records.pma', '=', 'OUT')
                                        ->get();
        }

        /*$dealer_master_vin_destroyed = DB::connection('mysql')->table('global_removed_vins')
                                        ->selectRaw('DISTINCT(vin) as found_vin')
                                        ->where('coid', '=', $request->coid)
                                        ->where('customer_status', '=', '36')
                                        ->get();

        $dealer_master_vin_destroyed_count = DB::connection('mysql')->table('global_removed_vins')
                                        ->selectRaw('DISTINCT(vin) as found_vin')
                                        ->where('coid', '=', $request->coid)
                                        ->where('customer_status', '=', '36')
                                        ->count();*/
        //ALL
        $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_36" name="global_destroyed_36" value="'.implode(',', $dealer_master_vin_destroyed->pluck('found_vin')->toArray()).'">';
        $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed\', 36)">Global Destroyed Vins: '.$dealer_master_vin_destroyed->count().'</span>';

        $dealer_master_vin_destroyed_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;


        if($is_toyota_dealer) {
            //ACTIVE
            $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_active_36" name="global_destroyed_active_36" value="'.implode(',', $dealer_master_vin_active_destroyed->pluck('found_vin')->toArray()).'">';
            $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed_active\', 36)">Global Destroyed Vins: '.$dealer_master_vin_active_destroyed->count().'</span>';

            $dealer_master_vin_destroyed_active_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;


            //INACTIVE
            $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_inactive_36" name="global_destroyed_inactive_36" value="'.implode(',', $dealer_master_vin_inactive_destroyed->pluck('found_vin')->toArray()).'">';
            $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed_inactive\', 36)">Global Destroyed Vins: '.$dealer_master_vin_inactive_destroyed->count().'</span>';

            $dealer_master_vin_destroyed_inactive_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;

            //NOT ENGANGED
            $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_not_engaged_36" name="global_destroyed_not_engaged_36" value="'.implode(',', $dealer_master_vin_not_engaged_destroyed->pluck('found_vin')->toArray()).'">';
            $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed_not_engaged\', 36)">Global Destroyed Vins: '.$dealer_master_vin_not_engaged_destroyed->count().'</span>';

            $dealer_master_vin_destroyed_not_engaged_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;

            //TOYOTA CARE
            $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_tc_36" name="global_destroyed_tc_36" value="'.implode(',', $dealer_master_vin_not_tc_destroyed->pluck('found_vin')->toArray()).'">';
            $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed_tc\', 36)">Global Destroyed Vins: '.$dealer_master_vin_not_tc_destroyed->count().'</span>';

            $dealer_master_vin_destroyed_tc_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;

            //RECALL IN
            $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_in_pma_36" name="global_destroyed_in_pma_36" value="'.implode(',', $dealer_master_vin_in_pma_destroyed->pluck('found_vin')->toArray()).'">';
            $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed_in_pma\', 36)">Global Destroyed Vins: '.$dealer_master_vin_in_pma_destroyed->count().'</span>';

            $dealer_master_vin_destroyed_in_pma_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;

            //RECALL OUT
            $dealer_master_vin_destroyed_input = '<input type="hidden" id="global_destroyed_out_pma_36" name="global_destroyed_out_pma_36" value="'.implode(',', $dealer_master_vin_out_pma_destroyed->pluck('found_vin')->toArray()).'">';
            $dealer_master_vin_destroyed_label = '<span class="cursorpointer" onclick="showFoundVins(event, \'global_destroyed_out_pma\', 36)">Global Destroyed Vins: '.$dealer_master_vin_out_pma_destroyed->count().'</span>';

            $dealer_master_vin_destroyed_out_pma_result = $dealer_master_vin_destroyed_label.$dealer_master_vin_destroyed_input;
        }
        
        if($is_toyota_dealer)
        {
            $response = array(
                'global_total_ghosted_vins_destroyed' => $dealer_master_vin_destroyed_result,
                'global_total_ghosted_vins_destroyed_active' => $dealer_master_vin_destroyed_active_result,
                'global_total_ghosted_vins_destroyed_inactive' => $dealer_master_vin_destroyed_inactive_result,
                'global_total_ghosted_vins_destroyed_not_engaged' => $dealer_master_vin_destroyed_not_engaged_result,
                'global_total_ghosted_vins_destroyed_tc' => $dealer_master_vin_destroyed_tc_result,
                'global_total_ghosted_vins_destroyed_in_pma' => $dealer_master_vin_destroyed_in_pma_result,
                'global_total_ghosted_vins_destroyed_out_pma' => $dealer_master_vin_destroyed_out_pma_result,
            );
        } else {
            $response = array(
                'global_total_ghosted_vins_destroyed' => $dealer_master_vin_destroyed_result,
                'global_total_ghosted_vins_destroyed_active' => '',
                'global_total_ghosted_vins_destroyed_inactive' => '',
                'global_total_ghosted_vins_destroyed_not_engaged' => '',
                'global_total_ghosted_vins_destroyed_tc' => '',
                'global_total_ghosted_vins_destroyed_in_pma' => '',
                'global_total_ghosted_vins_destroyed_out_pma' => '',
            );
        }
        

        return response()->json($response);

    }


    public function getReporThird(Request $request)
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();

        $livecall_table = 'livecall_'.$company->co_short;                        
        
        $ghosted_vins = DB::connection('mysql2')->table('global_removed_vins')
                                    ->selectRAW(
                                            "global_removed_vins.customer_status as customer_status,
                                            global_removed_vins.fname as fname,
                                            global_removed_vins.lname as lname,
                                            global_removed_vins.vin as vin,
                                            global_removed_vins.phone as phone,
                                            global_removed_vins.cellphone as cellphone,
                                            global_removed_vins.email as email,
                                            $livecall_table.livecall_prev_calltype as livecall_prev_calltype,
                                            $livecall_table.livecall_next_calltype as livecall_next_calltype"
                                        )
                                    ->leftJoin($livecall_table, 'global_removed_vins.vin', '=', $livecall_table.'.vin')
                                    ->where('global_removed_vins.coid', $request->coid)
                                    ->groupBy('vin')
                                    ->get();
        
        $no_lonwer_count           = 0;
        $vehicle_destroyed_count   = 0;
        $servicing_elsewhere_count = 0;
        $out_of_state_count        = 0;
        $vehicle_traded_in_ghosted = 0;
        $unknonw_count             = 0;
        $total_count               = 0;
        
        foreach ( $ghosted_vins as $key => $value ) {
            switch( $value->customer_status ) {
                case "20" : $no_lonwer_count++; break;
                case "36" : $vehicle_destroyed_count++; break;
                case "33" : $servicing_elsewhere_count++; break;
                case "35" : $out_of_state_count++; break;
                case "44" : $vehicle_traded_in_ghosted++; break;
                default:
                    $unknonw_count++; break;
            }
    
            $total_count++;
        }
                
        $response = array(
            'ghosted_vins_total' => $total_count,
            'ghosted_vins_total_vti' => $vehicle_traded_in_ghosted,
            'ghosted_vins_total_vd' => $vehicle_destroyed_count,
            'ghosted_vins_total_nlo' => $no_lonwer_count,
            'ghosted_vins_total_ofs' => $out_of_state_count,
            'ghosted_vins_total_se' => $servicing_elsewhere_count,
            'ghosted_vins_total_us' => $unknonw_count,
        );
        
        return response()->json($response);

    }

    public function getInboundListDialog(Request $request)
    {

        $order_by_column = ($request->order_by_column != '')? $request->order_by_column : 'lastupdate';
        $order_by_direction = ($request->order_by_direction != '')? $request->order_by_direction : 'desc';


        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('co_short', $request->co_short)
                                ->first();

        $dealer_inbound_table = 'inboundcall_'.$request->co_short;
    	$inbound_calls = DB::connection('mysql3')->table($dealer_inbound_table)
                                ->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                ->orderBy($order_by_column, $order_by_direction)
                                ->get();

        $callcenter_inbound_resolution = DB::connection('mysql2')->table('callcenter_inbound_resolution')
                                ->get();

        $inbound_resolution_array =  array();
        foreach ($callcenter_inbound_resolution as $key => $value) {
            $inbound_resolution_array[$value->id] = $value->resolution_text;
        }


        $dealer_outbound_table = 'livecall_'.$request->co_short;
        $outbound_calls = DB::connection('mysql2')->table($dealer_outbound_table)
                                ->select('dateadded', 'sale_amount', 'vin')
                                ->where(function($query) {
                                    $query->where('lastupdate', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')))
                                        ->orWhere('dateadded', '>=', date('Y-m-d', strtotime(date('Y-m-d'). '-30 days')));
                                })
                                ->where(function($query) {
                                    $query->where('livecall_prev_calltype', 2)
                                        ->orWhere('livecall_next_calltype', 2);
                                })
                                ->orderBy('dateadded', 'desc')
                                ->get();

        $sfu_calls_array = array();
        foreach ($outbound_calls as $key => $value) {
            $sfu_calls_array[$value->vin] = $value->sale_amount;
        }

        $today_date = date('Y-m-d');

    	return view('dialogs.inbound_call_list', [
                                            'company' => $company,
                                            'inbound_calls' => $inbound_calls,
    										'inbound_resolution_array' => $inbound_resolution_array,
    										'header_title' => 'INBOUND Calls - Last 30 days',
                                            'sfu_calls_array' => $sfu_calls_array,
                                            'today_date' => $today_date,
                                            'order_by_column' => $order_by_column,
                                            'order_by_direction' => $order_by_direction,
    									]);
    }

    public function getVinsDialog(Request $request)
    {

        $co_short = '';
        if(strpos($request->db_table, '_master_vins') !== false)
        {
            $co_short = str_replace('_master_vins', '', $request->db_table);
        }
        $is_toyota_dealer = true;
        if($co_short != '')
        {
            $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('co_short', $co_short)
                                ->first();
            $is_toyota_dealer = (strpos(strtolower($company->co_name), 'toyota') !== false) ? true : false;
        }
        

        if($request->type == 'global_destroyed')
        {
            if($is_toyota_dealer)
            {
                $vins_data = DB::connection('mysql')->table($request->db_table)
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->get();
            } else {
                $vins_data = DB::connection('mysql2')->table('livecall_'.$co_short)
                                ->selectRaw('vin, fname as first_name, lname as last_name, phone, vehicle_model as model, vehicle_year as year, service_date as recent_transaction_date')
                                ->where('vin', '!=', '')
                                ->whereRaw('vin IS NOT NULL')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->groupBy('vin')
                                ->get();
            }
            
        } else if($request->type == 'global_destroyed_active')
        {
            $vins_data = DB::connection('mysql')->table($request->db_table)
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->where('customer_type', '=', 'Active')
                                ->get();
        } else if($request->type == 'global_destroyed_inactive')
        {
            $vins_data = DB::connection('mysql')->table($request->db_table)
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->where('customer_type', '=', 'Inactive')
                                ->get();
        } else if($request->type == 'global_destroyed_not_engaged')
        {
            $vins_data = DB::connection('mysql')->table($request->db_table)
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->where('customer_type', '=', 'Not Engaged')
                                ->get();
        } else if($request->type == 'global_destroyed_tc')
        {
            $vins_data = DB::connection('mysql')->table($request->db_table)
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->where('toyota_care', '=', 'Y')
                                ->get();
        } else if($request->type == 'global_destroyed_in_pma')
        {
            $vins_data = DB::connection('mysql')->table('recall_records')
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(vin,'".$request->vin_list."')")
                                ->where('pma', '=', 'IN')
                                ->get();
        } else {
            $vins_data = DB::connection('mysql')->table($request->db_table)
                                ->select('*')
                                ->whereRaw("FIND_IN_SET(id,'".$request->vin_list."')")
                                ->get();
        }
        
        switch ($request->customer_status) {
            case '44':
                $customer_status_label = 'Vehicle Trade In';
                break;
            case '36':
                $customer_status_label = 'Vehicle Destroyed';
                break;
            case '20':
                $customer_status_label = 'No longer owns';
                break;
            case '35':
                $customer_status_label = 'Out of State';
                break;
            case '33':
                $customer_status_label = 'Servicing Elsewhere';
                break;
            case '0':
                $customer_status_label = 'Unknown status';
                break;
            default:
                $customer_status_label = '';
                break;
        }
        $header_title = '';
        if($request->type == 'active')
        {
            $header_title = 'VINS for Active Customers - '.$customer_status_label;
        } elseif($request->type == 'inactive') {
            $header_title = 'VINS for Inactive Customers - '.$customer_status_label;
        } elseif($request->type == 'not_enganged') {
            $header_title = 'VINS for Not Engaged Customers - '.$customer_status_label;
        } elseif($request->type == 'all') {
            $header_title = 'Customer Vins - '.$customer_status_label;
        } elseif($request->type == 'global_destroyed') {
            $header_title = 'Global - '.$customer_status_label;
        }
        
        return view('dialogs.vin_list', [
                                            'vins_data' => $vins_data,
                                            'header_title' => $header_title,
                                        ]);
    }

    public function scheduleCallDialog(Request $request)
    {
       $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $db_table = $company->co_short.'_master_vins';

        if($request->type == 'all')
        {
            $customer_count = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('phone', '!=', '')
                                ->whereRaw('phone IS NOT NULL')
                                ->count();
        } elseif($request->type == 'toyota_care_eligible')
        {
            $customer_count = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('toyota_care', 'Y')
                                ->where('phone', '!=', '')
                                ->whereRaw('phone IS NOT NULL')
                                ->count();
        } else {
            $customer_count = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('customer_type', $request->type)
                                ->where('phone', '!=', '')
                                ->whereRaw('phone IS NOT NULL')
                                ->count();
        }
        

        $calltypes = DB::connection('mysql2')->table('callcenter_calltypes')
                                ->orderBy('calltype_text')
                                ->get();

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($calltypes,'calltype_text', 'cid');
        $calltypes_options = $commonFunctions->select_options;

        $header_title = '';
        if($request->type == 'Active')
        {
            $header_title = 'Schedule Call for '.$customer_count.' Active Customers';
        } elseif($request->type == 'Inactive') {
            $header_title = 'Schedule Call for '.$customer_count.' Inactive Customers';
        } elseif($request->type == 'Not Engaged') {
            $header_title = 'Schedule Call for '.$customer_count.' Not Engaged Customers';
        } elseif($request->type == 'all') {
            $header_title = 'Schedule Call for '.$customer_count.' Customers';
        } elseif($request->type == 'toyota_care_eligible') {
            $header_title = 'Schedule Call for '.$customer_count.' Toyota Care Eligible Customers';
        }

        

        return view('dialogs.schedule_call', [
                                            'customer_count' => $customer_count,
                                            'calltypes_options' => $calltypes_options,
                                            'header_title' => $header_title,
                                        ]);
    }

    public function scheduleEmailDialog(Request $request)
    {
       $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $db_table = $company->co_short.'_master_vins';

        if($request->type == 'all')
        {
            $customer_count = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('email', '!=', '')
                                ->whereRaw('email IS NOT NULL')
                                ->count();
        } elseif($request->type == 'toyota_care_eligible')
        {
            $customer_count = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('toyota_care', 'Y')
                                ->where('email', '!=', '')
                                ->whereRaw('email IS NOT NULL')
                                ->count();
        }  else {
            $customer_count = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('customer_type', $request->type)
                                ->where('email', '!=', '')
                                ->whereRaw('email IS NOT NULL')
                                ->count();
        }

        

        $header_title = '';
        if($request->type == 'Active')
        {
            $header_title = 'Schedule Email for '.$customer_count.' Active Customers';
        } elseif($request->type == 'Inactive') {
            $header_title = 'Schedule Email for '.$customer_count.' Inactive Customers';
        } elseif($request->type == 'Not Engaged') {
            $header_title = 'Schedule Email for '.$customer_count.' Not Engaged Customers';
        } elseif($request->type == 'all') {
            $header_title = 'Schedule Email for '.$customer_count.' Customers';
        } elseif($request->type == 'toyota_care_eligible') {
            $header_title = 'Schedule Email for '.$customer_count.' Toyota Care Eligible Customers';
        }

        return view('dialogs.schedule_email', [
                                            'customer_count' => $customer_count,
                                            'header_title' => $header_title,
                                        ]);
    }

    public function createMasterTables()
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('co_short', '!=', 'ccjosephtoylc')
                                ->get();
        foreach ($company as $key => $value) {
            $db_table = $value->co_short.'_master_vins';
            $query = "CREATE TABLE $db_table LIKE ccjosephtoylc_master_vins";
            if (!Schema::hasTable($db_table)) {
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }
            } else {
                echo 'Exception: '.$db_table." already exists.<br>";
            }
        } 
    }

    public function createCallRecordsTables()
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('is_active', 1)
                                ->get();
        foreach ($company as $key => $value) {
            //$db_table = 'toyota_care_'.$value->co_short;
            //$query = "CREATE TABLE $db_table LIKE default_toyota_care_records";
            $db_table = 'call_records_'.$value->co_short;
            $query = "CREATE TABLE $db_table LIKE default_call_records";
            if (!Schema::hasTable($db_table)) {
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }
            } else {
                echo 'Exception: '.$db_table." already exists.<br>";
            }
        } 
        print("Done");
    }


    public function dropCallRecordsTables()
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('is_active', 1)
                                ->get();

        foreach ($company as $key => $value) {
            $db_table = 'call_records_'.$value->co_short;
            $query = "DROP TABLE  $db_table";
            if (Schema::hasTable($db_table)) {
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }
            } else {
                echo 'Exception: '.$db_table." does not exists.<br>";
            }
        }
        print("Done");
    }


    public function addColumnsToMasterTables()
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('is_active', 1)
                                ->get();
        /*foreach ($company as $key => $value) {
            $db_table = $value->co_short.'_master_vins';
            $query = "ALTER TABLE  $db_table ADD `updated_customer_type` varchar(255) NULL AFTER customer_type";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            }
        } 

       /* foreach ($company as $key => $value) {
            $db_table = $value->co_short.'_master_vins';
            $query = "ALTER TABLE  $db_table ADD `already_searched` BOOLEAN NULL DEFAULT FALSE AFTER updated_customer_type";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            }
        } */

        foreach ($company as $key => $value) {
            $db_table = $value->co_short.'_master_vins';

            /* if (Schema::hasTable($db_table)) {
                $query = "ALTER TABLE  $db_table ADD `tle_assignment_date` DATE NULL";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }

                $query = "ALTER TABLE  $db_table ADD `is_recent_transaction` varchar(255) NULL";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }

                $query = "ALTER TABLE  $db_table ADD `last_miles` varchar(255) NULL";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }
            } */
        }
        
        
        $db_table = 'default_call_records';
        /*if (Schema::hasTable($db_table)) {
            $query = "ALTER TABLE  $db_table ADD `time_on_call` INT(11) NULL AFTER scheduled_for";
                    try {
                        DB::connection('mysql')->statement($query);
                    } catch (Exception $e) {
                        echo 'Exception: ',  $e->getMessage(), "\n";
                    }
        }*/

        
        if (Schema::hasTable($db_table)) {
            /*$query = "ALTER TABLE  $db_table ADD `times_to_call` INT(11) NULL AFTER took_by";
                    try {
                        DB::connection('mysql')->statement($query);
                    } catch (Exception $e) {
                        echo 'Exception: ',  $e->getMessage(), "\n";
                    }*/
            /*
            $query = "ALTER TABLE  $db_table ADD `show_to_call` INT(11) NULL AFTER call_status_id";
                    try {
                        DB::connection('mysql')->statement($query);
                    } catch (Exception $e) {
                        echo 'Exception: ',  $e->getMessage(), "\n";
                    }

            $query = "ALTER TABLE  $db_table ADD `needs_attention` BOOLEAN NULL DEFAULT FALSE AFTER alert_sent";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            }*/

            /* $query = "ALTER TABLE  $db_table ADD `reference_id` INT(11) NULL AFTER id";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            } */

            /* $query = "ALTER TABLE  $db_table ADD `tle_assignment_date` DATE NULL";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            }

            $query = "ALTER TABLE  $db_table ADD `is_recent_transaction` varchar(255) NULL";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            }

            $query = "ALTER TABLE  $db_table ADD `last_miles` varchar(255) NULL";
            try {
                DB::connection('mysql')->statement($query);
            } catch (Exception $e) {
                echo 'Exception: ',  $e->getMessage(), "\n";
            } */
        }

        foreach ($company as $key => $value) {
            $db_table = 'call_records_'.$value->co_short;
            /*if (Schema::hasTable($db_table)) {
                $query = "ALTER TABLE  $db_table ADD `time_on_call` INT(11) NULL AFTER scheduled_for";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }
            }*/

            if (Schema::hasTable($db_table)) {
                /*$query = "ALTER TABLE  $db_table ADD `times_to_call` INT(11) NULL AFTER took_by";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }*/

                /*$query = "ALTER TABLE  $db_table ADD `show_to_call` INT(11) NULL AFTER call_status_id";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }

                $query = "ALTER TABLE  $db_table ADD `needs_attention` BOOLEAN NULL DEFAULT FALSE AFTER alert_sent";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }*/

                /* $query = "ALTER TABLE  $db_table ADD `reference_id` INT(11) NULL AFTER id";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                } */
            }
        }

        /*$db_table = 'default_call_records';
        if (Schema::hasTable($db_table)) {
            $query = "ALTER TABLE  $db_table DROP `time_on_call`";
                    try {
                        DB::connection('mysql')->statement($query);
                    } catch (Exception $e) {
                        echo 'Exception: ',  $e->getMessage(), "\n";
                    }
        }

        foreach ($company as $key => $value) {
            $db_table = 'call_records_'.$value->co_short;
            if (Schema::hasTable($db_table)) {
                $query = "ALTER TABLE  $db_table DROP `time_on_call`";
                try {
                    DB::connection('mysql')->statement($query);
                } catch (Exception $e) {
                    echo 'Exception: ',  $e->getMessage(), "\n";
                }
            }
        }*/
        

        print("Done");
    }

    /**
     * Get the Phones and Emails by Vin.
     *
     * @return \Illuminate\Http\Response
     */
    public function findPhonesAndEmails(Request $request)
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $livecall_db_table = 'livecall_'.$company->co_short;

        $latest_records = DB::connection('mysql2')->table($livecall_db_table)
                    ->select(DB::raw('t.fname, t.vin, t.phone, t.email'))
                    ->from(DB::raw('(SELECT * FROM '.$livecall_db_table.' WHERE (phone != "" AND phone IS NOT NULL) OR (email != "" AND email IS NOT NULL) ORDER BY lastupdate DESC) t'))
                    ->groupBy('t.vin')
                    ->get();

        $master_vin_db_table = $company->co_short.'_master_vins';
        $no_phone_vins = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('vin', 'first_name')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->where(function($query) use($request) {
                                    $query->where('phone', '')
                                        ->orWhereRaw('phone IS NULL');
                                })
                                ->get();

        $no_phone_vins_array = array();
        foreach ($no_phone_vins as $key => $value) {
            $no_phone_vins_array[$value->vin.'_'.strtolower(trim($value->first_name))] = true;
        }

        $no_email_vins = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('vin', 'first_name')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->where(function($query) use($request) {
                                    $query->where('email', '')
                                        ->orWhereRaw('email IS NULL');
                                })
                                ->get();

        $no_email_vins_array = array();
        foreach ($no_email_vins as $key => $value) {
            $no_email_vins_array[$value->vin.'_'.strtolower(trim($value->first_name))] = true;
        }

        $total_phones = 0;
        $total_emails = 0;            
        foreach ($latest_records as $key => $value) {
           if(isset($no_phone_vins_array[$value->vin.'_'.strtolower(trim($value->fname))])) $total_phones++;
           if(isset($no_email_vins_array[$value->vin.'_'.strtolower(trim($value->fname))])) $total_emails++;
        } 


        $master_phone_numbers = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('*')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->where('phone', '!=', '')
                                ->whereRaw('phone IS NOT NULL')
                                ->count();

        $master_emails = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('*')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->where('email', '!=', '')
                                ->whereRaw('email IS NOT NULL')
                                ->count();

        $total_records = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('*')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->count();

        $phones_total = $master_phone_numbers + $total_phones;
        $emails_total = $master_emails + $total_emails;

        $phones_total_percent = number_format(($phones_total /$total_records) * 100, 2);
        $emails_total_percent = number_format(($emails_total /$total_records) * 100, 2);

        $response = array(
         'phones_total' => $phones_total,
         'emails_total' => $emails_total,  
         'phones_total_percent' => $phones_total_percent,
         'emails_total_percent' => $emails_total_percent,  
         'success' => 'Done searching!.'
        );

        return response()->json($response);  
    }

    public function searchActiveCustomers(Request $request)
    {
        $step = 25;
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $livecall_db_table = 'livecall_'.$company->co_short;

        $master_vin_db_table = $company->co_short.'_master_vins';
        $inactive_vins = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('vin')
                                ->where('customer_type', '=', 'Inactive')
                                ->orWhere('customer_type', '=', 'Not Engaged')
                                ->paginate($step)
                                ->pluck('vin')
                                ->toArray();


        $total_count = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('vin')
                                ->where('customer_type', '=', 'Inactive')
                                ->orWhere('customer_type', '=', 'Not Engaged')
                                ->count();

        /*$master_vin_db_table = $company->co_short.'_master_vins';
        $inactive_vins = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('vin')
                                ->where('customer_type', '=', 'Inactive')
                                ->whereRaw('updated_customer_type IS NULL')
                                ->get()
                                ->pluck('vin')
                                ->chunk(50)
                                ->toArray();*/

        $total_updated = $request->total_updated;
        //foreach ($inactive_vins as $key => $value) {
            //$query = "SELECT * FROM $livecall_db_table WHERE FIND_IN_SET('".implode(',', $value)."', vin) AND (livecall_prev_calltype = '2' OR livecall_next_calltype = '2') AND STR_TO_DATE(service_date,'%m/%d/%Y')  >= '".date('Y-m-d', strtotime("-6 months"))."'";
            //print($query.'<br>');

        $new_active_vins = DB::connection('mysql2')->table($livecall_db_table)
                            ->select('vin')
                            ->whereRaw("FIND_IN_SET(vin, '".implode(',', $inactive_vins)."')")
                            ->where(function($query) use($request) {
                                $query->where('livecall_prev_calltype', '2')
                                    ->orWhere('livecall_next_calltype', '2');
                            })
                            ->whereRaw("STR_TO_DATE(service_date,'%m/%d/%Y')  >= '".date('Y-m-d', strtotime("-6 months"))."'")
                            ->groupBy('vin')
                            ->pluck('vin')
                            ->toArray();
            //print(implode(',', $value).'<br>');
            //foreach ($new_active_vins as $new_key => $new_value) {

        /*$found_count = DB::connection('mysql')->table($master_vin_db_table)
                                                    ->select('vin')
                                                    ->whereRaw("FIND_IN_SET(vin, '".implode(',', $new_active_vins)."')")
                                                    ->count();*/
        $found_count = count($new_active_vins);                                            
        if($found_count > 0)
        {
            $total_updated+= $found_count;
        }
                                                         
                /*$new_active_vins = DB::connection('mysql')->table($master_vin_db_table)
                                                            ->select('vin')
                                                            ->whereRaw("vin, FIND_IN_SET('".implode(',', $new_value)."')")
                                                            ->update([
                                                                        'updated_customer_type' => "Active"
                                                                    ]);*/
        $new_active_vins_updated = DB::connection('mysql')->table($master_vin_db_table)
                                                    ->select('vin')
                                                    ->whereRaw("FIND_IN_SET(vin, '".implode(',', $new_active_vins)."')")
                                                    ->update([
                                                                        'updated_customer_type' => "Active"
                                                                    ]);;
            //}
        //}

        $current_count = $request->current_count + $step;
        if($current_count >= $total_count)
        {
            $message = 'done';
            $total_updated = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('vin')
                                ->where('updated_customer_type', '=', 'Active')
                                ->count();

            $total_active = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('*')
                                ->where('customer_type', 'Active')
                                ->orWhere('updated_customer_type', 'Active')
                                ->count();

            $total_inactive = DB::connection('mysql')->table($master_vin_db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Inactive')
                                    ->where(function($query) {
                                        $query->where('updated_customer_type', '!=', 'Active')
                                            ->orWhereRaw('updated_customer_type IS NULL');
                                    })
                                    ->count();

            $total_not_enganged = DB::connection('mysql')->table($master_vin_db_table)
                                    ->select('*')
                                    ->where('customer_type', 'Not Engaged')
                                    ->where(function($query) {
                                        $query->where('updated_customer_type', '!=', 'Active')
                                            ->orWhereRaw('updated_customer_type IS NULL');
                                    })
                                    ->count();
                            
            $total = DB::connection('mysql')->table($master_vin_db_table)
                                ->select('*')
                                ->where('customer_type', '!=', 'Customer Type')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->count();

        } else {
            $message = 'pending';
            $total_active = 0;
            $total_inactive = 0;
            $total_not_enganged = 0;
            $total = 1;
        }
        $page = ($request->page * 1) + 1;
        return response()->json([
            'current_count' => $current_count,
            'total_updated' => number_format($total_updated, 0, '.', ','),
            'total_active' => number_format($total_active, 0, '.', ','),
            'total_inactive' => number_format($total_inactive, 0, '.', ','),
            'total_not_enganged' => number_format($total_not_enganged, 0, '.', ','),
            'total_active_percent' => number_format(($total_active/$total)*100, 2, '.', ',').'%',
            'total_inactive_percent' => '('.number_format(($total_inactive/$total)*100, 2, '.', ',').'%)',
            'total_not_enganged_percent' => '('.number_format(($total_not_enganged/$total)*100, 2, '.', ',').'%)',
            'page' => $page,
            'total_count' => $total_count,
            'message' => $message
        ]);
        
    }
}




