<?php

namespace App\Http\Controllers;

use App\SentReminderEmail;
use App\SentDealerReminder;
use Illuminate\Http\Request;
use App\Mail\GeneralEmailAlert;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Mail;
use DateTime;
use DateTimeZone;

class ReminderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getPendingReminders()
    {
    	$today = date('Y-m-d');
    	$days_ago_135 = date('Y-m-d', strtotime('-135 days'));

        $local_time = new DateTime();
        $local_time->setTimezone(new DateTimeZone('America/New_York'));

    	//$today = '2021-06-10';
        //$days_ago_135 = date('Y-m-d', strtotime('-136 days'));

        $sent_dealer_reminder = SentDealerReminder::select('coid')->where('sent_date', $today)->get()->pluck('coid')->toArray();

        $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('is_active', 1)
                                ->where('automated_reminder', 1)
                                ->orderBy('co_name')
                                ->get();

        $dnc_table = "callcenter_dnc";
        $dnc_sql = DB::connection('mysql2')->table($dnc_table)->get();

        $global_dnc_array = [];
        foreach ($dnc_sql as $key => $value) {
            $global_dnc_array[] = $value->phone;
        }

        $global_removed_vins = DB::connection('mysql2')->table('global_removed_vins')
                                ->select('vin')
                                ->get();

        $removed_vins_array = array();
        foreach ($global_removed_vins as $key => $value) {
        	$removed_vins_array[$value->vin] = $value->vin;
        }

        $total_emails = 0;

        foreach ($dealers as $key => $value) 
        {
            $dne_content = '<table>
                                <tr>
                                    <td>
                                        VIN
                                    </td>
                                    <td>
                                        EMAIL
                                    </td>
                                </tr>';
            $returned_vin_content = '<table>
                                        <tr>
                                            <td>
                                                VIN
                                            </td>
                                            <td>
                                                FIRST VISIT
                                            </td>
                                            <td>
                                                SECOND VISIT
                                            </td>
                                        </tr>';
            $non_returned_vin_content = '<table>
                                            <tr>
                                                <td>
                                                    VIN
                                                </td>
                                                <td>
                                                    FIRST VISIT
                                                </td>
                                            </tr>';
            $removed_vins_content = '<table>
                                            <tr>
                                                <td>
                                                    VIN
                                                </td>
                                            </tr>';
            $sent_emails_content = '<table>
                                            <tr>
                                                <td>
                                                    VIN
                                                </td>
                                                <td>
                                                    EMAIL
                                                </td>
                                            </tr>';
            $email_template = DB::connection('mysql2')->table('callcenter_import_email_templates')->select('*')
            																->where('coid', $value->coid)
            																->where('cid', 3)
            																->first();
           	if(!$email_template)
           	{
           		$email_template = DB::connection('mysql2')->table('callcenter_import_email_templates')->select('*')
            																->where('coid', 0)
            																->where('cid', 3)
            																->first();
           	}

            /*DB::connection('mysql2')->table('livecall_'.$value->co_short)
                                        ->where('remind', '0000-00-00')
                                        ->where('livecall_showtocall', 0)
                                        ->where('customer_status', 11)
                                        ->where('livecall_status', 'CL')
                                        ->where('livecall_next_calltype', 3)
                                        ->where('dateadded', '>=', $days_ago_135.' 00:00:00')
                                        ->where('dateadded', '<=', $today.' 23:59:59')
                                        ->update([
                                                    'remind' => '0000-00-00',
                                                    'livecall_showtocall' => 0,
                                                    'livecall_prev_calltype' => 3,
                                                    'livecall_next_calltype' => 0,
                                                    'customer_status' => 11,
                                                    'livecall_status' => 'CL',
                                                ]);*/

        	if(!in_array($value->coid, $sent_dealer_reminder))
        	{

        		$unique_vins_day = DB::connection('mysql2')->table('livecall_'.$value->co_short)
                                    ->selectRaw('id, vin, email, dateadded')
                                    ->where('vin', '!=', '')
                                    ->whereRaw('vin IS NOT NULL')
                                    ->where('email', '!=', '')
                                    ->whereRaw('email IS NOT NULL')
                                    ->where(function($query) {
                                        $query->where('livecall_prev_calltype', 2)
                                            ->orWhere('livecall_next_calltype', 2);
                                    })
                                    ->where('dateadded', '>=', $days_ago_135.' 00:00:00')
                                    ->where('dateadded', '<=', $days_ago_135.' 23:59:59')
                                    ->orderBy('dateadded', 'desc')
                                    ->get();

                $dbtable = 'livecall_' . $value->co_short;

                $total_records_uploaded = $unique_vins_day->count();
                $vin_ids = array();
                $vin_emails = array();
                $vin_dateadded = array();
                foreach ($unique_vins_day as $key_vin => $value_vin) 
                {
                	$vin_ids[$value_vin->vin] =  $value_vin->id;
                	$vin_emails[$value_vin->vin] =  $value_vin->email;
                    $vin_dateadded[$value_vin->vin] =  $value_vin->dateadded;
                }

                $returned_vins = DB::connection('mysql2')->table('livecall_'.$value->co_short)
                                    ->selectRaw('vin, dateadded')
                                    ->where('vin', '!=', '')
                                    ->whereRaw('vin IS NOT NULL')
                                    ->where('email', '!=', '')
                                    ->whereRaw('email IS NOT NULL')
                                    ->where(function($query) {
                                        $query->where('livecall_prev_calltype', 2)
                                            ->orWhere('livecall_next_calltype', 2);
                                    })
                                    ->where('dateadded', '>', $days_ago_135.' 23:59:59')
                                    ->orderBy('dateadded', 'desc')
                                    ->get();

                $returned_vins_array = array();
                $returned_vins_dateadded = array();
                foreach ($returned_vins as $key_vin => $value_vin) 
                {
                	$returned_vins_array[$value_vin->vin] =  $value_vin->vin;
                    $returned_vins_dateadded[$value_vin->vin] =  $value_vin->dateadded;
                }

                $dne_records = DB::connection('mysql2')->table('dne_'.$value->co_short)
                                    ->select('email')
                                    ->get();

                $dne_array = array();
                foreach ($dne_records as $key_dne => $value_dne) 
                {
                	$dne_array[strtoupper($value_dne->email)] = strtoupper($value_dne->email);
                }

                $emails_to_send = array();
                foreach ($vin_emails as $vin => $email) 
                {
                	if(!isset($returned_vins_array[$vin]) && !isset($removed_vins_array[$vin]) && !isset($dne_array[strtoupper($email)]))
                	{
                		$cid = $vin_ids[$vin];
                		/*
                		print($vin.':'.$email.'<br>');*/
                		

                		if (filter_var($email, FILTER_VALIDATE_EMAIL) !== false) 
                		{
                			$call = DB::connection('mysql2')->table('livecall_'.$value->co_short)->select('*')->where('id', $cid)->first();
                			$commonFunctions = new CommonFunctionsController();
                			$subject = $commonFunctions->removeTagsFromText($email_template->subject, $value, $call, $ibData=array());
            				$email_content = $commonFunctions->removeTagsFromText($email_template->content, $value, $call, $ibData=array());

            				$email_content = str_replace('[update_link]', '<a href="https://login.fullbdc.com/ccdata22.php?cid='.$cid.'&coid='.$value->coid.'&c=urfe">HERE</a>', $email_content);

            				$date_sent = date("Y-m-d H:i:s");
            				$email_content.= '<br><br><br><img src="https://login.fullbdc.com/ccdata16.php?c=cve&email='.$email.'&subject='.urlencode($subject.' (cr)').'&date_sent='.$date_sent.'&coid='.$value->coid.'">';

            				$mail_data = new \stdClass();
				            $mail_data->subject = $subject.' (cr)';
				            $mail_data->view = 'general_email';
				            $mail_data->email_css = '.label_td {
				                                          font-weight: bold;
				                                        }

				                                        .value_td {
				                                          
				                                        }

				                                        .footer_notes {
				                                          font-size: 10px;
				                                        }

				                                        .align_top {
				                                            vertical-align: baseline;
				                                        }';
                            $unsub_data = $commonFunctions->unsubFooterEmail($value, $email);
				            $mail_data->email_content = $email_content . $unsub_data;
                            

            				Mail::to($email)->send(new GeneralEmailAlert($mail_data));

            				//Mail::to('jfigue86@hotmail.com')->send(new GeneralEmailAlert($mail_data));

				            $sent_email_id = DB::connection('mysql2')->table('email_alerts_sent')->insertGetId([
		                        'email' => $email,
		                        'subject' => $subject.' (cr)',
		                        'date_sent' => date('Y-m-d H:i:s'),
		                        'coid' => $value->coid,
		                        'cid' => $cid,
		                        'type' => 10,
		                    ]);

							/*DB::connection('mysql2')->table('livecall_'.$value->co_short)
        								->where('livecall_next_calltype', 3)
        								->where('vin', '=', $vin)
        								->where('livecall_showtocall', 1)
        								->update([
        											'remind' => '0000-00-00',
                                                    'livecall_showtocall' => 0,
                                                    'customer_status' => 11,
                                                    'livecall_status' => 'CL',
                                                ]);*/
                            $total_emails++;

                            $sent_emails_content.= '   <tr>
                                                            <td>
                                                                '.$vin.'
                                                            </td>
                                                            <td>
                                                                '.$email.'
                                                            </td>
                                                        </tr>';
						}

                        $non_returned_vin_content.= '   <tr>
                                                            <td>
                                                                '.$vin.'
                                                            </td>
                                                            <td>
                                                                '.date('m/d/Y', strtotime($vin_dateadded[$vin])).'
                                                            </td>
                                                        </tr>';
                	} else {
                        if(!isset($returned_vins_array[$vin]))
                        {
                            $non_returned_vin_content.= '   <tr>
                                                                <td>
                                                                    '.$vin.'
                                                                </td>
                                                                <td>
                                                                    '.date('m/d/Y', strtotime($vin_dateadded[$vin])).'
                                                                </td>
                                                            </tr>';
                        }

                        if(isset($returned_vins_array[$vin]))
                        {
                            $returned_vin_content.= '   <tr>
                                                            <td>
                                                                '.$vin.'
                                                            </td>
                                                            <td>
                                                                '.date('m/d/Y', strtotime($vin_dateadded[$vin])).'
                                                            </td>
                                                            <td>
                                                                '.date('m/d/Y', strtotime($returned_vins_dateadded[$vin])).'
                                                            </td>
                                                        </tr>';
                        }

                        if(isset($removed_vins_array[$vin]))
                        {
                            $removed_vins_content.= '   <tr>
                                                            <td>
                                                                '.$vin.'
                                                            </td>
                                                        </tr>';
                        }

                        if(isset($dne_array[$email]))
                        {
                            $dne_content.= '   <tr>
                                                    <td>
                                                        '.$vin.'
                                                    </td>
                                                    <td>
                                                        '.$email.'
                                                    </td>
                                                </tr>';
                        }

                        /*DB::connection('mysql2')->table('livecall_'.$value->co_short)
                                        ->where('livecall_next_calltype', 3)
                                        ->where('vin', '=', $vin)
                                        ->where('livecall_showtocall', 1)
                                        ->update([
                                                    'remind' => '0000-00-00',
                                                    'livecall_showtocall' => 0,
                                                    'customer_status' => 11,
                                                    'livecall_status' => 'CL',
                                                ]);*/
                    }
                }

                if( in_array( $value->coid, [191, 106, 208, 220, 112] ) ) {

                    $dealer_dnc_table = "dnc_".$value->co_short;
                    $dealer_dnc_sql = DB::connection('mysql2')->table($dealer_dnc_table)->get();

                    $dealer_dnc_array = [];
                    foreach ($dealer_dnc_sql as $dnc_key => $dnc_value) {
                        $dealer_dnc_array[] = $dnc_value->phone;
                    }

                    $unique_vins_day_no_email = DB::connection('mysql2')->table('livecall_'.$value->co_short)
                        ->select('*')
                        ->where('vin', '!=', '')
                        ->whereRaw('vin IS NOT NULL')
                        ->where(function($query) {
                            $query->where('email', '=', '')
                                ->orWhereRaw('email IS NULL');
                        })
                        ->where(function($query) {
                            $query->where('livecall_prev_calltype', 2)
                                ->orWhere('livecall_next_calltype', 2);
                        })
                        ->where('dateadded', '>=', $days_ago_135.' 00:00:00')
                        ->where('dateadded', '<=', $days_ago_135.' 23:59:59')
                        ->orderBy('dateadded', 'desc')
                        ->get();

                    $total_records_uploaded_no_email = $unique_vins_day_no_email->count();
                    $vin_ids_no_email       = [];
                    $vin_emails_no_email    = [];
                    $vin_dateadded_no_email = [];
                    $customer_no_email_data = [];
                    foreach ($unique_vins_day_no_email as $key_vin => $value_vin_no_email) 
                    {
                        $vin_ids_no_email[ $value_vin_no_email->vin ]       = $value_vin_no_email->id;
                        $vin_emails_no_email[ $value_vin_no_email->vin ]    = $value_vin_no_email->email;
                        $vin_dateadded_no_email[ $value_vin_no_email->vin ] = $value_vin_no_email->dateadded;
                        $customer_no_email_data[ $value_vin_no_email->vin ] = $value_vin_no_email;
                    }

                    $returned_vins_no_email = DB::connection('mysql2')->table('livecall_'.$value->co_short)
                        ->selectRaw('vin, dateadded')
                        ->where('vin', '!=', '')
                        ->whereRaw('vin IS NOT NULL')
                        ->where(function($query) {
                            $query->where('livecall_prev_calltype', 2)
                                ->orWhere('livecall_next_calltype', 2);
                        })
                        ->where('dateadded', '>', $days_ago_135.' 23:59:59')
                        ->orderBy('dateadded', 'desc')
                        ->get();

                    $returned_vins_array_no_email     = [];
                    $returned_vins_dateadded_no_email = [];
                    foreach ($returned_vins_no_email as $key_vin => $value_vin_no_email) 
                    {
                        $returned_vins_array_no_email[$value_vin_no_email->vin]     =  $value_vin_no_email->vin;
                        $returned_vins_dateadded_no_email[$value_vin_no_email->vin] =  $value_vin_no_email->dateadded;
                    }

                    $data_insert = [];
                    foreach ($vin_emails_no_email as $vin => $email) 
                    {
                        if( ! isset( $returned_vins_array_no_email[ $vin ] ) && ! isset( $removed_vins_array[ $vin ] ) )
                        {
                            $insert_customer_data = $customer_no_email_data[ $vin ];
                            
                            $show_to_call = 1;
                            if( ! empty( $insert_customer_data->phone ) ) {
                                $show_to_call = ( in_array($insert_customer_data->phone, $dealer_dnc_array) || in_array($insert_customer_data->phone, $global_dnc_array) ) ? 0 : 1;
                            } else {
                                $show_to_call = 0;
                            }
                            
                            $customer_data = [ 
                                "livecall_showtocall" => $show_to_call, 
                                "pma" => ( ! empty( $insert_customer_data->pma ) )? $insert_customer_data->pma  : '',  
                                "service_date" => ( ! empty( $insert_customer_data->service_date  ) )? $insert_customer_data->service_date  : '',  
                                "sale_date" => ( ! empty( $insert_customer_data->sale_date  ) )? $insert_customer_data->sale_date  : '',
                                "last_service_date" => ( ! empty( $insert_customer_data->last_service_date  ) )? $insert_customer_data->last_service_date  : '',
                                "fname" => ( ! empty( $insert_customer_data->fname  ) )? $insert_customer_data->fname  : '', 
                                "lname" => ( ! empty( $insert_customer_data->lname  ) )? $insert_customer_data->lname  : '',
                                "email" => ( ! empty( $insert_customer_data->email  ) )? $insert_customer_data->email  : '',
                                "livecall_next_calltype" => 88, 
                                "dealer_department" => 2, 
                                "vehicle_year" => ( ! empty( $insert_customer_data->vehicle_year  ) )? $insert_customer_data->vehicle_year  : '',
                                "vehicle_make" => ( ! empty( $insert_customer_data->vehicle_make  ) )? $insert_customer_data->vehicle_make  : '',
                                "vehicle_model" => ( ! empty( $insert_customer_data->vehicle_model  ) )? $insert_customer_data->vehicle_model  : '',
                                "vin" => ( ! empty( $insert_customer_data->vin  ) )? $insert_customer_data->vin  : '',
                                "phone" => ( ! empty( $insert_customer_data->phone  ) )? $insert_customer_data->phone  : '',
                                "cellphone" => ( ! empty( $insert_customer_data->cellphone  ) )? $insert_customer_data->cellphone  : '', 
                                "best_phone" => ( ! empty( $insert_customer_data->best_phone  ) )? $insert_customer_data->best_phone  : '', 
                                "global_dnc" => $insert_customer_data->global_dnc , 
                                "dealer_dnc" => $insert_customer_data->dealer_dnc , 
                                "do_not_email" => $insert_customer_data->do_not_email , 
                                "cust_id" => ( ! empty( $insert_customer_data->cust_id  ) )? $insert_customer_data->cust_id  : '',
                                "trade_year" => ( ! empty( $insert_customer_data->trade_year  ) )? $insert_customer_data->trade_year  : '',
                                "trade_make" => ( ! empty( $insert_customer_data->trade_make  ) )? $insert_customer_data->trade_make  : '',
                                "trade_model" => ( ! empty( $insert_customer_data->trade_model  ) )? $insert_customer_data->trade_model  : '',
                                "trade_vin" => ( ! empty( $insert_customer_data->trade_vin  ) )? $insert_customer_data->trade_vin  : '',
                                "business_name" => ( ! empty( $insert_customer_data->business_name  ) )? $insert_customer_data->business_name  : '', 
                                "salesrep" => ( ! empty( $insert_customer_data->salesrep  ) )? $insert_customer_data->salesrep  : '',
                                "service_advisor" => ( ! empty( $insert_customer_data->service_advisor  ) )? $insert_customer_data->service_advisor  : '',
                                "urgent_note" => ( ! empty( $insert_customer_data->urgent_note  ) )? $insert_customer_data->urgent_note  : '',
                                "address1" => ( ! empty( $insert_customer_data->address1  ) )? $insert_customer_data->address1  : '',
                                "city" => ( ! empty( $insert_customer_data->city  ) )? $insert_customer_data->city  : '',
                                "state" => ( ! empty( $insert_customer_data->state  ) )? $insert_customer_data->state  : '',
                                "zip" => ( ! empty( $insert_customer_data->zip  ) )? $insert_customer_data->zip  : '',
                                "RO" => ( ! empty( $insert_customer_data->RO  ) )? $insert_customer_data->RO  : '', 
                                "lead_date" => ( ! empty( $insert_customer_data->lead_date  ) )? $insert_customer_data->lead_date  : '', 
                                "toyota_care_exp_date" => ( ! empty( $insert_customer_data->toyota_care_exp_date  ) )? $insert_customer_data->toyota_care_exp_date  : '',
                                "service_apt_date" => ( ! empty( $insert_customer_data->service_apt_date  ) )? $insert_customer_data->service_apt_date  : '',
                                "service_apt_time" => ( ! empty( $insert_customer_data->service_apt_time  ) )? $insert_customer_data->service_apt_time  : '',
                                "sales_apt_date" => ( ! empty( $insert_customer_data->sales_apt_date  ) )? $insert_customer_data->sales_apt_date  : '',
                                "sales_apt_time" => ( ! empty( $insert_customer_data->sales_apt_time  ) )? $insert_customer_data->sales_apt_time  : '',
                                "source" => ( ! empty( $insert_customer_data->source  ) )? $insert_customer_data->source  : '',
                                "original_lead_source" => ( ! empty( $insert_customer_data->original_lead_source  ) )? $insert_customer_data->original_lead_source  : '',
                                "sale_type" => ( ! empty( $insert_customer_data->sale_type  ) )? $insert_customer_data->sale_type  : '',
                                "oil_type" => ( ! empty( $insert_customer_data->oil_type  ) )? $insert_customer_data->oil_type  : '',
                                "vip_flag" => ( ! empty( $insert_customer_data->vip_flag  ) )? $insert_customer_data->vip_flag  : '',
                                "caller_comments" => ( ! empty( $insert_customer_data->caller_comments  ) )? $insert_customer_data->caller_comments  : '',
                                "service_visit_notes" => ( ! empty( $insert_customer_data->service_visit_notes  ) )? $insert_customer_data->service_visit_notes  : '',
                                "service_apt_notes" => ( ! empty( $insert_customer_data->service_apt_notes  ) )? $insert_customer_data->service_apt_notes  : '',
                                "script_notes" => ( ! empty( $insert_customer_data->script_notes  ) )? $insert_customer_data->script_notes  : '',
                                "offer" => ( ! empty( $insert_customer_data->offer  ) )? $insert_customer_data->offer  : '',
                                "offer_expires" => ( ! empty( $insert_customer_data->offer_expires  ) )? $insert_customer_data->offer_expires  : '',
                                "last_miles" => ( ! empty( $insert_customer_data->last_miles  ) )? $insert_customer_data->last_miles  : '',
                                "estimated_miles" => ( ! empty( $insert_customer_data->estimated_miles  ) )? $insert_customer_data->estimated_miles  : '',
                                "sale_amount" => ( ! empty( $insert_customer_data->sale_amount  ) )? $insert_customer_data->sale_amount  : '',
                                "call_notes" => ( ! empty( $insert_customer_data->call_notes  ) )? $insert_customer_data->call_notes  : '', 
                                "bad_review_note" => ( ! empty( $insert_customer_data->bad_review_note  ) )? $insert_customer_data->bad_review_note  : '',  
                                "bad_review" => ($insert_customer_data->bad_review  == '1' || strtolower($insert_customer_data->bad_review ) == 'yes' || strtolower($insert_customer_data->bad_review ) == 'y')? 1 : 0, 
                                "sales_gross_profit" => ( ! empty( $insert_customer_data->sales_gross_profit  ) )? $insert_customer_data->sales_gross_profit  : '',
                                "sales_first_payment_date" => ( ! empty( $insert_customer_data->sales_first_payment_date  ) )? $insert_customer_data->sales_first_payment_date  : '',
                                "sales_last_payment_date" => ( ! empty( $insert_customer_data->sales_last_payment_date  ) )? $insert_customer_data->sales_last_payment_date  : '',
                                "sales_deal_number" => ( ! empty( $insert_customer_data->sales_deal_number  ) )? $insert_customer_data->sales_deal_number  : '',
                                "sales_term" => ( ! empty( $insert_customer_data->sales_term  ) )? $insert_customer_data->sales_term  : '',
                                "sales_manager" => ( ! empty( $insert_customer_data->sales_manager  ) )? $insert_customer_data->sales_manager  : '',
                                "sales_stock_number" => ( ! empty( $insert_customer_data->sales_stock_number  ) )? $insert_customer_data->sales_stock_number  : '',
                                "finance_manager" => ( ! empty( $insert_customer_data->finance_manager  ) )? $insert_customer_data->finance_manager  : '',
                                "service_technician" => ( ! empty( $insert_customer_data->service_technician  ) )? $insert_customer_data->service_technician  : '',
                                "sales_source" => ( ! empty( $insert_customer_data->sales_source  ) )? $insert_customer_data->sales_source  : '',
                                "service_source" => ( ! empty( $insert_customer_data->service_source  ) )? $insert_customer_data->service_source  : '',
                                "sales_status" => ( ! empty( $insert_customer_data->sales_status  ) )? $insert_customer_data->sales_status  : '',
                                "vehicle_type" => ( ! empty( $insert_customer_data->vehicle_type  ) )? $insert_customer_data->vehicle_type  : '',
                                "parts_number" => ( ! empty( $insert_customer_data->parts_number  ) )? $insert_customer_data->parts_number  : '',
                                "part_description" => ( ! empty( $insert_customer_data->part_description  ) )? $insert_customer_data->part_description  : '',
                                "auto_alert_url" => ( ! empty( $insert_customer_data->auto_alert_url  ) )? $insert_customer_data->auto_alert_url  : '',
                                "auto_alert_score" => ( ! empty( $insert_customer_data->auto_alert_score  ) )? $insert_customer_data->auto_alert_score  : '',
                                "vin_solutions_id" => ( ! empty( $insert_customer_data->vin_solutions_id  ) )? $insert_customer_data->vin_solutions_id  : '',
                                "vehicle_url" => ( ! empty( $insert_customer_data->vehicle_url  ) )? $insert_customer_data->vehicle_url  : '',
                                "distance_from_dealer" => ( ! empty( $insert_customer_data->distance_from_dealer  ) )? $insert_customer_data->distance_from_dealer  : '',
                                "intent_to_service" => ( ! empty( $insert_customer_data->intent_to_service  ) )? $insert_customer_data->intent_to_service  : '',
                                "intent_to_service_reason" => ( ! empty( $insert_customer_data->intent_to_service_reason  ) )? $insert_customer_data->intent_to_service_reason  : '',
                                "sales_payment" => ( ! empty( $insert_customer_data->sales_payment  ) )? $insert_customer_data->sales_payment  : '',
                                "prefered_contact" => ( ! empty( $insert_customer_data->prefered_contact  ) )? $insert_customer_data->prefered_contact  : '',
                                "manf_source" => ( ! empty( $insert_customer_data->manf_source  ) )? $insert_customer_data->manf_source  : '',
                                "manf_customer_type" => ( ! empty( $insert_customer_data->manf_customer_type  ) )? $insert_customer_data->manf_customer_type  : '',
                                "manf_customer_status" => ( ! empty( $insert_customer_data->manf_customer_status  ) )? $insert_customer_data->manf_customer_status  : '',
                                "toyota_care_status" => ( ! empty( $insert_customer_data->toyota_care_status  ) )? $insert_customer_data->toyota_care_status  : '',
                                "date_of_birth" => ( ! empty( $insert_customer_data->date_of_birth  ) )? $insert_customer_data->date_of_birth  : '',
                                "dateadded" => $local_time->format('Y-m-d H:i:s'),
                                'remind' => $today, 
                                'livecall_count' => 0,
                                'livecall_times' => 1
                            ];

                            $data_insert[] = $customer_data;
                        
                        }
                    }

                    foreach (array_chunk( $data_insert, 500) as $t) {
                        DB::connection('mysql2')->table($dbtable)->insert($t);
                    }

                }

        		$new_sent_dealer_reminder = new SentDealerReminder;
        		$new_sent_dealer_reminder->coid = $value->coid;
        		$new_sent_dealer_reminder->sent_date = $today;
        		$new_sent_dealer_reminder->total = $total_emails;
        		$new_sent_dealer_reminder->save();

        		DB::connection('mysql2')->table('livecall_'.$value->co_short)
        								->where('livecall_next_calltype', 3)
        								->where('remind', '<=', $today)
        								->where('livecall_showtocall', 1)
        								->update([
        											'remind' => '0000-00-00',
                                                    'livecall_showtocall' => 0,
                                                    'livecall_prev_calltype' => 3,
                                                    'livecall_next_calltype' => 0,
                                                    'customer_status' => 11,
                                                    'livecall_status' => 'CL',
                                                ]);
        		
                $mail_data = new \stdClass();
                $mail_data->subject = 'Emails sent on '.$today.' for '.$value->co_name;
                $mail_data->view = 'general_email';
                $mail_data->email_css = '.label_td {
                                              font-weight: bold;
                                            }

                                            .value_td {
                                              
                                            }

                                            .footer_notes {
                                              font-size: 10px;
                                            }

                                            .align_top {
                                                vertical-align: baseline;
                                            }';

                $dne_content.= '</table>';
                $returned_vin_content.= '</table>';
                $non_returned_vin_content.= '</table>';
                $removed_vins_content.= '</table>';
                $sent_emails_content.= '</table>';
                
                $mail_data->email_content = 'Total emails sent on '.$today.' for '.$value->co_name.': '.$total_emails.'<br><br>'.
                                            '<strong>Records uploaded for SF on '.date('m/d/Y', strtotime('-135 days')).':</strong> '.$total_records_uploaded.'<br><br>'.
                                            '<strong>Email list sent:</strong><br>'.
                                            $sent_emails_content.'<br><br>'.
                                            '<strong>Returned VINS:</strong><br>'.
                                            $returned_vin_content.'<br><br>'.
                                            '<strong>Non Returned VINS:</strong><br>'.
                                            $non_returned_vin_content.'<br><br>'.
                                            '<strong>Ghosted VINS:</strong><br>'.
                                            $removed_vins_content.'<br><br>'.
                                            '<strong>DNE list:</strong><br>'.
                                            $dne_content;

                Mail::to('jfigue86@hotmail.com')->send(new GeneralEmailAlert($mail_data));
                print('Total emails for sent on '.$today.' for '.$value->co_name.': '.$total_emails);
        		break;
        	}
        }
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request) 
    {
        if(Auth::user()->user_type->name == 'Admin') 
        {
            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();
        } else if(Auth::user()->user_type->name == 'Dealer') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Full BDC Caller') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Inbound Caller') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        } else if(Auth::user()->user_type->name == 'Dealer Caller') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        }

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($dealers,'co_name', 'coid');
        $dealers_options = $commonFunctions->select_options;

        $all_dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('coid', 'co_name', 'co_short')
                                ->orderBy('co_name')
                                ->get();
        $dealer_names = array();
        foreach ($all_dealers as $key => $value) {
            $dealer_names[$value->coid] = $value->co_name;
        }

        return view('pages.reminders', [
                                            'dealers_options' => $dealers_options,
                                            'dealer_names' => $dealer_names,
                                        ]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getRemindersReport(Request $request) 
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid_search)
                                ->first();

        /*$reminders_total = SentDealerReminder::selectRaw('SUM(total) as total')
                                                ->where('coid', $request->coid_search)
                                                ->where('sent_date', '>=', date('Y-m-d', strtotime($request->start_date_search)))
                                                ->where('sent_date', '>=', date('Y-m-d', strtotime($request->end_date_search)))
                                                ->first();
        $emails_sent_total = $reminders_total->total;*/

        $livecall_table = 'livecall_'.$company->co_short;                                     
        $sent_reminders = DB::connection('mysql2')->table($livecall_table)
                                        ->selectRaw(    $livecall_table.'.fname as first_name, '.
                                                        $livecall_table.'.lname as last_name, '.
                                                        $livecall_table.'.phone  as phone, '.
                                                        $livecall_table.'.email as email, '.
                                                        $livecall_table.'.vehicle_year as vehicle_year, '.
                                                        $livecall_table.'.vehicle_make as vehicle_make, '.
                                                        $livecall_table.'.vehicle_model as vehicle_model, '.
                                                        $livecall_table.'.vin as vin, '.
                                                        $livecall_table.'.RO as ro, '.
                                                        'email_alerts_sent.uid as record_id, '.
                                                        'email_alerts_sent.date_sent as date_sent, '.
                                                        'email_alerts_sent.date_seen as date_seen'
                                                    )
                                        ->join('email_alerts_sent', $livecall_table.'.id', '=', 'email_alerts_sent.cid')
                                        ->where('email_alerts_sent.coid', $company->coid)
                                        ->where('email_alerts_sent.date_sent', '>=', date('Y-m-d 00:00:00', strtotime($request->start_date_search)))
                                        ->where('email_alerts_sent.date_sent', '<=', date('Y-m-d 23:59:59', strtotime($request->end_date_search)))
                                        ->where('email_alerts_sent.type', 10)
                                        ->get();
        $total_seen = 0;
        foreach ($sent_reminders as $key => $value) {
            if($value->date_seen != null && $value->date_seen != '0000-00-00 00:00:00')
                $total_seen++;
        }
        return view('reports.reminders_report', [
                                                    'emails_sent_total' => $sent_reminders->count(),
                                                    'sent_reminders' => $sent_reminders,
                                                    'total_seen' => $total_seen,
                                                ]);

    }

    public function getRemindersEmailReport()
    {
        $today = date('Y-m-d');
        $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('is_active', 1)
                                ->where('automated_reminder', 1)
                                ->orderBy('co_name')
                                ->get();
        $dealer_names = array();
        foreach ($dealers as $key => $value) {
            $dealer_names[$value->coid] = $value->co_name;
        }

        $sent_dealer_reminder = SentDealerReminder::where('sent_date', $today)->get();

        $dealer_reminders_today = array();
        foreach ($sent_dealer_reminder as $key => $value) {
            $dealer_reminders_today[$value->coid] = $value->total;
        }

        $year_cicle_start = ((date('j') * 1) > 27)? date('Y') : date('Y', strtotime('last month'));
        $month_cicle_start = ((date('j') * 1) > 27)? date('m') : date('m', strtotime('last month'));
        $month_start_text = ((date('j') * 1) > 27)? date('M') : date('M', strtotime('last month'));
        $month_end_text = date('M');
        $start_date = date($year_cicle_start.'-'.$month_cicle_start.'-28');
        $end_date = $today;

        $sent_dealer_reminder_cycle = SentDealerReminder::selectRaw('coid, SUM(total) as total_reminders')
                                                    ->where('sent_date', '>=' , $start_date)
                                                    ->where('sent_date', '<=' , $end_date)
                                                    ->groupBy('coid')
                                                    ->get();

        $dealer_reminders_cycle = array();
        foreach ($sent_dealer_reminder_cycle as $key => $value) {
            $dealer_reminders_cycle[$value->coid] = $value->total_reminders;
        }


        $mail_data = new \stdClass();
        $mail_data->subject = 'Report: Reminder Emails sent on '.$today;
        $mail_data->view = 'general_email';
        $mail_data->email_css = '.label_td {
                                      font-weight: bold;
                                    }

                                    .value_td {
                                      
                                    }

                                    .footer_notes {
                                      font-size: 10px;
                                    }

                                    .align_top {
                                        vertical-align: baseline;
                                    }';

        $mail_data->email_content = view('email.reminders_sent')->with([
                                                                            'dealer_names' => $dealer_names,
                                                                            'dealer_reminders_today' => $dealer_reminders_today,
                                                                            'dealer_reminders_cycle' => $dealer_reminders_cycle,
                                                                            'month_start_text' => $month_start_text,
                                                                            'month_end_text' => $month_end_text,
                                                                        ])
                                                                        ->render();
        $send_to = ['sell1@iglou.com', 'jfigue86@hotmail.com', 'mackenzie.jones@fullbdc.com'];
        foreach ($send_to as $email) {
                Mail::to($email)->send(new GeneralEmailAlert($mail_data));
        }
    }
}
