<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Imports\SearchCustomerImport;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class SearchCustomerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if(Auth::user()->user_type->name == 'Admin') 
        {
            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();
        } else if(Auth::user()->user_type->name == 'Dealer') {
            $user_companies_array = array();
            foreach(Auth::user()->dealers as $company)
            {
              $user_companies_array[] = $company->dealer_id;
            }

            $dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short', 'coid')
                                ->whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                                ->get();
        }

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($dealers,'co_name', 'co_short');
        $dealers_options = $commonFunctions->select_options;

        return view('pages.search_customers', ['dealers' => $dealers_options]);
    }


    /**
     * Display the specified resource in JSON format.
     *
     * @param  \App\Company  $company
     * @return \Illuminate\Http\Response
     */
    public function search(Request $request)
    {

        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'co_short')
                                ->where('coid', $request->search_customer_coid)
                                ->first();

        if(Auth::check()) 
        {
            $search_value = trim($request->input('search_customer'));
            $phone_value = preg_replace("/[^0-9]/i", "", trim($request->input('search_customer')));
            $phone_search_value = ($phone_value != '')? $phone_value : $search_value;

            $livecall_table = 'livecall_'.$company->co_short;
            $ib_table = 'inboundcall_'.$company->co_short;
            $mastervin_table = $company->co_short.'_master_vins';
            $customer_array = array();
            $i=1;
            $vins_found = array();

            /*$customers = DB::connection('mysql')->table($mastervin_table)
                        ->selectRaw('ANY_VALUE(first_name) as first_name, ANY_VALUE(last_name) as last_name, ANY_VALUE(email) as email, ANY_VALUE(phone) as phone, ANY_VALUE(vin) as vin, ANY_VALUE(year) as year, ANY_VALUE(model) as model, ANY_VALUE(address) as address, ANY_VALUE(city) as city, ANY_VALUE(state) as state, ANY_VALUE(zip) as zip')
                        ->where('first_name', 'like', '%'.$search_value.'%')
                        ->orWhere('last_name', 'like', '%'.$search_value.'%')
                        ->orWhereRaw('CONCAT(first_name," ",last_name) = "'.$search_value.'"')
                        ->orWhere('email', 'like', '%'.$search_value.'%')
                        ->orWhere('phone', 'like', '%'.$phone_search_value.'%')
                        ->groupBy('vin')
                        ->limit(10)
                        ->get();*/

            $customers = DB::connection('mysql')->table($mastervin_table)
                        ->selectRaw('first_name, last_name, email, phone, vin, year, model, address, city, state, zip')
                        ->where('first_name', 'like', '%'.$search_value.'%')
                        ->orWhere('last_name', 'like', '%'.$search_value.'%')
                        ->orWhereRaw('CONCAT(first_name," ",last_name) = "'.$search_value.'"')
                        ->orWhere('email', 'like', '%'.$search_value.'%')
                        ->orWhere('phone', 'like', '%'.$phone_search_value.'%')
                        ->groupBy('vin')
                        ->limit(10)
                        ->get();

            foreach ($customers as $key => $value) {
                $customer_array[$i]['id'] = $i; 
                $customer_array[$i]['first_name'] = $value->first_name; 
                $customer_array[$i]['last_name'] = $value->last_name; 
                $customer_array[$i]['email'] = $value->email; 
                $customer_array[$i]['phone'] = $value->phone; 
                $customer_array[$i]['cellphone'] = ''; 
                $customer_array[$i]['vin'] = $value->vin; 
                $customer_array[$i]['vehicle_year'] = $value->year; 
                $customer_array[$i]['vehicle_make'] = 'Toyota'; 
                $customer_array[$i]['vehicle_model'] = $value->model; 
                $customer_array[$i]['address'] = $value->address; 
                $customer_array[$i]['city'] = $value->city; 
                $customer_array[$i]['state'] = $value->state; 
                $customer_array[$i]['zip'] = $value->zip; 
                $vins_found[$value->vin] = true;
                $i++;
            }

            $customers = DB::connection('mysql2')->table($livecall_table)
                        ->where('fname', 'like', '%'.$search_value.'%')
                        ->orWhere('lname', 'like', '%'.$search_value.'%')
                        ->orWhereRaw('CONCAT(fname," ",lname) = "'.$search_value.'"')
                        ->orWhere('email', 'like', '%'.$search_value.'%')
                        ->orWhere('phone', 'like', '%'.$phone_search_value.'%')
                        ->orWhere('cellphone', 'like', '%'.$phone_search_value.'%')
                        ->orWhere('vin', 'like', '%'.$search_value.'%')
                        ->groupBy('vin')
                        ->limit(10)
                        ->get();
            
            foreach ($customers as $key => $value) {
                if(!isset($vins_found[$value->vin]))
                {
                    $customer_array[$i]['id'] = $i; 
                    $customer_array[$i]['first_name'] = $value->fname; 
                    $customer_array[$i]['last_name'] = $value->lname; 
                    $customer_array[$i]['email'] = $value->email; 
                    $customer_array[$i]['phone'] = $value->phone; 
                    $customer_array[$i]['cellphone'] = $value->cellphone; 
                    $customer_array[$i]['vin'] = $value->vin; 
                    $customer_array[$i]['vehicle_year'] = $value->vehicle_year; 
                    $customer_array[$i]['vehicle_make'] = $value->vehicle_make; 
                    $customer_array[$i]['vehicle_model'] = $value->vehicle_model; 
                    $customer_array[$i]['address'] = $value->address1; 
                    $customer_array[$i]['city'] = $value->city; 
                    $customer_array[$i]['state'] = $value->state; 
                    $customer_array[$i]['zip'] = $value->zip; 
                    $i++;
                }
                
            }


            $customers = DB::connection('mysql3')->table($ib_table)
                        ->where('fname', 'like', '%'.$search_value.'%')
                        ->orWhere('lname', 'like', '%'.$search_value.'%')
                        ->orWhereRaw('CONCAT(fname," ",lname) = "'.$search_value.'"')
                        ->orWhere('email', 'like', '%'.$search_value.'%')
                        ->orWhere('phone', 'like', '%'.$phone_search_value.'%')
                        ->orWhere('cellphone', 'like', '%'.$phone_search_value.'%')
                        ->orWhere('vin', 'like', '%'.$search_value.'%')
                        ->groupBy('vin')
                        ->limit(10)
                        ->get();
            
            foreach ($customers as $key => $value) {
                if(!isset($vins_found[$value->vin]))
                {
                    $customer_array[$i]['id'] = $i; 
                    $customer_array[$i]['first_name'] = $value->fname; 
                    $customer_array[$i]['last_name'] = $value->lname; 
                    $customer_array[$i]['email'] = $value->email; 
                    $customer_array[$i]['phone'] = $value->phone; 
                    $customer_array[$i]['cellphone'] = $value->cellphone; 
                    $customer_array[$i]['vin'] = $value->vin; 
                    $customer_array[$i]['vehicle_year'] = $value->vehicle_year; 
                    $customer_array[$i]['vehicle_make'] = $value->vehicle_make; 
                    $customer_array[$i]['vehicle_model'] = $value->vehicle_model; 
                    $customer_array[$i]['address'] = $value->address; 
                    $customer_array[$i]['city'] = $value->city; 
                    $customer_array[$i]['state'] = $value->state; 
                    $customer_array[$i]['zip'] = $value->zip; 
                    $i++;
                }
                
            }
            
        }

        if(count($customer_array) >= 1)
        {
            $customers_json = json_encode($customer_array);
        } else {
            $customers_json = '';
        }

        $output = array(
         'customers_json' => $customers_json 
        );

        return response()->json($output);
        
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function searchCustomers(Request $request)
    {
        $messages = [
            'upload_file.required' => 'File required!',
            'upload_file.mimes' => 'Invalid file format',
            'upload_file.max' => 'Max file size is 25M.',
        ];

        $validatedData = $request->validate([
            'upload_file' => 'required|mimes:xlsx,xls,csv,txt|max:25600‬',
        ], $messages);

        $uploaded_file = $request->file('upload_file');

        $orig_file_name = $uploaded_file->getClientOriginalName();
        $new_name = rand() . '.' . time(). '.' . $orig_file_name . '.' . $uploaded_file->getClientOriginalExtension();
        $uploaded_file->move(public_path('uploaded_files'), $new_name);

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->getNumberFromName($request->vin_column);

        Excel::import($excel_import = new SearchCustomerImport($commonFunctions->number_letter), 'uploaded_files/'.$new_name);
        //$vins_array = array_chunk($excel_import->vins,10);

        $db_table = 'livecall_'.$request->db_table;
        $customers_array = array();
        $csv_content = "First Name,Last Name,Phone,Cell Phone,Email,Service Date,Date Added,VIN,Vehicle Year,Vehicle Make,Vehicle Model\n";


        foreach (array_unique($excel_import->vins) as $key => $vin) {
            $livecall = DB::connection('mysql2')->table($db_table)
                                                ->selectRaw('fname,lname,phone,cellphone,email,vin,vehicle_year,vehicle_make,vehicle_model,service_date,dateadded')
                                                ->where('vin', $vin)
                                                ->orderBy('id','desc')
                                                ->first();
            if($livecall)
            {
                $csv_row = array();
                $csv_row[] = $livecall->fname;
                $csv_row[] = $livecall->lname;
                $csv_row[] = $livecall->phone;
                $csv_row[] = $livecall->cellphone; 
                $csv_row[] = $livecall->email;
                $csv_row[] = $livecall->service_date;
                $csv_row[] = date('m/d/Y', strtotime($livecall->dateadded));
                $csv_row[] = $livecall->vin;
                $csv_row[] = $livecall->vehicle_year;
                $csv_row[] = $livecall->vehicle_make;
                $csv_row[] = $livecall->vehicle_model;
                $csv_content.= implode(",",$csv_row)."\n";
                $customers_array[] = $livecall;
            }
        }
        
        /*foreach($vins_array as $vins)
        {
            $livecalls = DB::connection('mysql2')->table($db_table)
                                ->selectRaw('fname,lname,phone,cellphone,email,vin,vehicle_year,vehicle_make,vehicle_model')
                                ->whereRaw("FIND_IN_SET(vin, '".implode(',', $vins)."')")
                                ->whereRaw("SELECT MAX(id) FROM posts GROUP BY category_id")
                                ->get();

            $livecalls = DB::connection('mysql2')->select("SELECT fname,lname,phone,cellphone,email,vin,vehicle_year,vehicle_make,vehicle_model,dateadded 
                                                FROM ".$db_table." 
                                                WHERE FIND_IN_SET(vin, '".implode(',', $vins)."') 
                                                AND id IN (
                                                    SELECT MAX(id) FROM ".$db_table." WHERE FIND_IN_SET(vin, '".implode(',', $vins)."')  GROUP BY vin
                                                );");

            $livecalls = DB::connection('mysql2')->select("SELECT fname,lname,phone,cellphone,email,vin,vehicle_year,vehicle_make,vehicle_model,dateadded 
                                                FROM ".$db_table." 
                                                WHERE id IN (
                                                    SELECT MAX(id) FROM ".$db_table." WHERE FIND_IN_SET(vin, '".implode(',', $vins)."')  GROUP BY vin
                                                );");

            foreach ($livecalls as $key => $value) {
                $csv_row = array();
                $csv_row[] = $value->fname;
                $csv_row[] = $value->lname;
                $csv_row[] = $value->phone;
                $csv_row[] = $value->cellphone; 
                $csv_row[] = $value->email;
                $csv_row[] = $value->dateadded;
                $csv_row[] = $value->vin;
                $csv_row[] = $value->vehicle_year;
                $csv_row[] = $value->vehicle_make;
                $csv_row[] = $value->vehicle_model;
                $csv_content.= implode(",",$csv_row)."\n";
            }
            $customers_array[] = $livecalls;
        }*/

        $filename = time().'_'.$request->db_table."-found_customers.csv";
        $file_path = "uploaded_files/".$filename;

        $file = file_put_contents($file_path,$csv_content);

        $output = array(
         'error' => $excel_import->getErrorMessage(),
         'row_count' => 0,  
         'success' => 'File successfuly uploaded.',
         'download_link'  => '',
         'view_content'  => view('dialogs.customers_found')->with(['customers_array' => $customers_array, 'file_path' => $file_path])->render()
        );

        return response()->json($output);
    }



}
