<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SearchCustomerReviewFileController extends Controller
{
    public function searchRecentCalled(Request $request) 
    {
        $coid = $request->coid;
        $vin_json = $request->vin_json;
        $vin_array = json_decode($vin_json, true);
        $search_phones = ($request->search_phones == "1")? true : false;
        $search_emails = ($request->search_emails == "1")? true : false;
        
        //var_dump($vin_array);

        $companyData = DB::connection('mysql2')->table('callcenter_companies')->where('coid', $request->coid)->first();
        //$companyData = getCompanyData($coid);
        $co_short = $companyData->co_short;
        $dbtable = "livecall_".$co_short;
        $finddays = (trim($request->finddays) != "")? $request->finddays * 1 : 1;
        $days_within_based_on = (trim($request->days_within_based_on) != "")? $request->days_within_based_on : "lastupdate";
        $calltype_review_filter = ($request->calltype_review_filter != "")? $request->calltype_review_filter : array("all");
        $customer_status = $request->filter_customer_status;
        $customer_status_extra = ($customer_status != "")? " AND customer_status = '$customer_status'" : "";
            
        $has_days_within = false;
        $has_search_phone = false;

        $search_ro = $request->search_ro;

        if($days_within_based_on == "lastupdate") {
            $based_on_label = "Last Update";
        } else if($days_within_based_on == "dateadded") {
            $based_on_label = "Date Added";
        } else if($days_within_based_on == "service_date") {
            $based_on_label = "Service Date";
        } else if($days_within_based_on == "sale_date") {
            $based_on_label = "Sale Date";
        } else if($days_within_based_on == "service_apt_date") {
            $based_on_label = "Service Apt Date";
        } else if($days_within_based_on == "sales_apt_date") {
            $based_on_label = "Sales Apt Date";
        }

        $commonFunctions = new CommonFunctionsController();

        $icons = $commonFunctions->getIconsUrls();
        $cstexts = $commonFunctions->getCostumerStatusTexts();
        $calltypesInfo = $commonFunctions->getCalltypesInfo();

        $call_status_options_list = array("WN"=>"Wrong Number","BD"=>"Bad Data","RPT"=>"Repeated DATA","COMP"=>"Completed",
            "COMPEF"=>"Completed with E-Farm","LMWEB"=>"Left Message with web address","LMLC"=>"Left Message, Last Call",
            "NO"=>"Not Interested","CBAM"=>"Call Back AM","CBPM"=>"Call Back PM","CB"=>"Call Back","BZ"=>"Busy Signal",
            "NA"=>"No Answer","CL"=>"Close Call","UDO"=>"Update Only");
        $obj = array();
        $total_rows = count($vin_array["row"]);
        $end = ($total_rows>=10)? 10 : $total_rows;
        for($i = 0; $i < $end; $i++) {
            $phone = "";
            $best_phone = "";
            $cellphone = "";
            
            $row = trim($vin_array["row"][$i]);
            $vin =  trim($vin_array["vin"][$i]);
            $ro = trim($vin_array["ro"][$i]);
            
            $fname =  trim($vin_array["fname"][$i]);
            $lname =  trim($vin_array["lname"][$i]);
            $email =  trim($vin_array["email"][$i]);
            $current_phone = preg_replace("/[^0-9]/i", "", $vin_array["phone"][$i]);

            $vin_escaped = DB::connection('mysql2')->getPdo()->quote($vin);
            $ro_escaped = DB::connection('mysql2')->getPdo()->quote($ro);
            $fname_escaped = DB::connection('mysql2')->getPdo()->quote($fname);
            $lname_escaped = DB::connection('mysql2')->getPdo()->quote($lname);
            $email_escaped = DB::connection('mysql2')->getPdo()->quote($email);
            $current_phone_escaped = DB::connection('mysql2')->getPdo()->quote($current_phone);
            
            
            $obj[$i]["row"] = $row;
            if(trim($current_phone) == "") {
                if($search_phones==true) {
                    $phone = "";
                    $best_phone = "";
                    $cellphone = "";
                    if(trim($vin) != "") {
                        if ( ! empty(trim($fname)) ) {
                            $phones = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('phone', 'best_phone', 'cellphone', 'fname', 'lname', 'email')
                                    ->where('fname', $fname)
                                    ->where('vin', $vin)
                                    ->first();
                        } else {
                            $phones = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('phone', 'best_phone', 'cellphone', 'fname', 'lname', 'email')
                                    ->where('vin', $vin)
                                    ->where('fname', '!=', '')
                                    ->orderBy('dateadded', 'desc')
                                    ->first();
                        }
                        
                        $phone =  "";
                        $best_phone =  "";
                        $cellphone =  "";
                        if($phones)
                        {
                            $fname =  $phones->fname;
                            $fname_escaped = DB::connection('mysql2')->getPdo()->quote($fname);
                            $phone =  (strlen(trim($phones->phone)) >= 10)? trim($phones->phone) : "" ;
                            $best_phone =  (strlen(trim($phones->best_phone)) >= 10)? trim($phones->best_phone) : "" ;
                            $cellphone =  (strlen(trim($phones->cellphone)) >= 10)? trim($phones->cellphone) : "" ;
                            $obj[$i]["fname"] = $phones->fname;
                            $obj[$i]["lname"] = $phones->lname;
                            $obj[$i]["email"] = $phones->email;
                        }
                    }
                    
                    if(trim($phone) != "" || trim($best_phone) != "" || trim($cellphone) != "") {

                        if(trim($phone) == "") {
                            $phone = $best_phone;
                        }
                        if(trim($phone) == "") {
                            $phone = $cellphone;
                        }

                        $today = date('Y-m-d');

                        $daysago = date('Y-m-d', strtotime('-'.$finddays.' days', strtotime($today)));
                        $daysago.= ' 00:00:00';
                        $daysago_no_minute = date('m/d/Y', strtotime('-'.$finddays.' days', strtotime($today)));
                        
                        
                        if((implode(",",$calltype_review_filter) != "all")) {
                            $calltype_review_filter_sql_array = array();
                            foreach($calltype_review_filter as $cr_filter) {
                                $calltype_review_filter_sql_array[] = " (livecall_prev_calltype = '$cr_filter' OR livecall_next_calltype = '$cr_filter') ";
                            }
                            $calltype_review_filter_sql_implode = implode(" OR ",$calltype_review_filter_sql_array);
                            $calltype_review_filter_sql = " AND ($calltype_review_filter_sql_implode) ";
                        } else {
                            $calltype_review_filter_sql = "";
                        }

                        //$calltype_review_filter_sql = ($calltype_review_filter != "all")? " AND (livecall_prev_calltype = '$calltype_review_filter' OR livecall_next_calltype = '$calltype_review_filter')" : "";
                        $find_days_where_query = ($days_within_based_on == "service_date")? " STR_TO_DATE(service_date,'%m/%d/%Y') >=  STR_TO_DATE('$daysago_no_minute','%m/%d/%Y')" : " $days_within_based_on >= '$daysago' ";
                        $find_days_orderby_query = ($days_within_based_on == "service_date")? " ORDER BY STR_TO_DATE(service_date,'%m/%d/%Y') DESC " : " ORDER BY $days_within_based_on DESC ";
                        $duplicated_ro = "";
                        if($search_ro == "1") {
                            $duplicated_ro = (trim($ro) == "")? "" : " AND (ro != '$ro' AND ro != '') ";
                        }    
                        
                        if($request->search_based_on == "phone") {
                            $search_based_on = " (phone = $current_phone_escaped OR best_phone = $current_phone_escaped OR cellphone = $current_phone_escaped) ";
                        } else if($request->search_based_on == "phone_vin") {
                            $search_based_on = " (phone = $current_phone_escaped OR best_phone = $current_phone_escaped OR cellphone = $current_phone_escaped) AND vin = $vin_escaped ";
                        } else if($request->search_based_on == "vin") {
                            $search_based_on = " vin = $vin_escaped ";
                        } else if($request->search_based_on == "vin_ro") {
                            if(trim($ro) != "") {
                                $search_based_on = " vin = $vin_escaped AND RO = $ro_escaped ";
                            } else {
                                $search_based_on = " vin = $vin_escaped ";
                            }  
                        } 

                        $result = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('id', 'livecall_prev_calltype', 'livecall_next_calltype', 'fname', 'lname', 'email')
                                    ->whereRaw("  ($search_based_on $customer_status_extra AND $find_days_where_query".$calltype_review_filter_sql.")".$duplicated_ro.$find_days_orderby_query)
                                    ->first();

                        if($result) {
                            $obj[$i]["has_days_within"] = 1;
                            $obj[$i]["fname"] = $result->fname;
                            $obj[$i]["lname"] = $result->lname;
                            $obj[$i]["email"] = $result->email;
                            $obj[$i]["reference_id"] = $result->id;
                            $obj[$i]["best_phone"] = trim($best_phone);
                            $obj[$i]["cellphone"] = trim($cellphone);
                            $prev_calltype =  (!empty($result->livecall_prev_calltype) && $result->livecall_prev_calltype != null)? $result->livecall_prev_calltype : 0;
                            $next_calltype =  (!empty($result->livecall_next_calltype))? $result->livecall_next_calltype : 0;
                            $call_type_icon = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['icon'] : $calltypesInfo[$next_calltype]['icon'];
                            $call_type_text = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['calltype_text'] : $calltypesInfo[$next_calltype]['calltype_text'];
                            $obj[$i]["icon"] = '<img src="https://login.fullbdc.com/images/'.$call_type_icon.'" title="'.$call_type_text.'" onmouseover="getRecentCalledInfo(event, \''.$coid.'\', \''.$result->id.'\')" onmouseout="ccShowScriptToolTip(event,\'recent_called_history_div\')">';
                        } else {
                            $obj[$i]["has_days_within"] = 0;
                            $obj[$i]["reference_id"] = 0;
                            $obj[$i]["calltype_img"] = "";
                            $obj[$i]["calltype_txt"] = "";
                            $obj[$i]["icon"] = '';
                        }

                        $gdnc = DB::connection('mysql2')
                                    ->table("callcenter_dnc")
                                    ->where('phone', $phone)
                                    ->first();

                        if($gdnc) {
                            $obj[$i]["dnc"] = 1;
                        } else {
                            $obj[$i]["dnc"] = 0;
                        }
                        
                        $ddnc = DB::connection('mysql2')
                                    ->table("dnc_".$co_short)
                                    ->where('phone', $phone)
                                    ->first();
                        if($ddnc) {
                            $obj[$i]["ddnc"] = 1;
                        } else {
                            $obj[$i]["ddnc"] = 0;
                        }
                        $obj[$i]["phone"] = preg_replace("/[^0-9]/i", "",  trim($phone));
                        $obj[$i]["best_phone"] = preg_replace("/[^0-9]/i", "",  trim($best_phone));
                        $obj[$i]["cellphone"] = preg_replace("/[^0-9]/i", "",  trim($cellphone));
                        $obj[$i]["has_search_phone"] = 1;
                    } else { //NEWLY ADDED FOR VINS SEARCH WITH NO PHONES. PHONE == "" AFTER SEARCH
                        $best_phone = '';
                        $cellphone = '';  
                        
                        $today = date('Y-m-d');

                        $daysago = date('Y-m-d', strtotime('-'.$finddays.' days', strtotime($today)));
                        $daysago.= ' 00:00:00';
                        $daysago_no_minute = date('m/d/Y', strtotime('-'.$finddays.' days', strtotime($today)));
                        
                        
                        if((implode(",",$calltype_review_filter) != "all")) {
                            $calltype_review_filter_sql_array = array();
                            foreach($calltype_review_filter as $cr_filter) {
                                $calltype_review_filter_sql_array[] = " (livecall_prev_calltype = '$cr_filter' OR livecall_next_calltype = '$cr_filter') ";
                            }
                            $calltype_review_filter_sql_implode = implode(" OR ",$calltype_review_filter_sql_array);
                            $calltype_review_filter_sql = " AND ($calltype_review_filter_sql_implode) ";
                        } else {
                            $calltype_review_filter_sql = "";
                        }

                        //$calltype_review_filter_sql = ($calltype_review_filter != "all")? " AND (livecall_prev_calltype = '$calltype_review_filter' OR livecall_next_calltype = '$calltype_review_filter')" : "";
                        $find_days_where_query = ($days_within_based_on == "service_date")? " STR_TO_DATE(service_date,'%m/%d/%Y') >=  STR_TO_DATE('$daysago_no_minute','%m/%d/%Y')" : " $days_within_based_on >= '$daysago' ";
                        $find_days_orderby_query = ($days_within_based_on == "service_date")? " ORDER BY STR_TO_DATE(service_date,'%m/%d/%Y') DESC " : " ORDER BY $days_within_based_on DESC ";
                        $duplicated_ro = "";
                        if($search_ro == "1") {
                            $duplicated_ro = (trim($ro) == "")? "" : " AND (ro != '$ro' AND ro != '') ";
                        }    
                        
                        $do_search = false;
                        if(trim($vin) != "") {
                            $search_based_on = " fname = $fname_escaped AND vin = $vin_escaped  ";
                            $do_search = true;
                        } else if(trim($lname) != "" && trim($email) != "") {
                            $search_based_on = " lname = $lname_escaped AND email = $email_escaped ";
                            $do_search = true;
                        } else if(trim($fname) != "" && trim($lname) != "") {
                            $search_based_on = " fname = $fname_escaped AND lname = $lname_escaped ";
                            $do_search = true;
                        }
                        
                        if($do_search == true) {

                            $result = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('id', 'livecall_prev_calltype', 'livecall_next_calltype', 'fname', 'lname', 'email')
                                    ->whereRaw("  ($search_based_on $customer_status_extra AND $find_days_where_query".$calltype_review_filter_sql.")".$duplicated_ro.$find_days_orderby_query)
                                    ->first();

                        } else {
                            $result = false;
                        }

                        if($result) { 
                            $obj[$i]["has_days_within"] = 1;
                            $obj[$i]["reference_id"] = $result->id;
                            $obj[$i]["fname"] = $result->fname;
                            $obj[$i]["lname"] = $result->lname;
                            $obj[$i]["email"] = $result->email;
                            $prev_calltype =  (!empty($result->livecall_prev_calltype) && $result->livecall_prev_calltype != null)? $result->livecall_prev_calltype : 0;
                            $next_calltype =  (!empty($result->livecall_next_calltype))? $result->livecall_next_calltype : 0;
                            $call_type_icon = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['icon'] : $calltypesInfo[$next_calltype]['icon'];
                            $call_type_text = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['calltype_text'] : $calltypesInfo[$next_calltype]['calltype_text'];
                            $obj[$i]["icon"] = '<img src="https://login.fullbdc.com/images/'.$call_type_icon.'" title="'.$call_type_text.'" onmouseover="getRecentCalledInfo(event, \''.$coid.'\', \''.$result->id.'\')" onmouseout="ccShowScriptToolTip(event,\'recent_called_history_div\')">';
                        } else {
                            $obj[$i]["has_days_within"] = 0;
                            $obj[$i]["reference_id"] = 0;
                            $obj[$i]["icon"] = '';
                        }
                        $obj[$i]["phone"] = '';
                        $obj[$i]["best_phone"] = '';
                        $obj[$i]["cellphone"] = '';
                        $obj[$i]["dnc"] = 0;
                        $obj[$i]["has_search_phone"] = 0;
                        
                        
                    }
                } else { //SEARCH PHONES == FALSE && PHONE == ""
                        $best_phone = '';
                        $cellphone = '';  
                        //NEWLY ADDED FOR VINS SEARCH WITH NO SEARCH PHONES activated
                        
                        $today = date('Y-m-d');

                        $daysago = date('Y-m-d', strtotime('-'.$finddays.' days', strtotime($today)));
                        $daysago.= ' 00:00:00';
                        $daysago_no_minute = date('m/d/Y', strtotime('-'.$finddays.' days', strtotime($today)));
                        
                        
                        if((implode(",",$calltype_review_filter) != "all")) {
                            $calltype_review_filter_sql_array = array();
                            foreach($calltype_review_filter as $cr_filter) {
                                $calltype_review_filter_sql_array[] = " (livecall_prev_calltype = '$cr_filter' OR livecall_next_calltype = '$cr_filter') ";
                            }
                            $calltype_review_filter_sql_implode = implode(" OR ",$calltype_review_filter_sql_array);
                            $calltype_review_filter_sql = " AND ($calltype_review_filter_sql_implode) ";
                        } else {
                            $calltype_review_filter_sql = "";
                        }

                        //$calltype_review_filter_sql = ($calltype_review_filter != "all")? " AND (livecall_prev_calltype = '$calltype_review_filter' OR livecall_next_calltype = '$calltype_review_filter')" : "";
                        $find_days_where_query = ($days_within_based_on == "service_date")? " STR_TO_DATE(service_date,'%m/%d/%Y') >=  STR_TO_DATE('$daysago_no_minute','%m/%d/%Y')" : " $days_within_based_on >= '$daysago' ";
                        $find_days_orderby_query = ($days_within_based_on == "service_date")? " ORDER BY STR_TO_DATE(service_date,'%m/%d/%Y') DESC " : " ORDER BY $days_within_based_on DESC ";
                        $duplicated_ro = "";
                        if($search_ro == "1") {
                            $duplicated_ro = (trim($ro) == "")? "" : " AND (ro != '$ro' AND ro != '') ";
                        }    
                        
                        $do_search = false;
                        if(trim($vin) != "") {
                            $search_based_on = " fname = $fname_escaped AND vin = $vin_escaped  ";
                            $do_search = true;
                        } else if(trim($lname) != "" && trim($email) != "") {
                            $search_based_on = " lname = $lname_escaped AND email = $email_escaped ";
                            $do_search = true;
                        } else if(trim($fname) != "" && trim($lname) != "") {
                            $search_based_on = " fname = $fname_escaped AND lname = $lname_escaped ";
                            $do_search = true;
                        }
                        
                        
                        if($do_search == true) {
                            
                            $result = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('id', 'livecall_prev_calltype', 'livecall_next_calltype')
                                    ->whereRaw("  ($search_based_on $customer_status_extra AND $find_days_where_query".$calltype_review_filter_sql.")".$duplicated_ro.$find_days_orderby_query)
                                    ->first();

                        } else {
                            $result = false;
                        }

                        if($result) {
                            $obj[$i]["has_days_within"] = 1;
                            $obj[$i]["reference_id"] = $result->id;
                            $prev_calltype =  (!empty($result->livecall_prev_calltype) && $result->livecall_prev_calltype != null)? $result->livecall_prev_calltype : 0;
                            $next_calltype =  (!empty($result->livecall_next_calltype))? $result->livecall_next_calltype : 0;
                            $call_type_icon = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['icon'] : $calltypesInfo[$next_calltype]['icon'];
                            $call_type_text = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['calltype_text'] : $calltypesInfo[$next_calltype]['calltype_text'];
                            $obj[$i]["icon"] = '<img src="https://login.fullbdc.com/images/'.$call_type_icon.'" title="'.$call_type_text.'" onmouseover="getRecentCalledInfo(event, \''.$coid.'\', \''.$result->id.'\')" onmouseout="ccShowScriptToolTip(event,\'recent_called_history_div\')">';
                        } else {
                            $obj[$i]["has_days_within"] = 0;
                            $obj[$i]["reference_id"] = 0;
                            $obj[$i]["icon"] = '';
                        }
                        $obj[$i]["phone"] = '';
                        $obj[$i]["best_phone"] = '';
                        $obj[$i]["cellphone"] = '';
                        $obj[$i]["dnc"] = 0;
                        $obj[$i]["has_search_phone"] = 0;
                        
                        
                }

            } else if(trim($current_phone) != "") {
                $today = date('Y-m-d');

                $daysago = date('Y-m-d', strtotime('-'.$finddays.' days', strtotime($today)));
                $daysago.= ' 00:00:00';
                $daysago_no_minute = date('m/d/Y', strtotime('-'.$finddays.' days', strtotime($today)));
                
                
                if((implode(",",$calltype_review_filter) != "all")) {
                    $calltype_review_filter_sql_array = array();
                    foreach($calltype_review_filter as $cr_filter) {
                        $calltype_review_filter_sql_array[] = " (livecall_prev_calltype = '$cr_filter' OR livecall_next_calltype = '$cr_filter') ";
                    }
                    $calltype_review_filter_sql_implode = implode(" OR ",$calltype_review_filter_sql_array);
                    $calltype_review_filter_sql = " AND ($calltype_review_filter_sql_implode) ";
                } else {
                    $calltype_review_filter_sql = "";
                }
                

                //$calltype_review_filter_sql = ($calltype_review_filter != "all")? " AND (livecall_prev_calltype = '$calltype_review_filter' OR livecall_next_calltype = '$calltype_review_filter')" : "";
                $find_days_where_query = ($days_within_based_on == "service_date")? " STR_TO_DATE(service_date,'%m/%d/%Y') >=  STR_TO_DATE('$daysago_no_minute','%m/%d/%Y')" : " $days_within_based_on >= '$daysago' ";
                $find_days_orderby_query = ($days_within_based_on == "service_date")? " ORDER BY STR_TO_DATE(service_date,'%m/%d/%Y') DESC " : " ORDER BY $days_within_based_on DESC ";
                $duplicated_ro = "";
                if($search_ro == "1") {
                    $duplicated_ro = (trim($ro) == "")? "" : " AND (ro != '$ro' AND ro != '') ";
                }
                $do_search = false;
                $search_based_on = "";
                if($request->search_based_on == "phone") {
                    if(trim($current_phone) != "")  {
                        $search_based_on = " (phone = '$current_phone' OR best_phone = '$current_phone' OR cellphone = '$current_phone') ";
                        $do_search = true;
                    }
                    
                } else if($request->search_based_on == "phone_vin") {
                    if(trim($current_phone) != "" && trim($vin) != "")  {
                        $search_based_on = " (phone = '$current_phone' OR best_phone = '$current_phone' OR cellphone = '$current_phone') AND vin = '$vin' ";
                        $do_search = true;
                    }
                } else if($request->search_based_on == "vin") {
                    if(trim($vin) != "")  {
                        $search_based_on = " ((fname = $fname_escaped AND vin = '$vin') OR (lname = $lname_escaped AND vin = '$vin'))  ";
                        $do_search = true;
                    }
                } else if($request->search_based_on == "vin_ro") {
                    if(trim($vin) != "")  {
                        if(trim($ro) != "") {
                            $search_based_on = " vin = '$vin' AND RO = '$ro' ";
                        } else {
                            $search_based_on = " vin = '$vin' ";
                        }  
                        $do_search = true;
                    }
                }
                
                if($search_based_on == "") {
                        $do_search = false;
                        if(trim($vin) != "") {
                            $search_based_on = " fname = $fname_escaped AND vin = $vin_escaped  ";
                            $do_search = true;
                        } else if(trim($lname) != "" && trim($email) != "") {
                            $search_based_on = " lname = $lname_escaped AND email = $email_escaped ";
                            $do_search = true;
                        } else if(trim($fname) != "" && trim($lname) != "") {
                            $search_based_on = " fname = $fname_escaped AND lname = $lname_escaped ";
                            $do_search = true;
                        }
                }
                
                
                if($do_search == true) {

                    $result = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('id', 'phone', 'best_phone', 'cellphone', 'livecall_prev_calltype', 'livecall_next_calltype')
                                    ->whereRaw(" ( $search_based_on $customer_status_extra AND $find_days_where_query".$calltype_review_filter_sql.")".$duplicated_ro.$find_days_orderby_query)
                                    ->first();
                } else {
                    $result = false;
                }

                $best_phone = '';     
                $cellphone = '';  

                if($result) {
                    $best_phone = $result->best_phone;
                    $cellphone = $result->cellphone;
                    
                    $obj[$i]["has_days_within"] = 1;
                    $obj[$i]["reference_id"] = $result->id;
                    $prev_calltype =  (!empty($result->livecall_prev_calltype) && $result->livecall_prev_calltype != null)? $result->livecall_prev_calltype : 0;
                    $next_calltype =  (!empty($result->livecall_next_calltype))? $result->livecall_next_calltype : 0;
                    $call_type_icon = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['icon'] : $calltypesInfo[$next_calltype]['icon'];
                    $call_type_text = (!empty($prev_calltype))? $calltypesInfo[$prev_calltype]['calltype_text'] : $calltypesInfo[$next_calltype]['calltype_text'];
                    $obj[$i]["icon"] = '<img src="https://login.fullbdc.com/images/'.$call_type_icon.'" title="'.$call_type_text.'" onmouseover="getRecentCalledInfo(event, \''.$coid.'\', \''.$result->id.'\')" onmouseout="ccShowScriptToolTip(event,\'recent_called_history_div\')">';
                } else {
                    $obj[$i]["has_days_within"] = 0;
                    $obj[$i]["reference_id"] = 0;
                    $obj[$i]["icon"] = '';
                }
                
                $obj[$i]["phone"] = preg_replace("/[^0-9]/i", "",  trim($current_phone));
                $obj[$i]["best_phone"] = preg_replace("/[^0-9]/i", "",  trim($best_phone));
                $obj[$i]["cellphone"] = preg_replace("/[^0-9]/i", "",  trim($cellphone));
                $obj[$i]["dnc"] = 0;
                $obj[$i]["has_search_phone"] = 0;

            }
            
            $emails = array();
            if($search_emails == true && (trim($vin) != "" && trim($fname) != "") && empty($obj[$i]["email"])) 
            {
                $emails = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->select('email')
                                    ->where('vin', $vin)
                                    ->where('fname', $fname)
                                    ->where('livecall_status', 'COMPEF')
                                    ->orderBy('dateadded', 'DESC')
                                    ->first();
                if($emails)
                {
                    $obj[$i]["email"] = $emails->email;
                } else {
                    $obj[$i]["email"] = '';
                }
                
            }
            
            $obj[$i]["history"] = '';

        }
        return json_encode($obj);
    }

    public function getCallInfo(Request $request) {
        $companyData = DB::connection('mysql2')->table('callcenter_companies')->where('coid', $request->coid)->first();
        $co_short = $companyData->co_short;
        $dbtable = "livecall_".$co_short;
        $call_information = DB::connection('mysql2')
                                    ->table($dbtable)
                                    ->selectRaw('*')
                                    ->where('id', $request->reference_id)
                                    ->first();
        
        $content = '
        <table class="table table-striped">
            <tr><td>Customer</td><td>DateAdded</td><td>VIN</td><td>Vehicle</td><td>Caller Comments</td></tr>
            <tr>
                <td>'.$call_information->fname.' '.$call_information->lname.'</td>
                <td>'.date( 'm/d/Y', strtotime( $call_information->dateadded ) ).'</td>
                <td>'.$call_information->vin.'</td>
                <td>'.$call_information->vehicle_year.' '.$call_information->vehicle_make.' '.$call_information->vehicle_model.'</td>
                <td>'.$call_information->caller_comments.'</td>
            </tr>
        </table>
        ';

        return response()->json([
            'content' => utf8_encode($content),
        ]);
    }
}
