<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SearchPhoneController extends Controller
{
    public function searchByPhone(Request $request) {
        $dealers = DB::connection('mysql2')
            ->table('callcenter_companies')
            ->select('co_name', 'co_short', 'coid')
            ->where('is_active', 1)
            ->orderBy('co_name')
            ->get();

        $results      = [];
        $db_fields    = ['fname', 'lname', 'email', 'phone', 'vin', 'vehicle_year', 'vehicle_make', 'vehicle_model', 'dateadded'];
        foreach ($dealers as $dealer) {
            $livecall_table = 'livecall_' . $dealer->co_short;
            $records        = DB::connection('mysql2')
                ->table($livecall_table)
                ->selectRaw( implode(',', $db_fields))
                ->where('phone', $request->phone)
                ->orWhere('cellphone', $request->phone)
                ->orWhere('workphone', $request->phone)
                ->orWhere('best_phone', $request->phone)
                ->get();

            $i = 0;
            foreach ( $records as $record ) {
                $results[$dealer->coid][$i]['dealer_name'] = $dealer->co_name;
                foreach ($db_fields as $field) {
                    $results[$dealer->coid][$i][$field] = $record->{$field};
                }
                $i++;
            }
        }

        return view('reports.search_customer_by_phone', [
            'results'   => $results,
            'db_fields' => $db_fields,
        ]);
    }
}
