<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Mail\GeneralEmailAlert; 
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;
use DateTime;
use DateTimeZone;

class SendImportEmailController extends Controller
{
    public function sendImpotEmails()
    {
        $commonFunctions = new CommonFunctionsController();
        $import_email_data_insert = [];
        $import_email_ids = [];
        $local_time = new DateTime();
        $local_time->setTimezone(new DateTimeZone('America/New_York'));
        $import_emails = DB::connection('mysql2')
                                ->table('callcenter_email_send_queue')
                                ->limit(50)
                                ->get();
        $date_sent = $local_time->format('Y-m-d H:i:s');

        foreach($import_emails as $import_email)
        {
            $import_email_ids[] = $import_email->uid;
            if (!filter_var($import_email->email, FILTER_VALIDATE_EMAIL)) {
              continue;
            }
            $mail_data = new \stdClass();
            $mail_data->subject = $import_email->email_subject;
            $mail_data->view = 'general_email';
            $mail_data->email_css = '.label_td {
                                          font-weight: bold;
                                        }

                                        .value_td {
                                          
                                        }

                                        .footer_notes {
                                          font-size: 10px;
                                        }

                                        .align_top {
                                            vertical-align: baseline;
                                        }';
            $viewed_img = $commonFunctions->setImgToCheckViewed($import_email->email, $import_email->email_subject, $date_sent, $import_email->coid);
            $mail_data->email_content = $import_email->email_content.$viewed_img;
            $sanitized_emails = array_unique(explode(',', $import_email->email));
            Mail::to($sanitized_emails)->send(new GeneralEmailAlert($mail_data));


            $import_email_data_insert[] =   [
                                                "coid" => $import_email->coid, 
                                                "email" => $import_email->email,  
                                                "date_sent" => $date_sent, 
                                                "subject" => $import_email->email_subject, 
                                                "type" => 3,   
                                            ];

        }

        DB::connection('mysql2')->table('email_alerts_sent')->insert($import_email_data_insert);

        if(count($import_email_ids) > 0)
        {
            DB::connection('mysql2')
                ->table('callcenter_email_send_queue')
                ->whereIn('uid', $import_email_ids)
                ->delete();
        }
    }
}
