<?php

namespace App\Http\Controllers;

use App\SentSmsNotification;
use Illuminate\Http\Request;
use App\ConversationMessage;
use App\TwilioPhone;
use Twilio\Rest\Client;
use App\Mail\GeneralEmailAlert;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;

class SentSmsNotificationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\SentSmsNotification  $SentSmsNotification
     * @return \Illuminate\Http\Response
     */
    public function show(SentSmsNotification $SentSmsNotification)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\SentSmsNotification  $SentSmsNotification
     * @return \Illuminate\Http\Response
     */
    public function edit(SentSmsNotification $SentSmsNotification)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\SentSmsNotification  $SentSmsNotification
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, SentSmsNotification $SentSmsNotification)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\SentSmsNotification  $SentSmsNotification
     * @return \Illuminate\Http\Response
     */
    public function destroy(SentSmsNotification $SentSmsNotification)
    {
        //
    }

    public function SendEmailAlert() {
        $pending_sms = ConversationMessage::where('to', 'like', '+1%')
                                        ->where('seen', 0)
                                        ->groupBy('from')
                                        ->get();

        if($pending_sms->count() > 0)
        {
            $companies = DB::connection('mysql2')->table('callcenter_companies')
                    ->select('coid', 'co_name')
                    ->where('is_active', 1)
                    ->get();

            foreach ($companies as $key => $value) {
                $company_names[$value->coid] = $value->co_name;
            }

            $twilio_companies_model = TwilioPhone::all();
            foreach ($twilio_companies_model as $twilio) {
                $twilio_companies[$twilio->phone] = ( ! empty( $company_names[$twilio->coid] ) ) ? $company_names[$twilio->coid] : '';
                $companies_coid[$twilio->phone] = $twilio->coid;
            }

            foreach ($pending_sms as $key => $value) {

                $already_sent = SentSmsNotification::where('conversation_message_id', $value->id)->where('sent', 1)->first();
                if( ! $already_sent && isset( $twilio_companies[ $value->to ] ) ) {

                    $start_time     = strtotime( $value->created_at );
                    $end_time       = time();
                    $minutes_passed = ( $end_time - $start_time ) / 60;
                    
                    if( $minutes_passed >= 10 ) {
                        $email_subject = 'Pending SMS for ' . $twilio_companies[ $value->to ];
                        $email_content = '<strong>You have a SMS for ' . $twilio_companies[ $value->to ] . ' from: ' . $value->from . '<br><br>';
                        $email_content.= '<strong>Message:</strong> ' . $value->message;

                        $mail_data = new \stdClass();
                        $mail_data->subject = $email_subject;
                        $mail_data->view = 'general_email';
                        $mail_data->email_css = '.label_td {
                                                    font-weight: bold;
                                                    }

                                                    .value_td {
                                                    
                                                    }

                                                    .footer_notes {
                                                    font-size: 10px;
                                                    }

                                                    .align_top {
                                                        vertical-align: baseline;
                                                    }';
                        $mail_data->email_content = $email_content;

                        //$import_result_emails = array(0 => 'jfigue86@hotmail.com');
                        $import_result_emails = array(0 => 'jfigue86@hotmail.com', 1 => 'mackenzie.jones@fullbdc.com');
                        Mail::to($import_result_emails)->send(new GeneralEmailAlert($mail_data));

                        $sent_sms_notification                          = new SentSmsNotification;
                        $sent_sms_notification->conversation_message_id = $value->id;
                        $sent_sms_notification->sent                    = 1;
                        $sent_sms_notification->save();

                        //send sms message to Kenzie
                        $account_sid   = getenv("TWILIO_SID");
                        $auth_token    = getenv("TWILIO_AUTH_TOKEN");
                        $twilio_number = $value->to;
                        $kenzie_number = '+15132577086';
                        $client        = new Client( $account_sid, $auth_token );
                        $sms_message   = 'You have a SMS for ' . $twilio_companies[ $value->to ] . ' from: ' . $value->from . '. Login: https://fullbdcvintracker.com/communication/sms';
                        $client->messages->create( $kenzie_number, [ 'from' => $twilio_number, 'body' => $sms_message ] );
                        
                    }
                }
            }


        }
    }
}
