<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class ServiceConnectController extends Controller
{
    /**
     * Display a list of the resource with pagination.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function serviceConnectPagination(Request $request)

    {
        $current_service_connect_id = 0;
        $no_links = false;
        $db_table = 'service_connect_'.$request->co_short;
        if(Auth::user()->user_type->name == 'Admin') 
        {
            if($request->id != "" && $request->id != null) {
            	$service_connect = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('id', '=', $request->id)
                                ->orderBy('alert_time', 'desc')
                                ->paginate(10);
                $no_links = false;
                $current_service_connect_id = $request->id;
            } else if($request->showall == "1") {
                $service_connect = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->orderBy('alert_time', 'desc')
                                ->get();
                $no_links = true;
            } else {
            	$service_connect = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('alert_type', 'Maintenance')
                                ->orWhere('alert_type', 'Warning')
                                ->orderBy('alert_time', 'desc')
                                ->paginate(10);
            }
        }

        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('co_short', $request->co_short)
                                ->first();
        if ($request->ajax()) {
            return view('lists.service_connect_list', [
                                                        'service_connect' => $service_connect, 
                                                        'no_links' => $no_links, 
                                                        'current_service_connect_id' => $current_service_connect_id,
                                                        'co_short' => $request->co_short,
                                                        'coid' => $company->coid
                                                    ]);
        }
    }


    /**
     * Display a list of the resource with pagination.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function getServiceConnectData(Request $request)

    {
        $db_table = 'service_connect_'.$request->co_short;
        $service_connect = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('id', $request->service_connect_id)
                                ->first();

        DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('id', $request->service_connect_id)
                                ->update([
                                    'seen' => 1
                                ]);

        $db_table = $request->co_short.'_master_vins';
        $dealer_master_vin = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('vin', $service_connect->vin)
                                ->first();

        $db_table = 'livecall_'.$request->co_short;
        $livecall = DB::connection('mysql2')->table($db_table)
                                                ->selectRaw('fname,lname,phone,cellphone,email,vin,vehicle_year,vehicle_make,vehicle_model,service_date,dateadded,last_miles')
                                                ->where('vin', $service_connect->vin)
                                                ->orderBy('id','desc')
                                                ->first();
        
        $customer_information = new \stdClass();  
        $customer_information->alert_time = date('m/d/Y H:i', strtotime($service_connect->alert_time)); 
        $customer_information->vin = $service_connect->vin; 
        $customer_information->year = $service_connect->year;
        $customer_information->model = $service_connect->model; 
        $customer_information->onboard_warnings = $service_connect->onboard_warnings;
        $customer_information->miles = $service_connect->miles;

        if($livecall)            
        {
            $customer_information->fname = $livecall->fname;
            $customer_information->lname = $livecall->lname;
            $customer_information->phone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $livecall->phone);
            $customer_information->cellphone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $livecall->cellphone);
            $customer_information->cellphone_for_sms = '+1'.$livecall->cellphone;
            $customer_information->email = $livecall->email;
            $customer_information->service_date = $livecall->service_date;
            $customer_information->last_miles = $livecall->last_miles;
        } else {
            $customer_information->fname = '';
            $customer_information->lname = '';
            $customer_information->phone = '';
            $customer_information->cellphone = '';
            $customer_information->email = '';
            $customer_information->service_date = '';
            $customer_information->last_miles = '';
        }

        if($dealer_master_vin)
        {
            $customer_information->customer_type = $dealer_master_vin->customer_type; 
            $customer_information->updated_customer_type = $dealer_master_vin->updated_customer_type;   
            $customer_information->date_of_first_use = ($dealer_master_vin->date_of_first_use == '1970-01-01')? '' : date('m/d/Y', strtotime($dealer_master_vin->date_of_first_use)); 
            $customer_information->toyota_care = $dealer_master_vin->toyota_care;          
        } else {
            $customer_information->customer_type = '';
            $customer_information->updated_customer_type = '';
            $customer_information->date_of_first_use = ''; 
            $customer_information->toyota_care = '';     
        }

        if ($request->ajax()) {
            return view('dialogs.service_connect_dialog', [
                                                            'customer_information' => $customer_information
                                                            ]);
        }
    }
}
