<?php

namespace App\Http\Controllers;

use App\EmailHistory;
use App\Mail\GeneralEmailAlert; 
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;

class UpdateCallController extends Controller
{
    public function closeCall(Request $request) 
    {
        $coid = $request->coid;
        $id = $request->id;

        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $coid)
                                ->first();

        $co_short = $company->co_short;
        $dbtable = "livecall_" . $co_short;
        $lastupdate = date("Y-m-d H:i:s");
        $livecall_next_calltype = 0;
        $livecall_showtocall = 0;
        $livecall_status = 'CL';
        
        $call = DB::connection('mysql2')
                    ->table($dbtable)
                    ->select('*')
                    ->where('id', $id)
                    ->first();

        $livecall_prev_calltype = $call->livecall_next_calltype;

        DB::connection('mysql2')
                    ->table($dbtable)
                    ->where('id', $id)
                    ->update([
                        'livecall_status' => $livecall_status,
                        'livecall_showtocall' => $livecall_showtocall,
                        'livecall_next_calltype' => $livecall_next_calltype,
                        'livecall_prev_calltype' => $livecall_prev_calltype,
                        'lastupdate' => $lastupdate
                    ]);

        return response()->json([
            'message' => 'Call Closed',
            'updated_id' => $id,
        ]);
    }


    public function closeAllFutureCalls(Request $request) 
    {
        $jsonstring = $request->jsonstring;
        $json = json_decode($jsonstring, true);
        $idlist_string = $request->idlist;
        $idlist_array = explode(",", $request->idlist);
        $total = count($idlist_array);
        $coid = $request->coid;
        $commonFunctions = new CommonFunctionsController();

        $companyData = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $coid)
                                ->first();

        $co_short = $companyData->co_short;
        $dbtable = "livecall_".$co_short;
        
        $dalerts = DB::connection('mysql2')
                            ->table('callcenter_dealertalerts')
                            ->select('*')
                            ->get();

        $dalertnames = array();
        $dalertcontent = array();
        foreach($dalerts as $dalert) 
        {
            $did = $dalert->id;
            $dtype = $dalert->type;
            $dcontent = $dalert->content;
            $dalertnames[$did] = $dtype;
            $dalertcontent[$did] = $dcontent;
            //$send_alert_hiddeninputs.= ($dalert->send_alert == "1")? '<input type="hidden" id="cstatushidden_'.$did.'" name="cstatushidden_'.$did.'" value="">' : '';
        }
        
        for($i=0;$i<$total;$i++) 
        {  
            $cid = $json["id"][$i];
            $customerData = DB::connection('mysql2')
                                ->table($dbtable)
                                ->select('*')
                                ->where('id', $cid)
                                ->first();
            
            $phone = $customerData->phone;
            $fname = $customerData->fname;
            $lname = $customerData->lname;
            $vin = $customerData->vin;
            $cellphone = $customerData->cellphone;
            $email = $customerData->email;
            
            $livecall_status = $json["livecall_status"][$i];
            $customer_status = $json["customer_status"][$i];
            
            if($livecall_status != "" && $customer_status != "") 
            {
                $needs_attention = $json["needs_attention"][$i];
                $send_alert = $json["send_alert"][$i];
                $caller_comments = urldecode($json["caller_comments"][$i]);
                $today = date("m/d/Y");
                $caller_comments = (trim($caller_comments) != "")? $today." Admin: ".$caller_comments : "";
                $caller_comments = (trim($customerData->caller_comments) != "")? $customerData->caller_comments."<br>".$caller_comments : $caller_comments;
                $caller_comments = addslashes($caller_comments);
                $livecall_count = $customerData->livecall_count;
                $livecall_count++;
                $call_calltype = $customerData->livecall_next_calltype;
                
                
                $noCall = array('DNC', 'NO', 'RPT', 'COMP', 'COMPEF', 'BD', 'WN', 'OPTOUT', 'CL', 'LMWEB', 'LMLC');
                
                foreach ($noCall as $key => $value) {
                    if ($livecall_status == $value)
                        $livecall_showtocall = 0;
                } // end foreach ($noCall as $key => $value)
                
                
                if (($livecall_status == "COMP") || ($livecall_status == "COMPEF") || ($livecall_status == "CL")) {
                    $remind = "0000-00-00";
                    $remindyn = "";
                    $livecall_next_calltype = 0;
                    $livecall_showtocall = 0;
                    $svc_next_apt_time = "";
                    $svc_next_status = "0";
                    
                    if($customerData->is_order == "1" && $customerData->order_status == "2" && (($livecall_status == "COMP") || ($livecall_status == "COMPEF"))) {
                        $order_status_sql = " order_status = '4', ";
                    } else if($customerData->is_order == "1" && $customerData->order_status == "2" && $livecall_status == "CL") {
                        $order_status_sql = " order_status = '3', ";
                    } else {
                        $order_status_sql = "";
                    }
                    $livecall_prev_calltype = $customerData->livecall_next_calltype;
                } else {
                    $remind = $customerData->remind;
                    $remindyn = $customerData->remindyn;
                    $livecall_next_calltype = $customerData->livecall_next_calltype;
                    //$livecall_showtocall = $customerData->livecall_showtocall;
                    $livecall_prev_calltype = $customerData->livecall_next_calltype;
                }
                
                $lastupdate = date("Y-m-d H:i:s");
                $svc_text_status = ($svc_next_status == "0") ? "" : $svc_next_status ;
                $alert_sent = ($send_alert == true || $customerData->alert_sent == "1")? "1" : "0";

                DB::connection('mysql2')
                    ->table($dbtable)
                    ->where('id', $cid)
                    ->update([
                        'livecall_count' => $livecall_count,
                        'livecall_status' => $livecall_status,
                        'livecall_showtocall' => $livecall_showtocall,
                        'livecall_prev_calltype' => $livecall_prev_calltype,
                        'livecall_next_calltype' => $livecall_next_calltype,
                        'caller_comments' => $caller_comments,
                        'remindyn' => $remindyn,
                        'remind' => $remind,
                        'customer_status' => $customer_status,
                        'needs_attention' => $needs_attention,
                        'lastupdate' => $lastupdate,
                        'alert_sent' => $alert_sent,
                    ]);
                
                
                if($customer_status == "20" || $customer_status == "33" || $customer_status == "35") 
                {
                    $removed_vin = DB::connection('mysql2')
                                ->table('removed_vins_'.$co_short)
                                ->select('*')
                                ->where('vin', $vin)
                                ->first();
                    
                    if($removed_vin) {
                        $removed_vin_uid = $removed_vin->uid;
                        DB::connection('mysql2')
                            ->table('removed_vins_'.$co_short)
                            ->where('uid', $removed_vin_uid)
                            ->update([
                                'phone' => $phone,
                                'fname' => $fname,
                                'lname' => $lname,
                                'vin' => $vin,
                                'cellphone' => $cellphone,
                                'email' => $email,
                                'cid' => $cid
                            ]);

                    } else {
                        $dealer_removed_vin_id = DB::connection('mysql2')
                                                    ->table('removed_vins_'.$co_short)
                                                    ->insertGetId([
                                                        'phone' => $phone, 
                                                        'fname' => $fname, 
                                                        'lname' => $lname,
                                                        'vin' => $vin,
                                                        'cellphone' => $cellphone,
                                                        'email' => $email, 
                                                        'cid' => $cid, 
                                                    ]);
                    }
                    $zip = $customerData->zip;
                    $global_removed_vin_id = DB::connection('mysql2')
                                                    ->table('global_removed_vins')
                                                    ->insertGetId([
                                                        'phone' => $phone, 
                                                        'fname' => $fname, 
                                                        'lname' => $lname,
                                                        'vin' => $vin,
                                                        'cellphone' => $cellphone,
                                                        'email' => $email, 
                                                        'cid' => $cid, 
                                                        'customer_status' => $customer_status, 
                                                        'zip' => $zip, 
                                                        'coid' => $coid, 
                                                        'comments' => $caller_comments, 
                                                        'created_at' => date('Y-m-d H:i:s'), 
                                                    ]);
                }

                $dalertemails = DB::connection('mysql2')
                                    ->table('callcenter_dealeralert_email')
                                    ->select('email')
                                    ->where('dealer_id', $coid)
                                    ->where('alert_id', $customerData->dealer_department)
                                    ->first();

                $dalertemail = ($dalertemails)? $dalertemails->email : $companyData->co_email;
            
                $dealerEmailGood = strlen($dalertemail) > 0;
            
                $dispPhone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $customerData->phone);
                $dispCellPhone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $customerData->cellphone);
                //$dispComments = preg_replace("/<br \/>/", "\r\n", $caller_comments);
                $dispComments = $caller_comments;
                //$apptTime = strtotime($inVars['svc_next_apt_date'] . " " . $inVars['svc_next_apt_time']);
                //$dispTime = date("M j, Y g:i a", $apptTime);
                //$dispTime = $apptTime;
                //$dispStatus = ($svc_email_status > 1) ? $appointmentStatus[$svc_email_status] : "Not Set" ;
                $dispStatus = $dalertnames[$customer_status];
            
            
                $messageextras = "";
                $messageextras.= (trim($customerData->cust_id) != "")? "<strong>Customer ID:</strong> ".$customerData->cust_id."<br>" : "";
                $messageextras.= (trim($customerData->fname) != "")? "<strong>Name:</strong> ".$customerData->fname."<br>" : "";
                $messageextras.= (trim($customerData->lname) != "")? "<strong>Last name:</strong> ".$customerData->lname."<br>" : "";
                $messageextras.= ($customerData->phone != "")? "<strong>Phone:</strong> ".$dispPhone."<br>" : "";
                $messageextras.= ($customerData->cellphone!= "")? "<strong>Cellphone:</strong> ".$dispCellPhone."<br>" : "";
                $messageextras.= ($customerData->email != "")? "<strong>Email:</strong> ".$customerData->email."<br>" : "";
                $messageextras.= ($customerData->address1 != "")? "<strong>Address:</strong> ".$customerData->address1."<br>" : "";
                $messageextras.= ($customerData->city != "")? "<strong>City:</strong> ".$customerData->city."<br>" : "";
                $messageextras.= ($customerData->state != "")? "<strong>State:</strong> ".$customerData->state."<br>" : "";
                $messageextras.= ($customerData->zip != "")? "<strong>Zip:</strong> ".$customerData->zip."<br>" : "";
                $messageextras.= ($dispStatus != "")? "<strong>Customer status:</strong> ".$dispStatus."<br>" : "";
                $messageextras.= ($customerData->vehicle_year != "")? "<strong>Vehicle year:</strong> ".$customerData->vehicle_year."<br>" : "";
                $messageextras.= ($customerData->vehicle_make != "")? "<strong>Vehicle make:</strong> ".$customerData->vehicle_make."<br>" : "";
                $messageextras.= ($customerData->vehicle_model != "")? "<strong>Vehicle model:</strong> ".$customerData->vehicle_model."<br>" : "";
                $messageextras.= ($customerData->vin != "")? "<strong>Vin:</strong> ".$customerData->vin."<br>" : "";
                $messageextras.= ($customerData->salesrep != "")? "<strong>Sales rep:</strong> ".$customerData->salesrep."<br>" : "";
                $messageextras.= ($customerData->service_advisor != "")? "<strong>Service Adv:</strong> ".$customerData->service_advisor."<br>" : "";
                $messageextras.= ($companyData->co_name != "")? "<strong>Dealer name:</strong> ".$companyData->co_name."<br>" : "";
                $messageextras.= (trim($customerData->service_date) != "")? "<strong>Last Visit Date:</strong> ".$customerData->service_date."<br>" : "";
                $messageextras.= (trim($customerData->sale_date) != "" && trim($customerData->sale_date) != "0000-00-00")? "<strong>Sale Date:</strong> ".date("m/d/Y", strtotime($customerData->sale_date))."<br>" : "";
                
                $messageextras.= (trim($customerData->last_service_date) != "" && trim($customerData->last_service_date) != "0000-00-00")? "<strong>Last Service Date:</strong> ".date("m/d/Y", strtotime($customerData->last_service_date))."<br>" : "";
                $messageextras.= (trim($customerData->service_apt_date) != "" && trim($customerData->service_apt_date) != "0000-00-00")? "<strong>Service Apt Date:</strong> ".date("m/d/Y", strtotime($customerData->service_apt_date))."<br>" : "";
                $messageextras.= (trim($customerData->sales_apt_date) != "" && trim($customerData->sales_apt_date) != "0000-00-00")? "<strong>Sales Apt Date:</strong> ".date("m/d/Y", strtotime($customerData->sales_apt_date))."<br>" : "";
                
                $messageextras.= (trim($customerData->service_apt_time) != "")? "<strong>Service Apt Time:</strong> ".$customerData->service_apt_time."<br>" : "";
                
                $messageextras.= (trim($customerData->RO) != "")? "<strong>Last RO:</strong> ".$customerData->RO."<br>" : "";
                $messageextras.= ($dispComments != "")? "<strong>Caller comments:</strong><br>".$dispComments."<br>" : "";
                //$messageextras = "";
            
                $systemlink = 'To update this customer click <a href="https://login.fullbdc.com/ccdata16.php?c=cciwld&did='.$coid.'&cid='.$cid.'">HERE</a>';
                //$systemlink = 'Please log in to your BDC System for details on this and all your current calls';
            
                if($send_alert && ($dealerEmailGood)) 
                {
                    $template = DB::connection('mysql2')
                                    ->table('callcenter_outbound_email_templates')
                                    ->select('*')
                                    ->where('coid', $coid)
                                    ->where('did', $livecall_prev_calltype)
                                    ->first();

                    if(!$template) 
                    {
                        $template = DB::connection('mysql2')
                                    ->table('callcenter_outbound_email_templates')
                                    ->select('*')
                                    ->where('coid', '0')
                                    ->where('did', $livecall_prev_calltype)
                                    ->first();
                    }
            
                    $emailcontent = $template->content;
                    $reply_to = $template->reply_to;
                    $from_label = $template->from_label;
                    $send_to = $template->send_to;
                    $emailcontent = $commonFunctions->removeTagsFromText($emailcontent, $companyData, $customerData, $ibData=array());
                    $from_label = $commonFunctions->removeTagsFromText($from_label, $companyData, $customerData, $ibData=array());
                    $reply_to = $commonFunctions->removeTagsFromText($reply_to, $companyData, $customerData, $ibData=array());
                    $messageextras = $commonFunctions->removeTagsFromText($messageextras, $companyData, $customerData, $ibData=array());
            
                    $calltypestexts = $commonFunctions->getCallTypesTexts();
                    $calltype = $calltypestexts[$livecall_prev_calltype];
                    $subject = $dalertnames[$customer_status];
                    $subject = $commonFunctions->removeTagsFromText($subject,$companyData,$customerData,$ibData=array());
                    $dalertcontent[$customer_status] = $commonFunctions->removeTagsFromText($dalertcontent[$customer_status], $companyData, $customerData, $ibData=array());
                    $message = '<span style="font-family:Calibri;font-size:16px;font-weight:bold;">'.$dalertcontent[$customer_status].'</span>';
                    $message.= '<br>Call Type: '.$calltype;
                    $message = $message."<br><br>".$emailcontent."<br><br>".$messageextras."<br><br>".$systemlink;
                    if (strlen($message) > 0) 
                    {
                        $mail_data = new \stdClass();
                        $mail_data->subject = $subject;
                        $mail_data->view = 'general_email';
                        $mail_data->email_css = '.label_td {
                                                      font-weight: bold;
                                                    }

                                                    .value_td {
                                                      
                                                    }

                                                    .footer_notes {
                                                      font-size: 10px;
                                                    }

                                                    .align_top {
                                                        vertical-align: baseline;
                                                    }';

                        $mail_data->email_content = $message;

                        $sanitized_emails = array_unique(explode(',', $dalertemail));

                        Mail::to($sanitized_emails)->send(new GeneralEmailAlert($mail_data));

                        foreach ($sanitized_emails as $key => $value) {
                            $email_history = new EmailHistory;
                            $email_history->email_history_type_id = 3;
                            $email_history->call_record_id = $cid;
                            $email_history->coid  = $coid;
                            $email_history->email = $value;
                            $email_history->sent_by = Auth::id();
                            $email_history->subject = $subject;
                            $email_history->save();
                        }
                    } 
                    $adfcalltypes_alerts = $companyData->adf_alert;
                    $adfcalltypes_alerts = explode(",", $adfcalltypes_alerts);
                    if(in_array($livecall_prev_calltype, $adfcalltypes_alerts)){
                        $calltype_id = $livecall_prev_calltype;
                        $template = DB::connection('mysql2')
                                    ->table('customer_status_adf_alerts')
                                    ->select('*')
                                    ->where('coid', $coid)
                                    ->where('cid', $calltype_id)
                                    ->first();
            
                        if(!$template) {
                            $template = DB::connection('mysql2')
                                    ->table('customer_status_adf_alerts')
                                    ->select('*')
                                    ->where('coid', '0')
                                    ->where('cid', $calltype_id)
                                    ->first();
                        }
            
                        if($template) {
                            $subject = $template->subject;
                            $emailcontent = $template->content;
                            $reply_to = $template->reply_to;
                            $from_label = $template->from_label;
                            $send_to = $template->send_to;
                            if(trim($send_to) != "") 
                            {
            
                                $subject = $commonFunctions->removeTagsFromText($subject, $companyData, $customerData, $ibData=array());
                                $emailcontent = $commonFunctions->removeTagsFromText($emailcontent, $companyData, $customerData, $ibData=array());
                                $from_label = $commonFunctions->removeTagsFromText($from_label, $companyData, $customerData, $ibData=array());
            
                                $adfvalues["caller_comments"] = $caller_comments;
                                $adfvalues["customer_status"] = $dalertnames[$customer_status];
                                $adfvalues["call_type"] = $calltype;
                                $emailcontent = $commonFunctions->adfRemoveTags($emailcontent, $adfvalues);
                                $emailcontent = strip_tags($emailcontent);
                                $emailcontent = html_entity_decode($emailcontent);

                                $mail_data = new \stdClass();
                                $mail_data->subject = $subject;
                                $mail_data->view = 'general_email';
                                $mail_data->email_css = '.label_td {
                                                              font-weight: bold;
                                                            }

                                                            .value_td {
                                                              
                                                            }

                                                            .footer_notes {
                                                              font-size: 10px;
                                                            }

                                                            .align_top {
                                                                vertical-align: baseline;
                                                            }';

                                $mail_data->email_content = $emailcontent;

                                $sanitized_emails = array_unique(explode(',', $send_to));

                                Mail::to($sanitized_emails)->send(new GeneralEmailAlert($mail_data));

                                foreach ($sanitized_emails as $key => $value) {
                                    $email_history = new EmailHistory;
                                    $email_history->email_history_type_id = 3;
                                    $email_history->call_record_id = $cid;
                                    $email_history->coid  = $coid;
                                    $email_history->email = $value;
                                    $email_history->sent_by = Auth::id();
                                    $email_history->subject = $subject;
                                    $email_history->save();
                                }
                            }
                        }
                    }
                }
                if($json["requires_scheduling"][$i] == 1 && $json["next_call_type"][$i] != "") 
                {
                    $newcall_next_calltype = $json["next_call_type"][$i];
                    $callTimes = $commonFunctions->getCallTypesCallTimes($coid);
                    $cust_id = $customerData->cust_id;
                    $fname = $customerData->fname;
                    $lname = $customerData->lname;
                    $phone = $customerData->phone;
                    $cellphone = $customerData->cellphone;
                    $workphone = $customerData->workphone;
                    $address1 = $customerData->address1;
                    $city = $customerData->city;
                    $state = $customerData->state;
                    $zip = $customerData->zip;
                    $global_dnc = $customerData->global_dnc;
                    $dealer_dnc = $customerData->dealer_dnc;
                    $do_not_email = $customerData->do_not_email;
                    $textalert = $customerData->textalert;
                    $email = $customerData->email;
                    $vip_flag = $customerData->vip_flag;
                    $RO = $customerData->RO;
                    $source = $customerData->source;
                    $salesrep = $customerData->salesrep;
                    $service_advisor = $customerData->service_advisor;
                    $vehicle_year = $customerData->vehicle_year;
                    $vehicle_make = $customerData->vehicle_make;
                    $vehicle_model = $customerData->vehicle_model;
                    $livecall_times = $callTimes[$newcall_next_calltype];
                    $newcall_showtocall = 1;
                    $vin = $customerData->vin;
                    $livecall_rep = $customerData->livecall_rep;
                    $private_comments = $customerData->private_comments;
                    $dealer_comments = $customerData->dealer_comments;
                    $rep_comments = $customerData->rep_comments;
                    $resolved = $customerData->resolved;
                    $new_remindyn = $customerData->remindyn;
                    $new_remind = date("Y-m-d", strtotime($json["next_call_on"][$i]));
                    $urgent_note = $json["urgent_note"][$i];
                    
                    $new_remindphone = $customerData->remindphone;
                    $service_date = $customerData->service_date;
                    $satis_autocall = $customerData->satis_autocall;
                    $satis_recall = $customerData->satis_recall;
                    $dateadded = date("Y-m-d H:i:s");
                    $init_unsatisfied = $customerData->init_unsatisfied;
                    $dealer_department = $customerData->dealer_department;
                    $schedule_by_us = 1;
                    $oil_type = $customerData->oil_type;
                    $last_miles = $customerData->last_miles;
                    $sales_source = $customerData->sales_source;
                    $service_source = $customerData->service_source;
                    $sales_status = $customerData->sales_status;
                    $vehicle_type = $customerData->vehicle_type;
                    $_1stTC = $customerData->{'1stTC'};
                    $_2ndTC = $customerData->{'2ndTC'};
                    $_3rdTC = $customerData->{'3rdTC'};
                    $_4thTC = $customerData->{'4thTC'};
                    $_5thTC = $customerData->{'5thTC'};
                    $_1stTCP = $customerData->{'1stTCP'};
                    $_2ndTCP = $customerData->{'2ndTCP'};
                    $_3rdTCP = $customerData->{'3rdTCP'};
                    $_4thTCP = $customerData->{'4thTCP'};
                    $gender = $customerData->gender;
                    $sale_date = $customerData->sale_date;
                    $best_phone = $customerData->best_phone;
                    $lead_date = $customerData->lead_date;

                    $scheduled_call_id = DB::connection('mysql2')
                                                    ->table($dbtable)
                                                    ->insertGetId([
                                                        'cust_id' => $cust_id, 
                                                        'fname' => $fname, 
                                                        'lname' => $lname,
                                                        'phone' => $phone,
                                                        'cellphone' => $cellphone,
                                                        'workphone' => $workphone,
                                                        'address1' => $address1, 
                                                        'city' => $city, 
                                                        'state' => $state, 
                                                        'zip' => $zip, 
                                                        'global_dnc' => $global_dnc, 
                                                        'dealer_dnc' => $dealer_dnc, 
                                                        'do_not_email' => $do_not_email, 
                                                        'textalert' => $textalert,
                                                        'email' => $email,
                                                        'vip_flag' => $vip_flag,
                                                        'RO' => $RO,
                                                        'source' => $source,
                                                        'salesrep' => $salesrep,
                                                        'service_advisor' => $service_advisor,
                                                        'vehicle_year' => $vehicle_year,
                                                        'vehicle_make' => $vehicle_make,
                                                        'vehicle_model' => $vehicle_model,
                                                        'vin' => $vin,
                                                        'livecall_count' => 0,
                                                        'livecall_times' => $livecall_times,
                                                        'livecall_status' => '',
                                                        'livecall_showtocall' => $newcall_showtocall,
                                                        'livecall_rep' => $livecall_rep,
                                                        'livecall_prev_calltype' => 0,
                                                        'livecall_next_calltype' => $newcall_next_calltype,
                                                        'caller_comments' => $caller_comments,
                                                        'private_comments' => $private_comments,
                                                        'dealer_comments' => $dealer_comments,
                                                        'rep_comments' => $rep_comments,
                                                        'resolved' => $resolved,
                                                        'remindyn' => $new_remindyn,
                                                        'remind' => $new_remind,
                                                        'remindphone' => $new_remindphone,
                                                        'service_date' => $service_date,
                                                        'svc_next_apt_date' => '',
                                                        'svc_next_apt_time' => '',
                                                        'svc_next_status' => '',
                                                        'satis_autocall' => $satis_autocall,
                                                        'satis_recall' => $satis_recall,
                                                        'dateadded' => $dateadded,
                                                        'init_unsatisfied' => $init_unsatisfied,
                                                        'dealer_department' => $dealer_department,
                                                        'schedule_by_us' => $schedule_by_us,
                                                        'urgent_note' => $urgent_note,
                                                        'oil_type' => $oil_type,
                                                        'last_miles' => $last_miles,
                                                        'sales_source' => $sales_source,
                                                        'service_source' => $service_source,
                                                        'sales_status' => $sales_status,
                                                        'vehicle_type' => $vehicle_type,
                                                        '1stTC' => $_1stTC,
                                                        '2ndTC' => $_2ndTC,
                                                        '3rdTC' => $_3rdTC,
                                                        '4thTC' => $_4thTC,
                                                        '5thTC' => $_5thTC,
                                                        '1stTCP' => $_1stTCP,
                                                        '2ndTCP' => $_2ndTCP,
                                                        '3rdTCP' => $_3rdTCP,
                                                        '4thTCP' => $_4thTCP,
                                                        'gender' => $gender,
                                                        'sale_date' => $sale_date,
                                                        'best_phone' => $best_phone,
                                                        'lead_date' => $lead_date
                                                    ]);
                }
            }
            
        }
        return response()->json([
            'message' => 'Calls Closed',
        ]);
    }
}
