<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class UselessEmailController extends Controller
{
    public function getUselessEmailDialog(Request $request)
    {
        $useless_emails = DB::connection('mysql2')
                            ->table('callcenter_useless_emails')
                            ->orderBy('email')
                            ->get();

        return view('dialogs.useless_emails', [
                                                'useless_emails' => $useless_emails,
                                            ]);
    }

    public function updateUselessEmail(Request $request)
    {
        $useless_email = $request->useless_email;
        $id = $request->id;

        DB::connection('mysql2')
                    ->table('callcenter_useless_emails')
                    ->where('uid', $id)
                    ->update(
                                [
                                    'email' => $useless_email
                                ]
                            );

        return response()->json([
            'id' => $id,
        ]);
    }

    public function getUselessEmails(Request $request)
    {
        $useless_emails = DB::connection('mysql2')
                            ->table('callcenter_useless_emails')
                            ->selectRaw('UPPER(email) as upper_email')
                            ->get()
                            ->pluck('upper_email')
                            ->toArray();

        return response()->json([
            'useless_emails' => $useless_emails,
        ]);
    }


    public function removeUselessEmail(Request $request)
    {
        $id = $request->id;
        DB::connection('mysql2')
                    ->table('callcenter_useless_emails')
                    ->where('uid', $id)
                    ->delete();

        return response()->json([
            'id' => $id,
        ]);
    }

    public function addUselessEmail(Request $request)
    {
        $useless_email = $request->useless_email;
        if(trim($useless_email == ''))
        {
            return response()->json([
                'content' => '',
            ]);
        }
        $useless_email_exist = DB::connection('mysql2')
                                ->table('callcenter_useless_emails')
                                ->where('email', $useless_email)
                                ->first();
        $content = '';
        if(!$useless_email_exist)
        {
            $inserted_id = DB::connection('mysql2')
                                ->table('callcenter_useless_emails')
                                ->insertGetId([
                                                    'email' => $useless_email,
                                                ]);
            $content = '<tr id="useless_email_row_'.$inserted_id.'">
                        <td>
                            <input type="text" id="useless_email_'.$inserted_id.'" name="useless_email_'.$inserted_id.'" class="form-control form-control-sm" value="'.$useless_email.'" onchange="updateUselessEmail(event, \''.$inserted_id.'\')"> 
                        </td>
                        <td align="center" >
                            <span class="cursorpointer" onclick="removeUselessEmail(event, \''.$inserted_id.'\')"><i class="fas fa-trash-alt"></i></span>
                        </td>
                    </tr>';
        }

        return response()->json([
            'content' => $content,
        ]);
    }

    public function addUselessEmailSingle(Request $request)
    {
        $useless_email = $request->useless_email;
        if(trim($useless_email == ''))
        {
            return response()->json([
                'inserted_id' => '',
            ]);
        }

        $useless_email_exist = DB::connection('mysql2')
                                ->table('callcenter_useless_emails')
                                ->where('email', $useless_email)
                                ->first();
        $inserted_id = '';
        if(!$useless_email_exist)
        {
            $inserted_id = DB::connection('mysql2')
                                ->table('callcenter_useless_emails')
                                ->insertGetId([
                                                    'email' => $useless_email,
                                                ]);
        }

        return response()->json([
            'inserted_id' => $inserted_id,
        ]);
    }
}
