<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class UtilController extends Controller
{
    public function findDealerPhone(Request $request) {
        $companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->get();
        foreach ($companies as $key => $value) {
            $db_table = 'livecall_' . $value->co_short;
            $found = DB::connection('mysql2')->table( $db_table )
                                ->select('*')
                                ->where('phone', $request->phone)
                                ->orWhere('cellphone', $request->phone)
                                ->orWhere('best_phone', $request->phone)
                                ->orderBy('dateadded', 'DESC')
                                ->first();
            if( $found ) {
                print( 'Dealer: ' . $value->co_name . '<br>' );
                print_r( $found );
                break;
            }
        }
    }

    public function setNotShowToCallRecords(Request $request) {
        $companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('is_active', 1)
                                ->get();

        $dnc_table = "callcenter_dnc";
        $dnc_sql = DB::connection('mysql2')->table($dnc_table)->get();

        $global_dnc = [];
        foreach ($dnc_sql as $key => $value) {
            $global_dnc[] = $value->phone;
        }

        $total_removed = 0;
        foreach ($companies as $key => $value) {
            if( in_array( $value->coid, [191, 106, 208, 220, 112] ) ) {
                $db_table = 'livecall_' . $value->co_short;
                $records = DB::connection('mysql2')->table( $db_table )
                                    ->select('*')
                                    ->where('livecall_next_calltype', $request->call_type)
                                    ->where('livecall_showtocall', 1)
                                    ->get();

                $dealer_dnc_table = "dnc_".$value->co_short;
                $dealer_dnc = [];
                if ( Schema::hasTable( $dealer_dnc_table ) ) {
                    $dealer_dnc_sql = DB::connection('mysql2')->table($dealer_dnc_table)->get();

                    foreach ($dealer_dnc_sql as $dnc_key => $dnc_value) {
                        $dealer_dnc[] = $dnc_value->phone;
                    }
                }

                foreach ($records as $key => $value) {
                    if ( empty( $value->phone ) || in_array( $value->phone, $global_dnc ) || in_array( $value->phone, $dealer_dnc )) {
                        DB::connection('mysql2')->table( $db_table )
                            ->where('id', $value->id)
                            ->update([
                                'livecall_showtocall' => 0
                            ]);

                            $total_removed++;
                    }
                }
            }
        }

        print( 'Total Modified: ' . $total_removed . '<br>' );
    }
}
