<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\VehicleYearMakeModel;

class VehicleYearMakeModelController extends Controller
{
    public function getVehicleMake(Request $request)
    {
        $models = VehicleYearMakeModel::select('make')->where('year', trim($request->year))->where('make', '!=', '')->groupBy('make')->get();
        $options = '<option selected="selected" value="">Make...</option>';
        foreach ($models as $key => $value) {
            $options.= '<option value="'.trim($value->make).'">'.trim($value->make).'</option>';
        }
        return response()->json([
            'options' => $options,
        ]);
    }


    public function getVehicleModel(Request $request)
    {
        $models = VehicleYearMakeModel::select('model')->where('year', trim($request->year))->where('make', trim($request->make))->where('model', '!=', '')->groupBy('model')->get();
        $options = '<option selected="selected" value="">Model...</option>';
        foreach ($models as $key => $value) {
            $options.= '<option value="'.trim($value->model).'">'.trim($value->model).'</option>';
        }
        return response()->json([
            'options' => $options,
        ]);
    }


    public function getUserVehicleData(Request $request)
    {
        $user_vehicle = $request;

        $makes = VehicleYearMakeModel::select('make')->where('year', trim($user_vehicle->vehicle_year))->where('make', '!=', '')->groupBy('make')->get();
        $make_options = '<option value="">Make...</option>';
        foreach ($makes as $key => $value) {
            $selected = (strtoupper(trim($value->make)) == strtoupper(trim($user_vehicle->vehicle_make)))? 'selected' : '';
            $make_options.= '<option value="'.trim($value->make).'" '.$selected.'>'.trim($value->make).'</option>';
        }


        $models = VehicleYearMakeModel::select('model')->where('year', trim($user_vehicle->vehicle_year))->where('make', trim($user_vehicle->vehicle_make))->where('model', '!=', '')->groupBy('model')->get();
        $model_options = '<option value="">Model...</option>';
        foreach ($models as $key => $value) {
            $selected = (strtoupper(trim($value->model)) == strtoupper(trim($user_vehicle->vehicle_model)))? 'selected' : '';
            $model_options.= '<option value="'.trim($value->model).'" '.$selected.'>'.trim($value->model).'</option>';
        }
        
        return response()->json([
            'vehicle_year' => $user_vehicle->vehicle_year,
            'make_options' => $make_options,
            'model_options' => $model_options,
        ]);

    }
}
