@extends('layouts.app')
@section('style_files')
    <link href="{{ asset('fullcalendar/packages/core/main.css') }}" rel='stylesheet' />
    <link href="{{ asset('fullcalendar/packages/daygrid/main.css') }}" rel='stylesheet' />
    <link href="{{ asset('fullcalendar/packages/timegrid/main.css') }}" rel='stylesheet' />

    <link href="{{ asset('fullcalendar/lib/main.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                  <div class="row">
                    <div class="col-2">
                      Assignments
                    </div>
                    <div class="col-2">
                      <input type="text" id="current_date" name="current_date" value="{{ $current_date }}" class="form-control need-validation-inputs" placeholder="Date" maxlength="191">
                    </div>
                    <div class="col-2">
                      <button type="submit" class="btn btn-primary" id="assignments_button" onclick="getAssignmentsByDate(event)">Get</button>
                    </div>
                    <div class="col-2" style="display:none">
                      <button type="submit" class="btn btn-primary" id="preview_assignments_button" onclick="showAssignmentsPreview(event, 0)">Save</button>
                    </div>
                    <div class="col-2">
                      <button type="submit" class="btn btn-primary" id="preview_assignments_button" onclick="getAssignmentsByDate(event, 1)">Re-assign</button>
                    </div>
                    <div class="col-2">
                      <button type="submit" class="btn btn-primary" id="preview_assignments_button" onclick="clearAllAssignmentsDialog(event)">Clear all</button>
                    </div>
                  </div>
                </div>
                <div class="card-body">
                  <div class="table-responsive" id="assignments_panel">
                    @foreach($caller_calls_per_day as $caller_id => $max_total_caller_calls)
                      <input type="hidden" id="max_total_caller_calls_{{ $caller_id }}" name="max_total_caller_calls_{{ $caller_id }}" value="{{ $max_total_caller_calls }}">
                    @endforeach
                    @if($current_assignments->count() > 0)
                      <div class="alert alert-success" role="alert">
                        <i class="far fa-calendar-check"></i> You already have assignments saved for this date!
                      </div>
                    @endif
                    <table class="table table-striped">
                      <tr class="bg-primary text-white">
                        <td>
                          Dealer
                        </td>
                        <td colspan="2">
                          Caller #1
                        </td>
                        <td colspan="2">
                          Caller #2
                        </td>
                        <td colspan="2">
                          Caller #3
                        </td>
                        <td colspan="2">
                          Caller #4
                        </td>
                      </tr>
                      @foreach($dealers as $dealer)
                        @if(isset($assigned_calls_totals[$dealer->coid]))
                          <tr class="bg-success text-white cursorpointer dealer_rows" style="font-size: 12px;" onclick="hideShowElement(event,'call_types_rows_{{ $dealer->coid }}')" id="total_calls_count_row_{{ $dealer->coid }}">
                        @else
                          <?php continue; ?>
                          <tr class="bg-secondary text-white cursorpointer" style="font-size: 12px;" onclick="hideShowElement(event,'call_types_rows_{{ $dealer->coid }}')">
                        @endif
                        
                          <td colspan="9">
                            {{ $dealer->co_name }} 
                            @if(isset($assigned_calls_totals[$dealer->coid]))
                              (<span id="total_calls_count_{{ $dealer->coid }}">{{ $assigned_calls_totals[$dealer->coid] }}</span>)
                              <input type="hidden" id="total_count_{{ $dealer->coid }}" value="{{ $assigned_calls_totals[$dealer->coid] }}">
                            @else
                              (0)
                            @endif
                          </td>
                        </tr>
                        @if(isset($assigned_calls[$dealer->coid]))

                        <?php
                          $call_types_on_dealer         = [];
                          $call_types_checked           = [];
                          $call_types_on_dealer_ordered = [];
                          foreach ( $assigned_calls[ $dealer->coid ] as $call_type_id => $total_count ) {
                            $call_types_on_dealer[] = $call_type_id;
                          }
                          
                          foreach ( $call_type_import_priority as $call_type_priority ) {
                            if ( in_array( $call_type_priority, $call_types_on_dealer ) ) {
                              $call_types_on_dealer_ordered[] = $call_type_priority;
                            }
                          }
                          
                        ?>


                          @foreach( $call_types_on_dealer_ordered as $call_type_id )
                            <?php

                              $total_count = $assigned_calls[ $dealer->coid ][ $call_type_id ];

                              $already_used_caller = array();
                            ?>
                            <tr style="font-size: 12px;display: none" class="call_types_rows_{{ $dealer->coid }}" id="call_type_row_{{ $dealer->coid }}_{{ $call_type_id }}">
                              <td>
                                  {{ $calltypes_names[$call_type_id] }} 
                                  (<span id="total_calls_calltype_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="call_type_count">{{ $total_count }}</span>)
                                  <input type="hidden" id="call_type_total_count_{{ $dealer->coid }}_{{ $call_type_id }}" value="{{ $total_count }}">
                              </td>
                              @if($current_assignments->count() > 0)
                                <td>
                                  <select id="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_one', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php 
                                          $used_caller_id = '';
                                          $selected = '';
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php 
                                          //$selected = '';
                                          
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          <?php 
                                            if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                                            {
                                              if($selected == '')
                                              {
                                                if(!in_array($caller->id, $already_used_caller))
                                                {
                                                  $selected = 'selected';
                                                  $already_used_caller[] = $caller->id;
                                                  $used_caller_id = $caller->id;
                                                } else {
                                                  $selected = '';
                                                }
                                              } else {
                                                $selected = '';
                                              }
                                            } else {
                                              $selected = '';
                                            }
                                          ?>
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                                    <input type="text" id="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @else
                                    <input type="text" id="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @endif
                                </td>
                                <td>
                                  <select id="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_two', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php 
                                          $used_caller_id = '';
                                          $selected = '';
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php 
                                          //$selected = '';
                                          
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          <?php 
                                            if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                                            {
                                              if($selected == '')
                                              {
                                                if(!in_array($caller->id, $already_used_caller))
                                                {
                                                  $selected = 'selected';
                                                  $already_used_caller[] = $caller->id;
                                                  $used_caller_id = $caller->id;
                                                } else {
                                                  $selected = '';
                                                }
                                              } else {
                                                $selected = '';
                                              }
                                            } else {
                                              $selected = '';
                                            }
                                          ?>
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                                    <input type="text" id="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @else
                                    <input type="text" id="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @endif
                                </td>
                                <td>
                                  <select id="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_three', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php 
                                          $used_caller_id = '';
                                          $selected = '';
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php 
                                          //$selected = '';
                                          
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          <?php 
                                            if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                                            {
                                              if($selected == '')
                                              {
                                                if(!in_array($caller->id, $already_used_caller))
                                                {
                                                  $selected = 'selected';
                                                  $already_used_caller[] = $caller->id;
                                                  $used_caller_id = $caller->id;
                                                } else {
                                                  $selected = '';
                                                }
                                              } else {
                                                $selected = '';
                                              }
                                            } else {
                                              $selected = '';
                                            }
                                          ?>
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                                    <input type="text" id="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @else
                                    <input type="text" id="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @endif
                                </td>
                                <td>
                                  <select id="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_four', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php 
                                          $used_caller_id = '';
                                          $selected = '';
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php 
                                          //$selected = '';
                                          
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          <?php 
                                            if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                                            {
                                              if($selected == '')
                                              {
                                                if(!in_array($caller->id, $already_used_caller))
                                                {
                                                  $selected = 'selected';
                                                  $already_used_caller[] = $caller->id;
                                                  $used_caller_id = $caller->id;
                                                } else {
                                                  $selected = '';
                                                }
                                              } else {
                                                $selected = '';
                                              }
                                            } else {
                                              $selected = '';
                                            }
                                          ?>
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                                    <input type="text" id="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @else
                                    <input type="text" id="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                  @endif
                                </td>
                              @else
                                <td>
                                  <select id="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_one', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php
                                        $calls_to_assign = 0;
                                        $selected = '';
                                        $already_assigned = false;
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php
                                          $selected = '';
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                                            <?php 
                                              if($total_count == $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id] = 0;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              } else if($total_count > $caller_calls_per_day[$caller->id])
                                              {
                                                $total_count-= $caller_calls_per_day[$caller->id];
                                                $calls_to_assign = $caller_calls_per_day[$caller->id];
                                                $already_assigned = true;
                                                $caller_calls_per_day[$caller->id] = 0;
                                              } else if($total_count < $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id]-= $total_count;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              }
                                              $selected = 'selected';
                                            ?>
                                          @endif
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  <input type="text" id="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                </td>
                                <td>
                                  <select id="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_two', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php
                                        $calls_to_assign = 0;
                                        $selected = '';
                                        $already_assigned = false;
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php
                                          $selected = '';
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                                            <?php 
                                              if($total_count == $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id] = 0;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              } else if($total_count > $caller_calls_per_day[$caller->id])
                                              {
                                                $total_count-= $caller_calls_per_day[$caller->id];
                                                $calls_to_assign = $caller_calls_per_day[$caller->id];
                                                $already_assigned = true;
                                                $caller_calls_per_day[$caller->id] = 0;
                                              } else if($total_count < $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id]-= $total_count;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              }
                                              $selected = 'selected';
                                            ?>
                                          @endif
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  <input type="text" id="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                </td>
                                <td>
                                  <select id="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_three', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php
                                        $calls_to_assign = 0;
                                        $selected = '';
                                        $already_assigned = false;
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php
                                          $selected = '';
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                                            <?php 
                                              if($total_count == $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id] = 0;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              } else if($total_count > $caller_calls_per_day[$caller->id])
                                              {
                                                $total_count-= $caller_calls_per_day[$caller->id];
                                                $calls_to_assign = $caller_calls_per_day[$caller->id];
                                                $already_assigned = true;
                                                $caller_calls_per_day[$caller->id] = 0;
                                              } else if($total_count < $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id]-= $total_count;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              }
                                              $selected = 'selected';
                                            ?>
                                          @endif
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  <input type="text" id="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                </td>
                                <td>
                                  <select id="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_four', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                      <option value="">Select...</option>
                                      <?php
                                        $calls_to_assign = 0;
                                        $selected = '';
                                        $already_assigned = false;
                                      ?>
                                      @foreach($caller_users as $caller)
                                        <?php
                                          $selected = '';
                                        ?>
                                        @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                                          @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                                            <?php 
                                              if($total_count == $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id] = 0;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              } else if($total_count > $caller_calls_per_day[$caller->id])
                                              {
                                                $total_count-= $caller_calls_per_day[$caller->id];
                                                $calls_to_assign = $caller_calls_per_day[$caller->id];
                                                $already_assigned = true;
                                                $caller_calls_per_day[$caller->id] = 0;
                                              } else if($total_count < $caller_calls_per_day[$caller->id])
                                              {
                                                $caller_calls_per_day[$caller->id]-= $total_count;
                                                $calls_to_assign = $total_count;
                                                $already_assigned = true;
                                                $total_count = 0;
                                              }
                                              $selected = 'selected';
                                            ?>
                                          @endif
                                          <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                                        @endif
                                      @endforeach
                                  </select>
                                </td>
                                <td>
                                  <input type="text" id="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','{{ $dealer->coid }}', '{{ $call_type_id }}')">
                                </td>
                              @endif
                            </tr>
                          @endforeach
                        @endif
                      @endforeach
                    </table>
                  </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card">
                <div class="card-header">
                  <div class="row">
                    <div class="col">
                      Preview
                    </div>
                  </div>
                </div>
                <div class="card-body">
                  <div class="col" id="assignments_preview_side_panel">
                      
                  </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts_extra')
    <script type="text/javascript">
      $('#current_date').datepicker({
          language: "en",
          autoclose: true
      });

      getAssignmentsPreviewSidePanel(event);
      checkAllgetPendingCallsTotal();
    </script>
@endsection   