<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\VehicleYearMakeModel;
use App\EmailHistory;
use App\InboundResolution;
use App\InboundCallType;
use App\CustomerStatus;
use App\CallStatus;
use App\CompanyCallTime;
use App\StandardComment;
use App\CompanyCallerId; 
use App\CallType;
use App\Assignment;
use App\CompanyCallType;
use App\CompanyInboundCallType;
use App\CallTypeCustomerStatus;
use App\CallerEmail;
use App\Mail\GeneralEmailAlert; 
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\DB;
use DateTime;
use DateTimeZone;

class CallController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function takeCall(Request $request)
    {
    	$company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $commonFunctions = new CommonFunctionsController();
        if($request->call_id != null)
        {
            $ib_dbtable = "inboundcall_" . $company->co_short;
            $ib_call = DB::connection('mysql3')->table($ib_dbtable)
                                ->select('*')
                                ->where('uid', $request->call_id)
                                ->first();

            $ib_call->call_record_id = $ib_call->uid;
            $ib_call->first_name = $ib_call->fname;
            $ib_call->last_name = $ib_call->lname;
            $ib_call->notes = $ib_call->appointment_notes_public;
            $ib_call->private_notes = $ib_call->appointment_notes_private;
            $ib_call->inbound_call_type_id = $ib_call->calltype;
            $ib_call->appointment_date = ($ib_call->appoinment_date != '0000-00-00' && $ib_call->appoinment_date != '')? date('m/d/Y', strtotime($ib_call->appoinment_date)) : '';
            $ib_call->appointment_hour = $ib_call->appointment_time;
            $ib_call->inbound_resolution_id = $ib_call->resolution;
            $ib_call->time_on_call = gmdate("H:i:s", $ib_call->time_on_call);

            $vehicle_makes = VehicleYearMakeModel::select('make')
                                ->where('year', $ib_call->vehicle_year)
                                ->where('make', '!=', '')
                                ->groupBy('make')
                                ->get();

            $commonFunctions->modelToSelectOptions($vehicle_makes,'make', 'make');
            $vehicle_make_options = $commonFunctions->select_options;

            $vehicle_models = VehicleYearMakeModel::select('model')
                                ->where('year', $ib_call->vehicle_year)
                                ->where('make', $ib_call->vehicle_make)
                                ->where('model', '!=', '')
                                ->groupBy('model')
                                ->get();

            $commonFunctions->modelToSelectOptions($vehicle_models,'model', 'model');
            $vehicle_model_options = $commonFunctions->select_options;
            

        } else {
            $calls_table_columns = 'call_record_id,first_name,last_name,email,farmed_email,phone,cellphone,address,'.
                                    'city,state,zip,vehicle_year,vehicle_make,vehicle_model,vin,appointment_date,'.
                                    'appointment_hour,notes,private_notes,inbound_call_type_id,inbound_resolution_id,took_by'.
                                    'time_on_call';

            $columns = explode(',', $calls_table_columns);

            $ib_call = new \stdClass;

            foreach ($columns as $key => $value) {
                //if(!isset($record->{$value}))
                //{
                    $ib_call->{$value} =  '';
                //}
            }
            $ib_call->inbound_call_type_id = 1;
            $ib_call->time_on_call = '00:00:00';
            
            $vehicle_make_options = array();
            $vehicle_model_options = array();
        }

        $resolutions = DB::connection('mysql')
        							->table('inbound_resolutions')
                                	->get();
        
        $commonFunctions->modelToSelectOptions($resolutions,'name', 'id');
        $resolutions_options = $commonFunctions->select_options;

        

        /*$call_types_ids = CompanyInboundCallType::where('coid', $request->coid)->get();
        if($call_types_ids)
        {
            $call_type_ids_array = array();
            foreach ($call_types_ids as $key => $ctype) {
                $call_type_ids_array[] = $ctype->inbound_call_type_id;
            }
            $call_types = InboundCallType::whereRaw('FIND_IN_SET(id, \''.implode(',', $call_type_ids_array).'\')')->orderBy('name')->get();
        } else {
            $call_types = InboundCallType::orderBy('name')->get();
        }*/

        $call_types_ids = DB::connection('mysql2')->table('callcenter_calltypes_inbound_scripts')
                                        ->where('coid', $request->coid)
                                        ->where('is_active', 1)
                                        ->get();
        if($call_types_ids)
        {
            $call_type_ids_array = array();
            foreach ($call_types_ids as $key => $ctype) {
                $call_type_ids_array[] = $ctype->cid;
            }
            $call_types = DB::connection('mysql2')->table('callcenter_calltypes_inbound')->whereRaw('FIND_IN_SET(cid, \''.implode(',', $call_type_ids_array).'\')')->orderBy('calltype_text')->get();
        } else {
            $call_types = DB::connection('mysql2')->table('callcenter_calltypes_inbound')->orderBy('calltype_text')->get();
        }

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($call_types,'calltype_text', 'cid');
        $calltypes_options = $commonFunctions->select_options;


        /*$inbound_reps = DB::connection('mysql2')
                                    ->table('callcenter_inbound_sales_person')
                                    ->where('coid', $request->coid)
                                    ->where('email', '!=', '')
                                    ->whereRaw('email IS NOT NULL')
                                    ->orderBy('fname')
                                    ->get();*/
                                    

        $inbound_reps = DB::connection('mysql2')
                                    ->table('callcenter_inbound_sales_person')
                                    ->select('callcenter_inbound_sales_person.*')
                                    ->join('callcenter_inbound_salesperson_department', 'callcenter_inbound_sales_person.id', '=', 'callcenter_inbound_salesperson_department.pid')
                                    ->where('callcenter_inbound_sales_person.coid', $request->coid)
                                    ->where('callcenter_inbound_sales_person.email', '!=', '')
                                    ->where('callcenter_inbound_sales_person.on_alert_list', 1)
                                    ->whereRaw('callcenter_inbound_sales_person.email IS NOT NULL')
                                    ->whereRaw('FIND_IN_SET(\''.$ib_call->inbound_call_type_id.'\', callcenter_inbound_salesperson_department.alert_access)')
                                    ->orderBy('callcenter_inbound_sales_person.fname')
                                    ->get();


        /*$vehicle_year_options = '';
        $year = date('Y'); 
        while ($year > 1899)
        {
            $selected = ($year == $scheduled_service->vehicle_year)? 'selected' : '';
            $vehicle_year_options.= '<option value="'.$year.'" '.$selected.'>'.$year.'</option>';
            $year = $year-1; 
        }
                
        $make = VehicleYearMakeModel::select('make')->where('year', $scheduled_service->vehicle_year)->where('make', '!=', '')->groupBy('make')->get();
        $vehicle_make_options = '';
        foreach ($make as $key => $value) {
            $selected = ($value->make == $scheduled_service->vehicle_make)? 'selected' : '';
            $vehicle_make_options.= '<option value="'.$value->make.'" '.$selected.'>'.$value->make.'</option>';
        }

        $models = VehicleYearMakeModel::select('model')->where('year', $scheduled_service->vehicle_year)
                                                        ->where('make', $scheduled_service->vehicle_make)
                                                        ->where('model', '!=', '')
                                                        ->groupBy('model')
                                                        ->get();
        $vehicle_model_options = '';
        foreach ($models as $key => $value) {
            $selected = ($value->model == $scheduled_service->vehicle_model)? 'selected' : '';
            $vehicle_model_options.= '<option value="'.$value->model.'" '.$selected.'>'.$value->model.'</option>';
        }*/

        $minutes_array = array();
        $hour_options = '';
        $hour = 8;
        $minutes_array[0] = ':00';
        $minutes_array[1] = ':30';
        while ($hour < 18 ) 
        {
            if($hour>12)
            {
                $label = $hour - 12;
                $am_pm = ' PM';
            } else {
                $label = $hour;
                if($hour==12)
                {
                    $am_pm = ' PM';
                } else {
                    $am_pm = ' AM';
                }
            }
            for($i=0;$i<=1;$i++)
            {
                if(!isset($already_scheduled_hour[sprintf("%02d", $hour).$minutes_array[$i]]))
                {
                    $selected = ($ib_call->appointment_hour == sprintf("%02d", $hour).$minutes_array[$i])? 'selected' : '';
                    $hour_options.= '<option value="'.sprintf("%02d", $hour).$minutes_array[$i].'" '.$selected.'>'.sprintf("%02d", $label).$minutes_array[$i].$am_pm.'</option>';
                }
            }
            $hour++;
        }

        $commonFunctions = new CommonFunctionsController();
        $dealer_departments = $commonFunctions->getDealersDepartments();

        $dealer_departments_names = array();
        foreach ($dealer_departments as $key => $value) {
            $dealer_departments_names[$value->id] = $value->name;
        }

        $dealer_message = DB::connection('mysql2')->table('callcenter_daily_dealer_message')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->orderBy('set_time', 'desc')
                                ->first();

        if(!$dealer_message){
            $dealer_message = new \stdClass;
            $dealer_message->message = '';
        }

        $dealer_services = DB::connection('mysql2')->table('dealer_services')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->orderBy('did')
                                ->get();

        $dealer_services_content = '';
        foreach($dealer_services as $key => $value) {
            $image = ($value->image != "")? '<img src="images/'.$value->image.'">' : "";
            $url_link = ($value->url_link != "")? '<a href="'.$value->url_link.'" target="_blank">'.$value->title.'</a>' : $value->title;
            $department_name = (isset($dealer_departments_names[$value->did]))? $dealer_departments_names[$value->did] : '';
            $dealer_services_content.= '<tr>
                                            <td class="loginlabels14px">
                                                '.$department_name.'
                                            </td>
                                            <td class="loginlabels14px">
                                                '.$url_link.'
                                            </td>
                                            <td class="loginlabels14px">
                                                '.$value->description.'
                                            </td>
                                            <td class="loginlabels14pxrigth">
                                                $'.number_format($value->price,2).'
                                            </td>
                                            <td>
                                                '.$image.'
                                            </td>
                                        </tr>';
        }

        $dealer_links = DB::connection('mysql2')->table('callcenter_dealer_links')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->orderBy('title')
                                ->get();

        $dealer_links_content = '';
        foreach($dealer_links as $key => $value) {
            //$image = ($value->icon != "")? '<img src="images/'.$value->icon.'">' : "";

            $dealer_links_content.= '<tr>
                                        <td>
                                            <a href="'.$value->url.'" target="_blank">'.$value->title.'</a>
                                        </td>
                                        <td>
                                            '.$value->comments.'
                                        </td>
                                    </tr>';
        }

        $team_members = DB::connection('mysql2')->table('callcenter_inbound_sales_person')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->orderBy('fname')
                                ->get();

        $team_members_content = '';
        foreach($team_members as $key => $value) {
            $team_members_content.= '<tr>
                                        <td>
                                            '.$value->fname.' '.$value->lname.'
                                        </td>
                                        <td>
                                            '.$value->email.'
                                        </td>
                                        <td>
                                            '.$value->phone.'
                                        </td>
                                        <td>
                                            '.$value->cellphone.'
                                        </td>
                                    </tr>';
        }


        $departments_hours = DB::connection('mysql2')->table('departments_hours')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->get();

        $dealer_schedule = array();
        foreach($departments_hours as $key => $value) {
            $dealer_schedule[$value->did] = $value->schedule;
        }
                                
             

        $dealer_schedule_content = '';
        foreach($dealer_departments as $key => $value) {
            if(isset($dealer_schedule[$value->id]))
            {
                $schedule_content = str_replace("\n", "<br>", $dealer_schedule[$value->id]);
                $dealer_schedule_content.= '<tr>
                                            <td>
                                                '.$value->name.'
                                            </td>
                                            <td>
                                                '.$schedule_content.'
                                            </td>
                                        </tr>';
            }
        }                    

        return view('dialogs.take_call',[
                                            'ib_call' => $ib_call, 
                                            'vehicle_make_options' => $vehicle_make_options, 
                                            'vehicle_model_options' => $vehicle_model_options, 
                                            'resolutions_options' => $resolutions_options, 
                                            'company' => $company,
                                            'calltypes_options' => $calltypes_options,
                                            'hour_options' => $hour_options,
                                            'inbound_reps' => $inbound_reps,
                                            'dealer_message' => $dealer_message,
                                            'dealer_services_content' => $dealer_services_content,
                                            'dealer_links_content' => $dealer_links_content,
                                            'team_members_content' => $team_members_content,
                                            'dealer_schedule_content' => $dealer_schedule_content,
                                        ]);
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function storeInboundCall(Request $request)
    {
        $validatedData = $request->validate([
            'first_name' => 'required|max:191',
            'last_name' => 'max:191|nullable',
            'phone' => 'regex:/^[0-9\-\(\)\/\+\s]*$/|max:50|nullable',
            'cellphone' => 'regex:/^[0-9\-\(\)\/\+\s]*$/|max:50|nullable',
            'email' => "nullable|email",
            'notes' => "max:5000",
            'private_notes' => "max:5000",
            'inbound_call_type_id' => "required",
            'inbound_resolution_id' => "required",
        ]);


        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'coid', 'co_short')
                                ->where('coid', $request->coid)
                                ->first();
        $db_table = 'call_records_'.$company->co_short;

        $ib_dbtable = "inboundcall_" . $company->co_short;

        if(isset($request->send_alert_to))
        {
            $send_alert_to = $request->send_alert_to;
            $alert_sent = (count($send_alert_to) > 0)? 1 : 0;
        } else {
            $alert_sent = 0;
        }

        $farmed_email = (isset($request->farmed_email))? $request->farmed_email : 0;
        $phone = preg_replace("/[^0-9]/i", "", $request->phone);
        $cellphone = preg_replace("/[^0-9]/i", "", $request->cellphone);
        
        if(trim($request->appointment_date) != '')
        {
            $appointment_date_raw = date('Y-m-d', strtotime($request->appointment_date));
            if($request->appointment_hour != '')
            {
                $appointment_date = $appointment_date_raw.' '.$request->appointment_hour;
            } else {
                $appointment_date = $appointment_date_raw.' 00:00:00';
            }
            
        } else {
            $appointment_date = null;
        }

        $commonFunctions = new CommonFunctionsController();
        if($request->time_on_call != '')
        {
            $time_on_call = $commonFunctions->hoursToSecods($request->time_on_call);
        } else {
            $time_on_call = null;
        }




        $send_alert_to = '';
        $call_to_action = "Completed";
        if(isset($request->send_alert_to))
        {
            if(count($request->send_alert_to) > 0)
            {
                $call_to_action = "Urgent";
                $send_alert_to = implode(',', $request->send_alert_to);
            }
        }

        $ib_appointment_date = $appointment_date;
        if($appointment_date == null)
        {
            $ib_appointment_date = '0000-00-00';
        }

        $appointment_time = $request->appointment_hour;
        if($request->appointment_hour == null)
        {
            $appointment_time = '';
        }

        $ib_email = $request->email;
        if($request->email == null)
        {
            $ib_email = '';
        }

        $ib_address = $request->address;
        if($request->address == null)
        {
            $ib_address = '';
        }

        $ib_city = $request->city;
        if($request->city == null)
        {
            $ib_city = '';
        }

        $ib_state = $request->state;
        if($request->state == null)
        {
            $ib_state = '';
        }

        $ib_zip = $request->zip;
        if($request->zip == null)
        {
            $ib_zip = '';
        }

        $ib_vin = $request->vin;
        if($request->vin == null)
        {
            $ib_vin = '';
        }

        $ib_vehicle_year = $request->vehicle_year;
        if($request->vehicle_year == null)
        {
            $ib_vehicle_year = '';
        }
        $ib_vehicle_make = $request->vehicle_make;
        if($request->vehicle_make == null)
        {
            $ib_vehicle_make = '';
        }
        $ib_vehicle_model = $request->vehicle_model;
        if($request->vehicle_model == null)
        {
            $ib_vehicle_model = '';
        }
        
        if($request->call_record_id != '')
        {
            $ib_call = DB::connection('mysql3')->table($ib_dbtable)->where('uid', $request->call_record_id)->first();

            $caller_comments = $ib_call->appointment_notes_public;
            if (trim($request->notes) != '') {
                if (strlen($caller_comments) > 0) $caller_comments .= "<br />";
                $caller_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $caller_comments .= trim($request->notes);
            }

            $private_comments = $ib_call->appointment_notes_private;
            if (trim($request->private_notes) != '') {
                if (strlen($private_comments) > 0) $private_comments .= "<br />";
                $private_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $private_comments .= trim($request->private_notes);
            }

            
            $local_time = new DateTime();
            $local_time->setTimezone(new DateTimeZone('America/New_York'));
            DB::connection('mysql3')->table($ib_dbtable)->where('uid', $request->call_record_id)->update([
                    'fname' => $request->first_name, 
                    'lname' => $request->last_name, 
                    'email' => $ib_email,
                    'farmed_email' => $farmed_email,
                    'phone' => $phone,
                    'cellphone' => $cellphone, 
                    'address' => $ib_address, 
                    'city' => $ib_city, 
                    'state' => $ib_state, 
                    'zip' => $ib_zip,
                    'vehicle_year' => $ib_vehicle_year,
                    'vehicle_make' => $ib_vehicle_make,
                    'vehicle_model' => $ib_vehicle_model,
                    'vin' => $ib_vin,
                    'appoinment_date' => $ib_appointment_date,
                    'appointment_time' => $appointment_time,
                    'appointment_notes_public' => $caller_comments,
                    'appointment_notes_private' => $private_comments,
                    'calltype' => $request->inbound_call_type_id,
                    'resolution' => $request->inbound_resolution_id,
                    'caller_id' => Auth::id(), 
                    'call_to_action' => $call_to_action,
                    'alert_sent' => $alert_sent,
                    'time_on_call' => $time_on_call,
                    'lastupdate' => $local_time->format('Y-m-d H:i:s'),
                    'send_alert_to' => $send_alert_to,
                ]);
        } else {

            $caller_comments = '';
            if (trim($request->notes) != '') {
                if (strlen($caller_comments) > 0) $caller_comments .= "<br />";
                $caller_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $caller_comments .= trim($request->notes);
            }

            $private_comments = '';
            if (trim($request->private_notes) != '') {
                if (strlen($private_comments) > 0) $private_comments .= "<br />";
                $private_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $private_comments .= trim($request->private_notes);
            }

            $local_time = new DateTime();
            $local_time->setTimezone(new DateTimeZone('America/New_York'));
            $ib_call_id = DB::connection('mysql3')->table($ib_dbtable)->insertGetId([
                        'fname' => $request->first_name, 
                        'lname' => $request->last_name, 
                        'email' => $ib_email,
                        'farmed_email' => $farmed_email,
                        'phone' => $phone,
                        'cellphone' => $cellphone, 
                        'address' => $ib_address, 
                        'city' => $ib_city, 
                        'state' => $ib_state, 
                        'zip' => $ib_zip,
                        'vehicle_year' => $ib_vehicle_year,
                        'vehicle_make' => $ib_vehicle_make,
                        'vehicle_model' => $ib_vehicle_model,
                        'vin' => $ib_vin,
                        'appoinment_date' => $ib_appointment_date,
                        'appointment_time' => $appointment_time,
                        'appointment_notes_public' => $caller_comments,
                        'appointment_notes_private' => $private_comments,
                        'calltype' => $request->inbound_call_type_id,
                        'resolution' => $request->inbound_resolution_id,
                        'caller_id' => Auth::id(), 
                        'call_to_action' => $call_to_action,
                        'alert_sent' => $alert_sent,
                        'time_on_call' => $time_on_call,
                        'lastupdate' => $local_time->format('Y-m-d H:i:s'),
                        'send_alert_to' => $send_alert_to,
                    ]);
        }


        if($request->call_record_id != '')
        {
            $call_id = $request->call_record_id;

            $ib_call = DB::connection('mysql3')->table($ib_dbtable)->where('uid', $request->call_record_id)->first();

            $caller_comments = $ib_call->appointment_notes_public;
            if (trim($request->notes) != '') {
                if (strlen($caller_comments) > 0) $caller_comments .= "<br />";
                $caller_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $caller_comments .= trim($request->notes);
            }

            $private_comments = $ib_call->appointment_notes_private;
            if (trim($request->private_notes) != '') {
                if (strlen($private_comments) > 0) $private_comments .= "<br />";
                $private_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $private_comments .= trim($request->private_notes);
            }

            DB::table($db_table)
                    ->where('reference_id', $request->call_record_id)
                    ->where('record_type_id', 2)
                    ->update([
                        'first_name' => $request->first_name, 
                        'last_name' => $request->last_name, 
                        'email' => $request->email,
                        'farmed_email' => $farmed_email,
                        'phone' => $phone,
                        'cellphone' => $cellphone, 
                        'address' => $request->address, 
                        'city' => $request->city, 
                        'state' => $request->state, 
                        'zip' => $request->zip,
                        'vehicle_year' => $request->vehicle_year,
                        'vehicle_make' => $request->vehicle_make,
                        'vehicle_model' => $request->vehicle_model,
                        'vin' => $request->vin,
                        'appointment_date' => $appointment_date,
                        'notes' => $caller_comments,
                        'private_notes' => $private_comments,
                        'inbound_call_type_id' => $request->inbound_call_type_id,
                        'inbound_resolution_id' => $request->inbound_resolution_id,
                        'took_by' => Auth::id(), 
                        'record_type_id' => 2,
                        'alert_sent' => $alert_sent,
                        'time_on_call' => $time_on_call,
                    ]);
        } else {

            $caller_comments = '';
            if (trim($request->notes) != '') {
                if (strlen($caller_comments) > 0) $caller_comments .= "<br />";
                $caller_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $caller_comments .= trim($request->notes);
            }

            $private_comments = '';
            if (trim($request->private_notes) != '') {
                if (strlen($private_comments) > 0) $private_comments .= "<br />";
                $private_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
                $private_comments .= trim($request->private_notes);
            }

            $call_id = DB::table($db_table)->insertGetId([
                        'reference_id' => $ib_call_id,
                        'first_name' => $request->first_name, 
                        'last_name' => $request->last_name, 
                        'email' => $request->email,
                        'farmed_email' => $farmed_email,
                        'phone' => $phone,
                        'cellphone' => $cellphone, 
                        'address' => $request->address, 
                        'city' => $request->city, 
                        'state' => $request->state, 
                        'zip' => $request->zip,
                        'vehicle_year' => $request->vehicle_year,
                        'vehicle_make' => $request->vehicle_make,
                        'vehicle_model' => $request->vehicle_model,
                        'vin' => $request->vin,
                        'appointment_date' => $appointment_date,
                        'notes' => $caller_comments,
                        'private_notes' => $private_comments,
                        'inbound_call_type_id' => $request->inbound_call_type_id,
                        'inbound_resolution_id' => $request->inbound_resolution_id,
                        'took_by' => Auth::id(), 
                        'record_type_id' => 2,
                        'alert_sent' => $alert_sent,
                        'time_on_call' => $time_on_call,
                        'created_at' => date('Y-m-d H:i:s'),
                        'updated_at' => date('Y-m-d H:i:s'),
                    ]);
        }
        

        
        

        if(isset($request->send_alert_to))
        {
            if(count($request->send_alert_to) > 0)
            {


                $mail_data = new \stdClass();
                $mail_data->subject = 'Inbound Alert For '.$company->co_name;
                $mail_data->view = 'general_email';
                $mail_data->email_css = '.label_td {
                                              font-weight: bold;
                                            }

                                            .value_td {
                                              
                                            }

                                            .footer_notes {
                                              font-size: 10px;
                                            }

                                            .align_top {
                                                vertical-align: baseline;
                                            }';

                $call = DB::table($db_table)->select('*')->where('id', $call_id)->first();

                $inbound_resolution = InboundResolution::find($request->inbound_resolution_id);
                $inbound_call_type = InboundCallType::find($request->inbound_call_type_id);
                $call->inbound_resolution = $inbound_resolution->name;
                $call->inbound_call_type = $inbound_call_type->name;

                $email_content = view('email.inbound_alert')->with(['call' => $call])->render();

                $masked_coid = rand(1, 100).'_'.$request->coid.'_'.time();
                $base64_coid = base64_encode($masked_coid);
                $mail_data->email_content = str_replace("[inbound_last_calls_link]", '<a href="https://login.fullbdc.com/ccdata24.php?c=gilcp&pageonly=1&masked_coid='.$base64_coid.'">HERE</a>', $email_content);

                $sanitized_emails = array_unique(explode(',', implode(',', $request->send_alert_to)));

                Mail::to($sanitized_emails)->send(new GeneralEmailAlert($mail_data));

                foreach ($sanitized_emails as $key => $value) {
                    $email_history = new EmailHistory;
                    $email_history->email_history_type_id = 2;
                    $email_history->call_record_id = $call_id;
                    $email_history->coid  = $request->coid;
                    $email_history->email = $value;
                    $email_history->sent_by = Auth::id();
                    $email_history->subject = 'Inbound Alert For '.$company->co_name;
                    $email_history->save();
                }
            }
        }

        return response()->json([
            'inserted_id' => $call_id,
            'message' => 'Call saved!'
        ]);
    }




    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function makeCallDialog(Request $request)
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'coid', 'co_short')
                                ->where('coid', $request->call_list_coid)
                                ->first();
        $order_by_direction = (isset($request->order_by_direction))? $request->order_by_direction : 'asc';


        $global_removed_table = 'global_removed_vins';
        $global_removed_vins = DB::connection('mysql2')->table($global_removed_table)
                                ->select('vin')
                                ->groupBy('vin')
                                ->get()
                                ->pluck('vin')
                                ->toArray();

        $recall_table = 'recall_records';
        $recall_vins = DB::connection('mysql')->table($recall_table)
                                ->select('vin')
                                ->groupBy('vin')
                                ->get()
                                ->pluck('vin')
                                ->toArray();

        if($request->transaction_type == 'call_records')
        {
            //$db_table = 'call_records_'.$company->co_short;
            $order_by_column = (isset($request->order_by_column))? $request->order_by_column : 'remind';
            $db_table = 'livecall_'.$company->co_short;
            /*$records = DB::connection('mysql2')->table($db_table)
                                ->select('*')
                                ->where('livecall_next_calltype', $request->group_type)
                                ->whereRaw('livecall_next_calltype IS NOT NULL')
                                ->where('livecall_showtocall', 1)
                                ->where('remind', '>=', date('Y-m-d'))
                                ->where('remind', '<=', date('Y-m-d', strtotime(date('Y-m-d'). ' + 50 days')))
                                ->orderBy($order_by_column, $order_by_direction)
                                ->paginate(50);*/

            $records = DB::connection('mysql2')->table($db_table)
                                ->select('*')
                                ->where('livecall_next_calltype', $request->group_type)
                                ->whereRaw('livecall_next_calltype IS NOT NULL')
                                ->where('livecall_showtocall', 1)
                                ->where('remind', '>=', date('Y-m-d', strtotime('-7 days')))
                                ->where('remind', '<=', date('Y-m-d'))
                                ->whereRaw('livecall_count < livecall_times')
                                ->orderBy($order_by_column, $order_by_direction)
                                ->paginate(50);
                                
        } else if($request->transaction_type == 'leo')
        {
            $db_table = $company->co_short.'_master_vins';
            $order_by_column = (isset($request->order_by_column))? $request->order_by_column : 'recent_transaction_date';
            if($request->group_type == 'total')
            {
                $records = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('vin', '!=', 'VIN')
                                ->where('customer_type', '!=', 'Cross Active (Pump-Ins)')
                                ->where(function($query) {
                                    $query->where('phone', '!=', '')
                                        ->whereRaw('phone IS NOT NULL');
                                })
                                ->orderBy($order_by_column, $order_by_direction)
                                ->paginate(50);
            } else if($request->group_type == 'active') {
                $records = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('customer_type', 'Active')
                                ->orWhere('updated_customer_type', 'Active')
                                ->where(function($query) {
                                    $query->where('phone', '!=', '')
                                        ->whereRaw('phone IS NOT NULL');
                                })
                                ->orderBy($order_by_column, $order_by_direction)
                                ->paginate(50);
            } else if($request->group_type == 'inactive') {
                $records = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('vin', '!=', 'VIN')
                                ->where('customer_type', 'Inactive')
                                ->where(function($query) {
                                    $query->where('updated_customer_type', '!=', 'Active')
                                        ->orWhereRaw('updated_customer_type IS NULL');
                                })
                                ->where(function($query) {
                                    $query->where('phone', '!=', '')
                                        ->whereRaw('phone IS NOT NULL');
                                })
                                ->orderBy($order_by_column, $order_by_direction)
                                ->paginate(50);
            } else if($request->group_type == 'not_enganged') {
                $records = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('vin', '!=', 'VIN')
                                ->where('customer_type', 'Not Engaged')
                                ->where(function($query) {
                                    $query->where('updated_customer_type', '!=', 'Active')
                                        ->orWhereRaw('updated_customer_type IS NULL');
                                })
                                ->where(function($query) {
                                    $query->where('phone', '!=', '')
                                        ->whereRaw('phone IS NOT NULL');
                                })
                                ->orderBy($order_by_column, $order_by_direction)
                                ->paginate(50);
            }
        } else if($request->transaction_type == 'recall')
        {
            $db_table = 'recall_records';
            if($request->group_type == 'in_pma') {
                $records = DB::connection('mysql')->table($db_table)
                                                    ->select('*')
                                                    ->where('coid', $request->call_list_coid)
                                                    ->where('recall_status_id', 1)
                                                    ->where('pma', 'IN')
                                                    ->where(function($query) {
                                                        $query->where(function($query) {
                                                                        $query->where('phone', '!=', '')
                                                                            ->whereRaw('phone IS NOT NULL');
                                                                    })
                                                                    ->orWhere(function($query) {
                                                                        $query->where('cellphone', '!=', '')
                                                                            ->whereRaw('cellphone IS NOT NULL');
                                                                    });
                                                    })
                                                    ->paginate(50);
            } else if($request->group_type == 'out_pma') {
                $records = DB::connection('mysql')->table($db_table)
                                                    ->select('*')
                                                    ->where('coid', $request->call_list_coid)
                                                    ->where('recall_status_id', 1)
                                                    ->where('pma', 'OUT')
                                                    ->where(function($query) {
                                                        $query->where(function($query) {
                                                                        $query->where('phone', '!=', '')
                                                                            ->whereRaw('phone IS NOT NULL');
                                                                    })
                                                                    ->orWhere(function($query) {
                                                                        $query->where('cellphone', '!=', '')
                                                                            ->whereRaw('cellphone IS NOT NULL');
                                                                    });
                                                    })
                                                    ->paginate(50);
            } 
        } else if($request->transaction_type == 'toyota_care')
        {
            /*$db_table = 'toyota_care_'.$company->co_short; 
            $records = DB::connection('mysql')->table($db_table)
                                                    ->select('*')
                                                    ->where(function($query) {
                                                        $query->where(function($query) {
                                                                        $query->where('phone', '!=', '')
                                                                            ->whereRaw('phone IS NOT NULL');
                                                                    })
                                                                    ->orWhere(function($query) {
                                                                        $query->where('cellphone', '!=', '')
                                                                            ->whereRaw('cellphone IS NOT NULL');
                                                                    });
                                                    })
                                                    ->paginate(50);*/
            $db_table = $company->co_short.'_master_vins';
            $records = DB::connection('mysql')->table($db_table)
                                                    ->select('*')
                                                    ->where('toyota_care', 'Y')
                                                    ->paginate(50);

        }

        $dnc_phones = array();
        $g_dnc = DB::connection('mysql2')->table('callcenter_dnc')
                                ->select('*')
                                ->get();

        $d_dnc = DB::connection('mysql2')->table('dnc_'.$company->co_short)
                                ->select('*')
                                ->get();

        foreach ($g_dnc as $key => $value) {
            $dnc_phones[$value->phone] = 1;
        }
        foreach ($d_dnc as $key => $value) {
            $dnc_phones[$value->phone] = 1;
        }

        return view('dialogs.call_list_dialog',[
                                            'global_removed_vins' => $global_removed_vins, 
                                            'recall_vins' => $recall_vins, 
                                            'transaction_type' => $request->transaction_type, 
                                            'group_type' => $request->group_type,
                                            'records' => $records,
                                            'call_list_coid' => $request->call_list_coid,
                                            'paginate' => $request->paginate,
                                            'dnc_phones' => $dnc_phones,
                                        ]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function makeCall(Request $request)
    {
        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $survey_table = '';
        switch ($request->transaction_type) {
            case 'call_records':
                //$db_table = 'call_records_'.$company->co_short;
                $db_table = 'livecall_'.$company->co_short;
                break;
            case 'leo':
                $db_table = $company->co_short.'_master_vins';
                break;
            case 'recall':
                $db_table = 'recall_records';
                break;
            case 'toyota_care':
                $db_table = 'toyota_care_'.$company->co_short; 
                break;
        }

        if($request->transaction_type == 'call_records')
        {
            $record = DB::connection('mysql2')->table($db_table)
                                ->select('*')
                                ->where('id', $request->record_id)
                                ->first();
        } else {
            $record = DB::connection('mysql')->table($db_table)
                                ->select('*')
                                ->where('id', $request->record_id)
                                ->first();
        }

        
        /*$call_types_ids = CompanyCallType::where('coid', $request->coid)->get();
        if($call_types_ids)
        {
            $call_type_ids_array = array();
            foreach ($call_types_ids as $key => $ctype) {
                $call_type_ids_array[] = $ctype->call_type_id;
            }
            $call_types = CallType::whereRaw('FIND_IN_SET(id, \''.implode(',', $call_type_ids_array).'\')')->orderBy('name')->get();
        } else {
            $call_types = CallType::orderBy('name')->get();
        }*/
        
        if($company->calltypes != '')
        {
            $call_types = DB::connection('mysql2')->table('callcenter_calltypes')
                                ->select('calltype_text as name', 'cid as id')
                                ->whereRaw('FIND_IN_SET(cid, \''.$company->calltypes.'\')')
                                ->orderBy('calltype_text')
                                ->get();
        } else {
            $call_types = DB::connection('mysql2')->table('callcenter_calltypes')
                                ->select('calltype_text as name', 'cid as id')
                                ->orderBy('calltype_text')
                                ->get();
        }
        
        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($call_types,'name', 'id');
        $call_type_options = $commonFunctions->select_options;

        $commonFunctions->modelToSelectOptions(CallStatus::orderBy('name')->get(),'name', 'key');
        $call_status_options = $commonFunctions->select_options;
        $caller_id = '';
        


        $calls_table_columns = 'id,inbound_call_type_id,inbound_resolution_id,call_type_id,customer_status_id,call_status_id,upload_file_id,record_type_id,took_by,times_called,customer_id,first_name,last_name,phone,cellphone,best_phone,address,city,state,zip,email,vehicle_year,vehicle_make,vehicle_model,vin,vehicle_type,oil_type,miles,vin_solutions_link,pma,ro_number,toyota_care_visits,service_date,sale_date,tc_exp_date,lead_date,sale_apt_date,service_apt_date,service_apt_time,appointment_date,notes,private_notes,service_visit_notes,service_advisor,service_source,sales_rep,sale_source,sale_status,next_call_scheduled,reminder_set,farmed_email,alert_sent,created_at,updated_at,livecall_count';
        $columns = explode(',', $calls_table_columns);

        foreach ($columns as $key => $value) {
            if(!isset($record->{$value}))
            {
                $record->{$value} =  '';
            }
        }

        

        if($request->transaction_type == 'call_records')
        {
            $record->first_name = $record->fname;
            $record->last_name = $record->lname;
            $record->address = $record->address1;
            $record->ro_number = $record->RO;
            $record->call_type_id = ($record->livecall_next_calltype != '' && $record->livecall_next_calltype != 0)? $record->livecall_next_calltype : $record->livecall_prev_calltype;

            $call_type = CallType::find($record->call_type_id);

            $call_times = CompanyCallTime::where('coid', $request->coid)->where('call_type_id', $record->call_type_id)->first();

            if(isset($record->livecall_times))
            {
                $call_type_calltimes = $record->livecall_times;
            } else {
                if($call_times)
                {
                    $call_type_calltimes = $call_times->call_times;
                } else {
                    $call_type_calltimes = 0;
                }
            }

            $call_type_customer_statuses = CallTypeCustomerStatus::where('call_type_id', $call_type->id)->get();

            $available_customer_statuses = array();

            foreach ($call_type_customer_statuses as $customer_status_value) {
                $available_customer_statuses[] = $customer_status_value->customer_status_id;
            }

            $standard_comments = DB::connection('mysql2')->table('callcenter_standardcomments')
                                    ->select('callcenter_standardcomments.id as id', 'callcenter_standardcomments.name as name', 'callcenter_standardcomments.content as content')
                                    ->join('callcenter_active_standard_comments_by_call_type', 'callcenter_active_standard_comments_by_call_type.standard_comment_uid', '=', 'callcenter_standardcomments.id')
                                    ->where('callcenter_active_standard_comments_by_call_type.cid', $call_type->id)
                                    ->get();

            /*$standard_comments = StandardComment::select('standard_comments.id as id', 'standard_comments.name as name', 'standard_comments.content as content')
                      ->join('call_type_standard_comment', 'call_type_standard_comment.standard_comment_id', '=', 'standard_comments.id')
                      ->where('call_type_standard_comment.call_type_id', $call_type->id)
                      ->get();*/

            $company_caller_id = CompanyCallerId::where('coid', $request->coid)->where('call_type_id', $call_type->id)->first();
            if($company_caller_id)
            {
                $caller_id = $company_caller_id->caller_id;
            }




            $survey_questions = DB::connection('mysql2')->table('callcenter_survey_questions')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->where('cid', $record->call_type_id)
                                ->get();

            if(!$survey_questions)
            {
                $survey_questions = DB::connection('mysql2')->table('callcenter_survey_questions')
                                ->select('*')
                                ->where('coid', 0)
                                ->where('cid', $record->call_type_id)
                                ->get();
            }


            $qids = array();
            foreach($survey_questions as $question) {
                $qids[] = $question->id;
            }

            $survey_answers = DB::connection('mysql2')->table('callcenter_survey_answers')
                                ->select('*')
                                ->where('sid', $request->record_id)
                                ->where('coid', $request->coid)
                                ->groupBy('qid')
                                ->get();
            
            $answers_array = array();
            foreach($survey_answers as $answer) {
                $qid = $answer->qid;
                $sid = $answer->sid;
                $answer_value = $answer->answer;
                $answers_array[$qid] = $answer_value;
            }

            if($survey_questions)
            {
                $survey_table = '<table class="table table-striped">';
                $yes_checked = '';
                $no_checked = '';
                $na_checked = '';
                foreach($survey_questions as $question) {
                    $qid = $question->id;
                    $question = $question->question;
                    if(isset($answers_array[$qid]))
                    {
                       if($answers_array[$qid] == "Yes") {
                            $yes_checked = "checked";
                        } else if($answers_array[$qid] == "No") {
                            $no_checked = "checked";
                        } else {
                            $na_checked = "checked";
                        } 
                    } else {
                        $na_checked = "checked";
                    }
                    
                    $survey_table.= '<tr>
                                        <td>
                                            '.$question.'
                                        </td>
                                        <td>
                                            <input type="radio" id="'.$qid.'-question" name="'.$qid.'-question" value="Yes" '.$yes_checked.'> Yes &nbsp;&nbsp;
                                            <input type="radio" id="'.$qid.'-question" name="'.$qid.'-question" value="No" '.$no_checked.'> No &nbsp;&nbsp;
                                            <input type="radio" id="'.$qid.'-question" name="'.$qid.'-question" value="N/A" '.$na_checked.'> N/A
                                        </td>
                                    </tr>';
                }
                $survey_table.= '</table>';
            }
            

        } else if($request->transaction_type == 'recall') {
            $record->call_type_id = 15;
            $call_type = CallType::find($record->call_type_id);

            $call_times = CompanyCallTime::where('coid', $request->coid)->where('call_type_id', $record->call_type_id)->first();

            if($call_times)
            {
                $call_type_calltimes = $call_times->call_times;
            } else {
                $call_type_calltimes = 0;
            }

            $call_type_customer_statuses = CallTypeCustomerStatus::where('call_type_id', $call_type->id)->get();

            $available_customer_statuses = array();

            foreach ($call_type_customer_statuses as $customer_status_value) {
                $available_customer_statuses[] = $customer_status_value->customer_status_id;
            }

            $standard_comments = StandardComment::select('standard_comments.id as id', 'standard_comments.name as name', 'standard_comments.content as content')
                      ->join('call_type_standard_comment', 'call_type_standard_comment.standard_comment_id', '=', 'standard_comments.id')
                      ->where('call_type_standard_comment.call_type_id', $call_type->id)
                      ->get();

            $company_caller_id = CompanyCallerId::where('coid', $request->coid)->where('call_type_id', $call_type->id)->first();
            if($company_caller_id)
            {
                $caller_id = $company_caller_id->caller_id;
            }
        } else {
            $call_times = 0; 
            $call_type_calltimes = 0;
            $available_customer_statuses = array();
            $standard_comments = StandardComment::all();
        }

        if($request->transaction_type == 'leo')
        {
            $record->vehicle_year = $record->year;
            $record->vehicle_make = 'Toyota';
            $record->vehicle_model = $record->model;
            $record->service_date = $record->recent_transaction_date;
        }


        foreach ($record as $key => $value) {
            if(strpos($key, 'date') !== false)
            {
                if($value != '' && $value != null && $value != '1970-01-01' && $value != '1969-12-31' && $value != '0000-00-00' && $value != '0000-00-00 00:00:00')
                {
                    $record->{$key} = date('m/d/Y', strtotime($value));
                } else {
                    $record->{$key} = '';
                }
            }
        }

        $raw_phone = $record->phone;
        $raw_cellphone = $record->cellphone;
        $raw_best_phone = $record->best_phone;

        $record->phone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $record->phone);
        $record->cellphone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $record->cellphone);
        $record->best_phone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $record->best_phone);

        $sales_reps = DB::connection('mysql2')->table('callcenter_outbound_sales_person')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->where('on_alert_list', 1)
                                ->orderBy('fname')
                                ->get();

        $salesrep_select = '<select id="salesrep_cc_alert" name="salesrep_cc_alert[]" multiple="multiple" class="form-control need-validation-inputs font-11">';
        foreach($sales_reps as $sr) {
            $sr_name = $sr->fname." ".$sr->lname;
            $sr_email = $sr->email;
            $salesrep_select.= '<option value="'.$sr_email.'">'.$sr_name.' ('.$sr_email.')</option>';
        }
        $salesrep_select.= '</select>';


        $dealer_message = DB::connection('mysql2')->table('callcenter_outbound_dealer_message')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $dealer_message_content = '';
        if($dealer_message)
        {
            $dealer_message_content = $dealer_message->content;
        }

        $dealer_services = DB::connection('mysql2')->table('dealer_services_outbound')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->where('did', '!=', 0)
                                ->orderBy('did')
                                ->get();
        
        $departments = DB::connection('mysql2')->table('callcenter_companies_departments')
                                ->select('*')
                                ->orderBy('name')
                                ->get();
        $dealer_departments = array();
        foreach ($departments as $key => $value) {
            $dealer_departments[$value->id] = $value->name;
        }

        $dealer_links = DB::connection('mysql2')->table('callcenter_dealer_links_outbound')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->orderBy('title')
                                ->get();

        $dealer_salesrep = DB::connection('mysql2')->table('callcenter_outbound_sales_person')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->orderBy('fname')
                                ->get();

        $g_dnc = DB::connection('mysql2')->table('callcenter_dnc')
                                ->select('*')
                                ->where('phone', $raw_phone)
                                ->orWhere('phone', $raw_cellphone)
                                ->orWhere('phone', $raw_best_phone)
                                ->get();

        $d_dnc = DB::connection('mysql2')->table('dnc_'.$company->co_short)
                                ->select('*')
                                ->where('phone', $raw_phone)
                                ->orWhere('phone', $raw_cellphone)
                                ->orWhere('phone', $raw_best_phone)
                                ->get();

        $dne = DB::connection('mysql2')->table('dne_'.$company->co_short)
                                ->select('*')
                                ->where('email', $record->email)
                                ->first();
        $has_dne = 0;
        if($dne)
        {
            $has_dne = 1;
        }

        $gdnc_phones = array();
        foreach ($g_dnc as $key => $value) {
            $dnc_phone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $value->phone);
            $gdnc_phones[$dnc_phone] = 1;
        }
        $ddnc_phones = array();
        foreach ($d_dnc as $key => $value) {
            $dnc_phone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $value->phone);
            $ddnc_phones[$dnc_phone] = 1;
        }

        $calltypes = CallType::all();
        $calltypes_names = array();
        foreach ($calltypes as $key => $value) {
            $calltypes_names[$value->id] = $value->name;
        }

        if(count($available_customer_statuses) > 0)
        {
            $customer_statuses = CustomerStatus::whereRaw('FIND_IN_SET(id, \''.implode(',', $available_customer_statuses).'\')')->get();
        } else {
            $customer_statuses = CustomerStatus::all();
        }

        $commonFunctions->modelToSelectOptions($customer_statuses,'name', 'id');
        $customer_status_options = $commonFunctions->select_options;
        
        $customer_status = array();
        $customer_status_require_alert = array();
        $customer_statuses = CustomerStatus::all();
        foreach ($customer_statuses as $key => $value) {
            $customer_status_parts = explode('-', $value->name);
            $customer_status[$value->id] = $customer_status_parts[0];
            if($value->send_alert == 1)
            {
                $customer_status_require_alert[] = $value->id;
            }
        }

        $record_table = 'livecall_'.$company->co_short;

        //This needs to be changed when migrating to the new system
        $raw_phones = new \stdClass();
        $raw_phones->phone = $raw_phone;
        $raw_phones->cellphone = $raw_cellphone;
        $raw_phones->best_phone = $raw_best_phone;

        $call_history = DB::connection('mysql2')->table($record_table)
                                ->selectRaw('id, fname, lname, phone, service_date, vin, livecall_prev_calltype, lastupdate, customer_status, caller_comments')
                                ->where(function($query) use($raw_phones){
                                    $query->where('phone', $raw_phones->phone)
                                            ->orWhere('phone', $raw_phones->cellphone)
                                            ->orWhere('phone', $raw_phones->best_phone);
                                })
                                ->where(function($query) {
                                    $query->where('phone', '!=', '')
                                        ->whereRaw('phone IS NOT NULL');
                                })
                                ->where(function($query) {
                                    $query->where('livecall_prev_calltype', '!=', '')
                                        ->whereRaw('livecall_prev_calltype IS NOT NULL');
                                })
                                ->where('livecall_status', '!=', 'CL')
                                ->orderBy('lastupdate', 'desc')
                                ->limit(5)
                                ->get();

        $last_call_date = "";
        $last_call_type = "";

        if($call_history->count() > 0)
        {
            foreach ($call_history as $history) 
            {
                $last_call_date = date('m/d/Y', strtotime($history->lastupdate));
                $last_call_type = $calltypes_names[$history->livecall_prev_calltype];
                break;
            }
        }

        //This needs to be changed when migrating to the new system
        $service_history = DB::connection('mysql2')->table($record_table)
                                ->selectRaw('id, fname, lname, phone, service_date, vin, livecall_prev_calltype, lastupdate, customer_status, caller_comments')
                                ->where('vin', $record->vin)
                                ->where(function($query) {
                                    $query->where('vin', '!=', '')
                                        ->whereRaw('vin IS NOT NULL');
                                })
                                ->where(function($query)  {
                                    $query->where('livecall_prev_calltype', 2)
                                        ->whereRaw('livecall_prev_calltype IS NOT NULL');
                                })
                                ->where('livecall_status', '!=', 'CL')
                                ->orderBy('lastupdate', 'desc')
                                ->limit(5)
                                ->get();     

        $customer_status_require_alert_list = implode(',', $customer_status_require_alert);    


        $commonFunctions = new CommonFunctionsController();
        $time_on_call = $commonFunctions->getTimeOnCall(Auth::user()->reference_id, $request->coid, $request->record_id);            

        return view('dialogs.call_dialog',[
                                            'transaction_type' => $request->transaction_type, 
                                            'group_type' => $request->group_type,
                                            'record_id' => $request->record_id,
                                            'record' => $record,
                                            'call_coid' => $request->coid,
                                            'call_type_options' => $call_type_options,
                                            'call_status_options' => $call_status_options,
                                            'customer_status_options' => $customer_status_options,
                                            'company' => $company,
                                            'call_types' => $call_types,
                                            'salesrep_select' => $salesrep_select,
                                            'dealer_message' => $dealer_message_content,
                                            'dealer_services' => $dealer_services,
                                            'dealer_departments' => $dealer_departments,
                                            'dealer_links' => $dealer_links,
                                            'dealer_salesrep' => $dealer_salesrep,
                                            'gdnc_phones' => $gdnc_phones,
                                            'ddnc_phones' => $ddnc_phones,
                                            'has_dne' => $has_dne,
                                            'calltypes_names' => $calltypes_names,
                                            'customer_status' => $customer_status,
                                            'call_history' => $call_history,
                                            'service_history' => $service_history,
                                            'call_times' => $call_type_calltimes,
                                            'caller_id' => $caller_id,
                                            'last_call_date' => $last_call_date,
                                            'last_call_type' => $last_call_type,
                                            'customer_status_require_alert_list' => $customer_status_require_alert_list,
                                            'standard_comments' => $standard_comments,
                                            'survey_table' => $survey_table,
                                            'time_on_call' => $time_on_call,
                                        ]);
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function storeCall(Request $request)
    {
        $validatedData = $request->validate([
            'first_name' => 'required|max:191',
            'last_name' => 'max:191|nullable',
            'phone' => 'regex:/^[0-9\-\(\)\/\+\s]*$/|max:50|nullable',
            'cellphone' => 'regex:/^[0-9\-\(\)\/\+\s]*$/|max:50|nullable',
            'email' => "nullable|email",
            'notes' => "max:5000",
            'private_notes' => "max:5000",
            'call_type_id' => "required",
            'call_status_id' => "required",
            'customer_status_id' => "required",
        ]);


        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        $db_table = 'call_records_'.$company->co_short;

        $live_call_table = 'livecall_'.$company->co_short;

        $call_record = DB::connection('mysql2')->table($live_call_table)
                                ->select('id','caller_comments', 'private_comments', 'remind', 'dealer_department', 'vin_solutions_id')
                                ->where('id', $request->record_id)
                                ->first();

        $phone = preg_replace("/[^0-9]/i", "", $request->phone);
        $cellphone = preg_replace("/[^0-9]/i", "", $request->cellphone);
        $best_phone = preg_replace("/[^0-9]/i", "", $request->best_phone);
        
        $customer_service_date = '';
        if(trim($request->service_date) != '')
        {
            $service_date = date('Y-m-d', strtotime($request->service_date)); 
            $customer_service_date = date('Y-m-d', strtotime($request->service_date));         
        } else {
            $service_date = null;
        }

        $customer_sale_date = '';
        if(trim($request->sale_date) != '')
        {
            $sale_date = date('Y-m-d', strtotime($request->sale_date));      
            $customer_sale_date = date('Y-m-d', strtotime($request->sale_date));           
        } else {
            $sale_date = null;
        }

        $customer_tc_exp_date = '';
        if(trim($request->tc_exp_date) != '')
        {
            $tc_exp_date = date('Y-m-d', strtotime($request->tc_exp_date));   
            $customer_tc_exp_date = date('Y-m-d', strtotime($request->tc_exp_date));           
        } else {
            $tc_exp_date = null;
        }

        $customer_lead_date = '';
        if(trim($request->lead_date) != '')
        {
            $lead_date = date('Y-m-d', strtotime($request->lead_date));     
            $customer_lead_date = date('Y-m-d', strtotime($request->lead_date));       
        } else {
            $lead_date = null;
        }

        $customer_sale_apt_date = '';
        if(trim($request->sale_apt_date) != '')
        {
            $sale_apt_date = date('Y-m-d', strtotime($request->sale_apt_date));  
            $customer_sale_apt_date = date('Y-m-d', strtotime($request->sale_apt_date));          
        } else {
            $sale_apt_date = null;
        }

        $customer_service_apt_date = '';
        if(trim($request->service_apt_date) != '')
        {
            $service_apt_date = date('Y-m-d', strtotime($request->service_apt_date)); 
            $customer_service_apt_date = date('Y-m-d', strtotime($request->service_apt_date));           
        } else {
            $service_apt_date = null;
        }

        $customer_appointment_date= '';
        if(trim($request->appointment_date) != '')
        {
            $appointment_date = date('Y-m-d', strtotime($request->appointment_date));    
            $customer_appointment_date= date('Y-m-d', strtotime($request->appointment_date));        
        } else {
            $appointment_date = null;
        }

        $customer_lastname = '';
        if($request->last_name != null)
        {
            $customer_lastname = $request->last_name;
        }

        $customer_email = '';
        if($request->email != null)
        {
            $customer_email = $request->email;
        }

        $customer_vin = '';
        if($request->vin != null)
        {
            $customer_vin = $request->vin;
        }

        $customer_address = '';
        if($request->address != null)
        {
            $customer_address = $request->address;
        }

        $customer_city = '';
        if($request->city != null)
        {
            $customer_city = $request->city;
        }

        $customer_state = '';
        if($request->state != null)
        {
            $customer_state = $request->state;
        }

        $customer_zip = '';
        if($request->zip != null)
        {
            $customer_zip = $request->zip;
        }


        $customer_vehicle_year = '';
        if($request->vehicle_year != null)
        {
            $customer_vehicle_year = $request->vehicle_year;
        }

        $customer_vehicle_make = '';
        if($request->vehicle_make != null)
        {
            $customer_vehicle_make = $request->vehicle_make;
        }

        $customer_vehicle_model = '';
        if($request->vehicle_model != null)
        {
            $customer_vehicle_model = $request->vehicle_model;
        }

        $farmed_email = ($request->call_status_id == 'COMPEF')? 1 : 0;

        $alert_sent = (isset($request->send_alert))? $request->send_alert : 0;

        $needs_attention = (isset($request->needs_attention))? $request->needs_attention : 0;

        $cc_alert_only = (isset($request->cc_alert_only))? $request->cc_alert_only : 0;

        $next_call_scheduled = (isset($request->next_call_scheduled))? $request->next_call_scheduled : 0;
        $reminder_set = (isset($request->reminder_set))? $request->reminder_set : 0;

        $no_call_status = array('DNC', 'NO', 'RPT', 'COMP', 'COMPEF', 'BD', 'WN', 'OPTOUT', 'CL', 'LMWEB', 'LMLC');

        $call_back_status = array('CB', 'CBAM', 'CBPM');

        $times_called = $request->times_called * 1;
        if ($request->call_status_id != 'UDO') $times_called++;

        $times_to_call = $request->times_to_call * 1;

        if(in_array($request->call_status_id, $call_back_status))
        {
            if($times_called == $times_to_call && $times_to_call < 3)
            {
                $times_to_call++;
            }
        }

        if(in_array($request->call_status_id, $no_call_status))
        {
            $livecall_showtocall = 0;
        } else {
            $livecall_showtocall = 1;
        }
        $new_livecall_showtocall = 1;
        $cc_dnc_table = 'callcenter_dnc';
        $cc_dnc_flag = DB::connection('mysql2')->table($cc_dnc_table)
                                ->select('id')
                                ->where('phone', $phone)
                                ->first();

        $d_dnc_table = 'dnc_'.$company->co_short;
        $d_dnc_flag = DB::connection('mysql2')->table($d_dnc_table)
                                ->select('id')
                                ->where('phone', $phone)
                                ->first();

        $dne_table = 'dne_'.$company->co_short;
        $dne_flag = DB::connection('mysql2')->table($dne_table)
                                ->select('id')
                                ->where('email', $request->email)
                                ->first();

        $global_dnc = 0;
        $dealer_dnc = 0;
        $opt_out = 0;
        $do_not_email = 0;

        if($request->cc_dnc == 1)
        {
            if(trim($phone) != "") 
            {
                $livecall_showtocall = 0;
                $new_livecall_showtocall = 0;
                if(!$cc_dnc_flag)
                {
                    $cc_dnc_query = DB::connection('mysql2')->table($cc_dnc_table)->insertGetId([
                        'phone' => $phone, 
                        'fname' => $request->first_name, 
                        'lname' => $customer_lastname, 
                        'timestamp' => date('Y-m-d H:i:s'), 
                        'added_by' => Auth::user()->first_name.' '.Auth::user()->last_name, 
                    ]);
                }
            }
            $global_dnc = 1;
        } else {
            if($cc_dnc_flag)
            {
                DB::connection('mysql2')->table($cc_dnc_table)->where('id', $cc_dnc_flag->id)->delete();
            }
        }
        if($request->d_dnc == 1)
        {
            if(trim($phone) != "") 
            {
                $livecall_showtocall = 0;
                $new_livecall_showtocall = 0;
                if(!$d_dnc_flag)
                {
                    $d_dnc_query = DB::connection('mysql2')->table($d_dnc_table)->insertGetId([
                        'phone' => $phone, 
                        'fname' => $request->first_name, 
                        'lname' => $customer_lastname, 
                        'timestamp' => date('Y-m-d H:i:s'), 
                        'added_by' => Auth::user()->first_name.' '.Auth::user()->last_name, 
                    ]);
                }
            }
            $dealer_dnc = 1;
        } else {
            if($d_dnc_flag)
            {
                DB::connection('mysql2')->table($d_dnc_table)->where('id', $d_dnc_flag->id)->delete();
            }
        }
        if($request->dne == 1)
        {
            if(trim($request->email) != "" && $request->email != null) 
            {
                if(!$dne_flag)
                {
                    $d_dnc_query = DB::connection('mysql2')->table($dne_table)->insertGetId([
                        'email' => $request->email, 
                        'fname' => $request->first_name, 
                        'lname' => $customer_lastname, 
                        'timestamp' => date('Y-m-d H:i:s'), 
                        'added_by' => Auth::user()->first_name.' '.Auth::user()->last_name, 
                    ]);
                }
            }
            $do_not_email = 1;
        } else {
            if($dne_flag)
            {
                DB::connection('mysql2')->table($dne_table)->where('id', $dne_flag->id)->delete();
            }
        }
        $caller_comments = utf8_encode($call_record->caller_comments);
        if (trim($request->notes) != '') {
            if (strlen($caller_comments) > 0) $caller_comments .= "<br />";
            $caller_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
            $caller_comments .= trim($request->notes);
        }

        $private_comments = $call_record->private_comments;
        if (trim($request->private_notes) != '') {
            if (strlen($private_comments) > 0) $private_comments .= "<br />";
            $private_comments .= date("d-M-Y") . " " .Auth::user()->first_name." ".Auth::user()->last_name. ": ";
            $private_comments .= trim($request->private_notes);
        }


        $commonFunctions = new CommonFunctionsController();
        if($request->time_on_call != '')
        {
            $time_on_call = $commonFunctions->hoursToSecods($request->time_on_call);
        } else {
            $time_on_call = null;
        }

        $call_id = DB::table($db_table)->insertGetId([
            'reference_id' => $request->record_id, 
            'call_type_id' => $request->call_type_id, 
            'department_id' => 2, 
            'customer_status_id' => $request->customer_status_id, 
            'call_status_id' => $request->call_status_id, 
            'times_called' => $times_called, 
            'times_to_call' => $times_to_call,
            'best_phone' => $best_phone, 
            'vehicle_type' => $request->vehicle_type, 
            'service_advisor' => $request->service_advisor, 
            'service_source' => $request->service_source, 
            'sales_rep' => $request->sales_rep, 
            'sale_source' => $request->sale_source, 
            'sale_status' => $request->sale_status, 
            'next_call_scheduled' => $request->next_call_scheduled, 
            'reminder_set' => $request->reminder_set, 
            'service_date' => $service_date, 
            'sale_date' => $sale_date, 
            'tc_exp_date' => $tc_exp_date, 
            'lead_date' => $lead_date, 
            'sale_apt_date' => $sale_apt_date, 
            'service_apt_date' => $service_apt_date, 
            'service_apt_time' => $request->service_apt_time, 
            'appointment_date' => $appointment_date, 
            'oil_type' => $request->oil_type, 
            'miles' => $request->miles, 
            'ro_number' => $request->ro_number, 
            'customer_id' => $request->customer_id, 
            'first_name' => $request->first_name, 
            'last_name' => $request->last_name, 
            'email' => $customer_email,
            'farmed_email' => $farmed_email,
            'phone' => $phone,
            'cellphone' => $cellphone, 
            'address' => $request->address, 
            'city' => $request->city, 
            'state' => $request->state, 
            'zip' => $request->zip,
            'vehicle_year' => $request->vehicle_year,
            'vehicle_make' => $request->vehicle_make,
            'vehicle_model' => $request->vehicle_model,
            'vin' => $customer_vin,
            'appointment_date' => $appointment_date,
            'notes' => $caller_comments,
            'private_notes' => $private_comments,
            'took_by' => Auth::id(), 
            'record_type_id' => 1,
            'show_to_call' => 0,
            'alert_sent' => $alert_sent,
            'created_at' => date('Y-m-d H:i:s'),
            'updated_at' => date('Y-m-d H:i:s'),
            'time_on_call' => $time_on_call,
        ]);

        if($request->call_status_id != "UDO")
        {
            if(!in_array($request->call_status_id, $no_call_status))
            {
                $next_day = time() + (60 * 60 * 24);
                $remind = date("Y-m-d", $next_day);
                $livecall_prev_calltype = 0;
                $livecall_next_calltype = $request->call_type_id;
            } else {
                $remind = '0000-00-00';
                $livecall_prev_calltype = $request->call_type_id;
                $livecall_next_calltype = 0;
            }
        } else {
            $remind = $call_record->remind;
            $livecall_prev_calltype = 0;
            $livecall_next_calltype = $request->call_type_id;
        }

        //Not Nullable fields
        if($request->customer_id == null || $request->customer_id == '')
        {
            $customer_id = '';
        } else {
            $customer_id = $request->customer_id;
        }
        if($request->ro_number == null || $request->ro_number == '')
        {
            $ro_number = '';
        } else {
            $ro_number = $request->ro_number;
        }
        if($request->sales_rep == null || $request->sales_rep == '')
        {
            $sales_rep = '';
        } else {
            $sales_rep = $request->sales_rep;
        }
        if($request->service_advisor == null || $request->service_advisor == '')
        {
            $service_advisor = '';
        } else {
            $service_advisor = $request->service_advisor;
        }

        if($sale_date == null || $sale_date == '')
        {
            $sale_date = '0000-00-00';
        }

        if($lead_date == null || $lead_date == '')
        {
            $lead_date = '0000-00-00';
        }

        if($request->oil_type == null || $request->oil_type == '')
        {
            $oil_type = '';
        } else {
            $oil_type = $request->oil_type;
        }

        if($request->miles == null || $request->miles == '')
        {
            $last_miles = '';
        } else {
            $last_miles = $request->miles;
        }

        DB::connection('mysql2')->table($live_call_table)
                                    ->where('id', $request->record_id)
                                    ->update([
                                        'cust_id' => $customer_id, 
                                        'fname' => $request->first_name, 
                                        'lname' => $customer_lastname, 
                                        'phone' => $phone, 
                                        'cellphone' => $cellphone, 
                                        'best_phone' => $best_phone, 
                                        'address1' => $customer_address, 
                                        'city' => $customer_city, 
                                        'state' => $customer_state, 
                                        'zip' => $customer_zip, 
                                        'global_dnc' => $global_dnc, 
                                        'dealer_dnc' => $dealer_dnc, 
                                        'do_not_email' => $do_not_email, 
                                        'email' => $customer_email,
                                        'RO' => $ro_number,
                                        'salesrep' => $sales_rep,
                                        'service_advisor' => $service_advisor,
                                        'vehicle_year' => $customer_vehicle_year,
                                        'vehicle_make' => $customer_vehicle_make,
                                        'vehicle_model' => $customer_vehicle_model,
                                        'vin' => $customer_vin,
                                        'livecall_count' => $times_called,
                                        'livecall_times' => $times_to_call,
                                        'livecall_status' => $request->call_status_id, 
                                        'livecall_showtocall' => $livecall_showtocall,
                                        'livecall_prev_calltype' => $livecall_prev_calltype, 
                                        'livecall_next_calltype' => $livecall_next_calltype,
                                        'caller_comments' => $caller_comments, 
                                        'private_comments' => $private_comments, 
                                        'remind' => $remind, 
                                        'customer_status' => $request->customer_status_id, 
                                        'needs_attention' => $needs_attention, 
                                        'alert_sent' => $alert_sent,
                                        'lastupdate' => date('Y-m-d H:i:s'),
                                        'service_date' => $customer_service_date, 
                                        'sale_date' => $sale_date,  
                                        'oil_type' => $oil_type, 
                                        'last_miles' => $last_miles, 
                                        'lead_date' => $lead_date,
                                    ]);


        $current_time_on_call = DB::connection('mysql4')->table('employee_assignment')
                                ->select('time_spent')
                                ->where('employee_uid', Auth::user()->reference_id)
                                ->where('companyid', $request->coid)
                                ->where('callid', $request->record_id)
                                ->first();  
        
        $completed_assignment = ($livecall_showtocall == 0)? 1 : 0;
        if(Auth::user()->reference_id != null)
        {
            if($current_time_on_call)
            {
                $updated_employee_assignment = DB::connection('mysql4')->table('employee_assignment')
                                                ->where('employee_uid', Auth::user()->reference_id)
                                                ->where('companyid', $request->coid)
                                                ->where('callid', $request->record_id)
                                                ->update([
                                                    'time_spent' => $time_on_call, 
                                                    'completed_assignment' => $completed_assignment,
                                                    'ctype' => $request->call_type_id, 
                                                ]);
            } else {
                $updated_employee_assignment = DB::connection('mysql4')->table('employee_assignment')->insertGetId([
                        'companyid' => $request->coid, 
                        'callid' => $request->record_id, 
                        'employee_uid' => Auth::user()->reference_id, 
                        'assignment_date' => date('Y-m-d'), 
                        'time_spent' => $time_on_call, 
                        'completed_assignment' => $completed_assignment, 
                        'ctype' => $request->call_type_id, 
                    ]);
            }
        }


        Assignment::where('coid', $request->coid)
            ->where('call_id', $request->record_id)
            ->update([
                'time_on_call' => $time_on_call, 
                'assigned_date' => date('Y-m-d'),
            ]);

        if(isset($request->next_call_scheduled))
        {
            if($request->next_call_scheduled == 1)
            {

                $call_times = CompanyCallTime::where('coid', $request->coid)->where('call_type_id', $request->next_call_type_id)->first();

                if($call_times)
                {
                    $call_type_calltimes = $call_times->call_times;
                } else {
                    $call_type_calltimes = $call_type->call_times;
                }

                $next_livecall_cid = DB::connection('mysql2')->table($live_call_table)->insertGetId([
                    'cust_id' => $customer_id, 
                    'fname' => $request->first_name, 
                    'lname' => $customer_lastname, 
                    'phone' => $phone, 
                    'cellphone' => $cellphone, 
                    'best_phone' => $best_phone, 
                    'address1' => $customer_address, 
                    'city' => $customer_city, 
                    'state' => $customer_state, 
                    'zip' => $customer_zip, 
                    'global_dnc' => $global_dnc, 
                    'dealer_dnc' => $dealer_dnc, 
                    'do_not_email' => $do_not_email, 
                    'email' => $customer_email,
                    'RO' => $ro_number,
                    'salesrep' => $sales_rep,
                    'service_advisor' => $service_advisor,
                    'vehicle_year' => $customer_vehicle_year,
                    'vehicle_make' => $customer_vehicle_make,
                    'vehicle_model' => $customer_vehicle_model,
                    'vin' => $customer_vin,
                    'livecall_count' => 0,
                    'livecall_times' => $call_times->call_times,
                    'livecall_status' => '',
                    'livecall_showtocall' => $new_livecall_showtocall,
                    'livecall_prev_calltype' => 0, 
                    'livecall_next_calltype' => $request->next_call_type_id,
                    'caller_comments' => $caller_comments, 
                    'private_comments' => $private_comments, 
                    'remind' => date('Y-m-d', strtotime($request->next_call_date)), 
                    'service_date' => $customer_service_date, 
                    'sale_date' => $sale_date, 
                    'dateadded' => date('Y-m-d H:i:s'), 
                    'oil_type' => $oil_type, 
                    'dealer_department' => $call_record->dealer_department, 
                    'schedule_by_us' => 1, 
                    'last_miles' => $last_miles, 
                    'lead_date' => $lead_date,
                    'vin_solutions_id' => $call_record->vin_solutions_id,
                ]);
                
            }
        }
        
        $call = DB::table($db_table)->select('*')->where('id', $call_id)->first();

        if($request->customer_status_id == "20" || $request->customer_status_id == "33" || $request->customer_status_id == "35" || $request->customer_status_id == "36" || $request->customer_status_id == "44") 
        {
            $dealer_removed_table = 'removed_vins_'.$company->co_short;
            $dealer_removed_vin = DB::connection('mysql2')->table($dealer_removed_table)
                                    ->where('vin', $request->vin)
                                    ->first();

            $global_removed_table = 'global_removed_vins';
            $global_removed_vin = DB::connection('mysql2')->table($global_removed_table)
                                    ->where('vin', $request->vin)
                                    ->first();

            if(!$dealer_removed_vin)
            {
                $new_dealer_removed_vin = DB::connection('mysql2')->table($dealer_removed_table)->insertGetId([
                    'phone' => $phone, 
                    'fname' => $request->first_name, 
                    'lname' => $customer_lastname, 
                    'vin' => $customer_vin, 
                    'cellphone' => $cellphone, 
                    'email' => $request->email, 
                    'cid' => $call_record->id, 
                    'customer_status' => $request->customer_status_id, 
                ]);
            } else {
                DB::connection('mysql2')->table($dealer_removed_table)
                ->where('uid', $dealer_removed_vin->uid)
                ->update([
                    'phone' => $phone, 
                    'fname' => $request->first_name, 
                    'lname' => $customer_lastname, 
                    'vin' => $customer_vin, 
                    'cellphone' => $cellphone, 
                    'email' => $customer_email, 
                    'cid' => $call_record->id, 
                    'customer_status' => $request->customer_status_id, 
                ]);
            }

            if(!$global_removed_vin)
            {
                $new_global_removed_vin = DB::connection('mysql2')->table($global_removed_table)->insertGetId([
                    'phone' => $phone, 
                    'fname' => $request->first_name, 
                    'lname' => $customer_lastname, 
                    'vin' => $customer_vin, 
                    'cellphone' => $cellphone, 
                    'email' => $customer_email, 
                    'zip' => $customer_zip,
                    'cid' => $call_record->id, 
                    'coid' => $company->coid,
                    'comments' => $caller_comments,
                    'customer_status' => $request->customer_status_id, 
                    'created_at' => date('Y-m-d H:i:s'),
                ]);
            } else {
                DB::connection('mysql2')->table($global_removed_table)
                ->where('uid', $global_removed_vin->uid)
                ->update([
                    'phone' => $phone, 
                    'fname' => $request->first_name, 
                    'lname' => $customer_lastname, 
                    'vin' => $customer_vin, 
                    'cellphone' => $cellphone, 
                    'email' => $customer_email, 
                    'zip' => $customer_zip, 
                    'cid' => $call_record->id, 
                    'coid' => $company->coid,
                    'comments' => $caller_comments,
                    'customer_status' => $request->customer_status_id, 
                    'created_at' => date('Y-m-d H:i:s'),
                ]);
            }
        }

        $in_vars = $request->all();
        foreach($in_vars as $key => $value) {
            $parts = explode("-", $key);
            if(isset($parts[1]))
            {
                if($parts[1] == "question") {
                    $qid = $parts[0];
                    $new_survey_answer = DB::connection('mysql2')->table('callcenter_survey_answers')->insertGetId([
                        'coid' => $company->coid, 
                        'qid' => $qid, 
                        'sid' => $call_record->id, 
                        'answer' => $value, 
                    ]);
                }
            }
        }

        $opt_out = ($global_dnc == 1 || $dealer_dnc == 1)? 1 : 0;

        if($request->notes == '' || $request->notes == null)
        {
            $log_notes = ''; 
        } else {
            $log_notes = $request->notes;
        }

        $new_call_log = DB::connection('mysql2')->table('callcenter_call_log')->insertGetId([
            'call_time' => date("Y-m-d H:i:s"), 
            'number_called' => $phone, 
            'caller_email' => Auth::user()->email, 
            'campaign' => $company->co_short, 
            'call_type' => $request->call_type_id, 
            'call_status' => $request->call_status_id, 
            'opt_out' => $opt_out, 
            'appointment_scheduled' => 0, 
            'reminder_scheduled' => 0, 
            'caller_comments' => $log_notes,
        ]);

        $send_alert_to = array();
        if($alert_sent == 1 && $cc_alert_only != 1)
        {
            $send_to = DB::connection('mysql2')->table('callcenter_dealeralert_email')
                                ->select('email')
                                ->where('alert_id', $call->department_id)
                                ->where('dealer_id', $company->coid)
                                ->get();

            foreach ($send_to as $key => $value) {
                $send_alert_to[] = $value->email;
            }
        }

        if($alert_sent == 1 && isset($request->salesrep_cc_alert))
        {
            foreach ($request->salesrep_cc_alert as $key => $value) {
                $send_alert_to[] = $value;
            }
        }
        

        if($alert_sent == 1 && count($send_alert_to) > 0)
        {

            $template = DB::connection('mysql2')->table('callcenter_outbound_email_templates')
                                ->select('*')
                                ->where('did', $request->call_type_id)
                                ->where('coid', $company->coid)
                                ->first();
            if(!$template)
            {
                $template = DB::connection('mysql2')->table('callcenter_outbound_email_templates')
                                ->select('*')
                                ->where('did', $request->call_type_id)
                                ->where('coid', 0)
                                ->first();
            }

            $template_message = ($template)? $template->content : '';

            $commonFunctions = new CommonFunctionsController();
            $email_content = $commonFunctions->removeTagsFromText($template_message, $company, $call, $ibData=array());

            $call_type = CallType::find($request->call_type_id);
            $customer_status = CustomerStatus::find($request->customer_status_id);

            $email_subject = $commonFunctions->removeTagsFromText($customer_status->name, $company, $call = new \stdClass(), $ibData = new \stdClass());

            $dispPhone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $request->phone);
            $dispCellPhone = preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $request->cellphone);

            $messageextras = "";
            $messageextras.= (trim($call_type->name) != "")? "<strong>Call Type:</strong> ".$call_type->name."<br>" : "";
            $messageextras.= (trim($request->customer_id) != "")? "<strong>Customer ID:</strong> ".$request->customer_id."<br>" : "";
            $messageextras.= (trim($request->first_name) != "")? "<strong>Name:</strong> ".$request->first_name."<br>" : "";
            $messageextras.= (trim($request->last_name) != "")? "<strong>Last name:</strong> ".$request->last_name."<br>" : "";
            $messageextras.= ($dispPhone != "")? "<strong>Phone:</strong> ".$dispPhone."<br>" : "";
            $messageextras.= ($dispCellPhone!= "")? "<strong>Cellphone:</strong> ".$dispCellPhone."<br>" : "";
            $messageextras.= ($request->email != "")? "<strong>Email:</strong> ".$request->email."<br>" : "";
            $messageextras.= ($request->address != "")? "<strong>Address:</strong> ".$request->address."<br>" : "";
            $messageextras.= ($request->city != "")? "<strong>City:</strong> ".$request->city."<br>" : "";
            $messageextras.= ($request->state != "")? "<strong>State:</strong> ".$request->state."<br>" : "";
            $messageextras.= ($request->zip != "")? "<strong>Zip:</strong> ".$request->zip."<br>" : "";
            $messageextras.= ($customer_status->name != "")? "<strong>Customer status:</strong> ".$customer_status->name."<br>" : "";
            $messageextras.= ($request->vehicle_year != "")? "<strong>Vehicle year:</strong> ".$request->vehicle_year."<br>" : "";
            $messageextras.= ($request->vehicle_make != "")? "<strong>Vehicle make:</strong> ".$request->vehicle_make."<br>" : "";
            $messageextras.= ($request->vehicle_model != "")? "<strong>Vehicle model:</strong> ".$request->vehicle_model."<br>" : "";
            $messageextras.= ($request->vin != "")? "<strong>Vin:</strong> ".$request->vin."<br>" : "";
            $messageextras.= ($request->sales_rep != "")? "<strong>Sales rep:</strong> ".$request->sales_rep."<br>" : "";
            $messageextras.= ($request->service_advisor != "")? "<strong>Last advisor of record:</strong> ".$request->service_advisor."<br>" : "";
            $messageextras.= (trim($request->service_date) != "")? "<strong>Last Visit Date:</strong> ".$request->service_date."<br>" : "";
            $messageextras.= (trim($request->sale_date) != "" && trim($request->sale_date) != "0000-00-00")? "<strong>Sale Date:</strong> ".date("m/d/Y", strtotime($request->sale_date))."<br>" : "";
            $messageextras.= (trim($request->service_apt_date) != "" && trim($request->service_apt_date) != "0000-00-00")? "<strong>Service Apt Date:</strong> ".date("m/d/Y", strtotime($request->service_apt_date))."<br>" : "";
            $messageextras.= (trim($request->service_apt_time) != "")? "<strong>Service Apt Time:</strong> ".$request->service_apt_time."<br>" : "";
            $messageextras.= (trim($request->ro_number) != "")? "<strong>Last RO:</strong> ".$request->ro_number."<br>" : "";
            $messageextras.= ($caller_comments != "")? "<strong>Caller comments:</strong><br>".$caller_comments."<br>" : "";

            $messageextras = $commonFunctions->removeTagsFromText($messageextras, $company, $call, $ibData=array());

            $systemlink = 'To update this customer click <a href="https://login.fullbdc.com/ccdata16.php?c=cciwld&did='.$company->coid.'&cid='.$request->record_id.'">HERE</a>';

            
            $support_link = 'If you have any issues with our system or questions about a call please contact us at support@fullbdc.com or call us right away at 513.379.9905';
            $email_content_data = $email_content."<br><br>".$messageextras."<br><br>".$systemlink."<br><br>".$support_link;

            $mail_data = new \stdClass();
            $mail_data->subject = $email_subject;
            $mail_data->view = 'general_email';
            $mail_data->email_css = '.label_td {
                                          font-weight: bold;
                                        }

                                        .value_td {
                                          
                                        }

                                        .footer_notes {
                                          font-size: 10px;
                                        }

                                        .align_top {
                                            vertical-align: baseline;
                                        }';

            $mail_data->email_content = $email_content_data;

            $sanitized_emails = array_unique(explode(',', implode(',', $send_alert_to)));

            Mail::to($sanitized_emails)->send(new GeneralEmailAlert($mail_data));

            foreach ($sanitized_emails as $key => $value) {
                $email_history = new EmailHistory;
                $email_history->email_history_type_id = 3;
                $email_history->call_record_id = $call_id;
                $email_history->coid  = $company->coid;
                $email_history->email = $value;
                $email_history->sent_by = Auth::id();
                $email_history->subject = $email_subject;
                $email_history->save();
            }
        }

        return response()->json([
            'coid' => $request->coid,
            'inserted_id' => $request->record_id,
            'call_type_id' => $request->call_type_id,
            'call_status_id' => $request->call_status_id,
            'message' => 'Call saved!'
        ]);
    }

    public function getCallTimes(Request $request)
    {
        $call_type = CallType::find($request->call_type_id);

        $call_type_customer_statuses = CallTypeCustomerStatus::where('call_type_id', $call_type->id)->get();
        $available_customer_statuses = array();
        foreach ($call_type_customer_statuses as $customer_status_value) {
            $available_customer_statuses[] = $customer_status_value->customer_status_id;
        }

        if(count($available_customer_statuses) > 0)
        {
            $customer_statuses = CustomerStatus::whereRaw('FIND_IN_SET(id, \''.implode(',', $available_customer_statuses).'\')')->get();
        } else {
            $customer_statuses = CustomerStatus::all();
        }

        $commonFunctions = new CommonFunctionsController();
        $commonFunctions->modelToSelectOptions($customer_statuses,'name', 'id');
        $customer_status_options = $commonFunctions->select_options;

        $customer_status_select_content = '<option value="">Select</option>'.view('inputs.select_options', ['options' => $customer_status_options, 'value_selected' => ''])->render();

        $call_times = CompanyCallTime::where('coid', $request->coid)->where('call_type_id', $request->call_type_id)->first();

        if($call_times)
        {
            $call_type_calltimes = $call_times->call_times;
        } else {
            $call_type_calltimes = $call_type->call_times;
        }

        $caller_id = '';
        $company_caller_id = CompanyCallerId::where('coid', $request->coid)->where('call_type_id', $call_type->id)->first();
        if($company_caller_id)
        {
            $caller_id = $company_caller_id->caller_id;
        }

        $output = array(
         'call_times' => $call_type_calltimes,
         'caller_id' => $caller_id,
         'customer_status_select_content' => $customer_status_select_content 
        );

        return response()->json($output);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getGhostVinCount(Request $request)
    {
    	$dealers = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'coid')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();
        $co_names = array();                        
        foreach($dealers as $dealer)
        {
        	$co_names[$dealer->coid] = $dealer->co_name;
        }

        $ghosted_vins = DB::connection('mysql2')->table('global_removed_vins')
                                ->selectRaw('coid, customer_status, count(uid) as total')
                                ->groupBy('coid')
                                ->groupBy('customer_status')
                                ->get();  

        $dealer_data = array();

        foreach ($ghosted_vins as $key => $value) {
         	$dealear_data[$value->coid][$value->customer_status] = $value->total;
         }  

        $content = '<table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th class="text-center">
                                            Dealer
                                        </th>
                                        <th class="text-center">
                                            Vehicle Destroyed
                                        </th>
                                        <th class="text-center">
                                            No longer owns
                                        </th>
                                        <th class="text-center">
                                            Out of State
                                        </th>
                                        <th class="text-center">
                                            Servicing Elsewhere
                                        </th>
                                        <th class="text-center">
                                            Unknown Status
                                        </th>
                                        <th class="text-center">
                                            Total
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>';
        $grand_total = 0;
        foreach($dealers as $dealer)
        {
   
        	$vehicle_destroyed = (isset($dealear_data[$dealer->coid][36]))? $dealear_data[$dealer->coid][36]: 0;
        	$no_longer_owns = (isset($dealear_data[$dealer->coid][20]))? $dealear_data[$dealer->coid][20]: 0;
        	$out_of_state = (isset($dealear_data[$dealer->coid][35]))? $dealear_data[$dealer->coid][35]: 0;
        	$servicing_elsewhere = (isset($dealear_data[$dealer->coid][33]))? $dealear_data[$dealer->coid][33]: 0;
        	$unknown_status = (isset($dealear_data[$dealer->coid][0]))? $dealear_data[$dealer->coid][0]: 0;
        	
        	$dealer_total = $vehicle_destroyed+$no_longer_owns+$out_of_state+$servicing_elsewhere+$unknown_status;

        	$content.='	<tr>
		                    <td><strong>'.$dealer->co_name.'</strong></td>
		                    <td>'.$vehicle_destroyed.'</td>
		                    <td>'.$no_longer_owns.'</td>
		                    <td>'.$out_of_state.'</td>
		                    <td>'.$servicing_elsewhere.'</td>
		                    <td>'.$unknown_status.'</td>
		                    <td>'.$dealer_total.'</td>
		                </tr>';
        	$grand_total+= $dealer_total;
        }

        $content.='	<tr>
		                    <td>&nbsp;</td>
		                    <td>&nbsp;</td>
		                    <td>&nbsp;</td>
		                    <td>&nbsp;</td>
		                    <td>&nbsp;</td>
		                    <td><strong>Total</strong></td>
		                    <td>'.$grand_total.'</td>
		                </tr>';

        $content.= '</tbody>
                </table>';
                
        return view('dialogs.ghost_vin_totals', ['content' => $content]);
    }


    public function sendCustomerEmailDialog(Request $request)
    {
        $header_title = 'Send email to customer';
        $templates = false;
        if($request->type == 'call_records' || $request->type == 'leo' || $request->type == 'toyota_care')
        {
            
            $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('co_name', 'coid', 'co_short')
                                ->where('coid', $request->coid)
                                ->first();

            $templates = DB::connection('mysql2')->table('callcenter_caller_emails')
                                ->select('*')
                                ->where('co_short', $company->co_short)
                                ->where('is_active', 1)
                                ->orderBy('name')
                                ->get();
            //$templates = CallerEmail::where('coid', $request->coid)->orderBy('name')->get();
            if($templates->count() <= 0)
            {
                $templates = DB::connection('mysql2')->table('callcenter_caller_emails')
                                ->select('*')
                                ->where('co_short', 'default_values')
                                ->where('is_active', 1)
                                ->orderBy('name')
                                ->get();
                //$templates = CallerEmail::where('coid', 0)->orderBy('name')->get();
            }
        }

        $selected_template = '';
        if($templates)
        {
            $commonFunctions = new CommonFunctionsController();
            //$commonFunctions->modelToSelectOptions($templates,'name', 'id');
            $commonFunctions->modelToSelectOptions($templates,'name', 'eid');
            $templates_options = $commonFunctions->select_options;

            
            foreach ($templates as $key => $value) {
                if( $request->call_type_id == 2 && trim( strtolower( $value->name ) ) == 'no contact service' ) {
                    $selected_template = $value->eid;
                    break;
                } else if( $request->call_type_id == 4 && trim( strtolower( $value->name ) ) == 'no contact sales' ) {
                    $selected_template = $value->eid;
                    break;
                }
            }

        } else {
            $templates_options = '';
        }
        

        return view('dialogs.customer_email', [
                                            'customer_email' => $request->customer_email,
                                            'record_id' => $request->record_id,
                                            'coid' => $request->coid,
                                            'header_title' => $header_title,
                                            'type' => $request->type,
                                            'templates_options' => $templates_options,
                                            'selected_template' => $selected_template,
                                        ]);
    }

    public function sendCustomerEmail(Request $request)
    {
        $validatedData = $request->validate([
            'email_subject' => 'required|max:191',
            'email_content' => 'required',
            'customer_email' => "required|email",
        ]);
        $commonFunctions = new CommonFunctionsController();

        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->customer_email_coid)
                                ->first();

        if($request->email_record_type == 'call_records') {
            $call = DB::connection('mysql2')->table('livecall_'.$company->co_short)
                                ->select('*')
                                ->where('id', $request->email_call_id)
                                ->first();
        } else if($request->email_record_type == 'inbound_records') {
            $call = $request;
        } else {
            $call = new \stdClass();
        }
        
        $mail_data = new \stdClass();

        $email_subject = $commonFunctions->removeTagsFromText($request->email_subject, $company, $call, $ibData=array());
        $mail_data->subject = $email_subject;

        $mail_data->view = 'general_email';
        $mail_data->email_css = '.label_td {
                                      font-weight: bold;
                                    }

                                    .value_td {
                                      
                                    }

                                    .footer_notes {
                                      font-size: 10px;
                                    }

                                    .align_top {
                                        vertical-align: baseline;
                                    }';

        $email_content = $commonFunctions->removeTagsFromText($request->email_content, $company, $call, $ibData=array());
        $unsub_data = $commonFunctions->unsubFooterEmail($company, $request->customer_email);
        $mail_data->email_content = $email_content . $unsub_data;
        
        $send_to = [];
        $send_to[] = $request->customer_email;
        //$send_to[] = 'jfigue86@hotmail.com';
        //$send_to[] = 'sell1@iglou.com';
        if(trim($request->email_cc) != '')
        {
            $cc_array = explode(',', $request->email_cc);
            foreach($cc_array as $cc)
            {
                $send_to[] = $cc;
            }
        }
        

        Mail::to($send_to)->send(new GeneralEmailAlert($mail_data));

        foreach ($send_to as $key => $value) {
            $email_history = new EmailHistory;
            $email_history->email_history_type_id = 1;
            $email_history->call_record_id = null;
            $email_history->coid  = $request->customer_email_coid;
            $email_history->email = $value;
            $email_history->sent_by = Auth::id();
            $email_history->subject = $request->email_subject;
            $email_history->save();
        }

        $output = array(
         'message' => 'Email sent!' 
        );

        return response()->json($output);
    }


    public function checkEmail(Request $request)
    {
        $validatedData = $request->validate([
            'email' => "required|email",
        ]);

        $company = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('*')
                                ->where('coid', $request->coid)
                                ->first();
        
        if($request->type == 'inbound')
        {
            $dealer_inbound_table = 'inboundcall_'.$company->co_short;

            $record = DB::connection('mysql3')->table($dealer_inbound_table)
                                ->where('email', $request->email)
                                ->first();
        }

        $email_exists = ($record)? 1 : 0;
        $output = array(
         'email_exists' => $email_exists
        );

        return response()->json($output);
    }


    /**
     * Get the VIN data
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function getVinInfoToolTipData(Request $request)

    {
        if($request->type == 'ghosted')
        {
            $db_table = 'global_removed_vins';
        } else if($request->type == 'recall') {
            $db_table = 'recall_records';
            
        }

        $vin_info = DB::connection('mysql')->table($db_table)
                                    ->select('*')
                                    ->where('vin', $request->vin)
                                    ->first();

        if ($request->ajax()) {
            return view('dialogs.vin_data', [
                                                'vin_info' => $vin_info,
                                                'type' => $request->type,
                                                'vin' => $request->vin
                                            ]);
        }
    }

}


