<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Support\Facades\DB;

class VinsImport implements ToCollection 
{

	public function __construct($db_table)
    {
        $this->db_table = $db_table;
        $this->error_message = '';
        $this->row_count = 0;
        $this->is_new_file = false;
    }

    public function getErrorMessage()
    {
        return $this->error_message;
    }

    public function getRowCount()
    {
        return $this->row_count;
    }

    /**
    * @param Collection $collection
    */
    public function collection(Collection $collection)
    {

    	foreach ($collection as $row) 
        {

            if ($this->row_count == 0) {
                if ($row[17] == 'Is Recent Transaction with PMA') {
                    $this->is_new_file = true;
                }
            }

            if ($this->is_new_file) {
                DB::connection('mysql')->table($this->db_table)->insert([
            		'dealer_number' => $row[0],
            		'vin' => $row[1],
            		'first_name' => $row[2],
            		'last_name' => $row[3],
            		'model' => $row[4],
            		'year' => $row[5],
            		'address' => $row[6],
            		'city' => $row[7],
            		'state' => $row[8],
            		'zip' => $row[9],
            		'date_of_first_use' => date('Y-m-d',strtotime($row[10])),
            		'email' => $row[11],
            		'phone' => preg_replace("/[^0-9]/i", "", $row[12]),
            		'recent_transaction_date' => date('Y-m-d',strtotime($row[16])),
                    'is_recent_transaction' => $row[17],
            		'source' => $row[18],
            		'toyota_care' => $row[19],
            		'customer_type' => $row[20],
            		'activity_type' => $row[21],
                    'tle_assignment_date' => date('Y-m-d',strtotime($row[22])),
                    'last_miles' => $row[23],
            	]);
            } else {
                DB::connection('mysql')->table($this->db_table)->insert([
            		'dealer_number' => $row[0],
            		'vin' => $row[1],
            		'first_name' => $row[2],
            		'last_name' => $row[3],
            		'model' => $row[4],
            		'year' => $row[5],
            		'address' => $row[6],
            		'city' => $row[7],
            		'state' => $row[8],
            		'zip' => $row[9],
            		'date_of_first_use' => date('Y-m-d',strtotime($row[10])),
            		'email' => $row[11],
            		'phone' => preg_replace("/[^0-9]/i", "", $row[12]),
            		'recent_transaction_date' => date('Y-m-d',strtotime($row[13])),
            		'source' => $row[14],
            		'toyota_care' => $row[15],
            		'customer_type' => $row[16],
            		'activity_type' => $row[17],
            	]);
            }
            
            $this->row_count++;
        }
    }
}
