<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class GeneralEmailAlert extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * The mail data.
     *
     * @var mailData
     */
    public $mail_data;
    public $my_attachments;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($mail_data, $my_attachments = null)
    {
        $this->mail_data = $mail_data;
        $this->my_attachments = $my_attachments;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        if($this->my_attachments == null) {
            return $this->subject($this->mail_data->subject)
                    ->view('email.'.$this->mail_data->view, [
                                                'mail_data' => $this->mail_data,
                                                'email_css' => $this->mail_data->email_css,
                                                'email_content' => $this->mail_data->email_content
                                            ]);
        } else {
            return $this->subject($this->mail_data->subject)
                    ->view('email.'.$this->mail_data->view, [
                                                'mail_data' => $this->mail_data,
                                                'email_css' => $this->mail_data->email_css,
                                                'email_content' => $this->mail_data->email_content
                                            ])->attach( public_path( $this->my_attachments ) );
        }
        
    }
}
