<?php

namespace App\Providers;

use App\AssignmentNote;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class CallerAssignmentProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        view()->composer('layouts.app', function($view)
        {
            if (Auth::check())
            {
                if(Auth::user()->user_type->name == "Full BDC Caller")
                {
                    $today = date('Y-m-d');
                    $locked_assignment = AssignmentNote::where('user_id', Auth::id())
                                                    ->where('assigned_date', $today)
                                                    ->where('is_locked', 1)
                                                    ->where('approved', 0)
                                                    ->first();
                    if($locked_assignment)
                    {
                        $view->with('has_locked_assignment_global', '1');
                    } else {
                        $view->with('has_locked_assignment_global', '0');
                    }
                } else {
                    $view->with('has_locked_assignment_global', '0');
                }
            } else {
                $view->with('has_locked_assignment_global', '0');
            }
        });
    }
}
