<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Auth;
use App\ConversationMessage;
use App\TwilioPhone;
use Illuminate\Support\Facades\DB;

class PendingChatServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        view()->composer('layouts.app', function($view)
        {
            $twilio_companies = array();
            $companies_coid = array();
            if (Auth::check())
            {
                $unseen = ConversationMessage::selectRaw('`from`, count(id) as unseen_count')
                                        ->where('to', Auth::id())
                                        ->where('seen', 0)
                                        ->count();
                //$view->with('pending_chats', $unseen);

                if(Auth::user()->user_type->name == "Admin")
                {

                    $pending_sms = ConversationMessage::where('to', 'like', '+1%')
                                        ->where('seen', 0)
                                        ->groupBy('from')
                                        ->get();

                    if($pending_sms->count() > 0)
                    {
                        $companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('coid', 'co_name')
                                ->where('is_active', 1)
                                ->get();

                        foreach ($companies as $key => $value) {
                            $company_names[$value->coid] = $value->co_name;
                        }

                        $twilio_companies_model = TwilioPhone::all();
                        foreach ($twilio_companies_model as $twilio) {
                            $twilio_companies[$twilio->phone] = ( ! empty( $company_names[$twilio->coid] ) ) ? $company_names[$twilio->coid] : '';
                            $companies_coid[$twilio->phone] = $twilio->coid;
                        }
                    }
                    
                    $view->with([
                                    'companies_coid' => $companies_coid,
                                    'twilio_companies' => $twilio_companies,
                                    'pending_sms' => $pending_sms,
                                    'pending_chats' => $unseen
                                ]);
                } else if(Auth::user()->user_type->name != "Admin" && Auth::user()->sms_access == 1) {

                    $pending_sms = null;
                    $user_companies_array = [];
                    foreach(Auth::user()->dealers as $company)
                    {
                      $user_companies_array[] = $company->dealer_id;
                    }

                    if (!empty($user_companies_array)) {
                        $twilio_phones = TwilioPhone::whereRaw("FIND_IN_SET(coid, '".implode(',', $user_companies_array)."')")
                        ->pluck('phone')
                        ->toArray();

                        if ($twilio_phones) {
                            $pending_sms_twilio_phones = '';
                            $index = 0;
                            foreach ($twilio_phones as $phone) {
                                if ($index == 0) {
                                    $pending_sms_twilio_phones.= "(`to` = '$phone' ";
                                } else {
                                    $pending_sms_twilio_phones.= " OR `to` = '$phone' ";
                                }
                                $index++;
                            }
                            $pending_sms_twilio_phones.= ')';

                            $pending_sms = ConversationMessage::whereRaw($pending_sms_twilio_phones)
                                            ->where('seen', 0)
                                            ->groupBy('from')
                                            ->get();
                        
                            if($pending_sms->count() > 0)
                            {
                                $companies = DB::connection('mysql2')->table('callcenter_companies')
                                        ->select('coid', 'co_name')
                                        ->where('is_active', 1)
                                        ->get();

                                foreach ($companies as $key => $value) {
                                    $company_names[$value->coid] = $value->co_name;
                                }

                                $twilio_companies_model = TwilioPhone::all();
                                foreach ($twilio_companies_model as $twilio) {
                                    $twilio_companies[$twilio->phone] = ( ! empty( $company_names[$twilio->coid] ) ) ? $company_names[$twilio->coid] : '';
                                    $companies_coid[$twilio->phone] = $twilio->coid;
                                }
                            }
                        }
                    }
                    
                    
                    $view->with([
                                    'companies_coid' => $companies_coid,
                                    'twilio_companies' => $twilio_companies,
                                    'pending_sms' => $pending_sms,
                                    'pending_chats' => $unseen
                                ]);

                } else {
                    $view->with([
                                    'companies_coid' => $companies_coid,
                                    'twilio_companies' => $twilio_companies,
                                    'pending_sms' => 0,
                                    'pending_chats' => $unseen
                                ]);
                }

                
            } else {
                $view->with([
                                'companies_coid' => $companies_coid,
                                'twilio_companies' => $twilio_companies,
                                'pending_sms' => 0,
                                'pending_chats' => 0
                            ]);
            }
        });
    }
}
