<?php

namespace App\Providers;

use App\TrainingAlert;
use App\TrainingAlertUserGroup;
use App\UserUserGroup;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class TrainingAlertProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        view()->composer('layouts.app', function($view)
        {
            if (Auth::check())
            {
                if(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller")
                {
                    /*$user_groups_array = array();
                    foreach (Auth::user()->user_groups as $key => $value) {
                        $user_groups_array[] = $value->id;
                    }
                        
                    $sql_query = "SELECT training_alerts.* from training_alerts 
                                    INNER JOIN training_alert_user_groups ON 
                                    training_alerts.id = training_alert_user_groups.training_alert_id 
                                    WHERE training_alerts.active = 1 
                                    AND training_alerts.required = 1 
                                    AND FIND_IN_SET(training_alert_user_groups.user_group_id, '".implode(',', $user_groups_array)."') 
                                    AND training_alerts.id NOT IN (SELECT training_alert_id FROM user_training_alerts WHERE user_id = '".Auth::id()."')";                              
                    $training_alerts = DB::select($sql_query);*/

                    $training_alerts = TrainingAlert::select('training_alerts.id as training_alert_id', 'training_alerts.created_at as training_alert_created_at', 'user_user_groups.created_at as user_user_group_created_at')
                                                    ->join('training_alert_user_groups', 'training_alerts.id', '=', 'training_alert_user_groups.training_alert_id')
                                                    ->join('user_user_groups', 'training_alert_user_groups.user_group_id', '=', 'user_user_groups.user_group_id')
                                                    ->leftJoin('user_training_alerts', 'user_training_alerts.training_alert_id', '=', 'training_alerts.id')
                                                    ->whereRaw('user_training_alerts.training_alert_id IS NULL')
                                                    ->where('user_user_groups.user_id', Auth::id())
                                                    ->where('training_alerts.active', 1)
                                                    ->where('training_alerts.required', 1)
                                                    ->orderBy('training_alerts.created_at', 'desc')
                                                    ->get();
                    if($training_alerts)
                    {
                        $has_pending = false;
                        foreach ($training_alerts as $training_alert) {
                            if(strtotime($training_alert->training_alert_created_at) > strtotime($training_alert->user_user_group_created_at))
                            {
                                $has_pending = true;
                                break;
                            }
                        }
                        if($has_pending == true)
                        {
                            $view->with('has_pending_training_alerts', '1');
                        } else {
                            $view->with('has_pending_training_alerts', '0');
                        }
                    } else {
                        $view->with('has_pending_training_alerts', '0');
                    }
                } else {
                    $view->with('has_pending_training_alerts', '0');
                }
            } else {
                $view->with('has_pending_training_alerts', '0');
            }
        });
    }
}
