<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Authenticatable
{
    use Notifiable;
    use SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'first_name', 'last_name', 'email', 'password', 'reference_id', 'phone', 'cellphone', 'user_type_id',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    /**
     * Get the user type that belongs to the user.
     */
    public function user_type()
    {
        return $this->belongsTo('App\UserType');
    }

    /**
     * Get the user type that belongs to the user.
     */
    public function dealers()
    {
        return $this->hasMany('App\UserDealer');
    }


    /**
     * Get the user type that belongs to the user.
     */
    public function user_calltypes()
    {
        return $this->hasMany('App\UserCalltype');
    }

    /*public function user_groups()
    {
        return $this->belongsToMany('App\UserGroup');
    }*/

    /**
     * The user_groups that belong to the suer.
     */
    public function user_groups()
    {
        return $this->belongsToMany('App\UserGroup', 'user_user_groups', 'user_id', 'user_group_id');
    }
}
