<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCallTypeIdToFileTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('file_types', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->unsignedBigInteger('call_type_id')->after('template')->nullable();
            $table->foreign('call_type_id')->references('id')->on('call_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('file_types', function (Blueprint $table) {
            $table->dropForeign(['call_type_id']);
            $table->dropColumn('call_type_id');
        });
    }
}
