<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRecallRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('recall_records', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->bigIncrements('id');
            $table->integer('coid');
            $table->string('vin', 55)->nullable();
            $table->string('pma', 55)->nullable();
            $table->unsignedBigInteger('file_type_id')->nullable();
            $table->foreign('file_type_id')->references('id')->on('file_types');
            //$table->unsignedBigInteger('call_type_id')->nullable();
            //$table->foreign('call_type_id')->references('id')->on('call_types');
            $table->unsignedBigInteger('upload_file_id')->nullable();
            $table->foreign('upload_file_id')->references('id')->on('uploaded_files');
            $table->unsignedBigInteger('recall_status_id')->nullable();
            $table->string('recall_code', 191)->nullable();
            //$table->foreign('file_type_id')->references('id')->on('file_types');
            //$table->string('category', 191)->nullable();
            $table->string('first_name', 191)->nullable();
            $table->string('last_name', 191)->nullable();
            $table->string('phone', 55)->nullable();
            $table->string('cellphone', 55)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('city', 191)->nullable();
            $table->string('state', 191)->nullable();
            $table->string('zip', 55)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('vehicle_year', 4)->nullable();
            $table->string('vehicle_make', 55)->nullable();
            $table->string('vehicle_model', 55)->nullable();
            //$table->date('effective_date')->nullable();
            //$table->date('expiration_date')->nullable();
            //$table->string('oil_type', 55)->nullable();
            //$table->string('days_last_ro', 55)->nullable();
            //$table->string('days_last_tc', 55)->nullable();
            //$table->string('days_last_exp', 55)->nullable();
            //$table->string('last_service_advisor', 191)->nullable();
            //$table->string('estimated_mileage', 55)->nullable();
            //$table->string('actual_mileage', 55)->nullable();
            $table->string('distance_from_dealer', 55)->nullable();
            $table->string('priority_group', 55)->nullable();
            $table->text('notes')->nullable();
            $table->date('new_owner_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('recall_records');
    }
}
