<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class CreateDefaultCallRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('default_call_records', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->bigIncrements('id');
            $table->unsignedBigInteger('inbound_call_type_id')->nullable();
            //$table->foreign('inbound_call_type_id')->references('id')->on('inbound_call_types');
            $table->unsignedBigInteger('inbound_resolution_id')->nullable();
            //$table->foreign('inbound_resolution_id')->references('id')->on('inbound_resolutions');
            $table->unsignedBigInteger('call_type_id')->nullable();
            $table->foreign('call_type_id')->references('id')->on('call_types');
            $table->unsignedBigInteger('customer_status_id')->nullable();
            //$table->foreign('customer_status_id')->references('id')->on('customer_statuses');
            $table->string('call_status_id', 55)->nullable();
            //$table->foreign('call_status_id')->references('id')->on('call_statuses');
            $table->unsignedBigInteger('upload_file_id')->nullable();
            $table->foreign('upload_file_id')->references('id')->on('uploaded_files');
            $table->unsignedBigInteger('record_type_id')->nullable();
            $table->foreign('record_type_id')->references('id')->on('record_types');
            $table->unsignedBigInteger('took_by')->nullable();
            $table->foreign('took_by')->references('id')->on('users');
            $table->integer('times_called')->nullable();
            $table->string('customer_id', 191)->nullable();
            $table->string('first_name', 191)->nullable();
            $table->string('last_name', 191)->nullable();
            $table->string('phone', 55)->nullable();
            $table->string('cellphone', 55)->nullable();
            $table->string('best_phone', 55)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('city', 191)->nullable();
            $table->string('state', 191)->nullable();
            $table->string('zip', 55)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('vehicle_year', 4)->nullable();
            $table->string('vehicle_make', 55)->nullable();
            $table->string('vehicle_model', 55)->nullable();
            $table->string('vin', 55)->nullable();
            $table->string('vehicle_type', 191)->nullable();
            $table->string('oil_type', 55)->nullable();
            $table->string('miles', 55)->nullable();
            $table->string('vin_solutions_link', 255)->nullable();
            $table->string('pma', 55)->nullable();
            $table->string('ro_number', 191)->nullable();
            $table->string('toyota_care_visits', 255)->nullable();
            $table->date('service_date')->nullable();
            $table->date('sale_date')->nullable();
            $table->date('tc_exp_date')->nullable();
            $table->date('lead_date')->nullable();
            $table->date('sale_apt_date')->nullable();
            $table->date('service_apt_date')->nullable();
            $table->string('service_apt_time', 55)->nullable();
            $table->datetime('appointment_date')->nullable();
            $table->text('notes')->nullable();
            $table->text('private_notes')->nullable();
            $table->text('service_visit_notes')->nullable();
            $table->string('service_advisor', 191)->nullable();
            $table->string('service_source', 191)->nullable();
            $table->string('sales_rep', 191)->nullable();
            $table->string('sale_source', 191)->nullable();
            $table->string('sale_status', 191)->nullable();
            $table->boolean('show_to_call')->default(0)->nullable();
            $table->boolean('next_call_scheduled')->nullable();
            $table->boolean('reminder_set')->nullable();
            $table->boolean('farmed_email')->default(0)->nullable();
            $table->boolean('alert_sent')->default(0)->nullable();
            $table->date('scheduled_for')->nullable();
            $table->timestamps();
        });

        /*$companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('coid', 'co_name', 'co_short')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();

        foreach($companies as $company)
        {
            $db_table = 'call_records_'.$company->co_short;
            Schema::create($db_table, function (Blueprint $table) {
                $table->engine = 'MyISAM';
                $table->bigIncrements('id');
                $table->unsignedBigInteger('inbound_call_type_id')->nullable();
                //$table->foreign('inbound_call_type_id')->references('id')->on('inbound_call_types');
                $table->unsignedBigInteger('inbound_resolution_id')->nullable();
                //$table->foreign('inbound_resolution_id')->references('id')->on('inbound_resolutions');
                $table->unsignedBigInteger('call_type_id')->nullable();
                $table->foreign('call_type_id')->references('id')->on('call_types');
                $table->unsignedBigInteger('customer_status_id')->nullable();
                //$table->foreign('customer_status_id')->references('id')->on('customer_statuses');
                $table->unsignedBigInteger('call_status_id')->nullable();
                //$table->foreign('call_status_id')->references('id')->on('call_statuses');
                $table->unsignedBigInteger('upload_file_id')->nullable();
                $table->foreign('upload_file_id')->references('id')->on('uploaded_files');
                $table->unsignedBigInteger('record_type_id')->nullable();
                $table->foreign('record_type_id')->references('id')->on('record_types');
                $table->unsignedBigInteger('took_by')->nullable();
                $table->foreign('took_by')->references('id')->on('users');
                $table->integer('times_called')->nullable();
                $table->string('customer_id', 191)->nullable();
                $table->string('first_name', 191)->nullable();
                $table->string('last_name', 191)->nullable();
                $table->string('phone', 55)->nullable();
                $table->string('cellphone', 55)->nullable();
                $table->string('best_phone', 55)->nullable();
                $table->string('address', 255)->nullable();
                $table->string('city', 191)->nullable();
                $table->string('state', 191)->nullable();
                $table->string('zip', 55)->nullable();
                $table->string('email', 255)->nullable();
                $table->string('vehicle_year', 4)->nullable();
                $table->string('vehicle_make', 55)->nullable();
                $table->string('vehicle_model', 55)->nullable();
                $table->string('vin', 55)->nullable();
                $table->string('vehicle_type', 191)->nullable();
                $table->string('oil_type', 55)->nullable();
                $table->string('miles', 55)->nullable();
                $table->string('vin_solutions_link', 255)->nullable();
                $table->string('pma', 55)->nullable();
                $table->string('ro_number', 191)->nullable();
                $table->date('service_date')->nullable();
                $table->date('sale_date')->nullable();
                $table->date('tc_exp_date')->nullable();
                $table->date('lead_date')->nullable();
                $table->date('sale_apt_date')->nullable();
                $table->date('service_apt_date')->nullable();
                $table->string('service_apt_time', 55)->nullable();
                $table->datetime('appointment_date')->nullable();
                $table->text('notes')->nullable();
                $table->text('private_notes')->nullable();
                $table->text('service_notes')->nullable();
                $table->string('service_advisor', 191)->nullable();
                $table->string('service_source', 191)->nullable();
                $table->string('sales_rep', 191)->nullable();
                $table->string('sale_source', 191)->nullable();
                $table->string('sale_status', 191)->nullable();
                $table->boolean('next_call_scheduled')->nullable();
                $table->boolean('reminder_set')->nullable();
                $table->boolean('farmed_email')->default(0)->nullable();
                $table->boolean('alert_sent')->default(0)->nullable();
                $table->timestamps();
            });
        }*/
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('default_call_records');

        /*$companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('coid', 'co_name', 'co_short')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();
        foreach($companies as $company)
        {
            $db_table = 'call_records_'.$company->co_short;
            Schema::dropIfExists($db_table);
        }*/
    }
}
