<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class AddForeignToDefaultCallRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('default_call_records', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->foreign('inbound_call_type_id')->references('id')->on('inbound_call_types');
            $table->foreign('inbound_resolution_id')->references('id')->on('inbound_resolutions');
            $table->foreign('customer_status_id')->references('id')->on('customer_statuses');
            $table->foreign('call_status_id')->references('key')->on('call_statuses');
        });

        /*$companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('coid', 'co_name', 'co_short')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();

        foreach($companies as $company)
        {
            $db_table = 'call_records_'.$company->co_short;
            Schema::table($db_table, function (Blueprint $table) {
                $table->engine = 'MyISAM';
                $table->foreign('inbound_call_type_id')->references('id')->on('inbound_call_types');
                $table->foreign('inbound_resolution_id')->references('id')->on('inbound_resolutions');
                $table->foreign('customer_status_id')->references('id')->on('customer_statuses');
                $table->foreign('call_status_id')->references('id')->on('call_statuses');
            });
        }*/
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('default_call_records', function (Blueprint $table) {
            $table->dropForeign(['inbound_call_type_id']);
            $table->dropForeign(['inbound_resolution_id']);
            $table->dropForeign(['customer_status_id']);
            $table->dropForeign(['call_status_id']);
        });

        /*$companies = DB::connection('mysql2')->table('callcenter_companies')
                                ->select('coid', 'co_name', 'co_short')
                                ->where('is_active', 1)
                                ->orderBy('co_name')
                                ->get();

        foreach($companies as $company)
        {
            $db_table = 'call_records_'.$company->co_short;
            Schema::table($db_table, function (Blueprint $table) {
                $table->dropForeign(['inbound_call_type_id']);
                $table->dropForeign(['inbound_resolution_id']);
                $table->dropForeign(['customer_status_id']);
                $table->dropForeign(['call_status_id']);
            });
        }*/
    }
}
