<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSentByToEmailHistoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('email_histories', function (Blueprint $table) {
            $table->unsignedBigInteger('sent_by')->after('subject')->nullable();
            $table->foreign('sent_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('email_histories', function (Blueprint $table) {
            $table->dropForeign(['sent_by']);
            $table->dropColumn('sent_by');
        });
    }
}
