<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToCustomerStatusesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('customer_statuses', function (Blueprint $table) {
            $table->boolean('send_alert')->after('name')->default(0)->nullable();
            $table->string('icon', 255)->after('name')->nullable();
            $table->text('email_content')->after('name')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('customer_statuses', function (Blueprint $table) {
            $table->dropColumn('send_alert');
            $table->dropColumn('icon');
            $table->dropColumn('email_content');
        });
    }
}
