<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class CreateCompaniesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('companies', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('coid')->nullable();
            $table->string('co_short', 255)->nullable();
            $table->string('co_name', 255)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->string('state', 55)->nullable();
            $table->string('zip', 55)->nullable();
            $table->string('sales_mgr_name', 255)->nullable();
            $table->string('sales_mgr_title', 255)->nullable();
            $table->string('service_mgr_name', 255)->nullable();
            $table->string('service_mgr_title', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('sales_email', 255)->nullable();
            $table->string('service_email', 255)->nullable();
            $table->string('appt_email', 255)->nullable();
            $table->string('caller_email_cc', 255)->nullable();
            $table->string('phone', 55)->nullable();
            $table->string('sales_phone', 55)->nullable();
            $table->string('service_phone', 55)->nullable();
            $table->string('parts_phone', 55)->nullable();
            $table->string('website', 255)->nullable();
            $table->string('facebook_link', 255)->nullable();
            $table->string('service_apt_notify', 500)->nullable();
            $table->string('sales_apt_notify', 500)->nullable();
            $table->string('avg_ro_amount', 255)->nullable();
            $table->string('invoice_email', 255)->nullable();
            $table->boolean('send_alert')->nullable();
            $table->timestamps();
        });

        DB::update("ALTER TABLE companies AUTO_INCREMENT = 1000;");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('companies');
    }
}
