<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToCompaniesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->string('billing_contact_email', 255)->after('zip')->nullable();
            $table->string('billing_contact_phone', 55)->after('zip')->nullable();
            $table->string('billing_contact_name', 255)->after('zip')->nullable();
            $table->string('main_contact_email', 255)->after('zip')->nullable();
            $table->string('main_contact_phone', 55)->after('zip')->nullable();
            $table->string('main_contact_name', 255)->after('zip')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->dropColumn('main_contact_name');
            $table->dropColumn('main_contact_phone');
            $table->dropColumn('main_contact_email');
            $table->dropColumn('billing_contact_name');
            $table->dropColumn('billing_contact_phone');
            $table->dropColumn('billing_contact_email');
        });
    }
}
