<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFileTypeIdToTrainingAlerts extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('training_alerts', function (Blueprint $table) {
            $table->engine = 'MyISAM';
            $table->unsignedBigInteger('file_type_id')->after('file')->nullable();
            $table->foreign('file_type_id')->references('id')->on('training_alert_file_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('training_alerts', function (Blueprint $table) {
            $table->dropForeign(['file_type_id']);
            $table->dropColumn('file_type_id');
        });
    }
}
