/*!
    * Start Bootstrap - Grayscale v6.0.2 (https://startbootstrap.com/themes/grayscale)
    * Copyright 2013-2020 Start Bootstrap
    * Licensed under MIT (https://github.com/StartBootstrap/startbootstrap-grayscale/blob/master/LICENSE)
    */
    (function ($) {
    "use strict"; // Start of use strict

    // Smooth scrolling using jQuery easing
    $('a.js-scroll-trigger[href*="#"]:not([href="#"])').click(function () {
        if (
            location.pathname.replace(/^\//, "") ==
                this.pathname.replace(/^\//, "") &&
            location.hostname == this.hostname
        ) {
            var target = $(this.hash);
            target = target.length
                ? target
                : $("[name=" + this.hash.slice(1) + "]");
            if (target.length) {
                $("html, body").animate(
                    {
                        scrollTop: target.offset().top - 70,
                    },
                    1000,
                    "easeInOutExpo"
                );
                return false;
            }
        }
    });

    // Closes responsive menu when a scroll trigger link is clicked
    $(".js-scroll-trigger").click(function () {
        $(".navbar-collapse").collapse("hide");
        //$(".js-scroll-trigger").removeClass('active');
        //$(this).addClass('active');
    });

    // Activate scrollspy to add active class to navbar items on scroll
    $("body").scrollspy({
        target: "#mainNav",
        offset: 350,
    });

    // Collapse Navbar
    var navbarCollapse = function () {
        if ($("#mainNav").offset().top > 100) {
            $("#mainNav").addClass("navbar-shrink");
        } else {
            $("#mainNav").removeClass("navbar-shrink");
        }
    };
    // Collapse now if page is not at top
    navbarCollapse();
    // Collapse the navbar when page is scrolled
    $(window).scroll(navbarCollapse);




    /*==================================================================
    [ Focus Contact2 ]*/
    $('.input100').each(function(){
        $(this).on('blur', function(){
            if($(this).val().trim() != "") {
                $(this).addClass('has-val');
            }
            else {
                $(this).removeClass('has-val');
            }
        })    
    })

    /*==================================================================
    [ Validate ]*/
    var input = $('.validate-input .input100');


    //$('#signup-button').off('click');
    $(".signup-button").on('click', function(event)
    {
        event.preventDefault();
        signUpCompany(event);
    });

    /*$('.signup-form').on('submit',function(){
        var check = true;

        for(var i=0; i<input.length; i++) {
            if(validate(input[i]) == false){
                showValidate(input[i]);
                check=false;
            }
        }

        return check;
    });*/

    $('.signup-form .input100').each(function(){
        $(this).focus(function(){
           hideValidate(this);
        });
    });

    function validateForm()
    {
        var check = true;
        var first_input = true;
        for(var i=0; i<input.length; i++) {
            if(validate(input[i]) == false){
                showValidate(input[i]);
                check=false;
                if(first_input == true)
                {   
                    //alert($(input[i]).offset());
                    var current_pos = $(input[i]).offset().top - 150;
                    first_input =  false;
                     $('html, body').animate({
                        scrollTop: current_pos + "px"
                    }, 'fast', function() { 
                        $(input[i]).focus(); 
                    });
                }
            }
        }
        return check;
    }



    function signUpCompany(event){
        var valid_form = validateForm();
        if(valid_form == true)
        {
            var form_values = $('.signup-form').serialize();
            $(".signup-button").empty().html('<i class="fas fa-spinner fa-spin"></i> Sending...');
            //$("#disable_form_fieldset").attr('disabled','disabled');
            
            $.ajax(
            {
                url: $('meta[name="main-url"]').attr('content')+'/companies/add',

                type: "post",

                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },

                datatype: "json",

                data: form_values

            }).done(function(data){

                var html = '<div class="container d-flex h-100 align-items-center">'+
                                '<div class="mx-auto text-center masthead-no-bg">'+
                                    '<h1 class="mx-auto my-0 text-uppercase">All Set!</h1>'+
                                    '<h2 class="text-white-50 mx-auto mt-2 mb-5">We will be getting in touch with you very soon.</h2>'+
                                '</div>'+
                            '</div>';
                $('#signup').html(html);
                var current_pos = $('#signup').offset().top;
                 $('html, body').animate({
                    scrollTop: current_pos + "px"
                }, 'slow', function() { 
                    $(input[i]).focus(); 
                });
            }).fail(function(jqXHR, ajaxOptions, thrownError){
                //alert('No response from server');
                printErrorMsg(jqXHR.responseJSON.errors);
                $(".signup-button").empty().html('Sing Up <i class="fas fa-paper-plane"></i>');
                //$("#disable_form_fieldset").removeAttr( "disabled" );
            });
        }
    }

    function validate (input) {
        if($(input).attr('type') == 'email' || $(input).attr('name') == 'email') {
            if($(input).val().trim().match(/^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{1,5}|[0-9]{1,3})(\]?)$/) == null) {
                return false;
            }
        }
        else {
            if($(input).val().trim() == ''){
                return false;
            }
        }
    }

    function showValidate(input) {
        var thisAlert = $(input).parent();

        $(thisAlert).addClass('alert-validate');
    }

    function hideValidate(input) {
        var thisAlert = $(input).parent();

        $(thisAlert).removeClass('alert-validate');
    }


    function printErrorMsg(msg, id) {
        if(id == null || id == '')
        {
            $(".print-error-msg").find("ul").html('');
            $(".print-error-msg").css('display','block');
            $.each( msg, function( key, value ) {
                $(".print-error-msg").find("ul").append('<li>'+value+'</li>');
                $("#"+key).addClass('is-invalid');
            });
        } else {
            $("#"+id).find("ul").html('');
            $("#"+id).css('display','block');

            $.each( msg, function( key, value ) {

                $("#"+id).find("ul").append('<li>'+value+'</li>');
                $("#"+key).addClass('is-invalid');

            });
        }
    }



})(jQuery); // End of use strict
