<form method="POST" id="add_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    @csrf
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">Dealer Information</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>

            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label class="general_form_legend"><strong>{{ __('Backend Information') }}</strong></label>
                </div>
            </div>
            <div class="p-3" style="max-height: 400px;overflow-y: auto;overflow-x: hidden;background-color: #edf4ff">
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="co_short">{{ __('Folder Name:') }}</label>
                        <input type="text" id="co_short" name="co_short" class="form-control need-validation-inputs" placeholder="Folder Name" required value="{{ $company->co_short }}" maxlength="191" readonly>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="livecall_times">{{ __('Livecall Times:') }}</label>
                        <input type="text" id="livecall_times" name="livecall_times" class="form-control need-validation-inputs" placeholder="Livecall Times" value="{{ $company->livecall_times }}" maxlength="191">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="livecall_reminder_lead">{{ __('Reminder Lead Time:') }}</label>
                        <input type="text" id="livecall_reminder_lead" name="livecall_reminder_lead" class="form-control need-validation-inputs" placeholder="Reminder Lead Time" value="{{ $company->livecall_reminder_lead }}" maxlength="191">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="campuscallers_salesrep">{{ __('CC Sales Rep:') }}</label>
                        <input type="text" id="campuscallers_salesrep" name="campuscallers_salesrep" class="form-control need-validation-inputs" placeholder="CC Sales Rep" value="{{ $company->campuscallers_salesrep }}" maxlength="191">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <?php
                            $checked = ! empty( $company->export_access ) ? 'checked' : ''; 
                        ?>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="export_access" name="export_access" value="1" {{ $checked }}>
                            <label class="custom-control-label" for="export_access">{{ __('Export Calls Access:') }}</label>
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <?php
                            $checked = ! empty( $company->report_access ) ? 'checked' : ''; 
                        ?>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="report_access" name="report_access" value="1" {{ $checked }}>
                            <label class="custom-control-label" for="report_access">{{ __('Show in reports:') }}</label>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-3">
                        <?php
                            $checked = ! empty( $company->report_access ) ? 1 : 0; 
                        ?>
                        Company Type:
                    </div>
                    <div class="form-group col-md-3">
                        <?php
                            $company_type = explode( ",", $company->company_type );
                            $checked = ( in_array( 'OB', $company_type ) == true ) ? 'checked' : '';
                        ?>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="outbound_type" name="outbound_type" value="1" {{ $checked }}>
                            <label class="custom-control-label" for="outbound_type">{{ __('OUTBOUND') }}</label>
                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <?php
                            $checked = ( in_array( 'IB', $company_type ) == true ) ? 'checked' : ''; 
                        ?>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="inbound_type" name="inbound_type" value="1" {{ $checked }}>
                            <label class="custom-control-label" for="inbound_type">{{ __('INBOUND') }}</label>
                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <?php
                            $checked = ( in_array( 'ILM', $company_type ) == true ) ? 'checked' : '';
                        ?>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="ilm_type" name="ilm_type" value="1" {{ $checked }}>
                            <label class="custom-control-label" for="ilm_type">{{ __('ILM') }}</label>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="bdc_name">{{ __('BDC Name:') }}</label>
                        <input type="text" id="bdc_name" name="bdc_name" class="form-control need-validation-inputs" placeholder="BDC Name" value="{{ $company->bdc_name }}" maxlength="191">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="crm_link">{{ __('CRM Link:') }}</label>
                        <input type="text" id="crm_link" name="crm_link" class="form-control need-validation-inputs" placeholder="CRM Link" value="{{ $company->crm_link }}" maxlength="500">
                        <small class="form-text text-muted">
                            Use @{{id}} TAG for the replaceble value on the link
                        </small>
                    </div>
                </div>
            </div>

            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label class="general_form_legend"><strong>{{ __('Company Information') }}</strong></label>
                </div>
            </div>

            <div class="p-3" style="max-height: 800px;overflow-y: auto;overflow-x: hidden;background-color: #edf4ff">
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="co_name">{{ __('Company Name:') }}</label>
                        <input type="text" id="co_name" name="co_name" class="form-control need-validation-inputs" placeholder="Company Name" value="{{ $company->co_name }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="co_email">{{ __('Company Email:') }}</label>
                        <input type="text" id="co_email" name="co_email" class="form-control need-validation-inputs" placeholder="Company Email" value="{{ $company->co_email }}" maxlength="255">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="co_phone">{{ __('Company Phone:') }}</label>
                        <input type="text" id="co_phone" name="co_phone" class="form-control need-validation-inputs" placeholder="Company Phone" value="{{ $company->co_phone }}" maxlength="191">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="co_address1">{{ __('Company Address:') }}</label>
                        <input type="text" id="co_address1" name="co_address1" class="form-control need-validation-inputs" placeholder="Company Address" value="{{ $company->co_address1 }}" maxlength="500">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="co_city">{{ __('City:') }}</label>
                        <input type="text" id="co_city" name="co_city" class="form-control need-validation-inputs" placeholder="City" value="{{ $company->co_city }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="co_state">{{ __('State:') }}</label>
                        <input type="text" id="co_state" name="co_state" class="form-control need-validation-inputs" placeholder="State" value="{{ $company->co_state }}" maxlength="55">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="co_zip">{{ __('Zip:') }}</label>
                        <input type="text" id="co_zip" name="co_zip" class="form-control need-validation-inputs" placeholder="Zip" value="{{ $company->co_zip }}" maxlength="10">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="mail_invoice_to">{{ __('Mail Invoice To:') }}</label>
                        <input type="text" id="mail_invoice_to" name="mail_invoice_to" class="form-control need-validation-inputs" placeholder="Mail Invoice To" value="{{ $company->mail_invoice_to }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="vin_link">{{ __('Recall Link:') }}</label>
                        <input type="text" id="vin_link" name="vin_link" class="form-control need-validation-inputs" placeholder="Recall Link" value="{{ $company->vin_link }}" maxlength="500">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="avg_dpc">{{ __('Avg DPC:') }}</label>
                        <input type="text" id="avg_dpc" name="avg_dpc" class="form-control need-validation-inputs" placeholder="Avg DPC" value="{{ $company->avg_dpc }}" maxlength="55">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="avg_srv_ro">{{ __('Avg SRV RO:') }}</label>
                        <input type="text" id="avg_srv_ro" name="avg_srv_ro" class="form-control need-validation-inputs" placeholder="Avg SRV RO" value="{{ $company->avg_srv_ro }}" maxlength="55">
                    </div>
                    <div class="form-group col-md-4" style="display: flex;align-items:flex-end">
                        <?php
                            $checked = ( ! empty( $company->pl_statement ) ) ? 'checked' : '';
                        ?>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="pl_statement" name="pl_statement" value="1" {{ $checked }}>
                            <label class="custom-control-label" for="pl_statement">{{ __('P and L Statement') }}</label>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="primary_zip_codes">{{ __('Primary Zip Codes:') }}</label>
                        <input type="text" id="primary_zip_codes" name="primary_zip_codes" class="form-control need-validation-inputs" placeholder="Primary Zip Codes" value="{{ $company->primary_zip_codes }}">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="strong_zip_codes">{{ __('Strong Zip Codes:') }}</label>
                        <input type="text" id="strong_zip_codes" name="strong_zip_codes" class="form-control need-validation-inputs" placeholder="Strong Zip Codes" value="{{ $company->strong_zip_codes }}">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="weak_zip_codes">{{ __('Weak Zip Codes:') }}</label>
                        <input type="text" id="weak_zip_codes" name="weak_zip_codes" class="form-control need-validation-inputs" placeholder="Weak Zip Codes" value="{{ $company->weak_zip_codes }}">
                    </div>
                </div>
            </div>
            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label class="general_form_legend"><strong>{{ __('Sales Information') }}</strong></label>
                </div>
            </div>
            <div class="p-3" style="max-height: 800px;overflow-y: auto;overflow-x: hidden;background-color: #edf4ff">
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="sales_mgr_name">{{ __('Sales Mgr Name:') }}</label>
                        <input type="text" id="sales_mgr_name" name="sales_mgr_name" class="form-control need-validation-inputs" placeholder="Sales Mgr Name" value="{{ $company->sales_mgr_name }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="sales_mgr_title">{{ __('Sales Mgr Title:') }}</label>
                        <input type="text" id="sales_mgr_title" name="sales_mgr_title" class="form-control need-validation-inputs" placeholder="Sales Mgr Title" value="{{ $company->sales_mgr_title }}" maxlength="255">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="sales_phone">{{ __('Sales Phone:') }}</label>
                        <input type="text" id="sales_phone" name="sales_phone" class="form-control need-validation-inputs" placeholder="Sales Phone" value="{{ $company->sales_phone }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="sales_email">{{ __('Sales Email:') }}</label>
                        <input type="text" id="sales_email" name="sales_email" class="form-control need-validation-inputs" placeholder="Sales Email" value="{{ $company->sales_email }}" maxlength="255">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="sales_reps">{{ __('Sales Reps:') }}</label>
                        <input type="text" id="sales_reps" name="sales_reps" class="form-control need-validation-inputs" placeholder="Sales Reps" value="{{ $company->sales_reps }}" maxlength="500">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="sales_apt_notify">{{ __('Sales Apt Notify:') }}</label>
                        <input type="text" id="sales_apt_notify" name="sales_apt_notify" class="form-control need-validation-inputs" placeholder="Sales Apt Notify" value="{{ $company->sales_apt_notify }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="current_sales_csi">{{ __('Current CSI:') }}</label>
                        <input type="text" id="current_sales_csi" name="current_sales_csi" class="form-control need-validation-inputs" placeholder="Current CSI" value="{{ $company->current_sales_csi }}" maxlength="255">
                    </div>
                </div>
            </div>
            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label class="general_form_legend"><strong>{{ __('Service Information') }}</strong></label>
                </div>
            </div>
            <div class="p-3" style="max-height: 800px;overflow-y: auto;overflow-x: hidden;background-color: #edf4ff">
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="service_mgr_name">{{ __('Service Mgr Name:') }}</label>
                        <input type="text" id="service_mgr_name" name="service_mgr_name" class="form-control need-validation-inputs" placeholder="Service Mgr Name" value="{{ $company->service_mgr_name }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="service_mgr_title">{{ __('Service Mgr Title:') }}</label>
                        <input type="text" id="service_mgr_title" name="service_mgr_title" class="form-control need-validation-inputs" placeholder="Service Mgr Title" value="{{ $company->service_mgr_title }}" maxlength="255">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-3">
                        <label for="service_phone">{{ __('Service Phone:') }}</label>
                        <input type="text" id="service_phone" name="service_phone" class="form-control need-validation-inputs" placeholder="Service Phone" value="{{ $company->service_phone }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-3">
                        <label for="parts_phone">{{ __('Parts Phone:') }}</label>
                        <input type="text" id="parts_phone" name="parts_phone" class="form-control need-validation-inputs" placeholder="Parts Phone" value="{{ $company->parts_phone }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="service_email">{{ __('Service Email:') }}</label>
                        <input type="text" id="service_email" name="service_email" class="form-control need-validation-inputs" placeholder="Service Email" value="{{ $company->service_email }}" maxlength="255">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="service_advisors">{{ __('Service Advisors:') }}</label>
                        <input type="text" id="service_advisors" name="service_advisors" class="form-control need-validation-inputs" placeholder="Service Advisors" value="{{ $company->service_advisors }}" maxlength="500">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="service_apt_notify">{{ __('Service Apt Notify:') }}</label>
                        <input type="text" id="service_apt_notify" name="service_apt_notify" class="form-control need-validation-inputs" placeholder="Service Apt Notify" value="{{ $company->service_apt_notify }}" maxlength="255">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="avg_ro_amount">{{ __('Avg RO Amt:') }}</label>
                        <input type="text" id="avg_ro_amount" name="avg_ro_amount" class="form-control need-validation-inputs" placeholder="Avg RO Amt" value="{{ $company->avg_ro_amount }}" maxlength="255">
                    </div>
                    <div class="form-group col-md-6">
                        <label for="current_service_csi">{{ __('Current CSI:') }}</label>
                        <input type="text" id="current_service_csi" name="current_service_csi" class="form-control need-validation-inputs" placeholder="Current CSI" value="{{ $company->current_service_csi }}" maxlength="255">
                    </div>
                </div>
            </div>
            <div class="form-row mt-3">
                <div class="col-md-12">
                    <fieldset>
                        <legend class="general_form_legend">Outbound Information</legend>
                        <div class="p-3" style="background-color: #edf4ff">
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_call_types_table')">Call Types</legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_call_types_table" style="display:none">
                                        <tr>
                                            <th>Active</th>
                                            <th>Name</th>
                                            <th width="100">Script</th>
                                            <th>Questions</th>
                                            <th>Record cost</th>
                                            <th>Call cost</th>
                                            <th>Flat cost</th>
                                            <th>Caller ID</th>
                                            <th>Call times</th>
                                        </tr>
                                        <?php
                                            $dealer_call_types = explode(',', $company->calltypes);
                                        ?>
                                        @foreach ( $call_types as $call_type )
                                            <?php
                                                $checked = in_array( $call_type->cid, $dealer_call_types ) ? 'checked' : '';
                                            ?>
                                            <tr>
                                                <td>
                                                    <input type="checkbox" id="active_{{ $call_type->cid }}" name="ob_call_type_active[]" value="{{ $call_type->cid }}" {{ $checked }}>
                                                </td>
                                                <td>
                                                    {{ $call_type->calltype_text }}
                                                </td>
                                                <td>
                                                    <button class="btn btn-success btn-sm call_type_scripts" id="call_script_popover_{{ $call_type->cid }}" data-toggle="popover" title="{{ $call_type->calltype_text }}" data-content="<?php print( str_replace( '"', '', $dealer_scripts[ $call_type->cid ] ) ); ?>" onclick="showCallTypeScript(event)" onmouseover="preventDefaultBehavior(event);"><i class="fas fa-scroll"></i></button>
                                                    <button class="btn btn-primary btn-sm" onclick="changeCallScript(event, '{{ $company->coid }}', '{{ $call_type->cid }}')"><i class="fas fa-edit" aria-hidden="true"></i></button>
                                                </td>
                                                <td>
                                                    <button class="btn btn-primary">Questions</button>
                                                </td>
                                                <td><input type="text" name="record_cost[]" class="form-control" placeholder="Record Cost" style="width: 75px" value="{{ $dealer_costs_values[ $call_type->cid ]['record_cost'] }}"></td>
                                                <td><input type="text" name="call_cost[]" class="form-control" placeholder="Call Cost" style="width: 75px" value="{{ $dealer_costs_values[ $call_type->cid ]['call_cost'] }}"></td>
                                                <td><input type="text" name="flat_cost[]" class="form-control" placeholder="Flat Cost" style="width: 75px" value="{{ $dealer_costs_values[ $call_type->cid ]['flat_cost'] }}"></td>
                                                <td><input type="text" name="caller_id[]" class="form-control" placeholder="Caller ID" style="width: 100px" value="{{ $caller_ids_values[ $call_type->cid ] }}"></td>
                                                <td><input type="text" name="call_times[]" class="form-control" placeholder="Call times" style="width: 75px" value="{{ $call_times_values[ $call_type->cid ] }}"></td>
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_alert_emails_list_table');">
                                    Alert Email List
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_alert_emails_list_table" style="display:none">
                                        <tr>
                                            <th>Department</th>
                                            <th>Emails</th>
                                        </tr>
                                        @foreach ( $dealer_departments as $dealer_department )
                                            <tr>
                                                <td>
                                                    {{ $dealer_department->name }}
                                                </td>
                                                <td>
                                                    <input type="text" name="dealer_alerts_list[]" class="form-control" placeholder="{{ $dealer_department->name }} Email List" value="{{ $alerts_emails_list[ $dealer_department->id ] }}">
                                                    <input type="hidden" name="dealer_alerts_list_ids[]" class="form-control" value="{{ $dealer_department->id }}">
                                                </td>    
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_alert_emails_templates_table');">
                                    Alert Email Templates
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_alert_emails_templates_table" style="display:none">
                                        <tr>
                                            <th>Call Type</th>
                                            <th>Edit</th>
                                        </tr>
                                        @foreach ( $call_types as $call_type )
                                            <tr>
                                                <td>
                                                    {{ $call_type->calltype_text }}
                                                </td>
                                                <td>
                                                    <button class="btn btn-primary btn-sm" onclick="editEmailTemplate(event, 'callcenter_outbound_email_templates', 'coid', 'did', 'subject', 'content', '{{ $company->coid }}', '{{ $call_type->cid }}', 'Alert Email Template for:')"><i class="fas fa-edit" aria-hidden="true"></i></button>
                                                </td>    
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_import_emails_templates_stc_table');">
                                    Import Email's Templates (Show to Call)
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_import_emails_templates_stc_table" style="display:none">
                                        <tr>
                                            <th>Call Type</th>
                                            <th>Edit</th>
                                        </tr>
                                        @foreach ( $call_types as $call_type )
                                            <tr>
                                                <td>
                                                    {{ $call_type->calltype_text }}
                                                </td>
                                                <td>
                                                    <button class="btn btn-primary btn-sm" onclick="editEmailTemplate(event, 'callcenter_import_email_templates', 'coid', 'cid', 'subject', 'content', '{{ $company->coid }}', '{{ $call_type->cid }}', 'Import Email Template for:')"><i class="fas fa-edit" aria-hidden="true"></i></button>
                                                </td>    
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_import_emails_templates_nstc_table');">
                                    Import Email's Templates (Not Show to Call)
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_import_emails_templates_nstc_table" style="display:none">
                                        <tr>
                                            <th>Call Type</th>
                                            <th>Edit</th>
                                        </tr>
                                        @foreach ( $call_types as $call_type )
                                            <tr>
                                                <td>
                                                    {{ $call_type->calltype_text }}
                                                </td>
                                                <td>
                                                    <button class="btn btn-primary btn-sm" onclick="editEmailTemplate(event, 'callcenter_import_email_templates_nstc', 'coid', 'cid', 'subject', 'content', '{{ $company->coid }}', '{{ $call_type->cid }}', 'Import Email Template for:')"><i class="fas fa-edit" aria-hidden="true"></i></button>
                                                </td>    
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_import_emails_templates_dnc_table');">
                                    Import Email's Templates (DNC)
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_import_emails_templates_dnc_table" style="display:none">
                                        <tr>
                                            <th>Call Type</th>
                                            <th>Edit</th>
                                        </tr>
                                        @foreach ( $call_types as $call_type )
                                            <tr>
                                                <td>
                                                    {{ $call_type->calltype_text }}
                                                </td>
                                                <td>
                                                    <button class="btn btn-primary btn-sm" onclick="editEmailTemplate(event, 'callcenter_import_email_templates_dnc', 'coid', 'cid', 'subject', 'content', '{{ $company->coid }}', '{{ $call_type->cid }}', 'Import Email Template for:')"><i class="fas fa-edit" aria-hidden="true"></i></button>
                                                </td>    
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ob_other_settings');">
                                    Other settings
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ob_other_settings" style="display:none">
                                        <tr>
                                            <td>
                                                <button class="btn btn-primary btn-sm" onclick="editOutBoundDealerMessage(event, '{{ $company->coid }}')">Edit OutBound Dealer Message <i class="fas fa-edit" aria-hidden="true"></i></button>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </fieldset>
                        </div>
                    </fieldset>
                </div>
            </div>







            <div class="form-row mt-3">
                <div class="col-md-12">
                    <fieldset>
                        <legend class="general_form_legend">Inbound Information</legend>
                        <div class="p-3" style="background-color: #edf4ff">
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ib_call_types_table')">Call Types</legend>
                                <div class="table-responsive">
                                    <table class="table" id="ib_call_types_table" style="display:none">
                                        <tr>
                                            <th>Active</th>
                                            <th>Key</th>
                                            <th>Name</th>
                                            <th width="100">Script</th>
                                            <th>Minute cost</th>
                                            <th>Monthly cost</th>
                                            <th>Max Time</th>
                                        </tr>
                                        <?php
                                            $dealer_call_types = explode(',', $company->calltypes);
                                        ?>
                                        @foreach ( $ib_call_types as $call_type )
                                            <?php
                                                $checked = ! empty( $ib_call_is_active_array[ $call_type->cid ] ) ? 'checked' : '';
                                            ?>
                                            <tr>
                                                <td>
                                                    <input type="checkbox" id="ib_active_{{ $call_type->cid }}" name="ib_call_type_active_{{ $call_type->cid }}" value="{{ $call_type->cid }}" {{ $checked }}>
                                                    <input type="hidden" name="ib_call_types_ids[]" value="{{ $call_type->cid }}">
                                                </td>
                                                <td>
                                                    {{ $call_type->calltype_key }}
                                                </td>
                                                <td>
                                                    {{ $call_type->calltype_text }}
                                                </td>
                                                <td>
                                                    <button class="btn btn-success btn-sm call_type_scripts" id="ib_call_script_popover_{{ $call_type->cid }}" data-toggle="popover" title="{{ $call_type->calltype_text }}" data-content="<?php print( str_replace( '"', '', $ib_scripts_array[ $call_type->cid ] ) ); ?>" onclick="showCallTypeScript(event)" onmouseover="preventDefaultBehavior(event);"><i class="fas fa-scroll"></i></button>
                                                    <button class="btn btn-primary btn-sm" onclick="changeIBCallScript(event, '{{ $company->coid }}', '{{ $call_type->cid }}')"><i class="fas fa-edit" aria-hidden="true"></i></button>
                                                </td>
                                                <td><input type="text" name="ib_minute_cost[]" class="form-control" placeholder="Minute Cost" style="width: 75px" value="{{ $ib_minute_cost_array[ $call_type->cid ] }}"></td>
                                                <td><input type="text" name="ib_monthly_cost[]" class="form-control" placeholder="Monthly Cost" style="width: 75px" value="{{ $ib_monthly_cost_array[ $call_type->cid ] }}"></td>
                                                <td><input type="text" name="ib_max_time[]" class="form-control" placeholder="Max Time" style="width: 75px" value="{{ $ib_max_time_array[ $call_type->cid ] }}"></td>
                                            </tr>                                        
                                        @endforeach
                                    </table>
                                </div>
                            </fieldset>
                            <br>
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend cursorpointer" onclick="showHideElementById('ib_other_settings');">
                                    Other settings
                                </legend>
                                <div class="table-responsive">
                                    <table class="table" id="ib_other_settings" style="display:none">
                                        <tr>
                                            <td>
                                                <button class="btn btn-primary btn-sm" onclick="editInboundSalesReps(event, '{{ $company->coid }}')">Edit Sales Rep <i class="fas fa-edit" aria-hidden="true"></i></button>
                                            </td>
                                            <td>
                                                <button class="btn btn-primary btn-sm" onclick="editInboundServices(event, '{{ $company->coid }}')">Services <i class="fas fa-edit" aria-hidden="true"></i></button>
                                            </td>
                                            <td>
                                                <button class="btn btn-primary btn-sm" onclick="editInboundLinks(event, '{{ $company->coid }}')">Links <i class="fas fa-edit" aria-hidden="true"></i></button>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </fieldset>
                        </div>
                    </fieldset>
                </div>
            </div>





            <div class="form-row mt-3">
                <div class="col-md-12">
                    <fieldset class="call_form_fieldset">
                        <legend class="general_form_legend cursorpointer"  onclick="showHideElementById('general_other_settings');">Other Settings</legend>
                        <div class="table-responsive">
                            <table class="table" id="general_other_settings" style="display:none">
                                <tr>
                                    <td>
                                        <button class="btn btn-primary btn-sm" onclick="editCompleteCallMessage(event, '{{ $company->coid }}')">Edit Customer Complete Call Message <i class="fas fa-edit" aria-hidden="true"></i></button>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </fieldset>
                </div>
            </div>




            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label class="general_form_legend"><strong>{{ __('Assignable Call Types') }}</strong></label>
                </div>
            </div>
            <div class="p-3" style="max-height: 400px;overflow-y: auto;overflow-x: hidden;background-color: #edf4ff">
                <div class="form-row">
                    <?php
                        $total_rows = 0;
                        $checked = '';
                    ?>
                    @foreach( $call_types as $call_type )
                        @if( in_array( $call_type->cid, $assignable_calltypes_array ) )
                            <?php
                                $checked = 'checked';
                            ?>
                        @else
                            <?php
                                $checked = '';
                            ?>      
                        @endif
                        <div class="form-group col-md-6" data-toggle="tooltip" data-placement="bottom" title="{{ $call_type->calltype_text }}">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="user_call_type_{{ $call_type->cid }}" name="assignable_calltypes[]" value="{{ $call_type->cid }}" {{ $checked }}>
                                <label class="custom-control-label" for="user_call_type_{{ $call_type->cid }}">{{ $call_type->calltype_text }}</label>
                            </div>
                        </div>
                        <?php 
                            $total_rows++;
                        ?>
                        @if(($total_rows)%2 == 0)
                            </div>
                            <div class="form-row">
                        @endif

                    @endforeach
                </div>
            </div>
            <input type="hidden" id="company_id" name="company_id" value="{{ $company->coid }}">
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="submit_form">Save</button>
    </div>
    </fieldset>
</form>

<script>
    $(function () {
        $('.call_type_scripts').popover({
            html: true
        });
    });
    $('body').on('click', function (e) {
        $(".call_type_scripts").each(function () {
            if (!$(this).is(e.target) && $(this).has(e.target).length === 0 && $('.popover').has(e.target).length === 0) {
                $(this).popover('hide');
            }
        });
    });
</script>