@php
    $crm_link = '';
    if (!empty($company->crm_link) && !empty($record->vin_solutions_id)) {
        $crm_link = str_replace('{{id}}', $record->vin_solutions_id, trim($company->crm_link));
    }
@endphp

<form method="POST" id="make_call_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    @csrf
    <div class="modal-header" style="background-color: #1F497D;color: #fff">
        <h5 class="modal-title" id="CompanyDetailsModal">
            Making call for {{ $company->co_name }}
            <span class="btn btn-danger"><span id="call_timer">{{ $time_on_call }}</span> <i class="far fa-clock"></i></span>

            @if($record->urgent_note != '')
                &nbsp;&nbsp; <i class="fas fa-exclamation-triangle fa-2x cursorpointer" style="color:#ff5454" title="Urgent" aria-hidden="true" onclick="showUrgentNote('{{ $record->urgent_note }}');"></i>
            @endif
            
        </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close" style="color: #fff">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content" style="font-size: 12px">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            
            <fieldset class="call_form_fieldset">
                <legend class="call_form_legend">General Information</legend>
                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="caller_id" style="font-weight: bold;">{{ __('Your Caller ID Should be:') }}</label>
                        <div id="caller_id">{{ $caller_id }}</div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="owner" style="font-weight: bold;">{{ __('Owner:') }}</label>
                        <div id="owner"></div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="service_mgr_name" style="font-weight: bold;">{{ __('Service Manager:') }}</label>
                        <div id="service_mgr_name">{{ $company->service_mgr_name }}</div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="sales_mgr_name" style="font-weight: bold;">{{ __('Sales Manager:') }}</label>
                        <div id="sales_mgr_name">{{ $company->sales_mgr_name }}</div>
                    </div>
                    <div class="form-group col-md-1">
                        <label for="service_phone" style="font-weight: bold;">{{ __('Service Phone:') }}</label>
                        <div id="service_phone">{{ $company->service_phone }}</div>
                    </div>
                    <div class="form-group col-md-1">
                        <label for="sales_phone" style="font-weight: bold;">{{ __('Sales Phone:') }}</label>
                        <div id="sales_phone">{{ $company->sales_phone }}</div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="dealer_website" style="font-weight: bold;">{{ __('Dealer Website:') }}</label>
                        <div id="dealer_website">{{ $company->dealer_website }}</div>
                    </div>
                </div>

                <div class="form-row">
                    <?php $hidden_input = ($record->sales_rep != '')? '':';display:none' ?>
                    <div class="form-group col-md-3" style="{{$hidden_input}}">
                        <label for="sales_rep" style="font-weight: bold;">{{ __('Sales Rep') }}</label>
                        <input type="text" id="sales_rep" name="sales_rep" class="form-control form-control-sm need-validation-inputs" placeholder="Sales Rep" value="{{ $record->sales_rep }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a sales rep.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_advisor != '')? '':';display:none' ?>
                    <div class="form-group col-md-3" style="{{$hidden_input}}">
                        <label for="service_advisor" style="font-weight: bold;">{{ __('Service Advisor') }}</label>
                        <input type="text" id="service_advisor" name="service_advisor" class="form-control form-control-sm need-validation-inputs" placeholder="Service Advisor" value="{{ $record->service_advisor }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service advisor.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->sale_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="{{$hidden_input}}">
                        <label for="sale_date" style="font-weight: bold;">{{ __('Sale Date') }}</label>
                        <input type="text" id="sale_date" name="sale_date" class="form-control form-control-sm need-validation-inputs" placeholder="Sale Date" value="{{ $record->sale_date }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a sale date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->sale_apt_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="{{$hidden_input}}">
                        <label for="sale_apt_date" style="font-weight: bold;">{{ __('Sales Apt Date') }}</label>
                        <input type="text" id="sale_apt_date" name="sale_apt_date" class="form-control form-control-sm need-validation-inputs" placeholder="Sales Apt Date" value="{{ $record->sale_apt_date }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide an appointment date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="{{$hidden_input}}">
                        <label for="service_date" style="font-weight: bold;">{{ __('Service Date') }}</label>
                        <input type="text" id="service_date" name="service_date" class="form-control form-control-sm need-validation-inputs" placeholder="Service Date" value="{{ $record->service_date }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->lead_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="{{$hidden_input}}">
                        <label for="lead_date" style="font-weight: bold;">{{ __('Lead Date') }}</label>
                        <input type="text" id="lead_date" name="lead_date" class="form-control form-control-sm need-validation-inputs" placeholder="Lead Date" value="{{ $record->lead_date }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a lead date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_apt_date != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="{{$hidden_input}}">
                        <label for="service_apt_date" style="font-weight: bold;">{{ __('Service Apt Date') }}</label>
                        <input type="text" id="service_apt_date" name="service_apt_date" class="form-control form-control-sm need-validation-inputs" placeholder="Service Apt Date" value="{{ $record->service_apt_date }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service appointment date.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_apt_time != '')? '':';display:none' ?>
                    <div class="form-group col-md-1" style="{{$hidden_input}}">
                        <label for="service_apt_time" style="font-weight: bold;">{{ __('Service Apt Time') }}</label>
                        <input type="text" id="service_apt_time" name="service_apt_time" class="form-control form-control-sm need-validation-inputs" placeholder="Service Apt Time" value="{{ $record->service_apt_time }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a service appointment time.
                        </div>
                    </div>
                </div>



                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="vehicle_year" style="font-weight: bold;">{{ __('Year') }}</label>
                        <input type="text" id="vehicle_year" name="vehicle_year" class="form-control form-control-sm need-validation-inputs" placeholder="Year" value="{{ $record->vehicle_year }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle year.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="vehicle_make" style="font-weight: bold;">{{ __('Make') }}</label>
                        <input type="text" id="vehicle_make" name="vehicle_make" class="form-control form-control-sm need-validation-inputs" placeholder="Make" value="{{ $record->vehicle_make }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle make.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="vehicle_model" style="font-weight: bold;">{{ __('Model') }}</label>
                        <input type="text" id="vehicle_model" name="vehicle_model" class="form-control form-control-sm need-validation-inputs" placeholder="Model" value="{{ $record->vehicle_model }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle model.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="vin" style="font-weight: bold;">{{ __('VIN') }}</label>
                        <input type="text" id="vin" name="vin" class="form-control form-control-sm need-validation-inputs" placeholder="VIN" value="{{ $record->vin }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the VIN.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->oil_type != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="{{$hidden_input}}">
                        <label for="oil_type" style="font-weight: bold;">{{ __('Oil Type') }}</label>
                        <input type="text" id="oil_type" name="oil_type" class="form-control form-control-sm need-validation-inputs" placeholder="Oil Type" value="{{ $record->oil_type }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the oil type.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->miles != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="{{$hidden_input}}">
                        <label for="miles" style="font-weight: bold;">{{ __('Last Miles') }}</label>
                        <input type="text" id="miles" name="miles" class="form-control form-control-sm need-validation-inputs" placeholder="Last Miles" value="{{ $record->miles }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the last miles.
                        </div>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-2">
                        <label for="trade_year" style="font-weight: bold;">{{ __('Trade Year') }}</label>
                        <input type="text" id="trade_year" name="trade_year" class="form-control form-control-sm need-validation-inputs" placeholder="Trade Year" value="{{ $record->trade_year }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle year.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="trade_make" style="font-weight: bold;">{{ __('Trade Make') }}</label>
                        <input type="text" id="trade_make" name="trade_make" class="form-control form-control-sm need-validation-inputs" placeholder="Trade Make" value="{{ $record->trade_make }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle make.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="trade_model" style="font-weight: bold;">{{ __('Trade Model') }}</label>
                        <input type="text" id="trade_model" name="trade_model" class="form-control form-control-sm need-validation-inputs" placeholder="Trade Model" value="{{ $record->trade_model }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide a vehicle model.
                        </div>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="trade_vin" style="font-weight: bold;">{{ __('Trade VIN') }}</label>
                        <input type="text" id="trade_vin" name="trade_vin" class="form-control form-control-sm need-validation-inputs" placeholder="Trade VIN" value="{{ $record->trade_vin }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the Trade VIN.
                        </div>
                    </div>
                </div>


                <div class="form-row">
                    <?php $hidden_input = ($record->sale_source != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="{{$hidden_input}}">
                        <label for="sale_source" style="font-weight: bold;">{{ __('Sale Source') }}</label>
                        <input type="text" id="sale_source" name="sale_source" class="form-control form-control-sm need-validation-inputs" placeholder="Sale Source" value="{{ $record->sale_source }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the sale source.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->service_source != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="{{$hidden_input}}">
                        <label for="service_source" style="font-weight: bold;">{{ __('Service Source') }}</label>
                        <input type="text" id="service_source" name="service_source" class="form-control form-control-sm need-validation-inputs" placeholder="Service Source" value="{{ $record->service_source }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the service source.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->sale_status != '')? '':';display:none' ?>
                    <div class="form-group col-md-2" style="{{$hidden_input}}">
                        <label for="sale_status" style="font-weight: bold;">{{ __('Sale Status') }}</label>
                        <input type="text" id="sale_status" name="sale_status" class="form-control form-control-sm need-validation-inputs" placeholder="Sale Status" value="{{ $record->sale_status }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the sale status.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->vehicle_type != '')? '':';display:none' ?>
                    <div class="form-group col-md-3" style="{{$hidden_input}}">
                        <label for="vehicle_type" style="font-weight: bold;">{{ __('Vehicle Type') }}</label>
                        <input type="text" id="vehicle_type" name="vehicle_type" class="form-control form-control-sm need-validation-inputs" placeholder="Vehicle Type" value="{{ $record->vehicle_type }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the VIN.
                        </div>
                    </div>
                    <?php $hidden_input = ($record->vin_solutions_link != '')? ';display: flex':';display:none' ?>
                    <div class="form-group col-md-3" style="{{$hidden_input}};align-items: end;">
                        <div>
                            <a class="btn btn-primary" id="vin_solutions_link" href="{{ $record->vin_solutions_link }}?VIN={{ $record->vin }}" target="_blank">VIN Solutions</a>
                        </div>
                    </div>
                </div>
                <?php $hidden_input = ($record->toyota_care_visits != '')? '':';display:none' ?>
                <div class="form-row" style="{{$hidden_input}}">
                    <div class="form-group col-md-12">
                        <label for="toyota_care_visits" style="font-weight: bold;">{{ __('ToyotaCare Visits') }}</label>
                        <input type="text" id="toyota_care_visits" name="toyota_care_visits" class="form-control form-control-sm need-validation-inputs" placeholder="ToyotaCare Visits" value="{{ $record->toyota_care_visits }}" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide the toyota care visits.
                        </div>
                    </div>
                </div>
            </fieldset>
            <div class="form-row">
                <div class="form-group col-md-12">
                    &nbsp;
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-3">
                    <fieldset class="call_form_fieldset" id="customer_information_form">
                        <legend class="call_form_legend">Customer Information &nbsp;&nbsp;<span class="cursorpointer" id="lock_icon_span" onclick="lockUnlockForm(event, 'customer_information_form')"><i class="fas fa-lock"></i></span></legend>
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="customer_id" style="font-weight: bold;">{{ __('Customer ID') }}</label>
                                <div class="input-group">
                                    <input type="text" id="customer_id" name="customer_id" class="form-control form-control-sm need-validation-inputs" placeholder="Customer ID" value="{{ $record->customer_id }}" maxlength="191">
                                    <div class="input-group-append">
                                        @if (!empty($crm_link))
                                            <a href="{{ $crm_link }}" style="height:calc(1.5em + 0.5rem)" target="_blank" class="btn btn-primary">VIN solutions</a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="first_name" style="font-weight: bold;">{{ __('First Name') }}</label>
                                <input type="text" id="first_name" name="first_name" class="form-control form-control-sm need-validation-inputs" placeholder="First Name" value="{{ $record->first_name }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer first name.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="last_name" style="font-weight: bold;">{{ __('Last Name') }}</label>
                                <input type="text" id="last_name" name="last_name" class="form-control form-control-sm need-validation-inputs" placeholder="Last Name" value="{{ $record->last_name }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer last name.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="address" style="font-weight: bold;">{{ __('Address') }}</label>
                                <input type="text" id="address" name="address" class="form-control form-control-sm need-validation-inputs" placeholder="Address" value="{{ $record->address }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer address.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="city" style="font-weight: bold;">{{ __('City') }}</label>
                                <input type="text" id="city" name="city" class="form-control form-control-sm need-validation-inputs" placeholder="City" value="{{ $record->city }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer city.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="state" style="font-weight: bold;">{{ __('State') }}</label>
                                <input type="text" id="state" name="state" class="form-control form-control-sm need-validation-inputs" placeholder="State" value="{{ $record->state }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer state.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="zip" style="font-weight: bold;">{{ __('Zip') }}</label>
                                <input type="text" id="zip" name="zip" class="form-control form-control-sm need-validation-inputs" placeholder="Zip" value="{{ $record->zip }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer zip.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = (isset($gdnc_phones[$record->phone]) || isset($ddnc_phones[$record->phone]))? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-10">
                                <label for="phone" style="font-weight: bold;">{{ __('Phone') }}</label>
                                <input type="text" id="phone" name="phone" class="form-control form-control-sm need-validation-inputs" placeholder="Phone" value="{{ $record->phone }}" style="{{ $background_color }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer phone.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="phone_bp" style="font-weight: bold;">{{ __('BP') }}</label>
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="phone_bp" name="phone_bp" value="1" onclick="setBestPhoneValue('phone_bp');">
                                  <label class="custom-control-label" for="phone_bp" style="font-weight: bold;"></label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = (isset($gdnc_phones[$record->cellphone]) || isset($ddnc_phones[$record->cellphone]))? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-10">
                                <label for="cellphone" style="font-weight: bold;">{{ __('Cell Phone') }}</label>
                                <div class="input-group input-group-sm">
                                    <input type="text" id="cellphone" name="cellphone" class="form-control form-control-sm need-validation-inputs" placeholder="Cell Phone" value="{{ $record->cellphone }}" style="{{ $background_color }}" maxlength="191">
                                    <div class="input-group-append">
                                        <button class="btn btn-success" onclick="startConversationFromCall(event, '{{ Auth::id() }}', 0, '{{ $company->coid }}', 'make_call_form')"><i class="fas fa-sms"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="cellphone_bp" style="font-weight: bold;">{{ __('BP') }}</label>
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="cellphone_bp" name="cellphone_bp" value="1" onclick="setBestPhoneValue('cellphone_bp');">
                                  <label class="custom-control-label" for="cellphone_bp" style="font-weight: bold;"></label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = (isset($gdnc_phones[$record->best_phone]) || isset($ddnc_phones[$record->best_phone]))? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-12">
                                <label for="best_phone" style="font-weight: bold;">{{ __('Best Phone') }}</label>
                                <input type="text" id="best_phone" name="best_phone" class="form-control form-control-sm need-validation-inputs" placeholder="Best Phone" value="{{ $record->best_phone }}" style="{{ $background_color }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the customer best phone.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $background_color = ($has_dne == 1)? 'background:#ffb3b3;' : ''; ?>
                            <div class="form-group col-md-12">
                                <label for="email" style="font-weight: bold;">{{ __('Email') }}</label>
                                <div class="input-group input-group-sm">
                                    <input type="email" id="email" name="email" class="form-control form-control-sm need-validation-inputs" placeholder="Email" value="{{ $record->email }}" style="{{ $background_color }}" maxlength="191">
                                    <div class="input-group-append">
                                        <button class="btn btn-info" onclick="sendCustomerEmailDialog(event, '{{ $company->coid }}', 'make_call_form', '{{ $transaction_type }}', '{{ $record->id }}')"><i class="fas fa-paper-plane"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @php 
                            $date_of_birth = !empty($record->date_of_birth) ? date('m/d/Y', strtotime($record->date_of_birth)) : '';
                            $month_of_birth = !empty($record->date_of_birth) ? date('m', strtotime($record->date_of_birth)) : '';
                            $current_month = date('m');
                            $background_color = !empty($date_of_birth) && ($month_of_birth == $current_month)? 'background:#ffb3b3;' : '';
                        @endphp
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="date_of_birth" style="font-weight: bold;">{{ __('Date of Birth') }}</label>
                                <input type="text" id="date_of_birth" name="date_of_birth" class="form-control form-control-sm need-validation-inputs" placeholder="Date of Birth" value="{{ $date_of_birth }}" style="{{ $background_color }}" maxlength="191" readonly>
                                <div class="invalid-feedback">
                                    Please provide the customer date of birth.
                                </div>
                            </div>
                        </div>


                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="ro_number" style="font-weight: bold;">{{ __('RO Number') }}</label>
                                <input type="text" id="ro_number" name="ro_number" class="form-control form-control-sm need-validation-inputs" placeholder="RO Number" value="{{ $record->ro_number }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your ro number.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $checked = (isset($gdnc_phones[$record->phone]) || isset($gdnc_phones[$record->cellphone]) || isset($gdnc_phones[$record->best_phone]))? 'checked' : ''; ?>
                            <div class="form-group col-md-4">
                                <div class="custom-control custom-checkbox" style="display: flex;align-items: end;">
                                  <input type="checkbox" class="custom-control-input" id="cc_dnc" name="cc_dnc" {{ $checked }} value="1">
                                  <label class="custom-control-label" for="cc_dnc" style="font-weight: bold;">CC DNC</label>
                                </div>
                            </div>
                            <?php $checked = (isset($ddnc_phones[$record->phone]) || isset($ddnc_phones[$record->cellphone]) || isset($ddnc_phones[$record->best_phone]))? 'checked' : ''; ?>
                            <div class="form-group col-md-4">
                                <div class="custom-control custom-checkbox" style="display: flex;align-items: end;">
                                  <input type="checkbox" class="custom-control-input" id="d_dnc" name="d_dnc" {{ $checked }} value="1">
                                  <label class="custom-control-label" for="d_dnc" style="font-weight: bold;">Dealer DNC</label>
                                </div>
                            </div>
                            <div class="form-group col-md-4">
                                <div class="custom-control custom-checkbox" style="display: flex;align-items: end;">
                                  <input type="checkbox" class="custom-control-input" id="dne" name="dne" value="1">
                                  <label class="custom-control-label" for="dne" style="font-weight: bold;">DNE</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $hidden_input = ($record->tc_exp_date != '')? '':';display:none' ?>
                            <div class="form-group col-md-12" style="{{$hidden_input}}">
                                <label for="tc_exp_date" style="font-weight: bold;">{{ __('TC Exp Date') }}</label>
                                <input type="text" id="tc_exp_date" name="tc_exp_date" class="form-control form-control-sm need-validation-inputs" placeholder="TC Exp Date" value="{{ $record->tc_exp_date }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the toyota care expiration date.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <?php $hidden_input = ($record->tc_exp_date != '')? '':';display:none' ?>
                            <div class="form-group col-md-12" style="{{$hidden_input}}">
                                <label for="service_visit_notes" style="font-weight: bold;">{{ __('Service Visit Notes') }}</label>
                                <div>
                                    {{ $record->service_visit_notes }}
                                </div>
                            </div>
                        </div>
                    </fieldset>
                </div>
                <div class="form-group col-md-6">
                    <fieldset class="call_form_fieldset">
                        <legend class="call_form_legend">Call Information</legend>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="call_type_id" style="font-weight: bold;">{{ __('Call Type') }}</label>
                                <div class="input-group">

                                    @if($record->call_type_id != '')
                                        <input type="hidden" id="call_type_id" name="call_type_id" class="form-control form-control-sm" value="{{ $record->call_type_id }}">
                                        <select class="form-control form-control-sm need-validation-inputs" id="call_type_id" name="call_type_id" onchange="getCallTimes(event, '{{ $call_coid }}');setCallTypeScriptDialog(event, '{{ $company->coid }}', '{{ $transaction_type }}', '{{ $record->id }}')" required disabled>
                                            <option value="">Select</option>
                                            @include('inputs.select_options', ['options' => $call_type_options, 'value_selected' => $record->call_type_id])
                                        </select>
                                    @else
                                        <select class="form-control form-control-sm need-validation-inputs" id="call_type_id" name="call_type_id" onchange="getCallTimes(event, '{{ $call_coid }}');setCallTypeScriptDialog(event, '{{ $company->coid }}', '{{ $transaction_type }}', '{{ $record->id }}')" required>
                                            <option value="">Select</option>
                                            @include('inputs.select_options', ['options' => $call_type_options, 'value_selected' => $record->call_type_id])
                                        </select>
                                    @endif

                                    
                                    <div class="input-group-append">
                                        <button class="btn btn-success btn-sm" id="call_script_popover" data-toggle="popover" title="Script" data-content="No content set." onclick="showCallTypeScript(event)" onmouseover="preventDefaultBehavior(event);"><i class="fas fa-scroll"></i></button>
                                    </div>
                                </div>
                                <div class="invalid-feedback">
                                    Please select a call type.
                                </div>
                            </div>

                            <div class="form-group col-md-4" style="display: flex;align-items: end;">
                                <div>
                                    <strong>{{ __('Previously called') }}</strong>
                                    @if(isset($record->livecall_count))
                                        <input type="text" id="times_called" name="times_called" class="form-control form-control-sm" style="width: 30px;display:inline;" value="{{ $record->livecall_count }}" readonly>
                                    @else
                                        <input type="text" id="times_called" name="times_called" class="form-control form-control-sm" style="width: 30px;display:inline;" value="{{ $record->times_called }}" readonly>
                                    @endif 
                                    <strong>of</strong> <input type="text" id="times_to_call" name="times_to_call" class="form-control form-control-sm" style="width: 30px;display:inline;" value="{{ $call_times }}"> <strong>times</strong>
                                </div>
                                
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <?php 
                                    $color = ($call_history->count() > 0)? '#38c172' : '#ff8080';
                                    $onmouseover = ($call_history->count() > 0)? 'onmouseover="ccShowScriptToolTip(event,\'call_history_div_tooltip\')" onmouseout="ccShowScriptToolTip(event,\'call_history_div_tooltip\')"' : '';
                                ?>
                                <label for="call_history" style="font-weight: bold;color:{{ $color }}" class="cursorpointer" onclick="getCallHistoryDetails(event, 'call', 'call_history_div')" <?php print($onmouseover); ?> >{{ __('Call History') }} <i class="fas fa-search-plus font-16"></i></label>
                                
                                @if($call_history->count() > 0)
                                    <div>
                                        Last Call: {{ $last_call_date }} - {{ $last_call_type }}
                                    </div>
                                @endif

                                <div id="call_history_div" style="display:none">
                                    @if($call_history->count() > 0)
                                        <table class="table table-striped font-11">
                                            <thead>
                                                <tr>
                                                    <th>Customer</th>
                                                    <th>VIN</th>
                                                    <th>Date</th>
                                                    <th>Call Type</th>
                                                    <th>Customer Status</th>
                                                    <th>Notes</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                    @endif
                                    @foreach($call_history as $history)
                                        <tr id="call_history_row_{{ $history->id }}">
                                            <td id="call_history_name_{{ $history->id }}">{{ $history->fname }} {{ $history->lname }}</td>
                                            <td>{{ $history->vin }}</td>
                                            <td>{{ date('m/d/Y', strtotime($history->lastupdate)) }}</td>
                                            <td>{{ $calltypes_names[$history->livecall_prev_calltype] }}</td>
                                            <td>
                                                @if(isset($customer_status[$history->customer_status]))
                                                    {{ $customer_status[$history->customer_status] }}
                                                @endif
                                            </td>
                                            <td><?php print($history->caller_comments); ?></td>
                                        </tr>
                                    @endforeach
                                    @if($call_history->count() > 0)
                                            </tbody>
                                        </table>
                                    @endif
                                </div>

                                <div id="call_history_div_tooltip" style="display:none; z-index: 9999999999;position: fixed;background-color: #fff; border: 3px solid gray;border-radius: 5px;max-width: 700px">
                                    @if($call_history->count() > 0)
                                        <table class="table table-striped font-11">
                                            <thead>
                                                <tr>
                                                    <th>Customer</th>
                                                    <th>VIN</th>
                                                    <th>Date</th>
                                                    <th>Call Type</th>
                                                    <th>Customer Status</th>
                                                    <th width="200">Notes</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                    @endif
                                    @foreach($call_history as $history)
                                        <tr id="call_history_row_{{ $history->id }}">
                                            <td id="call_history_name_{{ $history->id }}">{{ $history->fname }} {{ $history->lname }}</td>
                                            <td>{{ $history->vin }}</td>
                                            <td>{{ date('m/d/Y', strtotime($history->lastupdate)) }}</td>
                                            <td>{{ $calltypes_names[$history->livecall_prev_calltype] }}</td>
                                            <td>
                                                @if(isset($customer_status[$history->customer_status]))
                                                    {{ $customer_status[$history->customer_status] }}
                                                @endif
                                            </td>
                                            <td><?php print($history->caller_comments); ?></td>
                                        </tr>
                                    @endforeach
                                    @if($call_history->count() > 0)
                                            </tbody>
                                        </table>
                                    @endif
                                </div>

                            </div>
                            <div class="form-group col-md-6">
                                <?php 
                                    $color = ($service_history->count() > 0)? '#38c172' : '#ff8080';
                                ?>
                                <label for="service_history" style="font-weight: bold;color:{{ $color }}" class="cursorpointer" onclick="getCallHistoryDetails(event, 'service', 'service_history_div')">{{ __('Service History') }} <i class="fas fa-search-plus font-16"></i></label>
                                

                                <div id="service_history_div" style="display:none">
                                    @if($service_history->count() > 0)
                                        <table class="table table-striped font-11">
                                            <thead>
                                                <tr>
                                                    <th>Customer</th>
                                                    <th>VIN</th>
                                                    <th>Phone</th>
                                                    <th>Date</th>
                                                    <th>Customer Status</th>
                                                    <th>Notes</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                    @endif
                                    @foreach($service_history as $history)
                                        <tr id="call_history_row_{{ $history->id }}">
                                            <td id="call_history_name_{{ $history->id }}">{{ $history->fname }} {{ $history->lname }}</td>
                                            <td>{{ $history->vin }}</td>
                                            <td>{{ preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $history->phone) }}</td>
                                            <td>{{ date('m/d/Y', strtotime($history->service_date)) }}</td>
                                            <td>{{ $customer_status[$history->customer_status] }}</td>
                                            <td><?php print($history->caller_comments); ?></td>
                                        </tr>
                                    @endforeach
                                    @if($service_history->count() > 0)
                                            </tbody>
                                        </table>
                                    @endif
                                </div>
                            </div>
                        </div>

                        
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="call_status_id" style="font-weight: bold;">{{ __('Call Status') }}</label>
                                <select class="form-control form-control-sm need-validation-inputs" id="call_status_id" name="call_status_id" onchange="setDefaultCallStatus(event)" required>
                                    <option value="">Select</option>
                                    @if(isset($record->livecall_status))
                                        <?php $call_status_id = $record->livecall_status; ?>
                                    @else
                                        <?php $call_status_id = $record->call_status_id; ?>
                                    @endif

                                    @include('inputs.select_options', ['options' => $call_status_options, 'value_selected' => $call_status_id])
                                </select>
                                <div class="invalid-feedback">
                                    Please select a call status.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="customer_status_id" style="font-weight: bold;">{{ __('Customer Status') }}</label>
                                <select class="form-control form-control-sm need-validation-inputs" id="customer_status_id" name="customer_status_id" onchange="checkRequireAlert(event)" required>
                                    <option value="">Select</option>

                                    @if(isset($record->customer_status))
                                        <?php $customer_status_id = $record->customer_status; ?>
                                    @else
                                        <?php $customer_status_id = $record->customer_status_id; ?>
                                    @endif


                                    @include('inputs.select_options', ['options' => $customer_status_options, 'value_selected' => $customer_status_id])
                                </select>
                                <div class="invalid-feedback">
                                    Please select a customer status.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <div>
                                    <div class="custom-control custom-checkbox">
                                      <input type="checkbox" class="custom-control-input" id="needs_attention" name="needs_attention" value="1">
                                      <label class="custom-control-label" for="needs_attention" style="font-weight: bold;">Needs attention</label>
                                    </div>
                                </div>
                                <div style="font-weight: bold;">
                                    Alert
                                </div>
                                <div>
                                    <div class="custom-control custom-checkbox">
                                      <input type="checkbox" class="custom-control-input" id="send_alert" name="send_alert" value="1">
                                      <label class="custom-control-label" for="send_alert" style="font-weight: bold;">Send alert</label>
                                    </div>
                                </div>
                                <div>
                                    <div class="custom-control custom-checkbox">
                                      <input type="checkbox" class="custom-control-input" id="cc_alert_only" name="cc_alert_only" value="1" onclick="checkSendAlertCB(event)">
                                      <label class="custom-control-label" for="cc_alert_only" style="font-weight: bold;">Send to cc ONLY</label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="salesrep_cc_alert" style="font-weight: bold;">{{ __('CC alert to:') }}</label>
                                <?php print($salesrep_select); ?>
                                <div class="invalid-feedback">
                                    Please select cc alert.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <div class="form-row">
                                    <?php $total_rows = 1; ?>
                                    @foreach($standard_comments as $st_comment)
                                        <div class="form-group col-md-3" style="margin-bottom: 0px;">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input station_hour_class" id="{{ $st_comment->id }}_comment" name="{{ $st_comment->id }}_comment" value="1" onclick="addCommentToBox('{{ $st_comment->id }}')">
                                                <label class="custom-control-label" for="{{ $st_comment->id }}_comment">{{ $st_comment->name }}</label>
                                            </div>
                                            <input type="hidden" id="{{ $st_comment->id }}_standard_comment" name="{{ $st_comment->id }}_standard_comment" value="{{ $st_comment->content }}">
                                        </div>

                                        @if(($total_rows)%4 == 0)
                                            </div>
                                            <div class="form-row">
                                        @endif
                                        <?php $total_rows++; ?>
                                    @endforeach
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                &nbsp;
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                @if(isset($record->caller_comments))
                                    <p><?php print($record->caller_comments); ?></p>
                                @endif
                                @if(isset($record->notes))
                                    <p><?php print($record->notes); ?></p>
                                @endif
                            </div>
                            <div class="form-group col-md-6">
                                @if(isset($record->private_comments))
                                    <p><?php print($record->private_comments); ?></p>
                                @endif
                                @if(isset($record->call_notes))
                                    <p><?php print($record->call_notes); ?></p>
                                @endif
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="notes" style="font-weight: bold;">{{ __('Caller Comments') }}</label>
                                <textarea id="notes" name="notes" class="form-control form-control-sm need-validation-inputs"></textarea>
                                <div class="invalid-feedback">
                                    Please set the caller comments.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="private_notes" style="font-weight: bold;">{{ __('Private Comments') }}</label>
                                <textarea id="private_notes" name="private_notes" class="form-control form-control-sm need-validation-inputs">{{ $record->private_notes }}</textarea>
                                <div class="invalid-feedback">
                                    Please set the private comments.
                                </div>
                            </div>
                        </div>


                        <div class="form-row">
                            <div class="form-group col-md-4" style="display: flex;align-items: end;">
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="next_call_scheduled" name="next_call_scheduled" value="1" onclick="scheduleNextCall(event)">
                                  <label class="custom-control-label" for="next_call_scheduled" style="font-weight: bold;">Schedule next call</label>
                                </div>
                            </div>
                            <div class="form-group col-md-4 next_call_class" style="display: none;">
                                <label for="next_call_type_id" style="font-weight: bold;">{{ __('Next Call Type') }}</label>
                                <select class="form-control form-control-sm need-validation-inputs" id="next_call_type_id" name="next_call_type_id">
                                    <option value="">Select</option>
                                    @include('inputs.select_options', ['options' => $call_type_options, 'value_selected' => '3'])
                                </select>
                                <div class="invalid-feedback">
                                    Please select a call type.
                                </div>
                            </div>

                            <div class="form-group col-md-4 next_call_class" style="display: none;">
                                <label for="next_call_date" style="font-weight: bold;">{{ __('Scheduled for') }}</label>
                                <input type="text" id="next_call_date" name="next_call_date" class="form-control form-control-sm need-validation-inputs date_inputs" placeholder="Next Call Date" value="{{ date('m/d/Y', strtotime(date('Y-m-d').' + 135 days')) }}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your ro number.
                                </div>
                            </div>

                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-4" style="display: flex;align-items: end;">
                                <div class="custom-control custom-checkbox">
                                  <input type="checkbox" class="custom-control-input" id="reminder_set" name="reminder_set" value="1">
                                  <label class="custom-control-label" for="reminder_set" style="font-weight: bold;">Set reminder for this customer</label>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                </div>
                <div class="form-group col-md-3">
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            @if($survey_table != '')
                                <fieldset class="call_form_fieldset">
                                    <legend class="call_form_legend">Survey Questions</legend>
                                    <?php print($survey_table); ?>
                                </fieldset>
                            @endif
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <fieldset class="call_form_fieldset">
                                <legend class="call_form_legend">Dealership Information</legend>
                                <div class="card">
                                  <div class="card-header">
                                    <ul class="nav nav-tabs card-header-tabs">
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link active" href="#dealer_message">Message</a>
                                      </li>
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link" href="#dealer_links">Links</a>
                                      </li>
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link" href="#dealer_services">Services</a>
                                      </li>
                                      <li class="nav-item">
                                        <a data-toggle="pill" class="nav-link" href="#team_members">Team</a>
                                      </li>
                                    </ul>
                                  </div>
                                  <div class="card-body" style="overflow: auto;background-color: #f8fafc">
                                    <div class="tab-content">
                                        <div id="dealer_message" class="tab-pane active">
                                          <p><strong>DEALER MESSAGE</strong></p>
                                          <p><?php print($dealer_message); ?></p>
                                        </div>
                                        <div id="dealer_links" class="tab-pane fade">
                                          <p><strong>DEALER LINKS</strong></p>
                                          <p>
                                            <table class="table table-striped">
                                                <tbody>
                                                @foreach($dealer_links as $link)
                                                    <tr id="link_row_{{ $link->uid }}">
                                                        <td id="link_name_{{ $link->uid }}">
                                                            <a href="{{ $link->url }}" target="_blank">{{ $link->title }}</a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                          </p>
                                        </div>
                                        <div id="dealer_services" class="tab-pane fade">
                                          <p><strong>DEALER SERVICES</strong></p>
                                          <p>
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Department</th>
                                                        <th>Title</th>
                                                        <th>Price</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($dealer_services as $service)
                                                    <tr id="service_row_{{ $service->uid }}">
                                                        <td id="service_name_{{ $service->uid }}">{{ $dealer_departments[$service->did] }}</td>
                                                        <td><a href="{{ $service->url_link }}" target="_blank">{{ $service->title }}</a></td>
                                                        <td>${{ $service->price }}</td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                          </p>
                                        </div>
                                        <div id="team_members" class="tab-pane fade">
                                          <p><strong>TEAM MEMBERS</strong></p>
                                          <p>
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th>Name</th>
                                                        <th>Email</th>
                                                        <th>Phone</th>
                                                        <th>Cell Phone</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($dealer_salesrep as $salesrep)
                                                    <tr id="salesrep_row_{{ $salesrep->id }}">
                                                        <td id="salesrep_name_{{ $salesrep->id }}">{{ $salesrep->fname }} {{ $salesrep->lname }}</td>
                                                        <td>{{ $salesrep->email }}</td>
                                                        <td>{{ $salesrep->phone }}</td>
                                                        <td>{{ $salesrep->cellphone }}</td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                          </p>
                                        </div>
                                    </div>
                                  </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <input type="hidden" id="transaction_type" name="transaction_type" value="{{ $transaction_type }}">
        <input type="hidden" id="coid" name="coid" value="{{ $call_coid }}">
        <input type="hidden" id="record_id" name="record_id" value="{{ $record->id }}">
        <input type="hidden" id="customer_status_require_alert_list" name="customer_status_require_alert_list" value="{{ $customer_status_require_alert_list }}">
        <input type="hidden" name="time_on_call" id="time_on_call" value="{{ $time_on_call }}">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary" id="submit_call_button" onclick="saveCall(event)">Save</button>
    </div>
    </fieldset>
</form>

<script>
    $('.date_inputs').datepicker({
        language: "en",
        autoclose: true
    });
    @if($record->call_type_id != '')
        setCallTypeScriptDialog(null, '{{ $call_coid }}', '{{ $transaction_type }}', '{{ $record->id }}');
    @endif

    @if($record->urgent_note != '')
        showUrgentNote('{{ $record->urgent_note }}');
    @endif
</script>

