<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">Customer records</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        @if( $records->count() > 0 )
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Customer</th>
                        <th>Date Added</th>
                        <th>Last update</th>
                        <th>Call due</th>
                        <th>Call Type</th>
                        <th>Open</th>
                    </tr>
                </thead>
                <tbody>
            @foreach ( $records as $record )
                <tr>
                    <td>{{ $record->fname }} {{ $record->lname }}</td>
                    <td>{{ date('m/d/Y', strtotime( $record->dateadded ) ) }}</td>
                    <td>
                        @if ( ! empty( $record->lastupdate ) && $record->lastupdate != '0000-00-00 00:00:00' )
                            {{ date('m/d/Y H:i:s', strtotime( $record->lastupdate ) ) }}
                        @endif
                    </td>
                    <td>
                        @if ( ! empty( $record->remind ) && $record->remind != '0000-00-00' )
                            {{ date('m/d/Y', strtotime( $record->remind ) ) }}
                        @endif
                    </td>
                    <td>
                        <?php
                            $calltype_id = ( ! empty( $record->livecall_prev_calltype ) )? $record->livecall_prev_calltype : $record->livecall_next_calltype;
                        ?>
                        @if( ! empty( $calltype_texts[$calltype_id] ) )
                            {{ $calltype_texts[$calltype_id] }}
                        @endif
                    </td>
                    <td>
                        <a href="#" onclick="showCallDialog(event, '{{ $record->id }}', '{{ $coid }}','call_records', '{{ $calltype_id }}')">
                            <i class="fas fa-search" aria-hidden="true"></i>
                        </a>
                    </td>
                </tr>
            @endforeach
                </tbody>
            </table>
        @else
            No records found for this number.
        @endif
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>