<form method="POST" id="edit_available_hours_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    @csrf
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">Available Hours</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            <div class="alert alert-success" role="alert" id="schedule_change_request_success" style="display: none;">
            </div>
            <div class="alert alert-danger" role="alert" id="schedule_change_request_alert">
                @if($has_schedule_change_request == 1)
                    Your change of hours request for this date is under review.
                @elseif($caller_schedule->id > 0)
                    You already saved this schedule! If you need to request a change of hours you can do it <a href="#" onclick="requestScheduleChangeDialog(event, '{{ $caller_schedule->id }}')">here</a>.
                @else
                    IMPORTANT: All saved hours will require a change request in case you need to modify them.
                @endif
            </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="date_scheduled" class="col-sm-2 col-form-label"><strong>Date</strong></label>
                    <div class="col-sm-10">
                        <input type="text" readonly class="form-control-plaintext" id="date_scheduled" name="date_scheduled" required value="{{ $date_to_schedule }}">
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label for="available_hours">{{ __('Hours') }}</label>
                    <input type="text" id="available_hours" name="available_hours" class="form-control need-validation-inputs" placeholder="Hours" required value="{{ $caller_schedule->available_hours }}" maxlength="191" 
                        @if($caller_schedule->id > 0)
                            readonly
                        @endif
                    >
                    <div class="invalid-feedback">
                        Please provide the hours.
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="caller_notes">{{ __('Caller Notes') }}</label>
                    <textarea class="form-control" id="caller_notes" name="caller_notes" 
                        @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer')
                            readonly
                        @endif
                    >{{ $caller_schedule->caller_notes }}</textarea>
                    <div class="invalid-feedback">
                        Please provide the notes.
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="admin_notes">{{ __('Admin Notes') }}</label>
                    <textarea class="form-control" id="admin_notes" name="admin_notes" 
                        @if(Auth::user()->user_type->name == 'Full BDC Caller' || Auth::user()->user_type->name == 'Dealer Caller')
                            readonly
                        @endif
                    >{{ $caller_schedule->admin_notes }}</textarea>
                    <div class="invalid-feedback">
                        Please provide the admin notes.
                    </div>
                </div>
            </div>
        </div>
        <input type="hidden" name="caller_schedule_id" id="caller_schedule_id" value="{{ $caller_schedule->id }}">
        <input type="hidden" name="caller_schedule_user_id" id="caller_schedule_user_id" value="{{ $caller_schedule->user_id }}">
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="submit_form">Save</button>
    </div>
    </fieldset>
</form>