<div class="modal-header">
    <h5 class="modal-title">
        Services
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
        <form id="ib_sales_rep_form" name="ib_sales_rep_form">
            @csrf
            <table id="ib_sales_rep_list" class="table">
                <thead>
                    <tr>
                        <th class="headertags14px">Department</th>
                        <th class="headertags14px">Title</th>
                        <th class="headertags14px">Subtitle</th>
                        <th class="headertags14px">Price</th>
                        <th class="headertags14px">Description</th>
                        <th class="headertags14px">Disclaimer</th>
                        <th class="headertags14px">Start Date</th>
                        <th class="headertags14px">End Date</th>
                        <th class="headertags14px">Comments</th>
                        <th class="headertags14px">Url</th>
                        <th class="headertags14px">Icon</th>
                        <th class="headertags14px">Delete</th>
                     </tr>
                </thead>
                <tbody>
                        @foreach($services as $key => $value)
                            <tr>
                                <td>
                                    <input type="hidden" name="services_ids[]" value="{{ $value->uid }}">
                                    <select class="form-control need-validation-inputs" name="department[]" id="department_{{ $value->uid }}">
                                        <option value="">Select...</option>
                                        @foreach ( $departments_options as $option )
                                            @php
                                                $selected = $option->value == $value->did ? 'selected' : '';
                                            @endphp
                                            <option value="{{ $option->value }}" {{ $selected }}>{{ $option->text }}</option>
                                        @endforeach
                                    </select>
                                </td>
                                <td>
                                    <input type="text" name="title[]" class="form-control" placeholder="Title" value="{{ $value->title }}">
                                </td>
                                <td>
                                    <input type="text" name="subtitle[]" class="form-control" placeholder="Subtitle" value="{{ $value->subtitle }}">
                                </td>
                                <td>
                                    <input type="text" name="price[]" class="form-control" placeholder="Price" value="{{ $value->price }}">
                                </td>
                                <td>
                                    <textarea name="description[]" class="form-control" placeholder="Description">{{ $value->description }}</textarea>
                                </td>
                                <td>
                                    <textarea name="disclaimer[]" class="form-control" placeholder="Disclaimer">{{ $value->disclaimer }}</textarea>
                                </td>
                                <td>
                                    @php
                                        $start_date = ! empty( $value->startdate ) ? date('m/d/Y', strtotime( $value->startdate ) ) : '';
                                    @endphp
                                    <input type="text" name="startdate[]" class="form-control date_inputs" placeholder="Start Date" value="{{ $start_date }}">
                                </td>
                                <td>
                                    @php
                                        $end_date = ! empty( $value->expiredate ) ? date('m/d/Y', strtotime( $value->expiredate ) ) : '';
                                    @endphp
                                    <input type="text" name="expiredate[]" class="form-control date_inputs" placeholder="Expire Date" value="{{ $end_date }}">
                                </td>
                                <td>
                                    <textarea name="comments[]" class="form-control" placeholder="Comments">{{ $value->comments }}</textarea>
                                </td>
                                <td>
                                    <input type="text" name="url_link[]" class="form-control" placeholder="Url" value="{{ $value->url_link }}">
                                </td>
                                <td>
                                    @if( ! empty( $value->image ) )
                                        <img src="https://fullbdc.com/images/{{ $value->image }}" onclick="changeInboundServiceIcon('{{ $value->uid }}')">
                                    @else
                                        <span onclick="changeInboundServiceIcon('{{ $value->uid }}')" class="pointer">No icon set</span>
                                    @endif
                                    <input type="hidden" name="image[]" value="{{ $value->image }}">
                                </td>
                                <td align="center">
                                    <span class="cursorpointer" onclick="deleteInboundService(event, '{{ $value->uid }}')" ><i class="fas fa-trash-alt" aria-hidden="true"></i></span>
                                </td>
                            </tr>
                        @endforeach
                </tbody>
            </table>
        </form>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-success" onclick="saveInboundServices(event, '{{ $coid }}');" id="save_ib_sr_button">Save</button>
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
</div>

<script type="text/javascript">
    $('.date_inputs').datepicker({
        language: "en",
        autoclose: true,
        orientation: "bottom",
    });
</script>