<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">
        Take Call for {{$company->co_name}} &nbsp;&nbsp;<button type="button" class="btn btn-primary" onclick="searchCustomerDialog(event, '{{ $company->coid }}');">Search Customer <i class="fas fa-search"></i></button> &nbsp;&nbsp;<span class="btn btn-danger"><span id="call_timer">{{ $ib_call->time_on_call }}</span> <i class="far fa-clock"></i></span>
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-success" role="alert" id="inbound_call-success-alert-message" style="display: none;"></div>
        <div class="form-row">
            <div class="form-group col-md-8">
                <form id="form-inbound_call" name="form-inbound_call">
                    @csrf
                    <fieldset id="disable_form_fieldset" name="disable_form_fieldset">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="first_name">{{ __('First Name') }}</label>
                            <input type="text" id="first_name" name="first_name" value="{{ $ib_call->first_name }}" class="form-control need-validation-inputs" placeholder="First name" required maxlength="191">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="last_name">{{ __('Last Name') }}</label>
                            <input type="text" id="last_name" name="last_name" value="{{ $ib_call->last_name }}" class="form-control need-validation-inputs" placeholder="Last name" required maxlength="191">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="email">{{ __('Email') }}</label>
                            <div class="input-group">
                                <input type="email" id="email" name="email" value="{{ $ib_call->email }}" class="form-control need-validation-inputs" placeholder="Email" maxlength="191" onchange="checkIfEmailExists('{{ $company->coid }}', 'inbound')">
                                <div class="input-group-append">
                                    <button class="btn btn-info" onclick="sendCustomerEmailDialog(event, '{{ $company->coid }}', 'form-inbound_call', 'inbound_records', '')"><i class="fas fa-paper-plane"></i></button>
                                </div>
                            </div>
                        </div>

                        <div class="form-group col-md-2 text-center">
                            <label>Farmed Email</label>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input inbound_reps" id="farmed_email" name="farmed_email" value="1" 
                                @include('inputs.checkbox_radio', ['input_value' => 1, 'value' => $ib_call->farmed_email])
                                >
                                <label class="custom-control-label" for="farmed_email"></label>
                            </div>
                        </div>

                        <div class="form-group col-md-3">
                            <label for="phone">{{ __('Phone') }}</label>
                            <input type="text" id="phone" name="phone" value="{{ $ib_call->phone }}" class="form-control need-validation-inputs" placeholder="Phone" required maxlength="191">
                        </div>
                        <div class="form-group col-md-3">
                            <label for="cellphone">{{ __('Cell Phone') }}</label>
                            <div class="input-group">
                                <input type="text" id="cellphone" name="cellphone" value="{{ $ib_call->cellphone }}" class="form-control need-validation-inputs" placeholder="Cell Phone" maxlength="191">
                                <div class="input-group-append">
                                    <button class="btn btn-success" onclick="startConversationFromCall(event, '{{ Auth::id() }}', 0, '{{ $company->coid }}', 'form-inbound_call')"><i class="fas fa-sms"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-5">
                            <label for="address">{{ __('Address') }}</label>
                            <input type="text" id="address" name="address" value="{{ $ib_call->address }}" class="form-control need-validation-inputs" placeholder="Address" maxlength="191">
                        </div>
                        <div class="form-group col-md-3">
                            <label for="city">{{ __('City') }}</label>
                            <input type="text" id="city" name="city" value="{{ $ib_call->city }}" class="form-control need-validation-inputs" placeholder="City" maxlength="191">
                        </div>
                        <div class="form-group col-md-2">
                            <label for="state">{{ __('State') }}</label>
                            <input type="text" id="state" name="state" value="{{ $ib_call->state }}" class="form-control need-validation-inputs" placeholder="State" maxlength="191">
                        </div>
                        <div class="form-group col-md-2">
                            <label for="zip">{{ __('Zip') }}</label>
                            <input type="text" id="zip" name="zip" value="{{ $ib_call->zip }}" class="form-control need-validation-inputs" placeholder="Zip" maxlength="191">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="vehicle_year">{{ __('Vehicle Year') }}</label>
                            <?php 
                              $year = date('Y'); 
                            ?>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="vehicle_year" name="vehicle_year" onchange="getVehicleMakes(event)">
                              <option selected="selected" value="">Year...</option>
                              @while ($year > 1899)
                                <option value="{{ $year }}" @include('inputs.select_selected', ['input_value' => $year, 'value' => $ib_call->vehicle_year])>{{ $year }}</option>
                                <?php
                                  $year = $year-1; 
                                ?>
                              @endwhile
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="vehicle_make">{{ __('Vehicle Make') }}</label>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="vehicle_make" name="vehicle_make" onchange="getVehicleModels(event)">
                                <option selected="selected" value="">Make...</option>
                                @include('inputs.select_options', ['options' => $vehicle_make_options, 'value_selected' => $ib_call->vehicle_make])
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="vehicle_model">{{ __('Vehicle Model') }}</label>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="vehicle_model" name="vehicle_model">
                                <option value="" selected="selected">Model...</option>
                                @include('inputs.select_options', ['options' => $vehicle_model_options, 'value_selected' => $ib_call->vehicle_model])
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="vin">{{ __('VIN') }}</label>
                            <input type="text" id="vin" name="vin" value="{{ $ib_call->vin }}" class="form-control need-validation-inputs" placeholder="VIN" maxlength="191">
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <p>
                                <?php print($ib_call->notes); ?>
                            </p>
                            <label for="notes">{{ __('Comments') }}</label>
                            <textarea id="notes" name="notes" class="form-control need-validation-inputs"></textarea>
                        </div>
                        <div class="form-group col-md-6">
                            <p>
                                <?php print($ib_call->private_notes); ?>
                            </p>
                            <label for="private_notes">{{ __('Private Comments') }}</label>
                            <textarea id="private_notes" name="private_notes" class="form-control need-validation-inputs"></textarea>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="inbound_call_type_id">{{ __('Call Type') }}</label>
                            <div class="input-group">
                                <select class="form-control" id="inbound_call_type_id" name="inbound_call_type_id" required="" onchange="getAssignedReps(event, '{{ $company->coid }}'); setInboundCallTypeScriptDialog(event, '{{ $company->coid }}')">
                                    <option value="">Select...</option>
                                    @include('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => $ib_call->inbound_call_type_id])
                                </select>
                                <div class="input-group-append">
                                    <button class="btn btn-success btn-sm" id="call_script_popover" data-toggle="popover" title="Script" data-content="No content set." onclick="showInboundCallTypeScript(event)" onmouseover="preventDefaultBehavior(event);"><i class="fas fa-scroll"></i></button>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-2">
                            <label for="appointment_date">{{ __('Appointment Date') }}</label>
                            <input type="text" id="appointment_date" name="appointment_date" value="{{ $ib_call->appointment_date }}" class="form-control need-validation-inputs" placeholder="Date" maxlength="191">
                        </div>
                        <div class="form-group col-md-2 text-center">
                            <label for="appointment_hour">{{ __('Hour') }}</label>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="appointment_hour" name="appointment_hour">
                                <option value="">Select...</option>
                                <?php print($hour_options); ?>
                            </select>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="inbound_resolution_id">{{ __('Resolution') }}</label>
                            <select class="form-control" id="inbound_resolution_id" name="inbound_resolution_id" required="">
                                <option value="">Select...</option>
                                @include('inputs.select_options', ['options' => $resolutions_options, 'value_selected' => $ib_call->inbound_resolution_id])
                            </select>
                        </div>
                        
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-5" id="inbound_reps_list">
                            <label>Send Alert:</label>
                            @foreach($inbound_reps as $key => $value)
                                
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input inbound_reps" id="inbound_rep_{{ $value->id }}" name="send_alert_to[]" value="{{ $value->email }}">
                                            <label class="custom-control-label" for="inbound_rep_{{ $value->id }}">{{ $value->fname }} {{ $value->lname }}</label>
                                        </div>
                                    
                            @endforeach
                        </div>
                    </div>
                        <input type="hidden" name="call_record_id" id="call_record_id" value="{{ $ib_call->call_record_id }}">
                        <input type="hidden" name="record_type_id" id="record_type_id" value="2">
                        <input type="hidden" name="coid" id="coid" value="{{ $company->coid }}">
                        <input type="hidden" name="time_on_call" id="time_on_call" value="{{ $ib_call->time_on_call }}">
                    </fieldset>
                </form>
            </div>
            <div class="form-group col-md-4">
                <div class="card">
                  <div class="card-header">
                    <ul class="nav nav-tabs card-header-tabs">
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link active" href="#dealer_message">Message</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_information">Information</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_links">Links</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_services">Services</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#team_members">Team</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_schedule">Schedule</a>
                      </li>
                    </ul>
                  </div>
                  <div class="card-body" style="overflow: auto;background-color: #f8fafc">
                    <div class="tab-content">
                        <div id="dealer_message" class="tab-pane active">
                          <p><strong>DEALER MESSAGE</strong></p>
                          <p><?php print($dealer_message->message); ?></p>
                        </div>

                        <div id="dealer_information" class="tab-pane fade">
                          <p><strong>DEALER INFORMATION</strong></p>
                          <p>
                            <table class="table table-striped">
                                <tbody>
                                    <tr>
                                        <td>Name</td>
                                        <td>{{ $company->co_name }}</td>
                                    </tr>
                                    <tr>
                                        <td>Address</td>
                                        <td>{{ $company->co_address1 }} {{ $company->co_city }} {{ $company->co_state }} {{ $company->co_zip }}</td>
                                    </tr>
                                    <tr>
                                        <td>Phone</td>
                                        <td>{{ $company->co_phone }}</td>
                                    </tr>
                                    <tr>
                                        <td>Email</td>
                                        <td>{{ $company->co_email }}</td>
                                    </tr>
                                    <tr>
                                        <td>Sales Manager</td>
                                        <td>{{ $company->sales_mgr_title }} {{ $company->sales_mgr_name }}</td>
                                    </tr>
                                    <tr>
                                        <td>Sales Phone</td>
                                        <td>{{ $company->sales_phone }}</td>
                                    </tr>
                                    <tr>
                                        <td>Sales Email</td>
                                        <td>{{ $company->sales_email }}</td>
                                    </tr>
                                    <tr>
                                        <td>Service Manager</td>
                                        <td>{{ $company->service_mgr_title }} {{ $company->service_mgr_name }}</td>
                                    </tr>
                                    <tr>
                                        <td>Service Phone</td>
                                        <td>{{ $company->service_phone }}</td>
                                    </tr>
                                    <tr>
                                        <td>Service Email</td>
                                        <td>{{ $company->service_email }}</td>
                                    </tr>
                                    <tr>
                                        <td>Dealer Website</td>
                                        <td><a href="{{ $company->dealer_website }}" target="_blank">{{ $company->dealer_website }}</a></td>
                                    </tr>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="dealer_links" class="tab-pane fade">
                          <p><strong>DEALER LINKS</strong></p>
                          <p>
                            <table class="table table-striped">
                                <tbody>
                                    <?php print($dealer_links_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="dealer_services" class="tab-pane fade">
                          <p><strong>DEALER SERVICES</strong></p>
                          <p>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Department</th>
                                        <th>Link</th>
                                        <th>Description</th>
                                        <th>Price</th>
                                        <th>&nbsp;</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php print($dealer_services_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="team_members" class="tab-pane fade">
                          <p><strong>TEAM MEMBERS</strong></p>
                          <p>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Cell Phone</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php print($team_members_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="dealer_schedule" class="tab-pane fade">
                          <p><strong>TEAM MEMBERS</strong></p>
                          <p>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Department</th>
                                        <th>Schedule</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php print($dealer_schedule_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <button type="button" class="btn btn-primary" id="save_ib_call_button" onclick="saveInboundCall(event)">Save</button>
</div>

<script type="text/javascript">
    
    $('#appointment_date').datepicker({
        language: "en",
        autoclose: true
    });

    
</script>