<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th>Phone</th>
            <th class="table_cell_content">Cell Phone</th>
            <th class="table_cell_content">Email</th>
            <th class="table_cell_content">VIN</th>
            <th class="table_cell_content">Service Date</th>
            <th class="table_cell_content">Call Type</th>
            @if($record_type == 'completed')
                <th class="table_cell_content">Call Date</th>
                <th class="table_cell_content text-center">Customer Status</th>
            @elseif($record_type == 'pending')
                <th class="table_cell_content">Scheduled For</th>
            @elseif($record_type == 'all')
                <th class="table_cell_content">Record Date</th>
            @endif
            <th class="table_cell_content" style="text-align: center;">Show</th>
            @if($record_type == 'pending')
                <th class="table_cell_content" style="text-align: center;">Close</th>
            @endif
        </tr>
    </thead>
    <tbody>
        @foreach ($call_records as $call_record)
            <?php
                $is_dnc_record = ( ! empty( $call_record->global_dnc ) ||  ! empty( $call_record->dealer_dnc ) )? true : false;
                $dnc_style = ( ! empty( $call_record->global_dnc ) ||  ! empty( $call_record->dealer_dnc ) )? 'background-color: #fa8272' : '';
            ?>
            <tr id="record_row_{{ $call_record->id }}" style="{{ $dnc_style }}">
                <td>{{ $call_record->fname }} {{ $call_record->lname }}</td>
                <td>{{ $call_record->phone }}</td>
                <td class="table_cell_content">{{ $call_record->cellphone }}</td>
                <td class="table_cell_content">{{ $call_record->email }}</td>
                <td class="table_cell_content">{{ $call_record->vin }}</td>
                <td class="table_cell_content">{{ $call_record->service_date }}</td>
                @if($record_type == 'completed')
                    <td class="table_cell_content">
                        @if(isset($call_types_names[$call_record->livecall_prev_calltype]))
                            <?php print($call_types_names[$call_record->livecall_prev_calltype]); ?>
                        @endif
                    </td>
                    <td class="table_cell_content">{{ date('m/d/Y H:i', strtotime($call_record->lastupdate)) }}</td>
                    <td class="table_cell_content text-center">
                        @if(isset($customer_status_icons[$call_record->customer_status]))
                            <img src="images/icons/{{ $customer_status_icons[$call_record->customer_status] }}" class="cursorpointer" data-toggle="tooltip" data-placement="top" title="{{ $customer_status_names[$call_record->customer_status] }}">
                        @endif
                    </td>

                @elseif($record_type == 'pending')
                    <td class="table_cell_content">
                        @if(isset($call_types_names[$call_record->livecall_next_calltype]))
                            <?php print($call_types_names[$call_record->livecall_next_calltype]); ?>
                        @endif
                    </td>
                    <td class="table_cell_content">{{ date('m/d/Y', strtotime($call_record->remind)) }}</td>
                @elseif($record_type == 'all')
                    <td class="table_cell_content">
                        @if(isset($call_types_names[$call_record->livecall_next_calltype]))
                            <?php print($call_types_names[$call_record->livecall_next_calltype]); ?>
                        @elseif(isset($call_types_names[$call_record->livecall_prev_calltype]))
                            <?php print($call_types_names[$call_record->livecall_prev_calltype]); ?>
                        @endif
                    </td>
                    <td class="table_cell_content">{{ date('m/d/Y', strtotime($call_record->dateadded)) }}</td>
                @endif
                <td align="center">

                    <button class="btn btn-primary btn-sm" id="caller_comments_{{ $call_record->id }}" data-toggle="popover" title="Caller Comments" data-content="No comments." onmouseover="showCallerCommentsPopOverDialog(event, '{{ $call_record->id }}')" onclick="showCallDialog(event, '{{ $call_record->id }}', '{{ $company->coid }}','call_records', '', {{ $is_dnc_record }})"><i class="fas fa-search"></i></button>
                    <div style="display: none" id="caller_comments_content_{{ $call_record->id }}"><?php print($call_record->caller_comments); ?></div>
                </td>
                @if($record_type == 'pending')
                    <td align="center">
                        <button class="btn btn-danger btn-sm" id="close_call_{{ $company->coid }}_{{ $call_record->id }}" title="Close Call" onclick="closeCallSimple(event, '{{ $company->coid }}', '{{ $call_record->id }}', 'close_call')"><i class="fa fa-minus-circle"></i></button>
                    </td>
                @endif
            </tr>
        @endforeach
    </tbody>
</table>
{{ $call_records->links() }}