<table class="table table-striped">
    <thead>
        <tr>
            @if($communication_type=='email')
                <th>Sent by</th>
                <th>Dealer</th>
                <th>Email</th>
                <th class="table_cell_content">Subject</th>
                <th class="table_cell_content">Date</th>
                <th class="table_cell_content" style="text-align: center;">Show</th>
            @elseif($communication_type=='sms')
                <th>Dealer</th>
                <th>Phone</th>
                <th class="table_cell_content">Last Message</th>
                <th class="table_cell_content">Date</th>
                <th class="table_cell_content" style="text-align: center;">Show</th>
            @endif
        </tr>
    </thead>
    <tbody>
        @foreach ($communications as $communication)
            @if($communication_type=='email')
                <tr id="communication_row_{{ $communication->id }}">
                    <td id="communication_name_{{ $communication->id }}">
                        @if(isset($communication->user))
                            {{ $communication->user->first_name }} {{ $communication->user->last_name }}
                        @endif
                    </td>
                    <td class="table_cell_content">{{ $dealer_names[$communication->coid] }}</td>
                    <td class="table_cell_content">{{ $communication->email }}</td>
                    <td class="table_cell_content">{{ $communication->subject }}</td>
                    <td class="table_cell_content">{{ date('m/d/Y H:i', strtotime($communication->created_at)) }}</td>
                    <td align="center">
                        <a href="#" onclick="showCommunicationInformation(event, '{{ $communication->id }}', '{{ $communication_type }}')"><i class="fas fa-search"></i></a>
                    </td>
                </tr>
            @elseif($communication_type=='sms')
                <?php 
                    $unseen_style = ""; 
                ?>
                @if(isset($unseen_messages[$communication->id]))
                    <?php 
                        if($unseen_messages[$communication->id] != 1)
                        {
                            $unseen_style = 'background-color: #ffb2a6';
                        }
                    ?>
                @endif
                <tr id="communication_row_{{ $communication->id }}" style="{{ $unseen_style }}">
                    <td class="table_cell_content">{{ $dealer_names[$communication->coid] }}</td>
                    <td id="communication_name_{{ $communication->id }}">{{ $communication->user_identifier }}</td>
                    <td class="table_cell_content">
                        @if(isset($last_messages[$communication->id]))
                            {{ $last_messages[$communication->id] }}
                        @endif
                    </td>
                    <td class="table_cell_content">
                        @if(isset($last_datetime[$communication->id]))
                            {{ date('m/d/Y H:i', strtotime($last_datetime[$communication->id]) - 60 * 60 * 5) }}
                        @endif
                    </td>
                    <td align="center">
                        <?php $customer_phone = str_replace('+1', '', $communication->user_identifier); ?>
                        <a href="#" onclick="startConversationFromCall(event, '{{ Auth::id() }}', 0, '{{ $communication->coid }}', '', '', '', '{{ $customer_phone }}');removeUnseenFlag('communication_row_{{ $communication->id }}')"><i class="fas fa-search"></i></a>
                    </td>
                </tr>
            @endif
        @endforeach
    </tbody>
</table>
{{ $communications->links() }}

<script type="text/javascript">
    function removeUnseenFlag(row_id)
    {
        $('#'+row_id).css('background-color', '#fff');
    }
</script>