<table class="table table-striped">
    <thead>
        <tr>
            <th>Title</th>
            <th class="table_cell_content">Type</th>
            @if(Auth::user()->user_type->name == 'Admin') 
                <th style="text-align: center;">Active</th>
                <th style="text-align: center;">Required</th>
            @endif
            <th>Date</th>
            <th style="text-align: center;">Show</th>
            @if(Auth::user()->user_type->name == 'Admin') 
                <th style="text-align: center;">Edit</th>
                <th style="text-align: center;">Delete</th>
            @elseif(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller")
                <th style="text-align: center;">Approve</th>
            @endif
        </tr>
    </thead>
    <tbody>
        @foreach ($training_alerts as $training_alert)
            @if((strtotime($training_alert->training_alert_created_at) > strtotime($training_alert->user_user_group_created_at)) || Auth::user()->user_type->name == 'Admin')
                <tr id="ta_row_{{ $training_alert->id }}">
                    <td id="ta_name_{{ $training_alert->id }}" data-toggle="tooltip" data-placement="top" title="{{ $training_alert->description }}">{{ $training_alert->title }}</td>
                    <td class="table_cell_content">{{ $training_alert->file_type->name }}</td>
                    @if(Auth::user()->user_type->name == 'Admin') 
                        <td align="center">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="active_{{ $training_alert->id }}" name="active_{{ $training_alert->id }}" 
                                @include('inputs.checkbox_radio', ['input_value' => 1, 'value' => $training_alert->active]) onclick="activeTrainingAlert(event, '{{ $training_alert->id }}')">
                                <label class="custom-control-label" for="active_{{ $training_alert->id }}"></label>
                            </div>
                        </td>
                        <td align="center">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="required_{{ $training_alert->id }}" name="required_{{ $training_alert->id }}" 
                                @include('inputs.checkbox_radio', ['input_value' => 1, 'value' => $training_alert->required]) onclick="setRequiredTrainingAlert(event, '{{ $training_alert->id }}')">
                                <label class="custom-control-label" for="required_{{ $training_alert->id }}"></label>
                            </div>
                        </td>
                    @endif
                    <td class="table_cell_content">{{ date('m/d/Y H:i', strtotime($training_alert->created_at)) }}</td>
                    <td align="center" class="cursorpointer" data-toggle="tooltip" data-placement="top" title="{{ $training_alert->content }}" onclick="showTrainingAlertDialog(event, {{ $training_alert->id }}, '{{ $training_alert->file_type->name }}')">
                        <i class="fas fa-search"></i>
                    </td>
                    @if(Auth::user()->user_type->name == 'Admin') 
                        <td align="center" class="cursorpointer" onclick="editTrainingAlertDialog(event, {{ $training_alert->id }})">
                            <i class="fas fa-edit"></i>
                        </td>
                        <td align="center" class="cursorpointer" onclick="deleteTrainingAlertDialog(event, {{ $training_alert->id }})">
                            <i class="fas fa-trash-alt"></i>
                        </td>
                    @elseif(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller")
                        @if($training_alert->date_approved == null)
                            <td align="center" class="cursorpointer" onclick="approveTrainingAlertDialog(event, {{ $training_alert->id }}, {{ Auth::id() }})" id="approved_{{ $training_alert->id }}">
                                <i class="fas fa-thumbs-up"></i>
                            </td>
                        @else 
                            <td align="center">
                                {{ date('m/d/Y', strtotime($training_alert->date_approved)) }}
                            </td>
                        @endif    
                    @endif
                </tr>
            @endif
        @endforeach
    </tbody>
</table>

@if ($no_links === false)
    {{ $training_alerts->links() }}
@endif

<span>
    @if ($no_links === false)
        @if ($training_alerts->total() > 20)
            <button type="submit" class="btn btn-primary" onclick="trainingAlertPaginationData(1, '', 1)">
                Show All
            </button>
        @elseif($current_training_alert_id > 0)
            <button type="submit" class="btn btn-primary" onclick="trainingAlertPaginationData(1, '', 0)">
                Paginate
            </button>
        @endif
    @else
        <button type="submit" class="btn btn-primary" onclick="trainingAlertPaginationData(1, '', 0);">
            Paginate
        </button>
    @endif
    
</span>