<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th class="table_cell_content text-center">Twilio Phone</th>
            <th class="table_cell_content text-center">Automated reminders</th>
            <th class="table_cell_content text-center">Edit</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($dealers as $dealer)
            <tr id="dealer_row_{{ $dealer->coid }}">
                <td id="dealer_name_{{ $dealer->coid }}">{{ $dealer->co_name }}</td>
                <td class="table_cell_content">
                    @if(isset($twilio_phones_array[$dealer->coid]))
                        <input type="text" class="form-control" id="twilio_phone_{{ $dealer->coid }}" name="twilio_phone_{{ $dealer->coid }}" value="{{ $twilio_phones_array[$dealer->coid] }}" onchange="updateTwilioNumber('{{ $dealer->coid }}')">
                    @else
                        <input type="text" class="form-control" id="twilio_phone_{{ $dealer->coid }}" name="twilio_phone_{{ $dealer->coid }}" value="" onchange="updateTwilioNumber('{{ $dealer->coid }}')">
                    @endif
                </td>
                <td align="center">
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="automated_reminder_{{ $dealer->coid }}" name="automated_reminder_{{ $dealer->coid }}" 
                        @include('inputs.checkbox_radio', ['input_value' => 1, 'value' => $dealer->automated_reminder]) onclick="setAutomatedReminderActive(event, '{{ $dealer->coid }}')">
                        <label class="custom-control-label" for="automated_reminder_{{ $dealer->coid }}"></label>
                    </div>
                </td>
                <td align="center"><a href="#"><i class="fas fa-edit" onclick="editCompanyDialog(event, {{ $dealer->coid }})"></i></a></td>
            </tr>
        @endforeach
    </tbody>
</table>

@if ($no_links === false)
    {{ $dealers->links() }}
@endif

<span>
    @if($current_coid > 0)
        <button type="submit" class="btn btn-primary" onclick="twilioPhonesPaginationData(1, null, 0)">
            Show all
        </button>
    @endif
</span>