<table class="table table-striped">
    <thead>
        <tr>
            <th>Name</th>
            <th class="table_cell_content">Email</th>
            <th class="table_cell_content">Type</th>
            <th class="table_cell_content">Dealers</th>
            <th style="text-align: center;">Edit</th>
            <th style="text-align: center;">Delete</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($users as $user)
        <tr id="user_row_{{ $user->id }}">
            <td id="user_name_{{ $user->id }}">{{ $user->first_name }} {{ $user->last_name }}</td>
            <td class="table_cell_content">{{ $user->email }}</td>
            <td class="table_cell_content">{{ $user->user_type->name }}</td>
            <td class="table_cell_content">
                @if(isset($user->dealers))
                    @foreach ($user->dealers as $dealer)
                        @if ( ! empty( $dealer_names[$dealer->dealer_id] ) )
                            {{ $dealer_names[$dealer->dealer_id] }} <br>
                        @endif
                        
                    @endforeach
                @else
                    None
                @endif
            </td>
            <td class="table_cell_content">
                @if(isset($user->user_groups))
                    @foreach ($user->user_groups as $user_group)
                        {{ $user_group->name }} <br>
                    @endforeach
                @else
                    None
                @endif
            </td>
            <td align="center"><a href="#"><i class="fas fa-edit" onclick="editUserDialog(event, {{ $user->id }})"></i></a></td>
            <td align="center"><a href="#"><i class="fas fa-trash-alt" onclick="deleteUserDialog(event, {{ $user->id }})"></i></a></td>
        </tr>
        @endforeach
    </tbody>
</table>

@if ($no_links === false)
    {{ $users->links() }}
@endif

<span>
    @if ($no_links === false)
        @if ($users->total() > 20)
            <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 1)">
                Show All
            </button>
        @elseif($current_user_id > 0)
            <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 0)">
                Paginate
            </button>
        @endif
    @else
        <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 0);">
            Paginate
        </button>
    @endif
    
</span>