@extends('layouts.app')
@section('styles')

@endsection
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                @if($has_locked_assignment == 1)
                    <div class="card-header">You need to agree to your assignments for today</div>
                    <div class="card-body">
                        <div class="alert alert-danger print-error-msg" style="display:none">
                            <ul></ul>
                        </div>
                        <fieldset id="disable_form_fieldset">
                            <div class="row">
                                <div class="col-md-12">
                                    @if(isset($locked_assignment->assignment_note))
                                        @if(strlen(trim($locked_assignment->assignment_note)) > 0)
                                            <p><strong>Assignment note:</strong> {{ $locked_assignment->assignment_note }}</p>
                                        @endif
                                    @endif
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <table class="table table-striped">
                                        <tr>
                                            <td colspan="3"><strong>ASSIGNMENTS LIST</strong></td>
                                        </tr>
                                        <tr>
                                            <th><strong>Dealer</strong></th>
                                            <th><strong>Call Type</strong></th>
                                            <th><strong>Total</strong></th>
                                        </tr>
                                        <?php
                                            $total_count = 0;
                                        ?>
                                        @foreach($assigments_array as $coid => $calltype)
                                            @foreach($calltype as $calltype_id => $call_count)
                                                <?php
                                                    $total_count+= $call_count;
                                                ?>
                                                <tr>
                                                    <td>{{ $dealers_array[$coid] }}</td>
                                                    <td>{{ $calltypes_array[$calltype_id] }}</td>
                                                    <td>{{ $call_count }}</td>
                                                </tr>
                                            @endforeach
                                        @endforeach
                                        <tr>
                                            <td>&nbsp;</td>
                                            <td align="right"><strong>Total:</strong></td>
                                            <td>{{ $total_count }}</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <button type="submit" class="btn btn-primary" id="agree_submit_form" onclick="agreeToAssignment(event, '{{ $locked_assignment->id }}')">Agree</button>
                                </div>
                            </div>
                        </fieldset>
                    </div>
                @else
                    <div class="card-header">Pending Calls for {{ date('m/d/Y', strtotime($assignment_date)) }}</div>
                    <div class="card-body">
                        <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                        </div>
                        <div class="alert alert-danger" id="account_settings_error" style="display:none">
                          Something went wrong...
                          <ul></ul>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12 text-center">
                                <div id="success"></div>
                            </div>
                        </div>
                        @if(isset($assignment_notes->assignment_note))
                            @if(strlen(trim($assignment_notes->assignment_note)) > 0)
                                <p><strong>Assignment note:</strong> {{ $assignment_notes->assignment_note }}</p>
                            @endif
                        @endif
                        <?php 
                            $current_coid = ''; 
                            $current_call_type_id = ''; 
                            $total_count = 0; 
                        ?>
                        @if(count($assignments_array) > 0)
                            <table class="table table-striped">
                                @foreach($assignments_array as $caller_assignments)
                                    @foreach($caller_assignments as $assignment)
                                        @if($assignment->coid != $current_coid)
                                            <?php 
                                                $current_coid = $assignment->coid; 
                                                $current_call_type_id = '';
                                                $call_count = count($assignments_array[$current_coid]);
                                                $total_count+= $call_count;
                                            ?>
                                            <tr class="bg-primary text-white cursorpointer" onclick="hideAllElements(event, 'global_dealer_row');hideShowElement(event, 'dealer_row_{{ $current_coid }}')">
                                                <td colspan="6">
                                                    {{ $dealers_array[$current_coid] }} (<span id="dealer_count_{{ $current_coid }}">{{ $call_count }}</span>)
                                                </td>
                                            </tr>
                                        @endif
                                        @if($assignment->call_type_id != $current_call_type_id)
                                            <?php 
                                                $current_call_type_id = $assignment->call_type_id;
                                            ?>
                                            <tr style="font-size: 12px;display: none" class="bg-info text-white dealer_row_{{ $current_coid }} global_dealer_row">
                                                <td colspan="6">
                                                    {{ $calltypes_array[$current_call_type_id] }}
                                                </td>
                                            </tr>
                                            <tr style="font-size: 12px;display: none" class="dealer_row_{{ $current_coid }} global_dealer_row">
                                                <th>Name</td>
                                                <th>Vehicle</td>
                                                <th>VIN</td>
                                                <th>Phone</td>
                                                <th>Best Phone</td>  
                                                <th>Remind</td>
                                                <th align="center">Make Call</td>
                                            </tr>
                                        @endif
                                        @php
                                            $is_dnc_record = $assignment->global_dnc || $assignment->dealer_dnc;
                                            $bgcolor = $is_dnc_record ? 'background-color: #fa8272' : '';
                                        @endphp
                                            <tr id="call_row_{{ $assignment->id }}_{{ $current_coid }}" style="font-size: 12px;display: none; {{ $bgcolor }}" class="dealer_row_{{ $current_coid }} global_dealer_row">
                                                <td id="record_name_{{ $assignment->id }}">{{ $assignment->fname }} {{ $assignment->lname }}</td>
                                                <td>{{ $assignment->vehicle_year }} {{ $assignment->vehicle_make }} {{ $assignment->vehicle_model }}</td>
                                                <td class="table_cell_content">{{ $assignment->vin }}</td>
                                                <td class="table_cell_content">{{ preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $assignment->phone) }}</td>
                                                <td class="table_cell_content">{{ preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $assignment->best_phone) }}</td>
                                                <td class="table_cell_content">{{ date('m/d/Y', strtotime($assignment->remind)) }}</td>
                                                <td align="center">
                                                    <a href="#" onclick="showCallDialog(event, '{{ $assignment->id }}', '{{ $current_coid }}','call_records', '{{ $current_call_type_id }}', {{ $is_dnc_record }})"><i class="fas fa-phone-square" style="font-size: 25px"></i></a>
                                                </td>
                                            </tr>
                                    @endforeach
                                @endforeach
                            </table>
                        @else
                            <h5>No calls assigned for {{ date('m/d/Y', strtotime($assignment_date)) }}</h5>
                        @endif
                    </div>
                @endif
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts_extra')
    <script type="text/javascript">
        getCallerTimer(null);
    </script>
@endsection   