@extends('layouts.app')
@section('style_files')
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Communication Center <button class="btn btn-success btn-sm" onclick="startConversationDialog(event)"><i class="fas fa-comment-alt"></i></button></div>
                <div class="card-body">
                    <form id="search_communication_form" name="search_communication_form">
                        <div class="form-row">
                            <div class="form-group col-md-1">
                                <label for="communication_type_search">{{ __('Type') }}</label>
                                <select class="form-control" id="communication_type_search" name="communication_type_search">
                                    @if( $communication_type == 'email')
                                        <option value="email" selected>Email</option>
                                        <option value="sms">SMS</option>
                                    @else
                                        <option value="email">Email</option>
                                        <option value="sms" selected>SMS</option>
                                    @endif
                                    
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="coid_search">{{ __('Dealer') }}</label>
                                <select class="form-control" id="coid_search" name="coid_search">
                                    @if(Auth::user()->user_type->name == 'Admin') 
                                        <option value="">All</option>
                                    @endif
                                    @if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller')
                                        @include('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''])
                                    @endif    
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search">{{ __('Start Date') }}</label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="end_date_search">{{ __('End Date') }}</label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search">
                                <div class="invalid-feedback">
                                    Provide end date
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="communication_status_search">{{ __('Status') }}</label>
                                <select class="form-control" id="communication_status_search" name="communication_status_search">
                                    <option value="all">All</option>
                                    <option value="0">Unseen</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="value_search">{{ __('Search') }}</label>
                                <div class="input-group">
                                    <input type="text" id="value_search" name="value_search" class="form-control" placeholder="Search">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="searchCommunication(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="communication_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    @if($communication_type=='email')
                                        <th>Sent by</th>
                                        <th>Dealer</th>
                                        <th>Email</th>
                                        <th class="table_cell_content">Subject</th>
                                        <th class="table_cell_content">Date</th>
                                        <th class="table_cell_content" style="text-align: center;">Show</th>
                                    @elseif($communication_type=='sms')
                                        <th>Dealer</th>
                                        <th>Phone</th>
                                        <th class="table_cell_content">Last Message</th>
                                        <th class="table_cell_content">Date</th>
                                        <th class="table_cell_content" style="text-align: center;">Show</th>
                                    @endif
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($communications as $communication)
                                    @if($communication_type=='email')
                                        <tr id="communication_row_{{ $communication->id }}">
                                            <td id="communication_name_{{ $communication->id }}">
                                                @if(isset($communication->user))
                                                    {{ $communication->user->first_name }} {{ $communication->user->last_name }}
                                                @endif
                                            </td>
                                            <td class="table_cell_content">{{ $dealer_names[$communication->coid] }}</td>
                                            <td class="table_cell_content">{{ $communication->email }}</td>
                                            <td class="table_cell_content">{{ $communication->subject }}</td>
                                            <td class="table_cell_content">{{ date('m/d/Y H:i', strtotime($communication->created_at)) }}</td>
                                            <td align="center">
                                                <a href="#" onclick="showCommunicationInformation(event, '{{ $communication->id }}', '{{ $communication_type }}')"><i class="fas fa-search"></i></a>
                                            </td>
                                        </tr>
                                    @elseif($communication_type=='sms')
                                        <?php 
                                            $unseen_style = ""; 
                                        ?>
                                        @if(isset($unseen_messages[$communication->id]))
                                            <?php 
                                                if($unseen_messages[$communication->id] != 1)
                                                {
                                                    $unseen_style = 'background-color: #ffb2a6';
                                                }
                                            ?>
                                        @endif
                                        <tr id="communication_row_{{ $communication->id }}" style="{{ $unseen_style }}">
                                            <td class="table_cell_content">{{ $dealer_names[$communication->coid] }}</td>
                                            <td id="communication_name_{{ $communication->id }}">{{ $communication->user_identifier }}</td>
                                            <td class="table_cell_content">
                                                @if(isset($last_messages[$communication->id]))
                                                    {{ $last_messages[$communication->id] }}
                                                @endif
                                            </td>
                                            <td class="table_cell_content">
                                                @if(isset($last_datetime[$communication->id]))
                                                    {{ date('m/d/Y H:i', strtotime($last_datetime[$communication->id]) - 60 * 60 * 5) }}
                                                @endif
                                            </td>
                                            <td align="center">
                                                <?php $customer_phone = str_replace('+1', '', $communication->user_identifier); ?>
                                                <a href="#" onclick="startConversationFromCall(event, '{{ Auth::id() }}', 0, '{{ $communication->coid }}', '', '', '', '{{ $customer_phone }}');removeUnseenFlag('communication_row_{{ $communication->id }}')"><i class="fas fa-search"></i></a>
                                            </td>
                                        </tr>
                                    @endif
                                @endforeach
                            </tbody>
                        </table>
                        {{ $communications->links() }} 
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts_extra')
    
    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                communicationPaginationData(page, null, 0);
            });
        });

        function communicationPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#communication_container").empty().html(html);
            var my_form = $('#search_communication_form');
            var form_id = "search_communication_form";
            var form_values = my_form.serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall;
            
            $.ajax(
            {

                url: $('meta[name="main-url"]').attr('content')+'/communication/pagination',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "json",
                data: form_values

            }).done(function(data){

                $("#communication_container").empty().html(data);

                location.hash = page;
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }

        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
@endsection   