@extends('layouts.app')
@section('styles')

@endsection
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">My account</div>
                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="account_settings_error" style="display:none">
                      Something went wrong...
                      <ul></ul>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-12 text-center">
                            <div id="success"></div>
                        </div>
                    </div>
                    <form method="POST" id="add_form" action="" class="needs-validation" novalidate style="width:50%;margin: 0 auto">
                        <fieldset id="disable_form_fieldset">
                        @csrf
                        <div class="form-group row">
                            <div class="form-group col-md-12">
                                <label for="email">{{ __('Email') }}</label>
                                <input type="text" id="email" name="email" class="form-control need-validation-inputs" placeholder="Email" value="{{$user->email}}" required maxlength="191" readonly>
                                <div class="invalid-feedback">
                                    Please provide your email
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-6">
                                <label for="phone">{{ __('Phone') }}</label>
                                <input type="text" id="phone" name="phone" class="form-control need-validation-inputs" placeholder="Phone" required value="{{$user->phone}}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your phone number.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="cell_phone">{{ __('Cell Phone') }}</label>
                                <input type="text" id="cell_phone" name="cell_phone" class="form-control" placeholder="Cell Phone"  value="{{$user->cell_phone}}" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your cellphone number.
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-12">
                                <label for="password">{{ __('Password') }}</label>
                                <input type="password" id="password" name="password" class="form-control need-validation-inputs" placeholder="Password" value=""  maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide your password
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-12">
                                <label for="password_confirmation">{{ __('Confirm Password') }}</label>
                                <input type="password" id="password_confirmation" name="password_confirmation" class="form-control need-validation-inputs" placeholder="Confirm Password"  value="" maxlength="191">
                                <div class="invalid-feedback">
                                    Please confirm password
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-4 text-center">
                                &nbsp;
                            </div>
                            <div class="form-group col-md-2 text-center">
                                <a href="{{ route('MyAccount') }}"><button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="event.preventdefault();">Cancel</button></a>
                            </div>
                            <div class="form-group col-md-2 text-center">
                                <button type="submit" class="btn btn-primary" id="submit_form" onclick="changeAccountSettings(event)">Save</button>
                            </div>
                            <div class="form-group col-md-4 text-center">
                                &nbsp;
                            </div>
                        </div>
                        <input type="hidden" id="user_id" name="user_id" value="{{$user->id}}">
                        </fieldset>
                    </form>
                    <br />
                    

                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts')
    
@endsection   