@extends('layouts.app')
@section('style_files')
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Pending Calls</div>
                <div class="card-body">
                    <form id="search_call_records_form" name="search_call_records_form">
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid_search">{{ __('Dealer') }}</label>
                                <select class="form-control" id="coid_search" name="coid_search" required>
                                    @include('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="call_type_id_search">{{ __('Call Type') }}</label>
                                <select class="form-control" id="call_type_id_search" name="call_type_id_search">
                                    <option value="">All</option>
                                    @include('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => ''])  
                                </select>
                                <div class="invalid-feedback">
                                    Provide the call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search">{{ __('Start Date') }}</label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="end_date_search">{{ __('End Date') }}</label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search">
                                <div class="invalid-feedback">
                                    Provide end date
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="name_search">{{ __('Name') }}</label>
                                <input type="text" class="form-control" name="name_search" id="name_search">
                                <div class="invalid-feedback">
                                    Provide email.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="phone_search">{{ __('Phone') }}</label>
                                <input type="text" class="form-control" name="phone_search" id="phone_search" placeholder="Phone">
                                <div class="invalid-feedback">
                                    Provide phone.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="email_search">{{ __('Email') }}</label>
                                <input type="text" class="form-control" name="email_search" id="email_search" placeholder="Email">
                                <div class="invalid-feedback">
                                    Provide email.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="vin_search">{{ __('VIN') }}</label>
                                <div class="input-group">
                                    <input type="text" id="vin_search" name="vin_search" class="form-control" placeholder="VIN">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="searchCallRecords(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="call_record_container">
                        
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts_extra')
    
    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                callRecordPaginationData(page, null, 0);
            });
        });

        function callRecordPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#call_record_container").empty().html(html);
            var my_form = $('#search_call_records_form');
            var form_id = "search_call_records_form";
            var form_values = my_form.serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall;
            
            $.ajax(
            {

                url: $('meta[name="main-url"]').attr('content')+'/pending/calls/pagination',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "json",
                data: form_values

            }).done(function(data){

                $("#call_record_container").empty().html(data);

                $(function () {
                  $('[data-toggle="popover"]').popover({
                        html: true,
                        trigger: 'hover'
                    })
                });

                location.hash = page;
                $('[data-toggle="tooltip"]').tooltip();
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }

        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
@endsection   