@extends('layouts.app')
@section('style_files')
    <link rel="stylesheet" href="{{ asset('css/jquery.typeahead.min.css') }}">
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    @if(Auth::user()->user_type->name == 'Inbound Caller' || Auth::user()->user_type->name == 'Inbound Manager')
                        Inbound Call
                    @else
                        Report
                    @endif
                </div>

                <div class="card-body">
                    <form id="form-users" name="form-users">
                        @csrf
                        <div class="form-row" style="width: 50%;margin: auto;">
                            <label for="coid">{{ __('Dealer') }}</label>
                            <div class="form-group col-md-12">
                                <div class="input-group">
                                    <select class="form-control" id="coid" name="coid" >
                                        <option value="">Select</option>
                                        <?php 
                                            $value_selected = '';
                                            $i = 0;
                                            foreach ($dealers as $key => $value) {
                                                if($i == 0)
                                                {
                                                    $fist_value = $value->value;
                                                }
                                                $i++;
                                            }
                                            if($i == 1)
                                            {
                                                $value_selected = $fist_value;
                                            }

                                        ?>
                                        @include('inputs.select_options', ['options' => $dealers, 'value_selected' => $value_selected])
                                    </select>
                                
                                    <div class="input-group-append">
                                        @if(Auth::user()->user_type->name == 'Inbound Caller' || Auth::user()->user_type->name == 'Inbound Manager')
                                            <button class="btn btn-primary form-control" id="assign_button" name="assign_button" onclick="takeInboundCallMain(event)"><i class="fas fa-phone"></i> &nbsp;Take Call</button>
                                        @else
                                            <button class="btn btn-primary form-control" id="assign_button" name="assign_button" onclick="getGhostVinReport(event)">Get Report</button>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <br>
                    <div id="report_section"></div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts_extra')
    <script src="{{ asset('js/bloodhound.min.js') }}" type="application/javascript"></script>
    <script src="{{ asset('js/typeahead.bundle.min.js') }}" type="application/javascript"></script>

    <script type="text/javascript">
        
    </script>
@endsection   