@extends('layouts.app')
@section('style_files')
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Bad Data</div>
                <div class="card-body">
                    <form id="report_filters_form" name="report_filters_form">
                        <div class="form-row">
                            <div class="form-group col-md-1">
                                <label for="coid_search">{{ __('Dealer') }}</label>
                                <select class="form-control" id="coid_search" name="coid_search" required>
                                    @include('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="calltype_for_search">{{ __('Uploaded for') }}</label>
                                <select class="form-control" id="calltype_for_search" name="calltype_for_search[]" multiple>
                                    @include('inputs.select_options', ['options' => $calltype_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="date_for_search">{{ __('Date to use') }}</label>
                                <select class="form-control" id="date_for_search" name="date_for_search" required>
                                    <option value="lastupdate">Last update</option>
                                    <option value="service_date">Service date</option>
                                    <option value="dateadded">Date added</option>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="calltype_back_search">{{ __('Came back for') }}</label>
                                <select class="form-control" id="calltype_back_search" name="calltype_back_search[]" multiple>
                                    @include('inputs.select_options', ['options' => $calltype_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="date_for_search">{{ __('Date to use') }}</label>
                                <select class="form-control" id="date_back_search" name="date_back_search" required>
                                    <option value="lastupdate">Last update</option>
                                    <option value="service_date">Service date</option>
                                    <option value="dateadded">Date added</option>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="based_on_search">{{ __('Based on') }}</label>
                                <select class="form-control" id="based_on_search" name="based_on_search" required>
                                    <option value="phone">Phone</option>
                                    <option value="vin">Vin</option>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="amount_source_search">{{ __('Amount source') }}</label>
                                <select class="form-control" id="amount_source_search" name="amount_source_search" required>
                                    <option value="sale_amount">Sale amount</option>
                                    <option value="sales_gross_profit">Sales gross profit</option>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="customer_status_search">{{ __('Customer Status') }}</label>
                                <select class="form-control" id="customer_status_search" name="customer_status_search" required>
                                    <option value="all">All</option>
                                    @include('inputs.select_options', ['options' => $customer_statuses_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a customer status.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search">{{ __('Start Date') }}</label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search" value="{{ date('m/d/Y') }}">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="end_date_search">{{ __('End Date') }}</label>
                                <div class="input-group">
                                    <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search" value="{{ date('m/d/Y') }}">
                                    <div class="invalid-feedback">
                                        Provide end date
                                    </div>
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="getRoiReport(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="report_container">    
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts_extra')
    <script type="text/javascript">
        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });
    </script>
@endsection