@extends('layouts.app')
@section('style_files')
@endsection
@section('content')
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Survey Report</div>
                <div class="card-body">
                    <form id="report_filters_form" name="report_filters_form">
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid_search">{{ __('Dealer') }}</label>
                                <select class="form-control" id="coid_search" name="coid_search" required>
                                    @include('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="coid_search">{{ __('Call Type') }}</label>
                                <select class="form-control" id="calltype_search" name="calltype_search" required>
                                    <option value="all">All</option>
                                    @include('inputs.select_options', ['options' => $calltype_options, 'value_selected' => ''])
                                </select>
                                <div class="invalid-feedback">
                                    Provide a call type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search">{{ __('Start Date') }}</label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search" value="{{ date('m/d/Y') }}">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="end_date_search">{{ __('End Date') }}</label>
                                <div class="input-group">
                                    <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search" value="{{ date('m/d/Y') }}">
                                    <div class="invalid-feedback">
                                        Provide end date
                                    </div>
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="getSurveyReport(event)"><i class="fas fa-search"></i></button>
                                        <button type="submit" class="btn btn-success" id="excel_export_btn" onclick="exportSurveyReportExcel(event)"><i class="fas fa-file-excel"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="report_container">    
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts_extra')
    <script type="text/javascript">
        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });
    </script>
@endsection