@php
  $caller_availabilty = $caller_calls_per_day;
@endphp
@foreach($caller_calls_per_day as $caller_id => $max_total_caller_calls)
  <input type="hidden" id="max_total_caller_calls_{{ $caller_id }}" name="max_total_caller_calls_{{ $caller_id }}" value="{{ $max_total_caller_calls }}">
@endforeach
@if($total_assignments > 0)
  <div class="alert alert-success" role="alert">
    <i class="far fa-calendar-check"></i> You already have assignments saved for this date!
  </div>
@endif
<table class="table table-striped">
  <tr class="bg-primary text-white">
    <td>
      Dealer
    </td>
    <td colspan="2">
      Caller #1
    </td>
    <td colspan="2">
      Caller #2
    </td>
    <td colspan="2">
      Caller #3
    </td>
    <td colspan="2">
      Caller #4
    </td>
  </tr>
  @foreach($dealers as $dealer)
    @if(isset($assigned_calls_totals[$dealer->coid]))
      <tr class="bg-success text-white cursorpointer dealer_rows" style="font-size: 12px;" onclick="hideShowElement(event,'call_types_rows_{{ $dealer->coid }}')" id="total_calls_count_row_{{ $dealer->coid }}">
    @else
      <?php continue; ?>
      <tr class="bg-secondary text-white cursorpointer" style="font-size: 12px;" onclick="hideShowElement(event,'call_types_rows_{{ $dealer->coid }}')">
    @endif
    
      <td colspan="9">
        {{ $dealer->co_name }} 
        @if(isset($assigned_calls_totals[$dealer->coid]))
          (<span id="total_calls_count_{{ $dealer->coid }}">{{ $assigned_calls_totals[$dealer->coid] }}</span>)
          <input type="hidden" id="total_count_{{ $dealer->coid }}" value="{{ $assigned_calls_totals[$dealer->coid] }}">
        @else
          (0)
        @endif
      </td>
    </tr>
    @if(isset($assigned_calls[$dealer->coid]))
    
      <?php
      $call_types_on_dealer         = [];
      $call_types_checked           = [];
      $call_types_on_dealer_ordered = [];
      foreach ( $assigned_calls[ $dealer->coid ] as $call_type_id => $total_count ) {
        $call_types_on_dealer[] = $call_type_id;
      }
      
      foreach ( $call_type_import_priority as $call_type_priority ) {
        if ( in_array( $call_type_priority, $call_types_on_dealer ) ) {
          $call_types_on_dealer_ordered[] = $call_type_priority;
        }
      }
      
    ?>


      @foreach( $call_types_on_dealer_ordered as $call_type_id )
        <?php

          $total_count = $assigned_calls[ $dealer->coid ][ $call_type_id ];

          $already_used_caller = array();
        ?>
        <tr style="font-size: 12px;display: none" class="call_types_rows_{{ $dealer->coid }}" id="call_type_row_{{ $dealer->coid }}_{{ $call_type_id }}">
          <td>
              {{ $calltypes_names[$call_type_id] }} 
              (<span id="total_calls_calltype_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="call_type_count">{{ $total_count }}</span>)
              <input type="hidden" id="call_type_total_count_{{ $dealer->coid }}_{{ $call_type_id }}" value="{{ $total_count }}">
          </td>
          @if($total_assignments > 0)
            <td>
              <select id="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_one', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  @foreach($caller_users as $caller)
                    <?php 
                      //$selected = '';
                      
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                <input type="text" id="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @else
                <input type="text" id="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @endif
            </td>
            <td>
              <select id="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_two', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  @foreach($caller_users as $caller)
                    <?php 
                      //$selected = '';
                      
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                <input type="text" id="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @else
                <input type="text" id="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @endif
            </td>
            <td>
              <select id="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_three', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  @foreach($caller_users as $caller)
                    <?php 
                      //$selected = '';
                      
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                <input type="text" id="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @else
                <input type="text" id="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @endif
            </td>
            <td>
              <select id="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_four', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php 
                      $used_caller_id = '';
                      $selected = '';
                  ?>
                  @foreach($caller_users as $caller)
                    <?php 
                      //$selected = '';
                      
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      <?php 
                        if(isset($caller_assignments[$caller->id][$dealer->coid][$call_type_id]))
                        {
                          if($selected == '')
                          {
                            if(!in_array($caller->id, $already_used_caller))
                            {
                              $selected = 'selected';
                              $already_used_caller[] = $caller->id;
                              $used_caller_id = $caller->id;
                            } else {
                              $selected = '';
                            }
                          } else {
                            $selected = '';
                          }
                        } else {
                          $selected = '';
                        }
                      ?>
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              @if(isset($caller_assignments[$used_caller_id][$dealer->coid][$call_type_id]))
                <input type="text" id="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $caller_assignments[$used_caller_id][$dealer->coid][$call_type_id] }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @else
                <input type="text" id="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four_count calls_count dealer_call_count_{{ $dealer->coid }}" value="0" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','{{ $dealer->coid }}', '{{ $call_type_id }}')">
              @endif
            </td>
          @else
            <td>
              <select id="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_one', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  @foreach($caller_users as $caller)
                    <?php
                      $selected = '';
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      @endif
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              <input type="text" id="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_one_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_one_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_one','{{ $dealer->coid }}', '{{ $call_type_id }}')">
            </td>
            <td>
              <select id="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_two', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  @foreach($caller_users as $caller)
                    <?php
                      $selected = '';
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      @endif
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              <input type="text" id="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_two_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_two_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_two','{{ $dealer->coid }}', '{{ $call_type_id }}')">
            </td>
            <td>
              <select id="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_three', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  @foreach($caller_users as $caller)
                    <?php
                      $selected = '';
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      @endif
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              <input type="text" id="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_three_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_three_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_three','{{ $dealer->coid }}', '{{ $call_type_id }}')">
            </td>
            <td>
              <select id="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four callers_{{ $dealer->coid }}_{{ $call_type_id }}" style="width: 100px" onchange="checkSelectedCaller('caller_four', '{{ $dealer->coid }}', '{{ $call_type_id }}')">
                  <option value="">Select...</option>
                  <?php
                    $calls_to_assign = 0;
                    $selected = '';
                    $already_assigned = false;
                  ?>
                  @foreach($caller_users as $caller)
                    <?php
                      $selected = '';
                    ?>
                    @if(isset($caller_access_array[$caller->id][$dealer->coid][$call_type_id]))
                      @if($total_count > 0 && $caller_calls_per_day[$caller->id] > 0 && $already_assigned == false)
                        <?php 
                          if($total_count == $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id] = 0;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          } else if($total_count > $caller_calls_per_day[$caller->id])
                          {
                            $total_count-= $caller_calls_per_day[$caller->id];
                            $calls_to_assign = $caller_calls_per_day[$caller->id];
                            $already_assigned = true;
                            $caller_calls_per_day[$caller->id] = 0;
                          } else if($total_count < $caller_calls_per_day[$caller->id])
                          {
                            $caller_calls_per_day[$caller->id]-= $total_count;
                            $calls_to_assign = $total_count;
                            $already_assigned = true;
                            $total_count = 0;
                          }
                          $selected = 'selected';
                        ?>
                      @endif
                      <option value="{{ $caller->id }}" {{ $selected }}>{{ $caller->first_name }} {{ $caller->last_name }}</option>
                    @endif
                  @endforeach
              </select>
            </td>
            <td>
              <input type="text" id="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" name="caller_four_count_{{ $dealer->coid }}_{{ $call_type_id }}" class="caller_four_count calls_count dealer_call_count_{{ $dealer->coid }}" value="{{ $calls_to_assign }}" style="width: 30px" onchange="checkMaxCallerCalls('caller_four','{{ $dealer->coid }}', '{{ $call_type_id }}')">
            </td>
          @endif
        </tr>
      @endforeach
    @endif
  @endforeach
</table>
<script type="text/javascript">
  @if( empty( $current_assignments->count() ) )
    $('.calls_count').val(0);
    $('.caller_one').val('');
    $('.caller_two').val('');
    $('.caller_three').val('');
    $('.caller_four').val('');
    @php
      $caller_inputs = ['caller_one', 'caller_two', 'caller_three', 'caller_four'];
    @endphp
    @foreach( $call_type_import_priority as $call_type_id )
      @foreach( $dealers as $dealer )
        @if( ! isset( $assigned_calls[ $dealer->coid ][ $call_type_id ] ) )
          @php
            continue;
          @endphp
        @else
          @php
            $row_total = $assigned_calls[ $dealer->coid ][ $call_type_id ];
          @endphp
          @foreach( $caller_inputs as $input_class )
            @if( $row_total <= 0 )
              @php
                break;
              @endphp
            @endif
            @foreach( $caller_users as $caller )
              @if( $row_total <= 0 )
                @php
                  break;
                @endphp
              @endif
              @if( isset( $caller_access_array[ $caller->id ][ $dealer->coid ][ $call_type_id ] ) )
                @if( $caller_availabilty[ $caller->id ] > 0 )
                  @if( $row_total <= $caller_availabilty[ $caller->id ] )
                    @php
                      $calls_num = $row_total;
                      $caller_availabilty[ $caller->id ] = $caller_availabilty[ $caller->id ] - $row_total;
                      $row_total = 0;
                    @endphp
                  @elseif( $row_total > $caller_availabilty[ $caller->id ])
                    @php
                      $calls_num = $caller_availabilty[ $caller->id ];
                      $row_total = $row_total - $caller_availabilty[ $caller->id ];
                      $caller_availabilty[ $caller->id ] = 0;
                    @endphp
                  @endif
                  $('#{{ $input_class }}_{{ $dealer->coid }}_{{ $call_type_id }}').val({{ $caller->id }});
                  $('#{{ $input_class }}_count_{{ $dealer->coid }}_{{ $call_type_id }}').val({{ $calls_num }});
                  @php
                    // Go to the next caller selectbox
                    break;
                  @endphp
                @endif
              @endif
            @endforeach
          @endforeach
        @endif
      @endforeach
    @endforeach
  @endif
</script>