<?php
    if(isset($filetemplate->file_separator))
    {
        $selected_separator = $filetemplate->file_separator;
        $selected_department = $filetemplate->file_department;
        $selected_drp = $filetemplate->date_range_param;
        $selected_calltype = $filetemplate->file_calltype;
    } else {
        $selected_separator = '';
        $selected_department = '';
        $selected_drp = '';
        $selected_calltype = '';
    }
?>

<form method="POST" id="scrubbed_form_{{ str_replace('.', '', $file_name) }}" action="" class="needs-validation" novalidate>
    <div class="form-row">
        <div class="form-group col-md-3" style="font-size: 10px;display:flex;align-items: end;">
            {{ $file_name }}
            <select id="scrubbed_file_name" name="scrubbed_file_name" style="display:none;">
                <option value="{{ $file_name }}">{{ $file_name }}</option>
            </select>
        </div>
        <div class="form-group col-md-1">
            <label for="department">{{ __('Department') }}</label>
            <select class="form-control need-validation-inputs form-control-sm" id="department" name="department">
                @include('inputs.select_options', ['options' => $departments_options, 'value_selected' => $selected_department])
            </select>
        </div>
        <div class="form-group col-md-2">
            <label for="calltype">{{ __('Call Type') }}</label>
            <select class="form-control need-validation-inputs form-control-sm" id="calltype" name="calltype">
                @include('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => $selected_calltype])
            </select>
        </div>
        <div class="form-group col-md-1">
            <label for="separator">{{ __('Separator') }}</label>
            <input type="text" id="separator" name="separator" class="form-control need-validation-inputs form-control-sm" placeholder="Separator" required value="{{ $selected_separator }}" maxlength="191">
            <div class="invalid-feedback">
                Please provide the file separator.
            </div>
        </div>
        <div class="form-group col-md-1">
            <label for="date_range">{{ __('Date Range') }}</label>
            <select id="date_range" name="date_range" class="form-control form-control-sm">
                <option value="" <?php if($selected_drp == '') print('selected'); ?> >None</option>
                <option value="service_date" <?php if($selected_drp == 'service_date') print('selected'); ?> >Service Date</option>
                <option value="sale_date" <?php if($selected_drp == 'sale_date') print('selected'); ?> >Sale Date</option>
                <option value="last_service_date" <?php if($selected_drp == 'last_service_date') print('selected'); ?> >Last Service Date</option>
                <option value="service_apt_date" <?php if($selected_drp == 'service_apt_date') print('selected'); ?> >Service Apt Date</option>
                <option value="sales_apt_date" <?php if($selected_drp == 'sales_apt_date') print('selected'); ?> >Sales Apt Date</option>
                <option value="lead_date" <?php if($selected_drp == 'lead_date') print('selected'); ?> >Lead Date</option>
            </select>
        </div>
        <div class="form-group col-md-1">
            <label for="startdate">{{ __('From') }}</label>
            <input type="text" id="startdate" name="startdate" class="form-control need-validation-inputs form-control-sm" placeholder="From" value="" maxlength="191">
            <div class="invalid-feedback">
                Please provide the file start date.
            </div>
        </div>
        <div class="form-group col-md-1">
            <label for="enddate">{{ __('To') }}</label>
            <input type="text" id="enddate" name="enddate" class="form-control need-validation-inputs form-control-sm" placeholder="To" value="" maxlength="191">
            <div class="invalid-feedback">
                Please provide the end date.
            </div>
        </div>
        <div class="form-group col-md-2" style="display:flex;align-items: end;">
            <button type="submit" name="scrubbed_file_template_button" id="scrubbed_file_template_button" class="btn btn-primary" onclick="editScrubbedFileTemplate(event, '{{ $company->coid }}', '{{ $file_name }}')"><i class="far fa-edit"></i></button>
            &nbsp;
            &nbsp;
            <button type="submit" name="review_scrubbed_file_button" id="review_scrubbed_file_button" class="btn btn-success" onclick="reviewScrubbedFile(event, '{{ $file_name }}')"><i class="fas fa-file-export"></i></button>
        </div>
    </div>
    <input type="hidden" id="review_coid" name="review_coid" value="{{ $company->coid }}">
</form>