@if( empty($export_type) )
    <table class="table table-striped">
        <thead>
            <tr>
                <th colspan="2">Question</th>
                <th>Yes</th>
                <th>No</th>
            </tr>
        </thead>
        <tbody>
            @php
                $i = 1;
            @endphp
            @foreach($questions as $q)
                <tr>
                    <td><strong>Question {{ $i }}</strong></td>
                    <td>{{ $question_texts[$q->id] }}</td>
                    <td>{{ $question_count[$q->id]['Yes'] }}</td>
                    <td>{{ $question_count[$q->id]['No'] }}</td>
                    @php
                        $i++;
                    @endphp
                </tr>
            @endforeach
            @php
                $table_totals = $grand_total_yes + $grand_total_no;
                $grand_total_yes_percent = ($grand_total_yes * 100) / $table_totals;
                $grand_total_no_percent = ($grand_total_no * 100) / $table_totals;
            @endphp
            <tr>
                <td colspan="2"><strong>Totals:</strong></td>
                <td>{{ $grand_total_yes }} (@php print(number_format($grand_total_yes_percent, 2) )@endphp %)</td>
                <td>{{ $grand_total_no }} (@php print(number_format($grand_total_no_percent, 2) )@endphp %)</td>
            </tr>
        </tbody>
    </table>
    <br>
    <br>
    <table class="table table-striped">
@else
    <table>
@endif

    <thead>
        <tr>
            <th>Name</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Year</th>
            <th>Make</th>
            <th>Model</th>
            <th>VIN</th>
            <th>Service Date</th>
            @if( ! empty($export_type) )
                <th>Caller Comments</th>
            @endif
            @php
                $i = 1;
            @endphp
            @foreach($questions as $q)
                <th>Question {{ $i }}</th>
                    @php
                        $i++;
                    @endphp
            @endforeach
            @if( empty($export_type) )
                <th>Open</th>
            @endif
        </tr>
    </thead>
    <tbody>
        @foreach ($livecalls as $record)
            <tr>
                <td>
                    {{ $record->fname }} {{ $record->lname }}
                </td>
                <td>
                    {{ $record->phone }}
                </td>
                <td>
                    {{ $record->email }}
                </td>
                <td>
                    {{ $record->vehicle_year }}
                </td>
                <td>
                    {{ $record->vehicle_make }}
                </td>
                <td>
                    {{ $record->vehicle_model }}
                </td>
                <td>
                    {{ $record->vin }}
                </td>
                <td>
                    {{ $record->service_date }}
                </td>
                @if( ! empty($export_type) )
                    <td>@php print( htmlentities($record->caller_comments)); @endphp</td>
                @endif
                @php
                    $i = 1;
                @endphp
                @foreach($questions as $q)
                        <td>{{ $answers[ $record->id ][ $q->id ] }}</td>
                        @php
                            $i++;
                        @endphp
                @endforeach
                @php
                    $is_dnc_record = ( ! empty( $record->global_dnc ) ||  ! empty( $record->dealer_dnc ) )? true : false;
                @endphp
                @if( empty($export_type) )
                    <td align="center">
                        <button class="btn btn-primary btn-sm" onclick="showCallDialog(event, '{{ $record->id }}', '{{ $coid }}','call_records', '', {{ $is_dnc_record }})"><i class="fas fa-search"></i></button>
                    </td>
                @endif
            </tr>
            @if( empty($export_type) )
                <tr>
                    @php
                        $colspan = 8 + $questions->count();
                    @endphp
                    <td colspan="{{ $colspan }}">@php print($record->caller_comments); @endphp</td>
                </tr>
            @endif
        @endforeach
    </tbody>
</table>