@extends('layouts.app')
@section('style_files')
    <link rel="stylesheet" href="{{ asset('css/jquery.typeahead.min.css') }}">
@endsection
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">File Import</div>

                <div class="card-body">
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div class="alert alert-danger" id="file_upload_error" style="display:none">
                      Something went wrong
                      <ul></ul>
                    </div>
                    <form method="post" action="fileupload/upload" enctype="multipart/form-data" id="upload_form">
                      @csrf



                        <div class="form-row">
                            <label for="user_type_id" class="col-md-4 col-form-label text-md-right">{{ __('Dealer') }}</label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="db_table" name="db_table" onchange="getFileTemplate()" required>
                                    @if(Auth::user()->user_type->name == 'Admin') 
                                        <option value="">Global</option>
                                    @endif
                                    @include('inputs.select_options', ['options' => $dealers, 'value_selected' => ''])
                                </select>
                            </div>
                        </div> 


                      <div class="form-row">
                            <label for="upload_file" class="col-md-4 col-form-label text-md-right">{{ __('Select a file:') }}</label>

                            <div class="form-group col-md-4">
                                <div class="input-group">
                                    <input type="file" name="upload_file" id="upload_file" class="form-control @error('user_name') is-invalid @enderror" onchange="getFileTemplate()" required  />

                                    @error('upload_file')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                    <div class="input-group-append">
                                        <button type="submit" name="upload" class="btn btn-success" onclick="uploadRecordFile(event)"><i class="fas fa-file-upload"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <label for="file_template" class="col-md-4 col-form-label text-md-right">{{ __('Template') }}</label>
                            <div class="form-group col-md-4">
                                <div class="input-group">
                                    <select class="form-control need-validation-inputs" id="file_template" name="file_template" onchange="checkFileTemplate(event)" required="">
                                        <option value="">Select</option>
                                        @include('inputs.select_options', ['options' => $file_templates, 'value_selected' => ''])
                                    </select>
                                    <div class="input-group-append">
                                        <button type="submit" name="upload" class="btn btn-primary" onclick="editFileTemplate()"><i class="far fa-edit"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <div class="form-row">
                            <label for="file_type" class="col-md-4 col-form-label text-md-right">{{ __('File Type') }}</label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="file_type" name="file_type" required>
                                    <option value="">Select</option>
                                    <option value="leo">LEO</option>
                                    <option value="toyota_care">Toyota Care</option>
                                    <option value="recall">Recall</option>
                                    <option value="call_records">Call Records</option>
                                </select>
                            </div>
                        </div> 
                        <div class="form-row">
                            <label for="call_type" class="col-md-4 col-form-label text-md-right">{{ __('Call Type') }}</label>
                            <div class="form-group col-md-4">
                                <select class="form-control need-validation-inputs" id="call_type" name="call_type">
                                    <option value="">None</option>
                                    @include('inputs.select_options', ['options' => $call_types, 'value_selected' => ''])
                                </select>
                            </div>
                        </div> 

                        <div class="form-row">
                            <label for="call_type" class="col-md-4 col-form-label text-md-right"></label>
                            <div class="form-group col-md-4 text-center">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="use_calltype_column" name="use_calltype_column" value="1">
                                    <label class="custom-control-label" for="use_calltype_column">Use call type column</label>
                                </div>
                            </div>
                        </div>



                        <div class="form-group row">
                          <div class="col-md-12">
                            <div class="progress" style="width: 50%;margin: auto;height: 30px">
                              <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="" aria-valuemin="0" aria-valuemax="100" style="width: 0%">0%</div>
                            </div>
                          </div>
                        </div>
                        <div class="form-group row">
                          <div class="col-md-12 text-center">
                            <div id="success">
                            </div>
                          </div>
                        </div>
                        <input type="hidden" id="upload_type" name="upload_type" value="">
                        <input type="hidden" id="has_calltype_column" name="has_calltype_column" value="">
                    </form>
                    <br />
                    

                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('scripts_extra')
    
@endsection   