<?php $__env->startSection('style_files'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Call Report</div>
                <div class="card-body">
                    <form id="search_call_records_form" name="search_call_records_form">
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid_search"><?php echo e(__('Dealer')); ?></label>
                                <select class="form-control" id="coid_search" name="coid_search" required>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="call_type_id_search"><?php echo e(__('Call Type')); ?></label>
                                <select class="form-control" id="call_type_id_search" name="call_type_id_search">
                                    <option value="">All</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>  
                                </select>
                                <div class="invalid-feedback">
                                    Provide the call type.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="record_type_search"><?php echo e(__('Record Type')); ?></label>
                                <select class="form-control" id="record_type_search" name="record_type_search">
                                    <option value="completed">Completed</option>
                                    <option value="pending">Pending</option>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a record type.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search"><?php echo e(__('Start Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="end_date_search"><?php echo e(__('End Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search">
                                <div class="invalid-feedback">
                                    Provide end date
                                </div>
                            </div>

                            <div class="form-group col-md-2">
                                <label for="value_search"><?php echo e(__('Search')); ?></label>
                                <div class="input-group">
                                    <input type="text" id="value_search" name="value_search" class="form-control" placeholder="Search">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="searchCallRecords(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-2" style="display: flex;align-items: end;justify-content: center;">
                                <div id="total_records_found"></div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="call_record_container">
                        
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    
    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                callRecordPaginationData(page, null, 0);
            });
        });

        function callRecordPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#call_record_container").empty().html(html);
            var my_form = $('#search_call_records_form');
            var form_id = "search_call_records_form";
            var form_values = my_form.serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall;
            
            $.ajax(
            {

                url: $('meta[name="main-url"]').attr('content')+'/calls/report/pagination',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "json",
                data: form_values

            }).done(function(data){

                $("#call_record_container").empty().html(data);

                $(function () {
                  $('[data-toggle="popover"]').popover({
                        html: true,
                        trigger: 'hover'
                    })
                });

                location.hash = page;
                $('[data-toggle="tooltip"]').tooltip();
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }

        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/pages/call_report.blade.php ENDPATH**/ ?>