<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <meta name="main-url" content="<?php echo e(url('/')); ?>">

    <title>FullBDC Vin Tracker</title>

    

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/main.css?v=3.2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/bootstrap-tagsinput.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/bootstrap-tagsinput-typeahead.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/chat.css?v=1.4')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/selectize.bootstrap3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet">
    <?php echo $__env->yieldContent('style_files'); ?>
</head>
<body>
    <div id="app">
        <?php if(Auth::check()): ?>  
            <?php if(Auth::user()->blocked == 0): ?>
            <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm fixed-top">
                <div class="container-fluid">
                    <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                        <img src="<?php echo e(asset('images/main_logo.png')); ?>" style="width: 200px">
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Left Side Of Navbar -->
                        <ul class="navbar-nav mx-auto">
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->user_type->name == "Admin"): ?>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-file-excel fa-2x" data-toggle="tooltip" data-placement="bottom" title="File Import"></i></a>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(url('uploadfile')); ?>"> Leo / Recalls Files</a>
                                            <a class="dropdown-item" href="<?php echo e(url('upload/call/file')); ?>"> Calls File (Dealer)</a>
                                            <a class="dropdown-item" href="<?php echo e(url('upload/calls/files')); ?>"> Calls File (All)</a>
                                        </div>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Report">
                                        <a class="nav-link" href="<?php echo e(url('report')); ?>"><i class="fas fa-chart-bar fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-list fa-2x" data-toggle="tooltip" data-placement="bottom" title="Reports"></i></a>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(url('reports/basic/dealer/report/panel')); ?>">Basic Dealer Report</a>
                                            <a class="dropdown-item" href="<?php echo e(url('reports/email/capture/panel')); ?>">Email Capture</a>
                                            <a class="dropdown-item" href="<?php echo e(url('reports/bad/data/panel')); ?>">Bad Data</a>
                                            <a class="dropdown-item" href="<?php echo e(url('reports/survey/report/panel')); ?>">Survey Report</a>
                                            <a class="dropdown-item" href="<?php echo e(url('callsreport')); ?>"><i class="fas fa-headset"></i> Calls History</a>
                                            <a class="dropdown-item" href="<?php echo e(url('pendingcalls')); ?>"><i class="fas fa-hourglass-start"></i> Pending Calls</a>
                                            <a class="dropdown-item" href="<?php echo e(url('reminders')); ?>"><i class="fas fa-bell"></i> Reminders</a>
                                            <a class="dropdown-item" href="<?php echo e(url('records/imported')); ?>"><i class="fas fa-bell"></i> Records Imported Stats</a>
                                        </div>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Ghost Vin Totals">
                                        <a class="nav-link" href="#" onclick="getGhostVinCount(event)"><i class="fas fa-ghost fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Search Customers">
                                        <a class="nav-link" href="<?php echo e(url('search_customers')); ?>"><i class="fas fa-search fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Communication Center">
                                        <a class="nav-link" href="<?php echo e(url('communication/email')); ?>">
                                            <span class="notifications_span">
                                                <span id="new_message_span">
                                                    <?php if($pending_sms->count() > 0): ?>
                                                        <span class="button_notification" id="pending_sms_messages"><?php echo e($pending_sms->count()); ?></span>
                                                    <?php else: ?>
                                                        <span class="button_notification" id="pending_sms_messages" style="display: none;">0</span>
                                                    <?php endif; ?>
                                                </span>
                                                <i class="fas fa-broadcast-tower fa-2x"></i>
                                            </span>
                                        </a>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-phone-volume fa-2x" data-toggle="tooltip" data-placement="bottom" title="Inbound"></i></a>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(url('inbound/dealer/message')); ?>">Dealer message center</a>
                                            <a class="dropdown-item" href="<?php echo e(url('inbound/last/calls')); ?>">Last Calls</a>
                                        </div>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Training Alerts">
                                        <a class="nav-link" href="<?php echo e(url('training_alerts')); ?>"><i class="fas fa-bell fa-2x"></i></a>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-users fa-2x" data-toggle="tooltip" data-placement="bottom" title="Users"></i></a>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(url('users')); ?>"><i class="fas fa-users-cog"></i> User Settings</a>
                                            <a class="dropdown-item" href="<?php echo e(url('usergroups')); ?>"><i class="fas fa-users"></i> User Groups</a>
                                            <a class="dropdown-item" href="<?php echo e(url('users/timetrack')); ?>"><i class="fas fa-clock"></i> Time Track</a>
                                        </div>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-cogs fa-2x" data-toggle="tooltip" data-placement="bottom" title="Dealer Settings"></i></a>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(url('twilio_phones')); ?>">Dealer Settings</a>
                                            <a class="dropdown-item" href="<?php echo e(url('calltype')); ?>">Call Types Settings</a>
                                            <a class="dropdown-item" href="<?php echo e(url('settings/global')); ?>">Global Settings</a>
                                        </div>
                                    </li>
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-calendar-alt fa-2x" data-toggle="tooltip" data-placement="bottom" title="Assignments"></i></a>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(url('admin/assignments')); ?>"><i class="far fa-calendar-check"></i> Assignments List</a>
                                            <a class="dropdown-item" href="<?php echo e(url('admin/caller/hours')); ?>"><i class="fas fa-hourglass-half"></i> Caller Hours</a>
                                        </div>
                                    </li>
                                <?php elseif(Auth::user()->user_type->name == "Dealer"): ?>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="File Import">
                                        <a class="nav-link" href="<?php echo e(url('uploadfile')); ?>"><i class="fas fa-file-excel fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Report">
                                        <a class="nav-link" href="<?php echo e(url('report')); ?>"><i class="fas fa-chart-bar fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Calls Report">
                                        <a class="nav-link" href="<?php echo e(url('callsreport')); ?>"><i class="fas fa-list fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Search Customers">
                                        <a class="nav-link" href="<?php echo e(url('search_customers')); ?>"><i class="fas fa-search fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Communication Center">
                                        <a class="nav-link" href="<?php echo e(url('communication/email')); ?>"><i class="fas fa-broadcast-tower fa-2x"></i></a>
                                    </li>
                                <?php elseif(Auth::user()->user_type->name == "Full BDC Caller"): ?>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Assignments">
                                        <a class="nav-link" href="<?php echo e(url('caller/assignment')); ?>"><i class="fas fa-clipboard-list fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Report">
                                        <a class="nav-link" href="<?php echo e(url('report')); ?>"><i class="fas fa-chart-bar fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Calls Report">
                                        <a class="nav-link" href="<?php echo e(url('callsreport')); ?>"><i class="fas fa-list fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="My Schedule">
                                        <a class="nav-link" href="<?php echo e(url('caller/schedule')); ?>"><i class="fas fa-calendar-alt fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="My Timer">
                                        <a class="nav-link" href="#" onclick="getCallerTimer(event);"><i class="fas fa-stopwatch fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Training Alerts">
                                        <a class="nav-link" href="<?php echo e(url('training_alerts')); ?>"><i class="fas fa-bell fa-2x"></i></a>
                                    </li>
                                <?php elseif(Auth::user()->user_type->name == "Inbound Caller"): ?>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Take Inbound Call">
                                        <a class="nav-link" href="<?php echo e(url('report')); ?>"><i class="fas fa-headset fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="My Schedule">
                                        <a class="nav-link" href="<?php echo e(url('caller/schedule')); ?>"><i class="fas fa-calendar-alt fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="My Timer">
                                        <a class="nav-link" href="#" onclick="getCallerTimer(event);"><i class="fas fa-stopwatch fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Training Alerts">
                                        <a class="nav-link" href="<?php echo e(url('training_alerts')); ?>"><i class="fas fa-bell fa-2x"></i></a>
                                    </li>
                                <?php elseif(Auth::user()->user_type->name == "Dealer Caller"): ?>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Report">
                                        <a class="nav-link" href="<?php echo e(url('report')); ?>"><i class="fas fa-chart-bar fa-2x"></i> <?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="Calls Report">
                                        <a class="nav-link" href="<?php echo e(url('callsreport')); ?>"><i class="fas fa-list fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                    <li class="nav-item" data-toggle="tooltip" data-placement="bottom" title="My Timer">
                                        <a class="nav-link" href="#" onclick="getCallerTimer(event);"><i class="fas fa-stopwatch fa-2x"></i><?php echo e(__('')); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php endif; ?>
                        </ul>

                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ml-auto">
                            <!-- Authentication Links -->
                            <?php if(auth()->guard()->guest()): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                                <?php if(Route::has('register')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php else: ?>
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        <?php echo e(Auth::user()->first_name); ?> <span class="caret"></span>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="<?php echo e(url('myaccount')); ?>">
                                           <i class="fas fa-user-circle"></i> <?php echo e(__('My Account')); ?>

                                        </a>
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault();
                                                         document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Logout')); ?>

                                        </a>
                                        

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </nav>
            <?php if(Auth::check()): ?>  
                <div class="w-100 d-flex flex-column p-4" id="alerts_container"></div>
                <div class="position-absolute w-100 d-flex flex-column p-4" id="alerts_container_right"></div>
            <?php endif; ?>
            <br>
            <br>
            <br>
            <main class="py-4">
                <?php echo $__env->yieldContent('content'); ?>
                <div class="modal fade" id="main_modal-xl" tabindex="-1" role="dialog" aria-labelledby="XLBigModal" aria-hidden="true">
                    <div class="modal-dialog  modal-xl" role="document">
                        <div class="modal-content" id="modal_body_content-xl">
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="main_modal-full" tabindex="-1" role="dialog" aria-labelledby="FullBigModal" aria-hidden="true">
                    <div class="modal-dialog modal-xl" role="document" style="max-width: 98%;">
                        <div class="modal-content" id="modal_body_content-full">
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="main_modal" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content" id="modal_body_content">
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="scrollable_modal-xl" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog modal-xl modal-dialog-scrollable" role="document" style="max-width: 98%;">
                        <div class="modal-content" id="modal_body_content-scrollable-xl">
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="scrollable_modal-xl-second" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog modal-xl modal-dialog-scrollable" role="document">
                        <div class="modal-content" id="modal_body_content-scrollable-xl-second">
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="second_main_modal" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog  modal-lg" role="document">
                        <div class="modal-content" id="modal_body_content-second">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="draggable_main_modal" tabindex="-1" role="dialog" aria-labelledby="DraggableModal" aria-hidden="true">
                    <div class="modal-dialog  modal-lg" role="document">
                        <div class="modal-content" id="modal_body_content-draggable">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal-sm" tabindex="-1" role="dialog" aria-labelledby="SmallModal" aria-hidden="true">
                    <div class="modal-dialog  modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" id="modal_body_content-sm">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal-sm_second" tabindex="-1" role="dialog" aria-labelledby="SmallModal" aria-hidden="true">
                    <div class="modal-dialog  modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" id="modal_body_content-sm_second">
                        </div>
                    </div>
                </div>
                <div class="popup-box chat-popup" id="chat_windows_container"></div>
                <?php if(Auth::check()): ?>
                    <div id="hidechatpaneldiv" class="hidechatpanel" onclick="hideShowChat()">
                        <i class="fas fa-comments" style="font-size: 18px"></i>
                        <?php if($pending_chats == 0): ?>
                            <span class="hide_chat_notification" id="pending_chat_messages" style="display: none"><?php echo e($pending_chats); ?></span>
                        <?php else: ?>
                            <span class="hide_chat_notification" id="pending_chat_messages"><?php echo e($pending_chats); ?></span>
                        <?php endif; ?>
                    </div>
                    <div id="chatpaneldiv" class="chatpanel"></div>

                    <?php if(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller"): ?>
                        <div id="user_timer_draggable" class="rounded" style="display: none">
                            <div id="user_timer_draggable_header" class="rounded-top p-1">
                                <div class="row">
                                    <div class="col-8 align-middle">
                                        <strong>MY TIMER</strong>
                                    </div>
                                    <div class="col-4">
                                        <i class="fas fa-window-maximize" style="display:none"></i> &nbsp;<span class="cursorpointer" onclick="hideCallerTimer(event)"><i class="fas fa-window-close"></i></span>
                                    </div>
                                </div>  
                            </div>
                            <div class="row mt-2">
                                <div class="col d-flex justify-content-center">
                                    <h3><span id="caller_timer"><?php echo e($current_timer); ?></span></h3>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-6 d-flex justify-content-end">
                                    <span class="btn btn-success btn-sm" onclick="startCallerTimer(event)"><i class="far fa-play-circle"></i> Start</span>
                                </div>
                                <div class="col-6 d-flex justify-content-start">
                                    <span class="btn btn-danger btn-sm" onclick="stopCallerTimer(event)"><i class="far fa-stop-circle"></i> Stop</span>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" id="timer_running" name="timer_running" value="<?php echo e($timer_running); ?>">
                    <?php endif; ?>

                    

                <?php endif; ?>
            </main>
            <?php elseif(Auth::user()->blocked == 1): ?>
                <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
                    <div class="container">
                        <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                           <img src="<?php echo e(asset('images/main_logo.png')); ?>" style="width: 200px">
                        </a>
                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            <!-- Right Side Of Navbar -->
                            <ul class="navbar-nav ml-auto">
                                <!-- Authentication Links -->
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        <?php echo e(Auth::user()->first_name); ?> <span class="caret"></span>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault();
                                                         document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Logout')); ?>

                                        </a>

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </nav>
                <main class="py-4">
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-md-8">
                                <div class="card">
                                    <div class="card-header"><i class="fas fa-exclamation-triangle"></i> &nbsp;Alert!</div>

                                    <div class="card-body">
                                        <p><?php echo e(Auth::user()->first_name); ?>, your account has been locked. Please get in contact with an admin user!</p>
                                        <p><strong>User:</strong> <?php echo e(Auth::user()->email); ?> </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
            <?php endif; ?>
        <?php else: ?>
            <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
                <div class="container">
                    <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                        FullBDC Vin Tracker
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ml-auto">
                            <!-- Authentication Links -->
                            <?php if(auth()->guard()->guest()): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                                <?php if(Route::has('register')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php else: ?>
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        <?php echo e(Auth::user()->first_name); ?> <span class="caret"></span>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault();
                                                         document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Cerrar Sesión')); ?>

                                        </a>

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </nav>
            <?php if(Auth::check()): ?>
                <div class="position-absolute w-100 d-flex flex-column p-4" id="alerts_container"></div>
                <div class="position-absolute w-100 d-flex flex-column p-4" id="alerts_container_right"></div>
            <?php endif; ?>
            <main class="py-4">
                <?php echo $__env->yieldContent('content'); ?>
                <div class="modal fade" id="main_modal-xl" tabindex="-1" role="dialog" aria-labelledby="XLBigModal" aria-hidden="true">
                    <div class="modal-dialog modal-xl" role="document">
                        <div class="modal-content" id="modal_body_content-xl">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog  modal-lg" role="document">
                        <div class="modal-content" id="modal_body_content">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal-sm" tabindex="-1" role="dialog" aria-labelledby="SmallModal" aria-hidden="true">
                    <div class="modal-dialog  modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" id="modal_body_content-sm">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal-sm_second" tabindex="-1" role="dialog" aria-labelledby="SmallModal" aria-hidden="true">
                    <div class="modal-dialog  modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" id="modal_body_content-sm_second">
                        </div>
                    </div>
                </div>
                <div class="popup-box chat-popup" id="chat_windows_container"></div>
                <?php if(Auth::check()): ?>
                    <div id="hidechatpaneldiv" class="hidechatpanel" onclick="hideShowChat()">
                        <i class="fas fa-comments" style="font-size: 18px"></i>
                        <?php if($pending_chats == 0): ?>
                            <span class="hide_chat_notification" id="pending_chat_messages" style="display: none"><?php echo e($pending_chats); ?></span>
                        <?php else: ?>
                            <span class="hide_chat_notification" id="pending_chat_messages"><?php echo e($pending_chats); ?></span>
                        <?php endif; ?>
                    </div>
                    <div id="chatpaneldiv" class="chatpanel"></div>
                <?php endif; ?>
            </main>
        <?php endif; ?>
    </div>

    <!-- Scripts -->
    <script type="text/javascript">
        window.laravel_echo_port='6002';
    </script>
    <script src="<?php echo e(asset('js/app.js')); ?>"></script>
    <script src="https://kit.fontawesome.com/2185df722e.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.2.2/jquery.form.min.js" integrity="sha384-FzT3vTVGXqf7wRfy8k4BiyzvbNfeYjK+frTVqZeNDFl8woCbF0CYG6g2fMEFFo/i" crossorigin="anonymous"></script>
    <script src="<?php echo e(asset('js/main.js?v=35.1')); ?>"></script>
    <script src="<?php echo e(asset('js/bootstrap-tagsinput.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/selectize.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/bootstrap-datepicker.es.min.js')); ?>"></script>
    <script src="https://cdn.tiny.cloud/1/vrzip2zckqaf92vl2bcq6q5z5fq4sssovolh86lg2mzypxxn/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
    <?php echo $__env->yieldContent('scripts_extra'); ?>
    <script type="text/javascript">
        <?php if(Auth::check()): ?>

            <?php if(Auth::user()->user_type->name == "Admin"): ?>

                <?php $__currentLoopData = $pending_sms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pending_sms_message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(strtoupper(trim($pending_sms_message->message)) != 'YES'): ?>
                        <?php 
                            $toast_id = 'toast'.str_replace('+1', '', $pending_sms_message->from).'_'.str_replace('+1', '', $pending_sms_message->to);
                            $formated_number = str_replace('+1', '', $pending_sms_message->from);
                            $sms_created_at = date('m/d/Y H:i', strtotime($pending_sms_message->created_at));
                        ?>
                        var toast_title = 'SMS for <?php echo e($twilio_companies[$pending_sms_message->to]); ?>';
                        var toast_id = '<?php echo e($toast_id); ?>';
                        var message_id = '<?php echo e($pending_sms_message->id); ?>';
                        var company_coid = '<?php echo e($companies_coid[$pending_sms_message->to]); ?>';
                        var toast_content = '<strong>You have a SMS from:</strong> <?php echo e($pending_sms_message->from); ?><br>';
                        var html_content = ''+
                            '<div aria-live="polite" aria-atomic="true" class="d-flex justify-content-center align-items-center" style="z-index: 1000;position:fixed;left: 50%; top: 50%">'+
                                '<div class="toast ml-auto" role="alert" data-autohide="false" style="z-index: 1001; position: absolute; min-width: 350px;height: 200px;background-color: #fff;" id="'+toast_id+'">'+
                                    '<div class="toast-header" style="background-color: #ffebeb;">'+
                                        '<strong class="mr-auto text-primary">'+toast_title+'</strong>'+
                                        '<small class="text-muted"><?php echo e($sms_created_at); ?></small>'+
                                        '<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">'+
                                            '<span aria-hidden="true">×</span>'+
                                        '</button>'+
                                    '</div>'+
                                    '<div class="toast-body" style="background-color: #fff;">'+
                                        toast_content+
                                        '<div style="max-height: 80px; overflow: auto">'+
                                            '<strong>Message:</strong> <?php echo e($pending_sms_message->message); ?>'+
                                        '</div>'+
                                        '<div class="row" style="position: absolute;bottom: 10px;width: 100%;right: 0px;">'+
                                            '<div class="text-primary col cursorpointer"  onclick="startConversationFromCall(event, \'<?php echo e(Auth::id()); ?>\', 0, \'<?php echo e($companies_coid[$pending_sms_message->to]); ?>\', \'\', \'\', \'\', \'<?php echo e($formated_number); ?>\');closeSmsToast(event, \'<?php echo e($toast_id); ?>\')">[Open <i class="fas fa-envelope-open-text"></i>]</div> '+
                                            '<div class="text-success col cursorpointer" onclick="markSmsAsRead(event, '+company_coid+', '+message_id+');closeSmsToast(event, \'<?php echo e($toast_id); ?>\')">[Mark as Read <i class="fas fa-glasses"></i>]</div>'+
                                        '</div>'+
                                    '</div>'+
                                '</div>'+
                            '</div>';
                        $('body').append(html_content);
                        $('#'+toast_id).toast('show');
                        $('#'+toast_id).on('hidden.bs.toast', function () {
                            $('#'+toast_id).toast('dispose');
                        });
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <?php endif; ?>

            <?php if(Auth::user()->user_type->name == "Full BDC Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Dealer Caller"): ?>
                <?php if($has_pending_training_alerts == 1 && (!isset($redirected) || $redirected == 0)): ?>
                    window.location.href = '<?php echo e(url("training_alerts/?redirected=1")); ?>';
                <?php elseif($has_locked_assignment_global == 1 && (!isset($redirected) || $redirected == 0)): ?>
                    window.location.href = '<?php echo e(url("caller/assignment/?redirected=1")); ?>';
                <?php endif; ?>
            <?php endif; ?>

            var typingTimer = null;
            var chat_pages = [];

            window.Echo.private('alerts').listen('UpcomingAlert', e => {
                console.log('event coming!');
                console.log(e);
                //alert('upcomingalert');
                showNewChatMessageAlert(e);
            });

            window.Echo.private('alerts.'+<?php echo e(Auth::id()); ?>).listen('UpcomingAlert', e => {
                console.log('event coming!');
                console.log(e);
                //alert('upcomingalert');
                if(!$('#conversation_'+e.from_user.id).length > 0)
                {
                    var active_pending_messages = parseInt($("#pending_messages_"+e.from_user.id).html());
                    var new_active_pending_messages = active_pending_messages + 1;
                    $("#pending_messages_"+e.from_user.id).css("display", "block");
                    $("#pending_messages_"+e.from_user.id)
                    .css({opacity: 0})
                    .text(new_active_pending_messages)
                    .css({top: '-10px'})
                    .animate({top: '-1px', opacity: 1}, 500);

                    var total_active_pending_messages = parseInt($("#pending_chat_messages").html());
                    var new_total_active_pending_messages = total_active_pending_messages + 1;
                    $("#pending_chat_messages").css("display", "block");
                    $("#pending_chat_messages")
                    .css({opacity: 0})
                    .text(new_total_active_pending_messages)
                    .css({top: '-10px'})
                    .animate({top: '-1px', opacity: 1}, 500);
                }

                
            });

            window.Echo.private('general_alert').listen('GeneralAlertEvent', e => {
                console.log('event coming!');
                console.log(e);

                var alert_type = e.alert_data.type;
                if(alert_type == 'clocked_out') {
                    $('#running_timer_'+e.alert_data.reference).val(e.alert_data.running_timer);
                    if(e.alert_data.running_timer == 1)
                    {
                        startMultipleCallerTimer();
                        $('#user_row_'+e.alert_data.reference).css('background-color', '#a6ffc5');
                    } else if(e.alert_data.running_timer == 0)
                    {
                        stopMultipleCallerTimer('', e.alert_data.reference);
                        $('#user_row_'+e.alert_data.reference).css('background-color', '#ffcfcf');
                    }
                } else {
                    newServiceConnectAlert(e);
                }
                
            });

            window.Echo.private('user-alerts.'+<?php echo e(Auth::id()); ?>).listen('UserAlert', e => {
                
                console.log('event coming!');
                console.log(e);
                if(e.alert_data.type == 'login')
                {
                    idleTime = 0;
                    session_seconds = 60;
                    $('meta[name="csrf-token"]').attr('content', e.alert_data.token);
                    $('#main_modal-sm').modal('hide');
                } else if(e.alert_data.type == 'logout')
                {
                    if($('#prompt_login_form').length)
                    {
                        //do nothing
                    } else {
                        //promptLogin();
                    }
                } else if(e.alert_data.type == 'clocked_out')
                {
                    $('#timer_running').val(0);
                    stopCallerTimer('');
                } else if(e.alert_data.type == 'blocked')
                {
                    var app_html = '';
                    if(e.alert_data.blocked == 1)
                    {
                        var app_html = '<div class="container mt-5">'+
                                        '<div class="row justify-content-center">'+
                                            '<div class="col-md-8">'+
                                                '<div class="card">'+
                                                    '<div class="card-header"><i class="fas fa-exclamation-triangle"></i> &nbsp;Alert!</div>'+
                                                    '<div class="card-body">'+
                                                        '<p><?php echo e(Auth::user()->first_name); ?>, your account has been locked. Please get in contact with an admin user!</p>'+
                                                        '<p><strong>User:</strong> <?php echo e(Auth::user()->email); ?> </p>'+
                                                    '</div>'+
                                                '</div>'+
                                            '</div>'+
                                        '</div>'+
                                    '</div>';
                    } else if(e.alert_data.blocked == 0){
                        var app_html = '<div class="container mt-5">'+
                                        '<div class="row justify-content-center">'+
                                            '<div class="col-md-8">'+
                                                '<div class="card">'+
                                                    '<div class="card-header"><i class="fas fa-exclamation-triangle"></i> &nbsp;Yay!</div>'+
                                                    '<div class="card-body">'+
                                                        '<p><?php echo e(Auth::user()->first_name); ?>, your account has been unlocked! Please refresh this page to access.</p>'+
                                                        '<p><strong>User:</strong> <?php echo e(Auth::user()->email); ?> </p>'+
                                                    '</div>'+
                                                '</div>'+
                                            '</div>'+
                                        '</div>'+
                                    '</div>';
                    }
                    $('#app').html(app_html);
                }
            });

        <?php endif; ?>    


        $(document).ready(function(){

            <?php if(Auth::check()): ?>
                var loggoutInterval;
                var idleInterval = setInterval(function(){
                    timerIncrement()
                }, 60000); // 1 minute

                //Zero the idle timer on mouse movement.
                $(this).click(function (e) {
                    idleTime = 0;
                });
                $(this).keypress(function (e) {
                    idleTime = 0;
                });
            <?php endif; ?>

            if($('#upload_form').length > 0)
            {
                $('#upload_form').ajaxForm({
                  beforeSend:function(){
                    $('#success').empty();
                  },
                  uploadProgress:function(event, position, total, percentComplete)
                  {
                    $('.progress-bar').text(percentComplete + '%');
                    $('.progress-bar').css('width', percentComplete + '%');
                  },
                  success:function(data)
                  {
                    $('#upload_type').val('');
                    if(data.success)
                    {
                        if(data.upload_type == 'template')
                        {
                            editFileTemplateDialog(data.uploaded_file, data.orig_file_name);
                            $('.progress-bar').text('0%');
                            $('.progress-bar').css('width', '0%');

                        } else {
                            //$('#success').html('<span class="text-success"><b>'+data.success+'</b></span><br /><br />');
                            $('#upload_file').val('');
                            $('#upload_file').focus();
                            if(data.error == '')
                            {
                                $('.progress-bar').text('Uploaded');
                                $('.progress-bar').css('width', '100%');
                                showSuccessAlert('success-alert-message',data.success);
                                $("#upload_file").removeClass('is-invalid');
                                $('#success').html(data.download_link);
                                $('#file_upload_error').hide('fast', function() {
                                  
                                });

                                if($('#search_customer_form').length > 0) 
                                {
                                    $('#modal_body_content-xl').html(data.view_content);
                                    $('#main_modal-xl').modal({
                                        backdrop: 'static'
                                    });
                                    $('#main_modal-xl').modal('show'); 
                                }
                            } else {
                                $('.progress-bar').text('0%');
                                $('.progress-bar').css('width', '0%');
                                $("#upload_file").addClass('is-invalid');
                                var error_data_json =   {
                                                "errors":[
                                                  {"upload_file":data.error}
                                                ]
                                            };
                                console.log(error_data_json);
                                printErrorMsg (error_data_json.errors[0], 'file_upload_error');
                            }
                        }
                        
                    }
                  },
                  error:function(data)
                  {
                    $('#upload_type').val('');
                    $('.progress-bar').text('0%');
                    $('.progress-bar').css('width', '0%');
                    //alert(data.errors);
                    console.log(data);
                    printErrorMsg (data.responseJSON.errors, 'file_upload_error');
                  }

                });


                $('#upload_file').on('change', function () {
                    $('.progress-bar').text('0%');
                    $('.progress-bar').css('width', '0%');
                    $('#success').empty();
                    var file = this.files[0];
                    if(checkFileSize('upload_file', file, 25) == false)
                    {
                        $("#upload_file").addClass('is-invalid');
                        return false;
                    }
                    var file_extension = file.name.split('.')[file.name.split('.').length-1];
                    var allowed_extensions = 'xlsx,xls,csv';
                    if(checkFileExtension('upload_file', file_extension, allowed_extensions) == false)
                    {
                        $("#upload_file").addClass('is-invalid');
                        return false;
                    }
                    $('#file_upload_error').hide('slow', function() {

                    });
                    $("#upload_file").removeClass('is-invalid');
                // Also see .name, .type
                });
            }


            <?php if(Auth::check()): ?>
                <?php if(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller"): ?>

                    dragElement(document.getElementById("user_timer_draggable"));
                    function dragElement(elmnt) {
                      var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
                      if (document.getElementById(elmnt.id + "header")) {
                        /* if present, the header is where you move the DIV from:*/
                        document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
                      } else {
                        /* otherwise, move the DIV from anywhere inside the DIV:*/
                        elmnt.onmousedown = dragMouseDown;
                      }

                      function dragMouseDown(e) {
                        e = e || window.event;
                        e.preventDefault();
                        // get the mouse cursor position at startup:
                        pos3 = e.clientX;
                        pos4 = e.clientY;
                        document.onmouseup = closeDragElement;
                        // call a function whenever the cursor moves:
                        document.onmousemove = elementDrag;
                      }

                      function elementDrag(e) {
                        e = e || window.event;
                        e.preventDefault();
                        // calculate the new cursor position:
                        pos1 = pos3 - e.clientX;
                        pos2 = pos4 - e.clientY;
                        pos3 = e.clientX;
                        pos4 = e.clientY;
                        // set the element's new position:
                        elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
                        elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
                      }

                      function closeDragElement() {
                        /* stop moving when mouse button is released:*/
                        document.onmouseup = null;
                        document.onmousemove = null;
                      }
                    }

                    <?php if($timer_running == 1): ?>
                        startCallerTimer(null);
                    <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>


            
        });
        
        $('[data-toggle="tooltip"]').tooltip();
        <?php if(Auth::check()): ?>
            setTimeZoneDiff();
        <?php endif; ?>
        

        

    </script>
</body>
</html>
<?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/layouts/app.blade.php ENDPATH**/ ?>