<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <meta name="main-url" content="<?php echo e(url('/')); ?>">

    <title>FullBDC Vin Tracker</title>

    

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/main.css?v=1.0')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/selectize.bootstrap3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet">
    <?php echo $__env->yieldContent('style_files'); ?>
</head>
<body>
    <div id="app">
        <?php if(Auth::check()): ?>  
            <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm fixed-top">
                <div class="container-fluid">
                    <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                        <img src="images/main_logo.png" style="width: 30%">
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Left Side Of Navbar -->
                        <ul class="navbar-nav mx-auto">
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->user_type->name == "Admin"): ?>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(url('uploadfile')); ?>"><i class="fas fa-file-excel fa-2x"></i> <?php echo e(__('File Import')); ?></a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(url('report')); ?>"><i class="fas fa-chart-bar fa-2x"></i> <?php echo e(__('Report')); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php endif; ?>
                        </ul>

                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ml-auto">
                            <!-- Authentication Links -->
                            <?php if(auth()->guard()->guest()): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                                <?php if(Route::has('register')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php else: ?>
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        <?php echo e(Auth::user()->first_name); ?> <span class="caret"></span>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="Myaccount">
                                           <i class="fas fa-user-circle"></i> <?php echo e(__('My Account')); ?>

                                        </a>
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault();
                                                         document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Logout')); ?>

                                        </a>
                                        

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </nav>
            <?php if(Auth::check()): ?>  
                <div class="w-100 d-flex flex-column p-4" style="position: absolute;bottom: 0px;right: 0px;" id="alerts_container"></div>
            <?php endif; ?>
            <br>
            <br>
            <br>
            <main class="py-4">
                <?php echo $__env->yieldContent('content'); ?>
                <div class="modal fade" id="main_modal" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content" id="modal_body_content">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal-sm" tabindex="-1" role="dialog" aria-labelledby="SmallModal" aria-hidden="true">
                    <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" id="modal_body_content-sm">
                        </div>
                    </div>
                </div>
            </main>
        <?php else: ?>
            <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
                <div class="container">
                    <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                        FullBDC Vin Tracker
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ml-auto">
                            <!-- Authentication Links -->
                            <?php if(auth()->guard()->guest()): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                                <?php if(Route::has('register')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                    </li>
                                <?php endif; ?>
                            <?php else: ?>
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        <?php echo e(Auth::user()->first_name); ?> <span class="caret"></span>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault();
                                                         document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Cerrar Sesión')); ?>

                                        </a>

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </nav>
            <main class="py-4">
                <?php echo $__env->yieldContent('content'); ?>
                <div class="modal fade" id="main_modal" tabindex="-1" role="dialog" aria-labelledby="BigModal" aria-hidden="true">
                    <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content" id="modal_body_content">
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="main_modal-sm" tabindex="-1" role="dialog" aria-labelledby="SmallModal" aria-hidden="true">
                    <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" id="modal_body_content-sm">
                        </div>
                    </div>
                </div>
            </main>
        <?php endif; ?>
    </div>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/app.js')); ?>"></script>
    <script src="https://kit.fontawesome.com/2185df722e.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.2.2/jquery.form.min.js" integrity="sha384-FzT3vTVGXqf7wRfy8k4BiyzvbNfeYjK+frTVqZeNDFl8woCbF0CYG6g2fMEFFo/i" crossorigin="anonymous"></script>
    <script src="<?php echo e(asset('js/main.js?v=2.1')); ?>"></script>
    <script src="<?php echo e(asset('js/selectize.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/bootstrap-datepicker.es.min.js')); ?>"></script>
    <?php echo $__env->yieldContent('scripts_extra'); ?>
    <script type="text/javascript">
        
$(document).ready(function(){
    if($('#upload_form').length > 0)
    {
        $('#upload_form').ajaxForm({
          beforeSend:function(){
            $('#success').empty();
          },
          uploadProgress:function(event, position, total, percentComplete)
          {
            $('.progress-bar').text(percentComplete + '%');
            $('.progress-bar').css('width', percentComplete + '%');
          },
          success:function(data)
          {
            if(data.success)
            {
                
                //$('#success').html('<span class="text-success"><b>'+data.success+'</b></span><br /><br />');
                $('#upload_file').val('');
                $('#upload_file').focus();
                if(data.error == '')
                {
                    $('.progress-bar').text('Subido');
                    $('.progress-bar').css('width', '100%');
                    showSuccessAlert('success-alert-message',data.success);
                    $("#upload_file").removeClass('is-invalid');
                    $('#success').html(data.download_link);
                    $('#file_upload_error').hide('fast', function() {
                      
                    });
                } else {
                    $('.progress-bar').text('0%');
                    $('.progress-bar').css('width', '0%');
                    $("#upload_file").addClass('is-invalid');
                    var error_data_json =   {
                                    "errors":[
                                      {"upload_file":data.error}
                                    ]
                                };
                    console.log(error_data_json);
                    printErrorMsg (error_data_json.errors[0], 'file_upload_error');
                }
            }
          },
          error:function(data)
          {
            $('.progress-bar').text('0%');
            $('.progress-bar').css('width', '0%');
            //alert(data.errors);
            console.log(data);
            printErrorMsg (data.responseJSON.errors, 'file_upload_error');
          }

        });


        $('#upload_file').on('change', function () {
            $('.progress-bar').text('0%');
            $('.progress-bar').css('width', '0%');
            $('#success').empty();
            var file = this.files[0];
            if(checkFileSize('upload_file', file, 25) == false)
            {
                $("#upload_file").addClass('is-invalid');
                return false;
            }
            var file_extension = file.name.split('.')[file.name.split('.').length-1];
            var allowed_extensions = 'xlsx,xls,csv';
            if(checkFileExtension('upload_file', file_extension, allowed_extensions) == false)
            {
                $("#upload_file").addClass('is-invalid');
                return false;
            }
            $('#file_upload_error').hide('slow', function() {

            });
            $("#upload_file").removeClass('is-invalid');
        // Also see .name, .type
        });
    }
    
});

    </script>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\ghostvin_app\resources\views/layouts/app.blade.php ENDPATH**/ ?>