<form method="POST" id="add_form" action="training_alerts/file/upload" enctype="multipart/form-data" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">Training alert information</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="title"><?php echo e(__('Title')); ?></label>
                    <input type="text" id="title" name="title" class="form-control need-validation-inputs" placeholder="Title" required value="<?php echo e($training_alert->title); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the title.
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label for="file_type_id"><?php echo e(__('Type')); ?></label>
                    <select class="form-control need-validation-inputs" id="file_type_id" name="file_type_id" required>
                        <option value="">Select</option>
                        <?php echo $__env->make('inputs.select_options', ['options' => $file_types, 'value_selected' => $training_alert->file_type_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </select>
                    <div class="invalid-feedback">
                        Please select the type.
                    </div>
                    <input type="hidden" id="training_alert_id" name="training_alert_id" value="<?php echo e($training_alert->id); ?>">
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="description"><?php echo e(__('Description')); ?></label>
                    <textarea id="description" name="description" class="form-control form-control-sm need-validation-inputs"><?php echo e($training_alert->description); ?></textarea>
                    <div class="invalid-feedback">
                        Please set the description.
                    </div>
                </div>
            </div>
            
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="content"><?php echo e(__('Content')); ?></label>
                    <textarea id="content" name="content" class="form-control form-control-sm need-validation-inputs"><?php echo e($training_alert->content); ?></textarea>
                    <div class="invalid-feedback">
                        Please set the content.
                    </div>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="upload_file"><?php echo e(__('Select a file:')); ?></label>
                    <div class="input-group">
                        <input type="file" name="upload_file" id="upload_file" class="form-control <?php $__errorArgs = ['upload_file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" />
                        <input type="hidden" name="file" id="file" value="<?php echo e($training_alert->file); ?>">
                        <?php $__errorArgs = ['upload_file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        <div class="input-group-append">
                            <button type="submit" name="upload" class="btn btn-success upload_file_button" onclick="uploadTrainingAlertFile(event)"><i class="fas fa-file-upload"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <div id="training_alert_file_content">
                <?php if($training_alert->file != ''): ?>
                    <div class="form-row">
                        <div class="form-group col-md-10">
                            <a href="uploaded_files/<?php echo e($training_alert->file); ?>" target="_blank"><?php echo e($training_alert->file); ?></a>   
                        </div>
                        <div class="form-group col-md-2">
                            <button class="btn btn-danger" onclick="deleteTrainingAlertFileDialog(event)">
                                <i class="fas fa-trash-alt"></i>
                            </button>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="form-row">
                <div class="col-md-12">
                    <label for="user_groups"><?php echo e(__('User Group')); ?></label>
                    <input type="text" id="user_groups" name="user_groups" value="" data-role="tagsinput">
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="add_ta_submit_form">Save</button>
    </div>
    </fieldset>
</form>

<script>

    var user_groups = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('id'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
              url: '<?php echo url("/"); ?>' + '/usergroups/search?search_value=%QUERY%',
             wildcard: '%QUERY%',                
        }
    });
    user_groups.initialize();

    $('#user_groups').tagsinput({
        itemValue : 'id',
        itemText  : 'value',
        trimValue: true,
        allowDuplicates : false,     
        freeInput: false,
        tagClass: function(item) {
          if(item.display)
              return 'label label-' + item.display;
          else
              return 'label label-default';

        },
        onTagExists: function(item, $tag) {
          $tag.hide().fadeIn();
        },
        typeaheadjs: [{
            hint: false,
            highlight: true,
            autoselect: true,
        },
        {
            name: 'best-dealers',
            display: 'value',
            source: user_groups,
            highlight: true,
            templates: {
                empty: [
                  '<div class="empty-message">',
                    'No user group found.',
                  '</div>'
                ].join('\n')
            }
        }]       
    });
    <?php $__currentLoopData = $training_alert->user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        $('#user_groups').tagsinput('add', { "id": <?php echo e($user_group->id); ?> , "value": "<?php echo e($user_group->name); ?>"});
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</script>

<?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/add_training_alert.blade.php ENDPATH**/ ?>