
<?php $__env->startSection('style_files'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Communication Center <button class="btn btn-success btn-sm" onclick="startConversationDialog(event)"><i class="fas fa-comment-alt"></i></button></div>
                <div class="card-body">
                    <form id="search_communication_form" name="search_communication_form">
                        <div class="form-row">
                            <div class="form-group col-md-1">
                                <label for="communication_type_search"><?php echo e(__('Type')); ?></label>
                                <select class="form-control" id="communication_type_search" name="communication_type_search">
                                    <?php if( $communication_type == 'email'): ?>
                                        <option value="email" selected>Email</option>
                                        <option value="sms">SMS</option>
                                    <?php else: ?>
                                        <option value="email">Email</option>
                                        <option value="sms" selected>SMS</option>
                                    <?php endif; ?>
                                    
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="coid_search"><?php echo e(__('Dealer')); ?></label>
                                <select class="form-control" id="coid_search" name="coid_search">
                                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                        <option value="">All</option>
                                    <?php endif; ?>
                                    <?php if(Auth::user()->user_type->name == 'Admin' || Auth::user()->user_type->name == 'Dealer' || Auth::user()->user_type->name == 'Full BDC Caller'): ?>
                                        <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php endif; ?>    
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="start_date_search"><?php echo e(__('Start Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="end_date_search"><?php echo e(__('End Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search">
                                <div class="invalid-feedback">
                                    Provide end date
                                </div>
                            </div>
                            <div class="form-group col-md-1">
                                <label for="communication_status_search"><?php echo e(__('Status')); ?></label>
                                <select class="form-control" id="communication_status_search" name="communication_status_search">
                                    <option value="all">All</option>
                                    <option value="0">Unseen</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="value_search"><?php echo e(__('Search')); ?></label>
                                <div class="input-group">
                                    <input type="text" id="value_search" name="value_search" class="form-control" placeholder="Search">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="searchCommunication(event)"><i class="fas fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="communication_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <?php if($communication_type=='email'): ?>
                                        <th>Sent by</th>
                                        <th>Dealer</th>
                                        <th>Email</th>
                                        <th class="table_cell_content">Subject</th>
                                        <th class="table_cell_content">Date</th>
                                        <th class="table_cell_content" style="text-align: center;">Show</th>
                                    <?php elseif($communication_type=='sms'): ?>
                                        <th>Dealer</th>
                                        <th>Phone</th>
                                        <th class="table_cell_content">Last Message</th>
                                        <th class="table_cell_content">Date</th>
                                        <th class="table_cell_content" style="text-align: center;">Show</th>
                                    <?php endif; ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $communications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $communication): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($communication_type=='email'): ?>
                                        <tr id="communication_row_<?php echo e($communication->id); ?>">
                                            <td id="communication_name_<?php echo e($communication->id); ?>">
                                                <?php if(isset($communication->user)): ?>
                                                    <?php echo e($communication->user->first_name); ?> <?php echo e($communication->user->last_name); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td class="table_cell_content"><?php echo e($dealer_names[$communication->coid]); ?></td>
                                            <td class="table_cell_content"><?php echo e($communication->email); ?></td>
                                            <td class="table_cell_content"><?php echo e($communication->subject); ?></td>
                                            <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($communication->created_at))); ?></td>
                                            <td align="center">
                                                <a href="#" onclick="showCommunicationInformation(event, '<?php echo e($communication->id); ?>', '<?php echo e($communication_type); ?>')"><i class="fas fa-search"></i></a>
                                            </td>
                                        </tr>
                                    <?php elseif($communication_type=='sms'): ?>
                                        <?php 
                                            $unseen_style = ""; 
                                        ?>
                                        <?php if(isset($unseen_messages[$communication->id])): ?>
                                            <?php 
                                                if($unseen_messages[$communication->id] != 1)
                                                {
                                                    $unseen_style = 'background-color: #ffb2a6';
                                                }
                                            ?>
                                        <?php endif; ?>
                                        <tr id="communication_row_<?php echo e($communication->id); ?>" style="<?php echo e($unseen_style); ?>">
                                            <td class="table_cell_content"><?php echo e($dealer_names[$communication->coid]); ?></td>
                                            <td id="communication_name_<?php echo e($communication->id); ?>"><?php echo e($communication->user_identifier); ?></td>
                                            <td class="table_cell_content">
                                                <?php if(isset($last_messages[$communication->id])): ?>
                                                    <?php echo e($last_messages[$communication->id]); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td class="table_cell_content">
                                                <?php if(isset($last_datetime[$communication->id])): ?>
                                                    <?php echo e(date('m/d/Y H:i', strtotime($last_datetime[$communication->id]) - 60 * 60 * 5)); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td align="center">
                                                <?php $customer_phone = str_replace('+1', '', $communication->user_identifier); ?>
                                                <a href="#" onclick="startConversationFromCall(event, '<?php echo e(Auth::id()); ?>', 0, '<?php echo e($communication->coid); ?>', '', '', '', '<?php echo e($customer_phone); ?>');removeUnseenFlag('communication_row_<?php echo e($communication->id); ?>')"><i class="fas fa-search"></i></a>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo e($communications->links()); ?> 
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    
    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                communicationPaginationData(page, null, 0);
            });
        });

        function communicationPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#communication_container").empty().html(html);
            var my_form = $('#search_communication_form');
            var form_id = "search_communication_form";
            var form_values = my_form.serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall;
            
            $.ajax(
            {

                url: $('meta[name="main-url"]').attr('content')+'/communication/pagination',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "json",
                data: form_values

            }).done(function(data){

                $("#communication_container").empty().html(data);

                location.hash = page;
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }

        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/pages/communication.blade.php ENDPATH**/ ?>