<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <form method="POST" id="ftp_form_<?php echo e($company->coid); ?>" action="" class="needs-validation" novalidate>
                    <div class="card-header">FTP data for <?php echo e($company->co_name); ?></div>
                    <div class="card-body">
                        <div class="form-row">
                            <div class="form-group col-md-3">
                                <label for="host"><?php echo e(__('Host')); ?></label>
                                <input type="text" id="host" name="host" class="form-control need-validation-inputs" placeholder="Host" required value="<?php echo e($ftp_data->host); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')">
                                <div class="invalid-feedback">
                                    Please provide the host.
                                </div>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="username"><?php echo e(__('Username')); ?></label>
                                <input type="text" id="username" name="username" class="form-control need-validation-inputs" placeholder="Username" required value="<?php echo e($ftp_data->username); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')">
                                <div class="invalid-feedback">
                                    Please provide the username.
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label for="password"><?php echo e(__('Password')); ?></label>
                                <input type="text" id="password" name="password" class="form-control need-validation-inputs" placeholder="Password" required value="<?php echo e($ftp_data->password); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')">
                                <div class="invalid-feedback">
                                    Please provide the password.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="delimiter"><?php echo e(__('Delimiter')); ?></label>
                                <input type="text" id="delimiter" name="delimiter" class="form-control need-validation-inputs" placeholder="Delimiter" required value="<?php echo e($ftp_data->delimiter); ?>" maxlength="191" onchange="updateFtpCredentials(event, '<?php echo e($company->coid); ?>')">
                                <div class="invalid-feedback">
                                    Please provide the delimiter.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="file_name"><?php echo e(__('FTP file list')); ?></label>
                                <div class="input-group">
                                    <select class="form-control need-validation-inputs" id="file_name" name="file_name">
                                        <?php
                                            print($ftp_file_select_options);
                                        ?>
                                    </select>
                                    <div class="input-group-append">
                                            <button type="submit" name="upload" class="btn btn-primary" onclick="editFtpTemplate(event, '<?php echo e($company->coid); ?>', null)"><i class="far fa-edit"></i></button>
                                    </div>
                                    <div class="input-group-append">
                                            <button type="submit" name="ftp_export" id="ftp_export" class="btn btn-success" onclick="scrubFtpFile(event, '<?php echo e($company->coid); ?>', null)"><i class="fas fa-file-export"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                
                            </div>
                        </div>
                    </div>
                    <input type="hidden" id="ftp_data_id" name="ftp_data_id" value="<?php echo e($ftp_data->id); ?>">
                    <input type="hidden" id="dealer_coid" name="dealer_coid" value="<?php echo e($coid); ?>">
                </form>
            </div>
        </div>
    </div>
    <br>
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <form method="POST" id="scrubbed_form_single" action="" class="needs-validation" novalidate>
                    <div class="card-header">Scrubbed data for <?php echo e($company->co_name); ?></div>
                    <div class="card-body">
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="department"><?php echo e(__('Department')); ?></label>
                                <select class="form-control need-validation-inputs" id="department" name="department">
                                    <?php
                                        print($departments_options);
                                    ?>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="calltype"><?php echo e(__('Call Type')); ?></label>
                                <select class="form-control need-validation-inputs" id="calltype" name="calltype">
                                    <?php
                                        print($calltypes_options);
                                    ?>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="separator"><?php echo e(__('Separator')); ?></label>
                                <input type="text" id="separator" name="separator" class="form-control need-validation-inputs" placeholder="Separator" required value="" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the file separator.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="scrubbed_file_name"><?php echo e(__('Scrubbed file list')); ?></label>
                                <div class="input-group">
                                    <select class="form-control need-validation-inputs" id="scrubbed_file_name" name="scrubbed_file_name" onchange="getScrubbedFileOptions(event)">
                                        <?php
                                            print($scrubbed_file_select_options);
                                        ?>
                                    </select>
                                    <div class="input-group-append">
                                            <button type="submit" name="scrubbed_file_template_button" id="scrubbed_file_template_button" class="btn btn-primary" onclick="editScrubbedFileTemplate(event, '<?php echo e($company->coid); ?>', 'single')"><i class="far fa-edit"></i></button>
                                    </div>
                                    <div class="input-group-append">
                                            <button type="submit" name="review_scrubbed_file_button" id="review_scrubbed_file_button" class="btn btn-success" onclick="reviewScrubbedFile(event, 'single')"><i class="fas fa-file-export"></i></button>
                                    </div>
                                </div>
                                <small id="last_date_uploaded_label" class="form-text text-muted">
                                  &nbsp;
                                </small>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="date_range"><?php echo e(__('Date Range')); ?></label>
                                <select id="date_range" name="date_range" class="form-control">
                                    <option value="">None</option>
                                    <option value="service_date">Service Date</option>
                                    <option value="sale_date">Sale Date</option>
                                    <option value="last_service_date">Last Service Date</option>
                                    <option value="service_apt_date">Service Apt Date</option>
                                    <option value="sales_apt_date">Sales Apt Date</option>
                                    <option value="lead_date">Lead Date</option>
                                </select>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="startdate"><?php echo e(__('From')); ?></label>
                                <input type="text" id="startdate" name="startdate" class="form-control need-validation-inputs" placeholder="From" value="" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the file start date.
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label for="enddate"><?php echo e(__('To')); ?></label>
                                <input type="text" id="enddate" name="enddate" class="form-control need-validation-inputs" placeholder="To" value="" maxlength="191">
                                <div class="invalid-feedback">
                                    Please provide the end date.
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" id="review_coid" name="review_coid" value="<?php echo e($coid); ?>">
                </form>
            </div>
        </div>
    </div>


</div>

<script type="text/javascript">
    $('#startdate').datepicker({
        language: "en",
        autoclose: true,
        orientation: "top",
    });

    $('#enddate').datepicker({
        language: "en",
        autoclose: true,
        orientation: "top",
    });
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/partials/ftp_files.blade.php ENDPATH**/ ?>