<div class="modal-header">
    <h5 class="modal-title" id="CompanyDetailsModal">
        Take Call for <?php echo e($company->co_name); ?> &nbsp;&nbsp;<button type="button" class="btn btn-primary" onclick="searchCustomerDialog(event, '<?php echo e($company->coid); ?>');">Search Customer <i class="fas fa-search"></i></button> &nbsp;&nbsp;<span class="btn btn-danger"><span id="call_timer"><?php echo e($ib_call->time_on_call); ?></span> <i class="far fa-clock"></i></span>
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div id="modal_dynamic_content">
        <div class="alert alert-success" role="alert" id="inbound_call-success-alert-message" style="display: none;"></div>
        <div class="form-row">
            <div class="form-group col-md-8">
                <form id="form-inbound_call" name="form-inbound_call">
                    <?php echo csrf_field(); ?>
                    <fieldset id="disable_form_fieldset" name="disable_form_fieldset">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="first_name"><?php echo e(__('First Name')); ?></label>
                            <input type="text" id="first_name" name="first_name" value="<?php echo e($ib_call->first_name); ?>" class="form-control need-validation-inputs" placeholder="First name" required maxlength="191">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="last_name"><?php echo e(__('Last Name')); ?></label>
                            <input type="text" id="last_name" name="last_name" value="<?php echo e($ib_call->last_name); ?>" class="form-control need-validation-inputs" placeholder="Last name" required maxlength="191">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="email"><?php echo e(__('Email')); ?></label>
                            <div class="input-group">
                                <input type="email" id="email" name="email" value="<?php echo e($ib_call->email); ?>" class="form-control need-validation-inputs" placeholder="Email" maxlength="191" onchange="checkIfEmailExists('<?php echo e($company->coid); ?>', 'inbound')">
                                <div class="input-group-append">
                                    <button class="btn btn-info" onclick="sendCustomerEmailDialog(event, '<?php echo e($company->coid); ?>', 'form-inbound_call', 'inbound_records', '')"><i class="fas fa-paper-plane"></i></button>
                                </div>
                            </div>
                        </div>

                        <div class="form-group col-md-2 text-center">
                            <label>Farmed Email</label>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input inbound_reps" id="farmed_email" name="farmed_email" value="1" 
                                <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $ib_call->farmed_email], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                >
                                <label class="custom-control-label" for="farmed_email"></label>
                            </div>
                        </div>

                        <div class="form-group col-md-3">
                            <label for="phone"><?php echo e(__('Phone')); ?></label>
                            <input type="text" id="phone" name="phone" value="<?php echo e($ib_call->phone); ?>" class="form-control need-validation-inputs" placeholder="Phone" required maxlength="191">
                        </div>
                        <div class="form-group col-md-3">
                            <label for="cellphone"><?php echo e(__('Cell Phone')); ?></label>
                            <div class="input-group">
                                <input type="text" id="cellphone" name="cellphone" value="<?php echo e($ib_call->cellphone); ?>" class="form-control need-validation-inputs" placeholder="Cell Phone" maxlength="191">
                                <div class="input-group-append">
                                    <button class="btn btn-success" onclick="startConversationFromCall(event, '<?php echo e(Auth::id()); ?>', 0, '<?php echo e($company->coid); ?>', 'form-inbound_call')"><i class="fas fa-sms"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-5">
                            <label for="address"><?php echo e(__('Address')); ?></label>
                            <input type="text" id="address" name="address" value="<?php echo e($ib_call->address); ?>" class="form-control need-validation-inputs" placeholder="Address" maxlength="191">
                        </div>
                        <div class="form-group col-md-3">
                            <label for="city"><?php echo e(__('City')); ?></label>
                            <input type="text" id="city" name="city" value="<?php echo e($ib_call->city); ?>" class="form-control need-validation-inputs" placeholder="City" maxlength="191">
                        </div>
                        <div class="form-group col-md-2">
                            <label for="state"><?php echo e(__('State')); ?></label>
                            <input type="text" id="state" name="state" value="<?php echo e($ib_call->state); ?>" class="form-control need-validation-inputs" placeholder="State" maxlength="191">
                        </div>
                        <div class="form-group col-md-2">
                            <label for="zip"><?php echo e(__('Zip')); ?></label>
                            <input type="text" id="zip" name="zip" value="<?php echo e($ib_call->zip); ?>" class="form-control need-validation-inputs" placeholder="Zip" maxlength="191">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-3">
                            <label for="vehicle_year"><?php echo e(__('Vehicle Year')); ?></label>
                            <?php 
                              $year = date('Y'); 
                            ?>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="vehicle_year" name="vehicle_year" onchange="getVehicleMakes(event)">
                              <option selected="selected" value="">Year...</option>
                              <?php while($year > 1899): ?>
                                <option value="<?php echo e($year); ?>" <?php echo $__env->make('inputs.select_selected', ['input_value' => $year, 'value' => $ib_call->vehicle_year], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>><?php echo e($year); ?></option>
                                <?php
                                  $year = $year-1; 
                                ?>
                              <?php endwhile; ?>
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="vehicle_make"><?php echo e(__('Vehicle Make')); ?></label>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="vehicle_make" name="vehicle_make" onchange="getVehicleModels(event)">
                                <option selected="selected" value="">Make...</option>
                                <?php echo $__env->make('inputs.select_options', ['options' => $vehicle_make_options, 'value_selected' => $ib_call->vehicle_make], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="vehicle_model"><?php echo e(__('Vehicle Model')); ?></label>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="vehicle_model" name="vehicle_model">
                                <option value="" selected="selected">Model...</option>
                                <?php echo $__env->make('inputs.select_options', ['options' => $vehicle_model_options, 'value_selected' => $ib_call->vehicle_model], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </select>
                        </div>
                        <div class="form-group col-md-3">
                            <label for="vin"><?php echo e(__('VIN')); ?></label>
                            <input type="text" id="vin" name="vin" value="<?php echo e($ib_call->vin); ?>" class="form-control need-validation-inputs" placeholder="VIN" maxlength="191">
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <p>
                                <?php print($ib_call->notes); ?>
                            </p>
                            <label for="notes"><?php echo e(__('Comments')); ?></label>
                            <textarea id="notes" name="notes" class="form-control need-validation-inputs"></textarea>
                        </div>
                        <div class="form-group col-md-6">
                            <p>
                                <?php print($ib_call->private_notes); ?>
                            </p>
                            <label for="private_notes"><?php echo e(__('Private Comments')); ?></label>
                            <textarea id="private_notes" name="private_notes" class="form-control need-validation-inputs"></textarea>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="inbound_call_type_id"><?php echo e(__('Call Type')); ?></label>
                            <div class="input-group">
                                <select class="form-control" id="inbound_call_type_id" name="inbound_call_type_id" required="" onchange="getAssignedReps(event, '<?php echo e($company->coid); ?>'); setInboundCallTypeScriptDialog(event, '<?php echo e($company->coid); ?>')">
                                    <option value="">Select...</option>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $calltypes_options, 'value_selected' => $ib_call->inbound_call_type_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="input-group-append">
                                    <button class="btn btn-success btn-sm" id="call_script_popover" data-toggle="popover" title="Script" data-content="No content set." onclick="showInboundCallTypeScript(event)" onmouseover="preventDefaultBehavior(event);"><i class="fas fa-scroll"></i></button>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-2">
                            <label for="appointment_date"><?php echo e(__('Appointment Date')); ?></label>
                            <input type="text" id="appointment_date" name="appointment_date" value="<?php echo e($ib_call->appointment_date); ?>" class="form-control need-validation-inputs" placeholder="Date" maxlength="191">
                        </div>
                        <div class="form-group col-md-2 text-center">
                            <label for="appointment_hour"><?php echo e(__('Hour')); ?></label>
                            <select class="multisteps-form__select form-control need-validation-inputs" id="appointment_hour" name="appointment_hour">
                                <option value="">Select...</option>
                                <?php print($hour_options); ?>
                            </select>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="inbound_resolution_id"><?php echo e(__('Resolution')); ?></label>
                            <select class="form-control" id="inbound_resolution_id" name="inbound_resolution_id" required="">
                                <option value="">Select...</option>
                                <?php echo $__env->make('inputs.select_options', ['options' => $resolutions_options, 'value_selected' => $ib_call->inbound_resolution_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </select>
                        </div>
                        
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-5" id="inbound_reps_list">
                            <label>Send Alert:</label>
                            <?php $__currentLoopData = $inbound_reps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input inbound_reps" id="inbound_rep_<?php echo e($value->id); ?>" name="send_alert_to[]" value="<?php echo e($value->email); ?>">
                                            <label class="custom-control-label" for="inbound_rep_<?php echo e($value->id); ?>"><?php echo e($value->fname); ?> <?php echo e($value->lname); ?></label>
                                        </div>
                                    
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                        <input type="hidden" name="call_record_id" id="call_record_id" value="<?php echo e($ib_call->call_record_id); ?>">
                        <input type="hidden" name="record_type_id" id="record_type_id" value="2">
                        <input type="hidden" name="coid" id="coid" value="<?php echo e($company->coid); ?>">
                        <input type="hidden" name="time_on_call" id="time_on_call" value="<?php echo e($ib_call->time_on_call); ?>">
                    </fieldset>
                </form>
            </div>
            <div class="form-group col-md-4">
                <div class="card">
                  <div class="card-header">
                    <ul class="nav nav-tabs card-header-tabs">
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link active" href="#dealer_message">Message</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_information">Information</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_links">Links</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_services">Services</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#team_members">Team</a>
                      </li>
                      <li class="nav-item">
                        <a data-toggle="pill" class="nav-link" href="#dealer_schedule">Schedule</a>
                      </li>
                    </ul>
                  </div>
                  <div class="card-body" style="overflow: auto;background-color: #f8fafc">
                    <div class="tab-content">
                        <div id="dealer_message" class="tab-pane active">
                          <p><strong>DEALER MESSAGE</strong></p>
                          <p><?php print($dealer_message->message); ?></p>
                        </div>

                        <div id="dealer_information" class="tab-pane fade">
                          <p><strong>DEALER INFORMATION</strong></p>
                          <p>
                            <table class="table table-striped">
                                <tbody>
                                    <tr>
                                        <td>Name</td>
                                        <td><?php echo e($company->co_name); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Address</td>
                                        <td><?php echo e($company->co_address1); ?> <?php echo e($company->co_city); ?> <?php echo e($company->co_state); ?> <?php echo e($company->co_zip); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Phone</td>
                                        <td><?php echo e($company->co_phone); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Email</td>
                                        <td><?php echo e($company->co_email); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Sales Manager</td>
                                        <td><?php echo e($company->sales_mgr_title); ?> <?php echo e($company->sales_mgr_name); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Sales Phone</td>
                                        <td><?php echo e($company->sales_phone); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Sales Email</td>
                                        <td><?php echo e($company->sales_email); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Service Manager</td>
                                        <td><?php echo e($company->service_mgr_title); ?> <?php echo e($company->service_mgr_name); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Service Phone</td>
                                        <td><?php echo e($company->service_phone); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Service Email</td>
                                        <td><?php echo e($company->service_email); ?></td>
                                    </tr>
                                    <tr>
                                        <td>Dealer Website</td>
                                        <td><a href="<?php echo e($company->dealer_website); ?>" target="_blank"><?php echo e($company->dealer_website); ?></a></td>
                                    </tr>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="dealer_links" class="tab-pane fade">
                          <p><strong>DEALER LINKS</strong></p>
                          <p>
                            <table class="table table-striped">
                                <tbody>
                                    <?php print($dealer_links_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="dealer_services" class="tab-pane fade">
                          <p><strong>DEALER SERVICES</strong></p>
                          <p>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Department</th>
                                        <th>Link</th>
                                        <th>Description</th>
                                        <th>Price</th>
                                        <th>&nbsp;</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php print($dealer_services_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="team_members" class="tab-pane fade">
                          <p><strong>TEAM MEMBERS</strong></p>
                          <p>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Cell Phone</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php print($team_members_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                        <div id="dealer_schedule" class="tab-pane fade">
                          <p><strong>TEAM MEMBERS</strong></p>
                          <p>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th>Department</th>
                                        <th>Schedule</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php print($dealer_schedule_content); ?>
                                </tbody>
                            </table>
                          </p>
                        </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
        <div class="alert alert-danger print-error-msg" style="display:none">
            <ul></ul>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
    <button type="button" class="btn btn-primary" id="save_ib_call_button" onclick="saveInboundCall(event)">Save</button>
</div>

<script type="text/javascript">
    
    $('#appointment_date').datepicker({
        language: "en",
        autoclose: true
    });

    
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/take_call.blade.php ENDPATH**/ ?>