<script type="text/javascript">
    tinymce.init({
      selector: '#<?php echo e($tiny_selector); ?>',
      plugins: 'advlist autolink lists link image charmap print preview hr anchor pagebreak',
      toolbar_mode: 'floating',
      height: 400,
      toolbar: 'undo redo | styleselect | bold italic | outdent indent | company_tags | customer_tags | ib_tags ',
      setup: function (editor) {
    /* Menu items are recreated when the menu is closed and opened, so we need
       a variable to store the toggle menu item state. */
    var toggleState = false;

    /* example, adding a toolbar menu button */
    editor.ui.registry.addMenuButton('company_tags', {
      text: 'Company Tags',
      fetch: function (callback) {
        var items = [
          {
            type: 'menuitem',
            text: 'Update Customer Link',
            onAction: function () {
              editor.insertContent('[update_customer_link]');
            }
          },
          {
            type: 'menuitem',
            text: 'BDC Name',
            onAction: function () {
              editor.insertContent('[bdc_name]');
            }
          },
          {
            type: 'menuitem',
            text: 'Company Name',
            onAction: function () {
              editor.insertContent('[co_name]');
            }
          },
          {
            type: 'menuitem',
            text: 'Company Phone',
            onAction: function () {
              editor.insertContent('[co_phone]');
            }
          },
          {
            type: 'menuitem',
            text: 'Company Website',
            onAction: function () {
              editor.insertContent('[dealer_website]');
            }
          },

          {
            type: 'menuitem',
            text: 'Service Manager Title',
            onAction: function () {
              editor.insertContent('[service_mgr_title]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Manager Name',
            onAction: function () {
              editor.insertContent('[service_mgr_name]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Phone',
            onAction: function () {
              editor.insertContent('[service_phone]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Email',
            onAction: function () {
              editor.insertContent('[service_email]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Manager Title',
            onAction: function () {
              editor.insertContent('[sales_mgr_title]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Manager Name',
            onAction: function () {
              editor.insertContent('[sales_mgr_name]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Phone',
            onAction: function () {
              editor.insertContent('[sales_phone]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Email',
            onAction: function () {
              editor.insertContent('[sales_email]');
            }
          },
          {
            type: 'menuitem',
            text: 'Department',
            onAction: function () {
              editor.insertContent('[department]');
            }
          },
          {
            type: 'menuitem',
            text: 'SMS',
            onAction: function () {
              editor.insertContent('[twilio_sms]');
            }
          },
          
        ];
        callback(items);
      }
    }),

    editor.ui.registry.addMenuButton('customer_tags', {
      text: 'Customer Tags',
      fetch: function (callback) {
        var items = [
          {
            type: 'menuitem',
            text: 'Intent To Service Link',
            onAction: function () {
              editor.insertContent('[intent_to_service_link]');
            }
          },
          {
            type: 'menuitem',
            text: 'Import Email Update Link',
            onAction: function () {
              editor.insertContent('[update_link]');
            }
          },
          {
            type: 'menuitem',
            text: 'Import Email reeschedule Link',
            onAction: function () {
              editor.insertContent('[reeschedule_link]');
            }
          },
          {
            type: 'menuitem',
            text: 'Complete Call Link',
            onAction: function () {
              editor.insertContent('[complete_call_link]');
            }
          },
          {
            type: 'menuitem',
            text: 'First Name',
            onAction: function () {
              editor.insertContent('[fname]');
            }
          },
          {
            type: 'menuitem',
            text: 'Last Name',
            onAction: function () {
              editor.insertContent('[lname]');
            }
          },
          {
            type: 'menuitem',
            text: 'Phone',
            onAction: function () {
              editor.insertContent('[phone]');
            }
          },
          {
            type: 'menuitem',
            text: 'Email',
            onAction: function () {
              editor.insertContent('[email]');
            }
          },
          {
            type: 'menuitem',
            text: 'Cellphone',
            onAction: function () {
              editor.insertContent('[cellphone]');
            }
          },
          {
            type: 'menuitem',
            text: 'Work Phone',
            onAction: function () {
              editor.insertContent('[workphone]');
            }
          },
          {
            type: 'menuitem',
            text: 'Vehicle Year',
            onAction: function () {
              editor.insertContent('[vehicle_year]');
            }
          },
          {
            type: 'menuitem',
            text: 'Vehicle Make',
            onAction: function () {
              editor.insertContent('[vehicle_make]');
            }
          },
          {
            type: 'menuitem',
            text: 'Vehicle Model',
            onAction: function () {
              editor.insertContent('[vehicle_model]');
            }
          },
          {
            type: 'menuitem',
            text: 'VIN',
            onAction: function () {
              editor.insertContent('[vin]');
            }
          },
          {
            type: 'menuitem',
            text: 'RO',
            onAction: function () {
              editor.insertContent('[RO]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Rep',
            onAction: function () {
              editor.insertContent('[salesrep]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Adv',
            onAction: function () {
              editor.insertContent('[service_advisor]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Date',
            onAction: function () {
              editor.insertContent('[service_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Last Service Date',
            onAction: function () {
              editor.insertContent('[last_service_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Last Payment Date',
            onAction: function () {
              editor.insertContent('[sales_last_payment_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Lead Date',
            onAction: function () {
              editor.insertContent('[lead_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Apt Date',
            onAction: function () {
              editor.insertContent('[service_apt_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service Apt Time',
            onAction: function () {
              editor.insertContent('[service_apt_time]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Apt Date',
            onAction: function () {
              editor.insertContent('[sales_apt_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Sales Apt Time',
            onAction: function () {
              editor.insertContent('[sales_apt_time]');
            }
          },
          {
            type: 'menuitem',
            text: 'ToyotaCare Exp Date',
            onAction: function () {
              editor.insertContent('[toyota_care_exp_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Service visit notes',
            onAction: function () {
              editor.insertContent('[service_visit_notes]');
            }
          },
          {
            type: 'menuitem',
            text: 'Caller Comments',
            onAction: function () {
              editor.insertContent('[caller_comments]');
            }
          },
          {
            type: 'menuitem',
            text: 'Address',
            onAction: function () {
              editor.insertContent('[address1]');
            }
          },
          {
            type: 'menuitem',
            text: 'City',
            onAction: function () {
              editor.insertContent('[city]');
            }
          },
          {
            type: 'menuitem',
            text: 'State',
            onAction: function () {
              editor.insertContent('[state]');
            }
          },
          {
            type: 'menuitem',
            text: 'Zip',
            onAction: function () {
              editor.insertContent('[zip]');
            }
          },
          {
            type: 'menuitem',
            text: 'Appointment dates',
            onAction: function () {
              editor.insertContent('[service_appointment_dates]');
            }
          },
          {
            type: 'menuitem',
            text: 'Part Name',
            onAction: function () {
              editor.insertContent('[part_name]');
            }
          },
          {
            type: 'menuitem',
            text: 'Part Description',
            onAction: function () {
              editor.insertContent('[part_description]');
            }
          },
          {
            type: 'menuitem',
            text: 'Caller',
            onAction: function () {
              editor.insertContent('[caller]');
            }
          },
          
        ];
        callback(items);
      }
    }), 

    editor.ui.registry.addMenuButton('ib_tags', {
      text: 'InBound Tags',
      fetch: function (callback) {
        var items = [
          {
            type: 'menuitem',
            text: 'Appointment Date',
            onAction: function () {
              editor.insertContent('[appointment_date]');
            }
          },
          {
            type: 'menuitem',
            text: 'Appointment Time',
            onAction: function () {
              editor.insertContent('[appointment_time]');
            }
          },
          {
            type: 'menuitem',
            text: 'Appointment With',
            onAction: function () {
              editor.insertContent('[appointment_with]');
            }
          },
          {
            type: 'menuitem',
            text: 'Appointment Notes',
            onAction: function () {
              editor.insertContent('[appointment_notes]');
            }
          },
          {
            type: 'menuitem',
            text: 'Selling Vehicle (Y/N)',
            onAction: function () {
              editor.insertContent('[sell_vehicle]');
            }
          },
          {
            type: 'menuitem',
            text: 'Vehicle Year (For sale)',
            onAction: function () {
              editor.insertContent('[vehicle_year_sell]');
            }
          },
          {
            type: 'menuitem',
            text: 'Vehicle Make (For sale)',
            onAction: function () {
              editor.insertContent('[vehicle_make_sell]');
            }
          },
          {
            type: 'menuitem',
            text: 'Bank Payment Sent',
            onAction: function () {
              editor.insertContent('[bank_payment]');
            }
          },
          {
            type: 'menuitem',
            text: 'Current Balance',
            onAction: function () {
              editor.insertContent('[current_balance]');
            }
          },
          {
            type: 'menuitem',
            text: 'Vehicle Condition',
            onAction: function () {
              editor.insertContent('[vehicle_condition]');
            }
          },
          {
            type: 'menuitem',
            text: 'Current Miles',
            onAction: function () {
              editor.insertContent('[current_miles]');
            }
          },
          {
            type: 'menuitem',
            text: 'Time On Call',
            onAction: function () {
              editor.insertContent('[time_on_call]');
            }
          },
          {
            type: 'menuitem',
            text: 'Resolution',
            onAction: function () {
              editor.insertContent('[resolution]');
            }
          },
          {
            type: 'menuitem',
            text: 'Billable Call (Y/N)',
            onAction: function () {
              editor.insertContent('[billable_call]');
            }
          },
          {
            type: 'menuitem',
            text: 'Farmed Email Address (Y/N)',
            onAction: function () {
              editor.insertContent('[farmed_email_address]');
            }
          },
          {
            type: 'menuitem',
            text: 'Alert Sent To',
            onAction: function () {
              editor.insertContent('[alert_sent_to]');
            }
          },
          {
            type: 'menuitem',
            text: 'Copy Alert To',
            onAction: function () {
              editor.insertContent('[copy_alert_to]');
            }
          },
          
        ];
        callback(items);
      }
    });

  },
    });
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/partials/multi_tinymce.blade.php ENDPATH**/ ?>