<?php if($paginate == 0): ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">Record List</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            <div id="call_list_container">
<?php endif; ?>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Vehicle</th>
                            <th class="table_cell_content">VIN</th>
                            <?php if($transaction_type == 'leo'): ?>
                                <th class="table_cell_content cursorpointer" onclick="setOrderByColumn('customer_type');callListPaginationData(1, null, false)">Customer Type <span class="header_tag customer_type"></span></th>
                            <?php endif; ?>
                            <th class="table_cell_content">Phone</th>
                            <?php if($transaction_type == 'leo'): ?>
                                <th class="table_cell_content cursorpointer" onclick="setOrderByColumn('recent_transaction_date');callListPaginationData(1, null, false)">Transaction Date <span class="header_tag recent_transaction_date"><i class="fas fa-sort-up"></i></span></th>
                            <?php elseif($transaction_type == 'call_records'): ?>
                                <th class="table_cell_content cursorpointer" onclick="setOrderByColumn('remind');callListPaginationData(1, null, false)">Remind <span class="header_tag remind"><i class="fas fa-sort-up"></i></span></th>
                            <?php else: ?>
                                <th class="table_cell_content">Cell Phone</th>
                            <?php endif; ?>
                            <th style="text-align: center;">Make Call</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php 
                                $background_color = (isset($dnc_phones[$record->phone]))? 'background:#ffb3b3;' : '';
                                $display_none = (isset($dnc_phones[$record->phone]))? 'display:none;' : ''; 
                                $strikeout_text = (isset($dnc_phones[$record->phone]))? 'text-decoration: line-through;' : '';
                            ?>
                            <tr id="call_row_<?php echo e($record->id); ?>" style="<?php echo e($background_color); ?> <?php echo e($display_none); ?>">
                                <?php if($transaction_type == 'call_records'): ?>
                                    <td id="record_name_<?php echo e($record->id); ?>"><?php echo e($record->fname); ?> <?php echo e($record->lname); ?></td>
                                <?php else: ?>
                                    <td id="record_name_<?php echo e($record->id); ?>"><?php echo e($record->first_name); ?> <?php echo e($record->last_name); ?></td>
                                <?php endif; ?>
                                <?php if($transaction_type == 'leo'): ?>
                                    <td><?php echo e($record->year); ?> Toyota <?php echo e($record->model); ?></td>
                                <?php else: ?>
                                    <td><?php echo e($record->vehicle_year); ?> <?php echo e($record->vehicle_make); ?> <?php echo e($record->vehicle_model); ?></td>
                                <?php endif; ?>
                                
                                <td class="table_cell_content"><?php echo e($record->vin); ?></td>
                                <?php if($transaction_type == 'leo'): ?>
                                    <td class="table_cell_content"><?php echo e($record->customer_type); ?></td>
                                <?php endif; ?>
                                <td class="table_cell_content"><span style="<?php echo e($strikeout_text); ?>"><?php echo e(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $record->phone)); ?></span></td>
                                <?php if($transaction_type == 'leo'): ?>
                                    <td class="table_cell_content"><?php echo e(date('m/d/Y', strtotime($record->recent_transaction_date))); ?></td>
                                <?php elseif($transaction_type == 'call_records'): ?>
                                    <td class="table_cell_content"><?php echo e(date('m/d/Y', strtotime($record->remind))); ?></td>
                                <?php else: ?>
                                    <td class="table_cell_content"><?php echo e(preg_replace("/(\d{3})(\d{3})(\d{4})/", "\\1-\\2-\\3", $record->cellphone)); ?></td>
                                <?php endif; ?>
                                <td align="center">
                                    <?php if(isset($dnc_phones[$record->phone])): ?>
                                        <a href="#" onclick="showAlertDialog(event, 'Sorry this is a DNC record!')"><i class="fas fa-exclamation-triangle" style="font-size: 25px"></i></a>
                                    <?php else: ?>
                                        <a href="#" onclick="showCallDialog(event, '<?php echo e($record->id); ?>', '<?php echo e($call_list_coid); ?>','<?php echo e($transaction_type); ?>', '<?php echo e($group_type); ?>')"><i class="fas fa-phone-square" style="font-size: 25px"></i></a>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div id="call_list_links">
                    <?php echo e($records->links()); ?> 
                </div>
<?php if($paginate == 0): ?>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <form method="POST" id="call_records_form" action="" class="needs-validation" novalidate>
            <fieldset id="call_records_disable_form_fieldset">
                <?php echo csrf_field(); ?>
                <input type="hidden" id="transaction_type" name="transaction_type" value="<?php echo e($transaction_type); ?>">
                <input type="hidden" id="group_type" name="group_type" value="<?php echo e($group_type); ?>">
                <input type="hidden" id="call_list_coid" name="call_list_coid" value="<?php echo e($call_list_coid); ?>">
                <input type="hidden" name="order_by_column" id="order_by_column" value="">
                <input type="hidden" name="order_by_direction" id="order_by_direction" value="">
            </fieldset>
        </form>    
    </div>
    

    <script>
        $(document).ready(function()
        {
            $(document).on('click', '#call_list_links a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                callListPaginationData(page, null, 0);
            });
        });

        function callListPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#call_list_container").empty().html(html);
            var order_by_column = $('#order_by_column').val();
            var order_by_direction = $('#order_by_direction').val();
            var form_values = $('#call_records_form').serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall+'&paginate=1';
            $.ajax(
            {
                url: $('meta[name="main-url"]').attr('content')+'/call/make/call/dialog',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "html",
                data: form_values
            }).done(function(data){
                $("#call_list_container").empty().html(data);
                location.hash = page;


                $('.header_tag').html('');
                if(order_by_direction == 'asc')
                {
                    $('.'+order_by_column).html('<i class="fas fa-sort-up"></i>')
                } else {
                    $('.'+order_by_column).html('<i class="fas fa-sort-down"></i>')
                }



            }).fail(function(jqXHR, ajaxOptions, thrownError){
                  alert('No response from server');
            });
        }
    </script>
<?php endif; ?>
<?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/dialogs/call_list_dialog.blade.php ENDPATH**/ ?>