<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Twilio Phones</div>

                <div class="card-body">
                    <div class="form-row">
                        <div class="form-group col-md-1">
                            
                        </div>
                        <div class="form-group col-md-10">
                            <div id="typeahead_container" class="twitter-wrapper">
                                <form id="form-stations" name="form-stations">
                                    <?php echo csrf_field(); ?>
                                    
                                        <input class="typeahead" id="search_value" name="search_value" type="text" placeholder="Search Dealer">
                                        
                                    
                                </form>
                            </div>
                        </div>
                        <div class="form-group col-md-1">
                            
                        </div>
                    </div>
                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="twilio_phones_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th class="table_cell_content text-center">Twilio Phone</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr id="dealer_row_<?php echo e($dealer->coid); ?>">
                                        <td id="dealer_name_<?php echo e($dealer->coid); ?>"><?php echo e($dealer->co_name); ?></td>
                                        <td class="table_cell_content">
                                            <?php if(isset($twilio_phones_array[$dealer->coid])): ?>
                                                <input type="text" class="form-control" id="twilio_phone_<?php echo e($dealer->coid); ?>" name="twilio_phone_<?php echo e($dealer->coid); ?>" value="<?php echo e($twilio_phones_array[$dealer->coid]); ?>" onchange="updateTwilioNumber('<?php echo e($dealer->coid); ?>')">
                                            <?php else: ?>
                                                <input type="text" class="form-control" id="twilio_phone_<?php echo e($dealer->coid); ?>" name="twilio_phone_<?php echo e($dealer->coid); ?>" value="" onchange="updateTwilioNumber('<?php echo e($dealer->coid); ?>')">
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script src="<?php echo e(asset('js/bloodhound.min.js')); ?>" type="application/javascript"></script>
    <script src="<?php echo e(asset('js/typeahead.bundle.min.js')); ?>" type="application/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                stationsPaginationData(page, null, 0);
            });
            
            var userList = new Bloodhound({
                datumTokenizer: Bloodhound.tokenizers.obj.whitespace('value'),
                queryTokenizer: Bloodhound.tokenizers.whitespace,
                remote: {
                    url: $('meta[name="main-url"]').attr('content')+'/twilio/search#%QUERY',
                    wildcard: '%QUERY',
                    transport: function (opts, onSuccess, onError) {
                        var url = opts.url;
                        var form_values = $("#form-stations").serialize();
                        $.ajax({
                            url: url,
                            headers: {
                                'X-CSRF-TOKEN':'<?php echo e(csrf_token()); ?>'
                            },
                            data: form_values,
                            type: "POST",
                            success: onSuccess,
                            error: onError,
                        })
                    }
                }
            });
            $('#search_value').typeahead(null, {
                  name: 'best-pictures',
                  display: 'value',
                  source: userList,
                  highlight: true,
                  templates: {
                    empty: [
                          '<div class="empty-message">',
                            'No dealer found.',
                          '</div>'
                        ].join('\n')
                }
            }).bind('typeahead:select', function(ev, suggestion) {
                if(suggestion != null) {
                    twilioPhonesPaginationData(1, suggestion.id, 0);
                } else {
                    twilioPhonesPaginationData(1, null, 0);
                }
            });
        });

        function twilioPhonesPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#users_container").empty().html(html);
            
            $.ajax(
            {
                url: $('meta[name="main-url"]').attr('content')+'/twilio/pagination',

                type: "post",

                datatype: "html",

                data: {
                    page:page,
                    id:id, 
                    showall: showall,
                    "_token": "<?php echo e(csrf_token()); ?>"
                }
            }).done(function(data){

                $("#twilio_phones_container").empty().html(data);

                location.hash = page;
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/pages/twilio_phones.blade.php ENDPATH**/ ?>