<form method="POST" id="add_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">User Information</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="first_name"><?php echo e(__('First Name')); ?></label>
                    <input type="text" id="first_name" name="first_name" class="form-control need-validation-inputs" placeholder="First Name" required value="<?php echo e($user->first_name); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide a first name.
                    </div>
                </div>
                <div class="form-group col-md-4">
                    <label for="last_name"><?php echo e(__('Last Name')); ?></label>
                    <input type="text" id="last_name" name="last_name" class="form-control need-validation-inputs" placeholder="Last Name" required value="<?php echo e($user->last_name); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide a last name.
                    </div>
                </div>
                <div class="form-group col-md-4">
                    <label for="reference_id"><?php echo e(__('Reference ID')); ?></label>
                    <input type="text" id="reference_id" name="reference_id" class="form-control need-validation-inputs" placeholder="Reference ID" value="<?php echo e($user->reference_id); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the reference id.
                    </div>
                </div>
            </div>

            <?php if($user->id == ''): ?>
                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="email"><?php echo e(__('Email')); ?></label>
                        <input type="email" id="email" name="email" class="form-control need-validation-inputs" placeholder="Email" value="<?php echo e($user->email); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide your email.
                        </div>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="password"><?php echo e(__('Password')); ?></label>
                        <input type="password" id="password" name="password" class="form-control need-validation-inputs" placeholder="Password" value="" required maxlength="191">
                        <div class="invalid-feedback">
                            Please provide your password.
                        </div>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="password_confirmation"><?php echo e(__('Repeat Password')); ?></label>
                        <input type="password" id="password_confirmation" name="password_confirmation" class="form-control need-validation-inputs" placeholder="Repeat Password" required value="" maxlength="191">
                        <div class="invalid-feedback">
                            Please repeat your password.
                        </div>
                    </div>
                </div>
            <?php else: ?>
                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="email"><?php echo e(__('Email')); ?></label>
                        <input type="email" id="email" name="email" class="form-control need-validation-inputs" placeholder="Email" value="<?php echo e($user->email); ?>" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide your email.
                        </div>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="password"><?php echo e(__('Password')); ?></label>
                        <input type="password" id="password" name="password" class="form-control need-validation-inputs" placeholder="Password" value="" maxlength="191">
                        <div class="invalid-feedback">
                            Please provide your password.
                        </div>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="password_confirmation"><?php echo e(__('Repeat Password')); ?></label>
                        <input type="password" id="password_confirmation" name="password_confirmation" class="form-control need-validation-inputs" placeholder="Repeat Password" value="" maxlength="191">
                        <div class="invalid-feedback">
                            Please repeat your password.
                        </div>
                    </div>
                </div>
            <?php endif; ?>

            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="phone"><?php echo e(__('Phone')); ?></label>
                    <input type="text" id="phone" name="phone" class="form-control need-validation-inputs" placeholder="Phone" value="<?php echo e($user->phone); ?>" maxlength="50">
                    <div class="invalid-feedback">
                        Please provide a phone number.
                    </div>
                </div>
                <div class="form-group col-md-4">
                    <label for="cellphone"><?php echo e(__('Cell Phone')); ?></label>
                    <input type="text" id="cellphone" name="cellphone" class="form-control need-validation-inputs" placeholder="Cell Phone" value="<?php echo e($user->cellphone); ?>" maxlength="50">
                    <div class="invalid-feedback">
                        Please provide a cell phone number.
                    </div>
                </div>
                <div class="form-group col-md-4" style="padding-top: 40px; padding-left: 30px;">
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" id="sms_access" name="sms_access" class="custom-control-input" value="1"
                        <?php if( $user->sms_access == 1 ): ?>
                            checked
                        <?php endif; ?>                        
                        > 
                        <label for="sms_access" class="custom-control-label"><?php echo e(__('SMS Access')); ?></label>
                    </div>
                </div>
            </div>
            <div class="form-row align-items-end">
                <div class="form-group col-md-4">
                    <label for="user_type_id"><?php echo e(__('User Type')); ?></label>
                    <select class="form-control need-validation-inputs" id="user_type_id" name="user_type_id" required>
                        <option value="">Select</option>
                        <?php echo $__env->make('inputs.select_options', ['options' => $user_types, 'value_selected' => $user->user_type_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </select>
                    <div class="invalid-feedback">
                        Please select an User Type.
                    </div>
                    <input type="hidden" id="user_id" name="user_id" value="<?php echo e($user->id); ?>">
                </div>
                <div class="form-group col-md-3">
                    <label for="calls_per_day_avg"><?php echo e(__('Calls per hour')); ?></label>
                    <input type="text" id="calls_per_day_avg" name="calls_per_day_avg" class="form-control need-validation-inputs" placeholder="Calls per hour" value="<?php echo e($user->calls_per_day_avg); ?>" maxlength="10">
                    <div class="invalid-feedback">
                        Please provide the calls per hour value.
                    </div>
                </div>
                <div class="form-group col-md-1">
                    <span class="cursorpointer" onclick="getCallerCallsPerHourAvg(event, '<?php echo e($user->id); ?>')" id="calls_per_hour_update_icon"><i class="fas fa-sync-alt"></i></span>
                </div>
                <div class="form-group col-md-4">
                    <label for="assignments_priority"><?php echo e(__('Assignments Priority')); ?></label>
                    <input type="text" id="assignments_priority" name="assignments_priority" class="form-control need-validation-inputs" placeholder="Assignments Priority" value="<?php echo e($user->assignments_priority); ?>" maxlength="10">
                    <div class="invalid-feedback">
                        Please provide the assignments priority.
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12">
                    <label for="dealer_access"><?php echo e(__('Dealers')); ?></label>
                    <input type="text" id="dealer_access" name="dealer_access" value="" data-role="tagsinput">
                </div>
            </div>

            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label for="user_groups"><?php echo e(__('User Groups')); ?></label>
                    <input type="text" id="user_groups" name="user_groups" value="" data-role="tagsinput">
                </div>
            </div>

            <div class="form-row mt-3">
                <div class="col-md-12">
                    <label for="user_groups"><strong><?php echo e(__('Call Types')); ?></strong></label>
                </div>
            </div>
            <div class="p-3" style="max-height: 400px;overflow-y: auto;overflow-x: hidden;background-color: #edf4ff">
                <div class="form-row">
                    <?php
                        $total_rows = 0;
                        $checked = '';
                    ?>
                    <?php $__currentLoopData = $call_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $call_type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(in_array($call_type->id, $user_calltypes)): ?>
                            <?php
                                $checked = 'checked';
                            ?>
                        <?php else: ?>
                            <?php
                                $checked = '';
                            ?>      
                        <?php endif; ?>
                        <div class="form-group col-md-6" data-toggle="tooltip" data-placement="bottom" title="<?php echo e($call_type->name); ?>">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="user_call_type_<?php echo e($call_type->id); ?>" name="user_calltypes[]" value="<?php echo e($call_type->id); ?>" <?php echo e($checked); ?>>
                                <label class="custom-control-label" for="user_call_type_<?php echo e($call_type->id); ?>"><?php echo e($call_type->name); ?></label>
                            </div>
                        </div>
                        <?php 
                            $total_rows++;
                        ?>
                        <?php if(($total_rows)%2 == 0): ?>
                            </div>
                            <div class="form-row">
                        <?php endif; ?>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="submit_form">Save</button>
    </div>
    </fieldset>
</form>

<script>

    var dealer_names = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('id'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
              url: '<?php echo url("/"); ?>' + '/dealers/search?search_value=%QUERY%',
             wildcard: '%QUERY%',                
        }
    });
    dealer_names.initialize();

    $('#dealer_access').tagsinput({
        itemValue : 'id',
        itemText  : 'value',
        trimValue: true,
        allowDuplicates : false,     
        freeInput: false,
        tagClass: function(item) {
          if(item.display)
              return 'label label-' + item.display;
          else
              return 'label label-default';

        },
        onTagExists: function(item, $tag) {
          $tag.hide().fadeIn();
        },
        typeaheadjs: [{
            hint: false,
            highlight: true,
            autoselect: true,
        },
        {
            name: 'best-dealers',
            display: 'value',
            source: dealer_names,
            highlight: true,
            templates: {
                empty: [
                  '<div class="empty-message">',
                    'No dealer found.',
                  '</div>'
                ].join('\n')
            }
        }]       
    });


    var user_groups = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('id'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
              url: '<?php echo url("/"); ?>' + '/usergroups/search?search_value=%QUERY%',
             wildcard: '%QUERY%',                
        }
    });
    user_groups.initialize();

    $('#user_groups').tagsinput({
        itemValue : 'id',
        itemText  : 'value',
        trimValue: true,
        allowDuplicates : false,     
        freeInput: false,
        tagClass: function(item) {
          if(item.display)
              return 'label label-' + item.display;
          else
              return 'label label-default';

        },
        onTagExists: function(item, $tag) {
          $tag.hide().fadeIn();
        },
        typeaheadjs: [{
            hint: false,
            highlight: true,
            autoselect: true,
        },
        {
            name: 'best-dealers',
            display: 'value',
            source: user_groups,
            highlight: true,
            templates: {
                empty: [
                  '<div class="empty-message">',
                    'No user group found.',
                  '</div>'
                ].join('\n')
            }
        }]       
    });


    <?php $__currentLoopData = $user->dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if( ! empty( $dealer_names[$dealer->dealer_id] ) ): ?>
            $('#dealer_access').tagsinput('add', { "id": <?php echo e($dealer->dealer_id); ?> , "value": "<?php echo e($dealer_names[$dealer->dealer_id]); ?>"});
        <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php $__currentLoopData = $user->user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if( ! empty( $user_group->name ) ): ?>
            $('#user_groups').tagsinput('add', { "id": <?php echo e($user_group->id); ?> , "value": "<?php echo e($user_group->name); ?>"});
        <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

</script>

<?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/add_user_dialog.blade.php ENDPATH**/ ?>