<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Training Alerts</div>
                <div class="card-body">
                    <form id="training_alert_search_form" name="training_alert_search_form">
                        <div class="form-row">
                            <div class="form-group col-md-4">
                                <label for="start_date_search"><?php echo e(__('Start Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="start_date_search" id="start_date_search">
                                <div class="invalid-feedback">
                                    Provide start date.
                                </div>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="end_date_search"><?php echo e(__('End Date')); ?></label>
                                <input type="text" class="form-control search_datepicker_inputs" name="end_date_search" id="end_date_search">
                                <div class="invalid-feedback">
                                    Provide end date
                                </div>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="value_search"><?php echo e(__('Search')); ?></label>
                                <div class="input-group">
                                    <input type="text" id="value_search" name="value_search" class="form-control" placeholder="Search">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="searchTrainingAlerts(event)"><i class="fas fa-search"></i></button>
                                        <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                            <button type="submit" class="btn btn-primary typeahead-button" title="Add training alert" id="add_new_ta_button" onclick="addNewTrainingAlertDialog(event)">
                                                <i class="far fa-plus-square"></i>
                                            </button>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-2" style="display: flex;align-items: end;justify-content: center;">
                                <div id="total_records_found"></div>
                            </div>
                        </div>
                    </form>
                    <?php if($redirected == 1): ?>
                        <div class="alert alert-danger" role="alert">
                            You have training alerts waiting to for approval.
                        </div>
                    <?php endif; ?>
                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="training_alert_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Title</th>
                                    <th class="table_cell_content">Type</th>
                                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                        <th style="text-align: center;">Active</th>
                                        <th style="text-align: center;">Required</th>
                                    <?php endif; ?>
                                    <th>Date</th>
                                    <th style="text-align: center;">Show</th>
                                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                        <th style="text-align: center;">Edit</th>
                                        <th style="text-align: center;">Delete</th>
                                    <?php elseif(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller"): ?>
                                        <th style="text-align: center;">Approve</th>
                                    <?php endif; ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $training_alerts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $training_alert): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr id="ta_row_<?php echo e($training_alert->id); ?>">
                                        <td id="ta_name_<?php echo e($training_alert->id); ?>" data-toggle="tooltip" data-placement="top" title="<?php echo e($training_alert->description); ?>"><?php echo e($training_alert->title); ?></td>
                                        <td class="table_cell_content"><?php echo e($training_alert->file_type->name); ?></td>
                                        <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                            <td align="center">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="active_<?php echo e($training_alert->id); ?>" name="active_<?php echo e($training_alert->id); ?>" 
                                                    <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $training_alert->active], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> onclick="activeTrainingAlert('<?php echo e($training_alert->id); ?>')">
                                                    <label class="custom-control-label" for="active_<?php echo e($training_alert->id); ?>"></label>
                                                </div>
                                            </td>
                                            <td align="center">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="required_<?php echo e($training_alert->id); ?>" name="required_<?php echo e($training_alert->id); ?>" 
                                                    <?php echo $__env->make('inputs.checkbox_radio', ['input_value' => 1, 'value' => $training_alert->required], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> onclick="setRequiredTrainingAlert('<?php echo e($training_alert->id); ?>')">
                                                    <label class="custom-control-label" for="required_<?php echo e($training_alert->id); ?>"></label>
                                                </div>
                                            </td>
                                        <?php endif; ?>
                                        <td class="table_cell_content"><?php echo e(date('m/d/Y H:i', strtotime($training_alert->created_at))); ?></td>
                                        <td align="center" class="cursorpointer" data-toggle="tooltip" data-placement="top" title="<?php echo e($training_alert->content); ?>" onclick="showTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>, '<?php echo e($training_alert->file_type->name); ?>')">
                                            <i class="fas fa-search"></i>
                                        </td>
                                        <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                            <td align="center" class="cursorpointer" onclick="editTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>)">
                                                <i class="fas fa-edit"></i>
                                            </td>
                                            <td align="center" class="cursorpointer" onclick="deleteTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>)">
                                                <i class="fas fa-trash-alt"></i>
                                            </td>
                                        <?php elseif(Auth::user()->user_type->name == "Dealer Caller" || Auth::user()->user_type->name == "Inbound Caller" || Auth::user()->user_type->name == "Full BDC Caller"): ?>
                                            <?php if(!isset($approved_training_alerts[$training_alert->id])): ?>
                                                <td align="center" class="cursorpointer" onclick="approveTrainingAlertDialog(event, <?php echo e($training_alert->id); ?>, <?php echo e(Auth::id()); ?>)" id="approved_<?php echo e($training_alert->id); ?>">
                                                    <i class="fas fa-thumbs-up"></i>
                                                </td>
                                            <?php else: ?> 
                                                <td align="center">
                                                    <?php echo e($approved_training_alerts[$training_alert->id]); ?>

                                                </td>
                                            <?php endif; ?>    
                                        <?php endif; ?>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo e($training_alerts->links()); ?> 
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script src="<?php echo e(asset('js/bloodhound.min.js')); ?>" type="application/javascript"></script>
    <script src="<?php echo e(asset('js/typeahead.bundle.min.js')); ?>" type="application/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                trainingAlertPaginationData(page, '', 0);
            });
            $('[data-toggle="tooltip"]').tooltip();
        });

        function trainingAlertPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#training_alert_container").empty().html(html);
            var my_form = $('#training_alert_search_form');
            var form_id = "training_alert_search_form";
            var form_values = my_form.serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall;
            
            $.ajax(
            {

                url: $('meta[name="main-url"]').attr('content')+'/training_alerts/pagination',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "json",
                data: form_values

            }).done(function(data){

                $("#training_alert_container").empty().html(data);

                $(function () {
                  $('[data-toggle="popover"]').popover({
                        html: true,
                        trigger: 'hover'
                    })
                });

                location.hash = page;
                $('[data-toggle="tooltip"]').tooltip();
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }

        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/pages/training_alerts.blade.php ENDPATH**/ ?>