<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">User Groups</div>
                <div class="card-body">
                    <form id="user_group_search_form" name="user_group_search_form">
                        <div class="form-row">
                            <div class="form-group col-md-2">
                                <label for="coid_search"><?php echo e(__('Dealer')); ?></label>
                                <select class="form-control" id="coid_search" name="coid_search" required>
                                    <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                                        <option value="">All</option>
                                    <?php endif; ?>
                                    <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => ''], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </select>
                                <div class="invalid-feedback">
                                    Provide a dealer.
                                </div>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="value_search"><?php echo e(__('Search')); ?></label>
                                <div class="input-group">
                                    <input type="text" id="value_search" name="value_search" class="form-control" placeholder="Search">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-secondary" id="submit_search" onclick="searchUserGroups(event)"><i class="fas fa-search"></i></button>
                                        <button type="submit" class="btn btn-primary typeahead-button" title="Add training alert" id="add_new_ta_button" onclick="addNewUserGroupDialog(event)">
                                            <i class="far fa-plus-square"></i>
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-2" style="display: flex;align-items: end;justify-content: center;">
                                <div id="total_records_found"></div>
                            </div>
                        </div>
                    </form>

                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="user_group_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th class="table_cell_content">Dealer</th>
                                    <th style="text-align: center;">Edit</th>
                                    <th style="text-align: center;">Delete</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr id="ta_row_<?php echo e($user_group->id); ?>">
                                        <td id="user_group_name_<?php echo e($user_group->id); ?>"><?php echo e($user_group->name); ?></td>
                                        <td class="table_cell_content">
                                            <?php if(isset($dealer_names[$user_group->coid])): ?>
                                                <?php echo e($dealer_names[$user_group->coid]); ?>

                                            <?php else: ?> 
                                                Global
                                            <?php endif; ?>
                                        </td>
                                        <td align="center" class="cursorpointer" onclick="editUserGroupDialog(event, <?php echo e($user_group->id); ?>)">
                                            <i class="fas fa-edit"></i>
                                        </td>
                                        <td align="center" class="cursorpointer" onclick="deleteUserGroupDialog(event, <?php echo e($user_group->id); ?>)">
                                            <i class="fas fa-trash-alt"></i>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo e($user_groups->links()); ?> 
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script src="<?php echo e(asset('js/bloodhound.min.js')); ?>" type="application/javascript"></script>
    <script src="<?php echo e(asset('js/typeahead.bundle.min.js')); ?>" type="application/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                userGroupPaginationData(page, '', 0);
            });
            $('[data-toggle="tooltip"]').tooltip();
        });

        function userGroupPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#user_group_container").empty().html(html);
            var my_form = $('#user_group_search_form');
            var form_id = "user_group_search_form";
            var form_values = my_form.serialize();
            form_values+='&page='+page+'&id='+id+'&showall='+showall;
            
            $.ajax(
            {

                url: $('meta[name="main-url"]').attr('content')+'/usergroups/pagination',
                type: "post",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                datatype: "json",
                data: form_values

            }).done(function(data){

                $("#user_group_container").empty().html(data);

                $(function () {
                  $('[data-toggle="popover"]').popover({
                        html: true,
                        trigger: 'hover'
                    })
                });

                location.hash = page;
                $('[data-toggle="tooltip"]').tooltip();
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }

        $('#start_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

        $('#end_date_search').datepicker({
            language: "en",
            autoclose: true,
            orientation: "bottom",
        });

    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/pages/user_groups.blade.php ENDPATH**/ ?>