<?php $__env->startSection('style_files'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/jquery.typeahead.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Users Admin</div>

                <div class="card-body">
                    <div id="typeahead_container" class="twitter-wrapper">
                        <form id="form-users" name="form-users">
                            <?php echo csrf_field(); ?>
                            <div class="input-group">
                                <input class="typeahead" id="search_value" name="search_value" type="text" placeholder="Search User">
                                <?php if(Auth::user()->user_type->name == 'Admin'): ?>
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary typeahead-button" title="Add User" id="add_new_user_button" onclick="addNewUserDialog(event)">
                                            <i class="far fa-plus-square"></i>
                                        </button>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </form>
                    </div>
                    <br>
                    <div class="alert alert-success" role="alert" id="success-alert-message" style="display: none;">
                    </div>
                    <div id="users_container">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th class="table_cell_content">Email</th>
                                    <th class="table_cell_content">Type</th>
                                    <th class="table_cell_content">Dealers</th>
                                    <th class="table_cell_content">User Groups</th>
                                    <th style="text-align: center;">Edit</th>
                                    <th style="text-align: center;">Delete</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr id="user_row_<?php echo e($user->id); ?>">
                                    <td id="user_name_<?php echo e($user->id); ?>"><?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?></td>
                                    <td class="table_cell_content"><?php echo e($user->email); ?></td>
                                    <td class="table_cell_content"><?php echo e($user->user_type->name); ?></td>
                                    <td class="table_cell_content">
                                        <?php if(isset($user->dealers)): ?>
                                            <?php $__currentLoopData = $user->dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php echo e($dealer_names[$dealer->dealer_id]); ?> <br>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            None
                                        <?php endif; ?>
                                    </td>
                                    <td class="table_cell_content">
                                        <?php if(isset($user->user_groups)): ?>
                                            <?php $__currentLoopData = $user->user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user_group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php echo e($user_group->name); ?> <br>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            None
                                        <?php endif; ?>
                                    </td>
                                    <td align="center"><a href="#"><i class="fas fa-edit" onclick="editUserDialog(event, <?php echo e($user->id); ?>)"></i></a></td>
                                    <td align="center"><a href="#"><i class="fas fa-trash-alt" onclick="deleteUserDialog(event, <?php echo e($user->id); ?>)"></i></a></td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <?php echo e($users->links()); ?> 
                        <?php if($users->total() > 20): ?>
                            <button type="submit" class="btn btn-primary" onclick="usersPaginationData(1, null, 1)">
                                Show All
                            </button>
                        <?php endif; ?>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts_extra'); ?>
    <script src="<?php echo e(asset('js/bloodhound.min.js')); ?>" type="application/javascript"></script>
    <script src="<?php echo e(asset('js/typeahead.bundle.min.js')); ?>" type="application/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function()
        {
            $(document).on('click', '.pagination a',function(event)
            {
                event.preventDefault();
                $('li').removeClass('active');

                $(this).parent('li').addClass('active');
                var myurl = $(this).attr('href');
                var page=$(this).attr('href').split('page=')[1];
                usersPaginationData(page, null, 0);
            });
            
            var userList = new Bloodhound({
                datumTokenizer: Bloodhound.tokenizers.obj.whitespace('value'),
                queryTokenizer: Bloodhound.tokenizers.whitespace,
                //prefetch: '../data/films/post_1960.json',
                remote: {
                    url: 'users/search#%QUERY',
                    wildcard: '%QUERY',
                    transport: function (opts, onSuccess, onError) {
                        var url = opts.url;
                        var form_values = $("#form-users").serialize();
                        $.ajax({
                            url: url,
                            headers: {
                                'X-CSRF-TOKEN':'<?php echo e(csrf_token()); ?>'
                            },
                            data: form_values,
                            type: "POST",
                            success: onSuccess,
                            error: onError,
                        })
                    }
                }
            });
            $('#search_value').typeahead(null, {
                  name: 'best-pictures',
                  display: 'value',
                  source: userList,
                  highlight: true,
                  templates: {
                    empty: [
                          '<div class="empty-message">',
                            'No user found.',
                          '</div>'
                        ].join('\n')
                }
            }).bind('typeahead:select', function(ev, suggestion) {
                if(suggestion != null) {
                    usersPaginationData(1, suggestion.id, 0);
                } else {
                    usersPaginationData(1, null, 0);
                }
            });
        });

        function usersPaginationData(page,id, showall)
        {
            var html = getLoadingContent();
            $("#users_container").empty().html(html);
            
            $.ajax(
            {
                url: $('meta[name="main-url"]').attr('content')+'/users/pagination',

                type: "post",

                datatype: "html",

                data: {
                    page:page,
                    id:id, 
                    showall: showall,
                    "_token": "<?php echo e(csrf_token()); ?>"
                }
            }).done(function(data){

                $("#users_container").empty().html(data);

                location.hash = page;
            }).fail(function(jqXHR, ajaxOptions, thrownError){

                  alert('No response from server');
            });
        }
    </script>
<?php $__env->stopSection(); ?>   
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp3\htdocs\ghostvin_app\resources\views/pages/users.blade.php ENDPATH**/ ?>