<form method="POST" id="add_form" action="" class="needs-validation" novalidate>
    <fieldset id="disable_form_fieldset">
    <?php echo csrf_field(); ?>
    <div class="modal-header">
        <h5 class="modal-title" id="CompanyDetailsModal">User Group Information</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div id="modal_dynamic_content">
            <div class="alert alert-danger print-error-msg" style="display:none">
                <ul></ul>
            </div>
            
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="name"><?php echo e(__('Name')); ?></label>
                    <input type="text" id="name" name="name" class="form-control need-validation-inputs" placeholder="Name" required value="<?php echo e($user_group->name); ?>" maxlength="191">
                    <div class="invalid-feedback">
                        Please provide the user group name.
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label for="coid"><?php echo e(__('Dealer')); ?></label>
                    <select class="form-control need-validation-inputs" id="coid" name="coid">
                        <?php if(Auth::user()->user_type->name == 'Admin'): ?> 
                            <option value="">Global</option>
                        <?php endif; ?>
                        <?php echo $__env->make('inputs.select_options', ['options' => $dealers_options, 'value_selected' => $user_group->coid], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </select>
                    <div class="invalid-feedback">
                        Please select the dealer.
                    </div>
                    <input type="hidden" id="user_group_id" name="user_group_id" value="<?php echo e($user_group->id); ?>">
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12">
                    <label for="dealer_access"><?php echo e(__('Dealers Access')); ?></label>
                    <input type="text" id="dealer_access" name="dealer_access" value="" data-role="tagsinput">
                </div>
            </div>
            <br>
            <br>
            <br>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="submit" class="btn btn-primary" id="add_ug_submit_form">Save</button>
    </div>
    </fieldset>
</form>

<script>
    var dealer_names = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('id'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
              url: '<?php echo url("/"); ?>' + '/dealers/search?search_value=%QUERY%',
             wildcard: '%QUERY%',                
        }
    });
    dealer_names.initialize();

    $('#dealer_access').tagsinput({
        itemValue : 'id',
        itemText  : 'value',
        trimValue: true,
        allowDuplicates : false,     
        freeInput: false,
        tagClass: function(item) {
          if(item.display)
              return 'label label-' + item.display;
          else
              return 'label label-default';

        },
        onTagExists: function(item, $tag) {
          $tag.hide().fadeIn();
        },
        typeaheadjs: [{
            hint: false,
            highlight: true,
            autoselect: true,
        },
        {
            name: 'best-dealers',
            display: 'value',
            source: dealer_names,
            highlight: true,
            templates: {
                empty: [
                  '<div class="empty-message">',
                    'No dealer found.',
                  '</div>'
                ].join('\n')
            }
        }]       
    });

    <?php $__currentLoopData = $user_group->dealers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if( ! empty( $dealer_names[$dealer->dealer_id] ) ): ?>
            $('#dealer_access').tagsinput('add', { "id": <?php echo e($dealer->dealer_id); ?> , "value": "<?php echo e($dealer_names[$dealer->dealer_id]); ?>"});
        <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</script><?php /**PATH /home/zassfastsrv/public_html/ghostvin_app/resources/views/dialogs/add_user_group.blade.php ENDPATH**/ ?>